<?php
    require_once KCONFIG . '/classes/classKKibs.php';

    $AjaxFunctions['showServices'] = 'showServices';
    $AjaxFunctions['saveServices'] = 'saveServices';
    $AjaxFunctions['showKIBS'] = 'showKIBS';
    $AjaxFunctions['saveKIBS'] = 'saveKIBS';
    $AjaxFunctions['showMediaServer'] = 'showMediaServer';
    $AjaxFunctions['saveMediaServer'] = 'saveMediaServer';
    $AjaxFunctions['showVoIPOptions'] = 'showVoIPOptions';
    $AjaxFunctions['saveVoIPOptions'] = 'saveVoIPOptions';
    $AjaxFunctions['showVoIPCodecs'] = 'showVoIPCodecs';
    $AjaxFunctions['saveVoIPCodecs'] = 'saveVoIPCodecs';
    $AjaxFunctions['showAPICompatibility'] = 'showAPICompatibility';
    $AjaxFunctions['saveAPICompatibility'] = 'saveAPICompatibility';
    $AjaxFunctions['showLogsErrorCount'] = 'showLogsErrorCount';
    $AjaxFunctions['saveLogsErrorCount'] = 'saveLogsErrorCount';

    function showServices( $_REQUEST )
    {
        Global $sistema;

        $buff = '';
        $configDir = $sistema->getConfigDir( );

        if( isset( $_SESSION['systemYAML'] ) )
            $sysYAML = unserialize( $_SESSION['systemYAML'] );
        else
        {
            $sysYAML = loadSystemYaml( );
        }

        $buff .= "<div id='services' style='display: block;'>";
        $buff .= "<form id='form-services'>";
        $buff .= "<fieldset>";
        $buff .= "<legend>" . $sistema->retTranslate( 'Services' ) . "</legend>";

        $buff .= "<table id='services'>";
        $buff .= "<tr>";
        $buff .= "<th>" . $sistema->retTranslate( 'Name' ) . "</th>";
        $buff .= "<th>" . $sistema->retTranslate( 'Endereco' ) . "</th>";
        $buff .= "<th>" . $sistema->retTranslate( 'Porta' ) . "</th>";
        $buff .= "<th>" . $sistema->retTranslate( 'Carregamento' ) . "</th>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td>Khomp Media Server</td>";
        $buff .= "<td> - </td>";
        $buff .= "<td><input type='text' onkeypress='return portMask(this, event);' onkeyup='validatePort(this);' class='inputText' value='" . $sysYAML->getValue( 'MediaServerPort' ) . "' id='MediaServerPort' /></td>";
        $buff .= "<td>";
        $buff .= getSelectorLoadService( 'kmpserver' );
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td>Khomp Log Service</td>";
        $buff .= "<td> - </td>";
        $logConfigs = loadKLogConfigs( $configDir );
        $buff .= "<td><input type='text' onkeypress='return portMask(this, event);' onkeyup='validatePort(this);' class='inputText' value='" . $logConfigs['RemoteLogPort'] . "' id='RemoteLogPort' /></td>";
        $buff .= "<td>";
        $buff .= getSelectorLoadService( 'klogserver' );
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td>Khomp API Server</td>";
        $buff .= "<td> - </td>";
        $buff .= "<td><input type='text' onkeypress='return portMask(this, event);' onkeyup='validatePort(this);' class='inputText' value='" . $sysYAML->getValue( 'K3LServerPort' ) . "' id='K3LServerPort' /></td>";
        $buff .= "<td>";
        $buff .= getSelectorLoadService( 'k3lserver' );
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td>Khomp Web Portal</td>";
        $buff .= "<td> - </td>";
        $buff .= "<td> 14100 </td>";
        $buff .= "<td>";
        $buff .= getSelectorLoadService( 'kwebportal' );
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td>Khomp Integrated Boot System</td>";
        $buff .= "<td> - </td>";
        $buff .= "<td> (UDP) 14102 </td>";
        $buff .= "<td>";
        $buff .= getSelectorLoadService( 'kibs' );
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td>Khomp Watcher Service</td>";
        $buff .= "<td> - </td>";
        $buff .= "<td> - </td>";
        $buff .= "<td>";
        $buff .= getSelectorLoadService( 'kwatcher' );
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td>Khomp Query Server</td>";
        $buff .= "<td> - </td>";
        $buff .= "<td><input type='text' onkeypress='return portMask(this, event);' onkeyup='validatePort(this);' class='inputText' value='" . $sysYAML->getValue( 'K3LQueryPort' ) . "' id='K3LQueryPort' /></td>";
        $buff .= "<td>";
        $buff .= getSelectorLoadService( 'kqueryserver' );
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "</table>";

        $buff .= "</fieldset>";
        $buff .= '</br>';
        $buff .= "<div style='width:99%; text-align:right;'>";
        $buff .= "<input id='saveServicesB' type='button' onclick=\"saveServices('services');\" value='" . $sistema->retTranslate( 'save' ) . "' />";
        $buff .= "</div>";
        $buff .= "</form>";
        $buff .= "<br>";

        $buff .= "</div>";

        return $buff;

    }

    function saveServices( $_REQUEST )
    {
        Global $sistema;
        $data = isset( $_REQUEST['data'] ) ? $_REQUEST['data'] : NULL;

        if( isset( $data ) )
        {

            $load = array( 'load-kmpserver', 'load-klogserver', 'load-k3lserver', 'load-kwebportal', 'load-kibs', 'load-kwatcher', 'load-kqueryserver' );
            $port = array( 'MediaServerPort', 'RemoteLogPort', 'K3LServerPort', 'K3LQueryPort' );
            $data = explode( ',', $data );

            $SystemYAML = loadSystemYAML( );
            $YAMLchanged = false;
            foreach( $data as $value )
            {
                $cv = explode( ':', $value );
                if( in_array( $cv[0], $load ) )
                {
                    $serviceName = substr( $cv[0], 5 );
                    $service = new Kservice( $serviceName );
                    $service->changeStartup( $cv[1] );
                }
                else if( in_array( $cv[0], $port ) )
                {
                    if( $cv[0] == 'RemoteLogPort' )
                    {
                        $logConfigs = loadKLogConfigs( );

                        if( $logConfigs['RemoteLogPort'] != $cv[1] )
                        {
                            $configDir = $sistema->getConfigDir( );
                            $fileContent = file( $configDir . '/klog.cfg' );
                            for( $x = 0; $x < sizeof( $fileContent ); $x++ )
                            {
                                if( @ereg( "\[", $fileContent[$x] ) )
                                {
                                    $sectionName = explode( "]", $fileContent[$x] );
                                    $sectionName = explode( "[", $sectionName[0] );
                                    $sectionName = $sectionName[1];
                                }
                                elseif( @ereg( "=", $fileContent[$x] ) )
                                {
                                    $varName = explode( "=", $fileContent[$x] );
                                    if( $varName[0] == 'RemoteLogPort' )
                                        $fileContent[$x] = $varName[0] . "=" . trim( $cv[1] ) . "\n";
                                    else
                                        $fileContent[$x] = $varName[0] . "=" . trim( $varName[1] ) . "\n";
                                }
                            }
                            $content = implode( "", $fileContent );
                            $pFile = fopen( $configDir . '/klog.cfg', "w+" );
                            fwrite( $pFile, $content );
                            fclose( $pFile );
                        }
                    }
                    else
                    {
                        $SystemYAML->yaml['Network'][$cv[0]] = $cv[1];
                        $YAMLChanged = true;
                    }
                }
            }
            if( $YAMLChanged )
                $SystemYAML->saveYaml( );

            return $sistema->retTranslate( 'servicesChanged' );
        }

    }

    function showKIBS( $_REQUEST )
    {
        Global $sistema;

        $buff = '';

        $buff .= "<div id='KIBS'>";
        $buff .= "<fieldset>";
        $buff .= "<legend>Khomp Integrated Boot System</legend>";

        $interfaces = $sistema->getIPv4Interfaces( );
        $maxInterfaces = sizeof( $interfaces );
        $newKibs = new KKibs( );
        $kibsInterfaces = $newKibs->getKibsInterfaces( );

        $buff .= "<div id='kibsinterfaces'>" . $sistema->retTranslate( "kibsinterface" ) . "</div><br>";
        $buff .= "<div id='allInterfaces'>";
        $buff .= "<a class='blueLink' onclick='javascript: checkAllInterfaces();' href='#'>" . $sistema->retTranslate( "all" ) . "</a></div><br>";
        $buff .= "<input type='hidden' id='nInterfaces' name='nInterfaces' value='$maxInterfaces'/>";
        $buff .= "<table id='tableKIBSInterfaces'>";

        for( $i = 0; $i < $maxInterfaces; $i++ )
        {
            if( !in_array( $interfaces[$i], $kibsInterfaces ) )
                $checked = "";
            else
                $checked = "checked";

            if( $i % 2 == 0 )
                $buff .= "<tr class='green'>";
            else
                $buff .= "<tr class='lgreen'>";

            $buff .= "<td><input class='check green' type='checkbox' name='kibsinterface$i' id='kibsinterface$i' value='" . $interfaces[$i] . "' $checked> " . $interfaces[$i] . "</td>";
            $buff .= "</tr>";
        }
        $buff .= "</table>";

        $buff .= "</fieldset>";
        $buff .= '</br>'; 

        $buff .= "<div style='width:99%;text-align:right;'>";
        $buff .= "<input id='saveKIBSB' type='button' onclick=\"saveKIBS();\" value='Salvar' />";
        $buff .= "</div>";
        $buff .= "<br>";
        $buff .= "</div>";

        return $buff;
    }

    function saveKIBS( $_REQUEST )
    {
        Global $sistema;
        $interfaces = isset( $_REQUEST['data'] ) ? $_REQUEST['data'] : NULL;

        if( isset( $interfaces ) )
        {
            $KIBSYAML = loadKIBSYAML( );
            $yaml = $KIBSYAML->getYaml( );
            $interfaces_arr = $interfaces != '' ? explode( ',', $interfaces ) : array( );
            $newKibs = new KKibs( );
            $newKibs->createInterfaces( $interfaces_arr );

            return $sistema->retTranslate( 'ConfiguracaoSalva' );
        }
    }

    function showMediaServer( $_REQUEST )
    {
        Global $sistema;

        $buff = '';

        $sysYAML = loadSystemYaml( );

        $buff .= "<div id='KMP' >";
        $buff .= "<fieldset>";
        $buff .= "<legend>" . $sistema->retTranslate( 'Media-Server' ) . "</legend>";

        $buff .= "<table>";
        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'DspThreadCount' ) . "</td>";
        $buff .= "<td align='right'>";
        $buff .= "<input id='DspThreadCount' class='inputText' type='text' onkeypress='return portMask(this, event)'; onkeyup='validatePort(this);' value='" . $sysYAML->getValue( 'DspThreadCount' ) . "' name='DspThreadCount'>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'LocalAudioInterface' ) . "</td>";
        $buff .= "<td align='right'>";
        $value = $sysYAML->getValue( 'LocalAudioInterface', 'Network' ) != '!' ? $sysYAML->getValue( 'LocalAudioInterface', 'Network' ) : '';
        $buff .= "<input id='LocalAudioInterface' class='inputText' type='text' onkeydown='return maskIP(event, this);' onkeyup='validateIP(this);' value='" . $value . "' name='LocalAudioInterface'>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'LocalAudioPort' ) . "</td>";
        $buff .= "<td align='right'>";
        $buff .= "<input id='LocalAudioPort' class='inputText' type='text' onkeypress='return portMask(this, event);' onkeyup='validatePort(this);' value='" . $sysYAML->getValue( 'LocalAudioPort' ) . "' name='LocalAudioPort'>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'MinAudioPort' ) . "</td>";
        $buff .= "<td align='right'>";
        $buff .= "<input id='MinAudioPort' class='inputText' type='text' onkeypress='return portMask(this, event);' onkeyup='validatePort(this);' value='" . $sysYAML->getValue( 'MinAudioPort' ) . "' name='MinAudioPort'>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'MaxAudioPort' ) . "</td>";
        $buff .= "<td align='right'>";
        $buff .= "<input id='MaxAudioPort' class='inputText' type='text' onkeypress='return portMask(this, event);' onkeyup='javascript: validatePort(this);' value='" . $sysYAML->getValue( 'MaxAudioPort' ) . "' name='MaxAudioPort'>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "</table>";
        $buff .= "</fieldset>";
        $buff .= '</br>';
        
        $buff .= "<div style='width:99%;text-align:right;'>";
        $buff .= "<input id='saveMediaServerB' type='button' onclick=\"saveMediaServer();\" value='" . $sistema->retTranslate( 'save' ) . "' />";
        $buff .= "</div>";
        $buff .= "</div>";

        return $buff;
    }

    function saveMediaServer( $_REQUEST )
    {
        Global $sistema;

        $data = isset( $_REQUEST['data'] ) ? $_REQUEST['data'] : NULL;

        if( isset( $data ) )
        {
            $sysYAML = loadSystemYaml( );
            $data_arr = explode( ',', $data );
            $r = '';

            foreach( $data_arr as $d )
            {
                $field = explode( '=', $d );
                $sysYAML->changeVarValue( $field[0], $field[1] );
            }

            $sysYAML->saveYaml( );
            return $sistema->retTranslate( 'ConfiguracaoSalva' );
        }
    }

    function showVoIPOptions( $_REQUEST, $section = null )
    {
        Global $sistema;

        $buff = '';
        $buff .= "<div id='VoIPopcoes'>";
        $buff .= "<fieldset>";
        $buff .= "<legend>VoIP</legend>";

        if( isset( $_SESSION['systemYAML'] ) )
            $sysYAML = unserialize( $_SESSION['systemYAML'] );
        else
            $sysYAML = loadSystemYaml( );

        $buff .= "<table>";
        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'MaiorPortaRTP' ) . "</td>";
        $buff .= "<td align='right'>";
        $buff .= "<input id='MaxRtp' class='inputText' type='text' onkeypress='return portMask(this, event)' onkeyup='javascript: validatePort(this);' value='" . $sysYAML->getValue( 'MaxRtp' ) . "' name='MaxRtp'>";
        $buff .= "</td>";
        $buff .= "</tr>";
        $buff .= "<tr class='lgreen'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'MenorPortaRTP' ) . "</td>";
        $buff .= "<td align='right'>";
        $buff .= "<input id='MinRtp' class='inputText' type='text' onkeypress='return portMask(this, event);'onkeyup='javascript: validatePort(this);' value='" . $sysYAML->getValue( 'MinRtp' ) . "' name='MinRtp'>";
        $buff .= "</td>";
        $buff .= "</tr>";
        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'PortaGateway' ) . "</td>";
        $buff .= "<td align='right'>";
        $buff .= "<input id='ListenPort' class='inputText' type='text' onkeypress='return portMask(this, event);' onkeyup='javascript: validatePort(this);' value='" . $sysYAML->getValue( 'ListenPort' ) . "' name='ListenPort'>";
        $buff .= "</td>";
        $buff .= "</tr>";

        if( $section != 'GW' )
        {
            $buff .= "<tr class='lgreen'>";
            $buff .= "<td align='left'>" . $sistema->retTranslate( 'TamanhoPacoteAudio' ) . "</td>";
            $buff .= "<td align='right'>";
            $NetworkPacketSize = $sysYAML->getValue( 'NetworkPacketSize' );
            $buff .= "<select id='NetworkPacketSize' name='NetworkPacketSize'>";
            for( $x = 8; $x <= 160; $x++ )
            {
                $selected = ($x == $NetworkPacketSize) ? "selected" : '';
                $buff .= "<option value='$x' $selected>$x</option>";
            }
            $buff .= "</select></td>";
            $buff .= "</td>";
            $buff .= "</tr>";

            $buff .= "<tr class='green'>";
            $buff .= "<td align='left'>" . $sistema->retTranslate( 'ProxyPadrao' ) . "</td>";
            $buff .= "<td align='right'>";
            $buff .= '<input id="Proxy" class="inputText" type="text" onkeydown="return maskIP(event, this);" onkeyup="validateIP(this);" value="' . $sysYAML->getValue( 'Proxy' ) . '" name="Proxy">';
            $buff .= "</td>";
            $buff .= "</tr>";

            $buff .= "<tr class='lgreen'>";
            $buff .= "<td align='left'>" . $sistema->retTranslate( 'IPInterface' ) . "</td>";
            $buff .= "<td align='right'>";
            $buff .= "<input id='SipInterface' class='inputText' type='text' onkeydown='return maskIP(event, this);' onkeyup='validateIP(this);' value='" . $sysYAML->getValue( 'SipInterface' ) . "' name='SipInterface'>";
            $buff .= "</td>";
            $buff .= "</tr>";
    
            $buff .= "<tr class='green'>";
            $buff .= "<td align='left'>" . $sistema->retTranslate( 'RtpInterface' ) . "</td>";
            $buff .= "<td align='right'>";
    
            $RTPValue = $sysYAML->getValue( 'RtpInterface' ) != 'yamlError' ? $sysYAML->getValue( 'RtpInterface' ) : '';
            $buff .= "<input id='RtpInterface' class='inputText' type='text' onkeydown='return maskIP(event, this);' onkeyup='validateIP(this);' value='" . $RTPValue . "' name='RtpInterface'>";
            $buff .= "</td>";
            $buff .= "</tr>";

            $buff .= "<tr class='lgreen'>";
            $buff .= "<td align='left'>" . $sistema->retTranslate( 'VoIPDeviceSerial' ) . "</td>";
            $buff .= "<td align='right'>";
            $buff .= "<input id='VoIPDeviceSerial' class='inputText' type='text' onkeypress='return portMask(this, event)' onmouseup='return portMask(this, event)' onkeyup='javascript: validatePort(this);' value='" . $sysYAML->getValue( 'VoIPDeviceSerial' ) . "' name='VoIPDeviceSerial'>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }

        $buff .= "</table>";
        $buff .= "</fieldset>";
        $buff .= '</br>';
        
        $buff .= "<div style='width:99%;text-align:right;'>";
        $buff .= "<input id='saveVoIPOptionsB' type='button' onclick=\"saveVoIPOptions();\" value='" . $sistema->retTranslate( 'save' ) . "' />";
        $buff .= "</div>";
        $buff .= "</div>";

        return $buff;
    }

    function saveVoIPOptions( $_REQUEST )
    {
        Global $sistema;

        $data = isset( $_REQUEST['data'] ) ? $_REQUEST['data'] : NULL;
        if( isset( $data ) )
        {
            $sysYAML = loadSystemYaml( );
            $data_arr = explode( ',', $data );

            foreach( $data_arr as $d )
            {
                $field = explode( '=', $d );

                if( $field[0] == 'RtpInterface' && $sysYAML->getValue( 'RtpInterface' ) == 'yamlError' )
                    $sysYAML->createVar( 'RtpInterface', 'VoIP', $field[1] );
                else
                    $sysYAML->changeVarValue( $field[0], $field[1] );
            }

            $sysYAML->saveYaml( );
            return $sistema->retTranslate( 'ConfiguracaoSalva' );
        }
    }

    function showVoIPCodecs( $_REQUEST )
    {
        Global $sistema;

        $buff = '';

        if( isset( $_SESSION['systemYAML'] ) )
            $sysYAML = unserialize( $_SESSION['systemYAML'] );
        else
            $sysYAML = loadSystemYaml( );

        $buff .= "<div id='Codecs' >";
        $buff .= "<fieldset>";
        $buff .= "<legend>Codecs</legend>";
        $buff .= "<div id='CodecDrag'>" . $sistema->retTranslate( 'CodecDragMessage' ) . "</div>";

        $buff .= "<div id='codecList' class='codecList'>";
        $buff .= "<ul id='sortable'>";

        $defaults = array( );
        $defaults = $sysYAML->getValue( 'Codecs' );

        for( $x = 0; $x < sizeof( $defaults ); $x++ )
        {
            $checked = "checked";
            $buff .= "<li class='ui-state-default' onmouseup=\"javascript:this.style.cursor='url(\'/imagens/openhand.cur\'),move'\";\" onmousedown=\"javascript:this.style.cursor='url(\'/imagens/closedhand.cur\'),move'\";\">";
            $buff .= "<input class='check' type='checkbox' name='$nome$x' id='$nome$x' value='$defaults[$x]' $checked>";
            $buff .= $sistema->retTranslate( $defaults[$x] ) . "</li>";
        }

        $itens = array( 'DVI4', 'G711U', 'G729', 'GSM', 'iLBC', 'G711A' );

        for( $y = 0; $y < sizeof( $itens ); $y++ )
        {
            if( !in_array( $itens[$y], $defaults ) )
            {
                $buff .= "<li class='ui-state-default' onmouseup=\"javascript:this.style.cursor='url(/imagens/openhand.cur),move';\" onmousedown=\"javascript:this.style.cursor='url(/imagens/closedhand.cur),move';\">";
                $buff .= "<input class='check' type='checkbox' name='" . $nome . ($x + $y) . "' id='" . $nome . ($x + $y) . "' value='$itens[$y]'> ";
                $buff .= $sistema->retTranslate( $itens[$y] ) . "</li>";
            }
        }
        $buff .= "</ul>";
        $buff .= "</div>";
        $buff .= "</fieldset>";
        $buff .= '</br>';
        
        $buff .= "<div style='width:99%;text-align:right;'>";
        $buff .= "<input id='saveVoIPCodecsB' type='button' onclick=\"saveVoIPCodecs();\" value='" . $sistema->retTranslate( 'save' ) . "' />";
        $buff .= "</div>";
        $buff .= "<br>";
        $buff .= "</div>";

        return $buff;
    }

    function saveVoIPCodecs( $_REQUEST )
    {

        Global $sistema;

        $data = isset( $_REQUEST['data'] ) ? $_REQUEST['data'] : NULL;
        if( isset( $data ) )
        {
            $sysYAML = loadSystemYaml( );

            if( $data != '' )
                $data_arr = explode( ',', $data );
            else
                $data_arr = array( );

            $sysYAML->changeVarValue( 'Codecs', $data_arr, 'VoIP' );
            $sysYAML->saveYaml( );
            return $sistema->retTranslate( 'ConfiguracaoSalva' );
        }

    }

    function showAPICompatibility( $_REQUEST )
    {
        Global $sistema;

        $buff = '';

        if( isset( $_SESSION['systemYAML'] ) )
            $sysYAML = unserialize( $_SESSION['systemYAML'] );
        else
            $sysYAML = loadSystemYaml( );

        $buff .= "<div id='API-Compatibility' >";
        $buff .= "<fieldset>";
        $buff .= "<legend>API</legend>";

        $buff .= "<table>";
        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'DisconnectionConfirmation' ) . "</td>";
        $buff .= "<td width='15%' align='center'>";

        $buff .= "<select id='DisconnectConfirmation' name='DisconnectConfirmation'>";
        $itens = array( 'No', 'Incoming', 'Outgoing', 'Both' );
        $value = $sysYAML->getValue( 'DisconnectConfirmation' );
        for( $y = 0; $y < sizeof( $itens ); $y++ )
        {
            $selected = $value == $itens[$y] ? "selected=''" : '';
            $buff .= "<option $selected value='$itens[$y]'>" . $itens[$y] . "</option>";
        }
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'EnableAudioEvents' ) . "</td>";
        $buff .= "<td width='15%' align='center'>";
        $EnableAudioEvents = $sysYAML->yaml['System']['EnableAudioEvents'] ? "checked=''" : '';
        $buff .= "<input id='EnableAudioEvents' $EnableAudioEvents class='check' type='checkbox' value='EnableAudioEvents' name='EnableAudioEvents'>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'EnableCadenceEvents' ) . "</td>";
        $buff .= "<td width='15%' align='center'>";
        $EnableCadenceEvents = $sysYAML->yaml['System']['EnableCadenceEvents'] ? "checked=''" : '';
        $buff .= "<input id='EnableCadenceEvents' class='check' $EnableCadenceEvents type='checkbox' value='EnableCadenceEvents' name='EnableCadenceEvents'>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "</table>";
        $buff .= "</fieldset>";
        $buff .= '</br>';
        
        $buff .= "<div style='width:99%;text-align:right;'>";
        $buff .= "<input id='saveAPICompatibilityB' type='button' onclick=\"saveAPICompatibility();\" value='" . $sistema->retTranslate( 'save' ) . "' />";
        $buff .= "</div>";
        $buff .= "<br>";
        $buff .= "</div>";

        return $buff;

    }

    function saveAPICompatibility( $_REQUEST )
    {
        Global $sistema;

        $data = isset( $_REQUEST['data'] ) ? $_REQUEST['data'] : NULL;
        if( isset( $data ) )
        {
            $sysYAML = loadSystemYaml( );

            if( $data != '' )
                $data_arr = explode( ',', $data );
            else
                $data_arr = array( );

            foreach( $data_arr as $data )
            {
                $field = explode( '=', $data );

                if( $field[1] == 'true' || $field[1] == 'false' )
                    $sysYAML->changeVarValue( $field[0], getBooleanValue( $field[1] ) );
                else
                    $sysYAML->changeVarValue( $field[0], $field[1] );
            }
            $sysYAML->saveYaml( );
            return $sistema->retTranslate( 'ConfiguracaoSalva' );
        }
    }

    function showLogsErrorCount( $_REQUEST )
    {
        Global $sistema;

        $buff = '';

        if( isset( $_SESSION['systemYAML'] ) )
            $sysYAML = unserialize( $_SESSION['systemYAML'] );
        else
            $sysYAML = loadSystemYaml( );

        $buff .= "<div id='errosLink'>";
        $buff .= "<fieldset>";
        $buff .= "<legend>" . $sistema->retTranslate( 'errosLink' ) . "</legend>";

        $buff .= "<span id='divErrorCounterCheckInterval'>";
        $buff .= "<table>";
        $buff .= "<tr class=''>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'TempoParaVerificacaoContadoresErro' ) . "</td>";
        $buff .= "<td align='right'>";
        $ErrorCounterCheckInterval = $sysYAML->getValue( 'ErrorCounterCheckInterval' );
        $buff .= "<select id='ErrorCounterCheckInterval' name='ErrorCounterCheckInterval'>";
        for( $x = 1000; $x <= 60000; $x = $x + 1000 )
        {
            $selected = "";
            if( $x == $ErrorCounterCheckInterval )
                $selected = "selected";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select></td>";
        $buff .= "</td>";
        $buff .= "</tr>";
        $buff .= "</table>";
        $buff .= "</span>";

        $buff .= "<fieldset>";
        $buff .= "<legend>" . $sistema->retTranslate( 'IgnorarErrosSeguintesContadores' ) . "</legend>";
        $buff .= "<table id='tableErrorCounter'>";

        $itens = array( 'MudancasParaBloqueado', 'PerdaSinal', 'IndicacaoAlarmesRecebidos', 'SincronismoQuadro', 'SincronismoMultiquadro', 'AlarmesRemotosRecebidos', 'AlarmesNaoIdentificados', 'ErrosPBRSDetectados', 'EbitsRecebidosIncorretos', 'VariacaoBrutaJitter', 'TempoSincronismoPerdido', 'ErrosAlinhamentoQuadro', 'QuadrosErrados', 'ViolacaoBipolar', 'ErrosCRC4' );

        $countErr = $sysYAML->getValue( 'IgnoredCounters' );

        for( $x = 0; $x < sizeof( $itens ); $x++ )
        {
            $checked = "";
            if( @in_array( $x, $countErr ) )
                $checked = "checked";

            if( $x % 2 == 0 )
                $buff .= "<tr class='green'>";
            else
                $buff .= "<tr class='lgreen'>";

            $buff .= "<td>";
            $buff .= $sistema->retTranslate( $itens[$x] );
            $buff .= "</td>";
            $buff .= "<td>";
            $buff .= "<input class='check' type='checkbox' name='IgnoredCounters$x' id='IgnoredCounters$x' value='IgnoredCounters$x' $checked>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }
        $buff .= "</table>";

        $buff .= "</fieldset>";
        $buff .= "</fieldset>";
        $buff .= '</br>';
        
        $buff .= "<div style='width:99%;text-align:right;'>";
        $buff .= "<input id='saveLogsErrorCountB' type='button' onclick=\"saveLogsErrorCount();\" value='" . $sistema->retTranslate( 'save' ) . "' />";
        $buff .= "</div>";
        $buff .= "<br>";
        $buff .= "</div>";

        return $buff;
    }

    function saveLogsErrorCount( $_REQUEST )
    {
        Global $sistema;

        $data = isset( $_REQUEST['data'] ) ? $_REQUEST['data'] : NULL;
        if( isset( $data ) )
        {
            $sysYAML = loadSystemYaml( );

            if( $data != '' )
                $data_arr = explode( ',', $data );
            else
                $data_arr = array( );

            $field = explode( '=', $data[0] );
            $sysYAML->changeVarValue( $field[0], $field[1] );

            $counters = explode( '=', $data_arr[1] );
            if( $counters[1] != '' )
            {
                $values = explode( ':', $counters[1] );
                $arr = array( );

                for( $i = 0; $i < sizeof( $values ); $i++ )
                {
                    if( $values[$i] == 'true' )
                        $arr[] = $i;
                }
            }
            else
                $arr = array( );

            $sysYAML->changeVarValue( $counters[0], $arr );
            $sysYAML->saveYaml( );

            return $sistema->retTranslate( 'ConfiguracaoSalva' );
        }
    }
