<?
    @session_start( );

    class SS7
    {
        var $yamlData, $aplicationdir;

        function __construct( )
        {
            Global $_SESSION;

            if( PHP_OS == "WINNT" )
            {
                if( !isset( $_SESSION['configPath'] ) )
                {
                    $winVersion = PHP_WINDOWS_VERSION_MAJOR . "." . PHP_WINDOWS_VERSION_MINOR;
                    if( is_file( "..\\..\\Tools\\kwebhelper.exe" ) )
                        $this->aplicationdir = exec( '..\\..\\Tools\\kwebhelper configdir' );
                    elseif( is_file( "..\\kwebhelper.exe" ) )
                        $this->aplicationdir = exec( '..\\kwebhelper configdir' );
                    if( $winVersion >= 6.1 )
                    {
                        $sysdata = explode( "\\", $this->aplicationdir );
                        if( sizeof( $sysdata ) <= 3 )
                            $this->aplicationdir = $sysdata[0] . "\\ProgramData\\" . $sysdata[1] . "\\" . $sysdata[2];
                    }
                    $_SESSION['configPath'] = $this->aplicationdir;
                }
                $this->aplicationdir = $_SESSION['configPath'];
            }
            else
            {
                $sysdir = "/etc";
                $this->aplicationdir = $sysdir . "/khomp/config";
            }
            $this->yamlData = new KYaml( $this->aplicationdir . "/ss7.yaml" );
        }

        function loadSession( )
        {
            $retorno = $this->yamlData->getYaml( );
            return $retorno;
        }

        function setYaml( $yaml )
        {
            $this->yamlData->setYaml( $yaml );
        }

        function getFirstKey( $arr )
        {
            $keys = array_keys( $arr );
            return $keys[0];
        }

        function printAddMTP2( $id )
        {
            Global $sistema;

            $tmpSS7 = $this->loadSession( );
            $newMTP2 = false;

            if( !isset( $id ) )
            {
                $id = sizeof( $mtp2 );
                $newMTP2 = true;
            }

            $MTP2_arr = array( );

            if( $newMTP2 )
            {
                $size = sizeof( $tmpSS7['ss7']['Mtp2'] );

                $MTP2_arr['name'] = "link-$size";
                $MTP2_arr['Address'] = "127.0.0.1";
                $MTP2_arr['T1'] = "40000";
                $MTP2_arr['T2'] = "5000";
                $MTP2_arr['T3'] = "1500";
                $MTP2_arr['T5'] = "100";
                $MTP2_arr['T6'] = "3000";
                $MTP2_arr['T7'] = "1000";
                $MTP2_arr['ProvingEmergency'] = "500";
                $MTP2_arr['ProvingNormal'] = "8200";
                $MTP2_arr['Device'] = '';
                $MTP2_arr['Link'] = "";
                $MTP2_arr['Passive'] = "false";
            }
            else
            {
                $name = $this->getFirstKey( $tmpSS7['ss7']['Mtp2'][$id] );
                $MTP2_arr['name'] = $name;
                $MTP2_arr['Address'] = $tmpSS7['ss7']['Mtp2'][$id][$name]['Address'];
                $MTP2_arr['T1'] = $tmpSS7['ss7']['Mtp2'][$id][$name]['Timers']['T1'];
                $MTP2_arr['T2'] = $tmpSS7['ss7']['Mtp2'][$id][$name]['Timers']['T2'];
                $MTP2_arr['T3'] = $tmpSS7['ss7']['Mtp2'][$id][$name]['Timers']['T3'];
                $MTP2_arr['T5'] = $tmpSS7['ss7']['Mtp2'][$id][$name]['Timers']['T5'];
                $MTP2_arr['T6'] = $tmpSS7['ss7']['Mtp2'][$id][$name]['Timers']['T6'];
                $MTP2_arr['T7'] = $tmpSS7['ss7']['Mtp2'][$id][$name]['Timers']['T7'];
                $MTP2_arr['ProvingEmergency'] = $tmpSS7['ss7']['Mtp2'][$id][$name]['Timers']['ProvingEmergency'];
                $MTP2_arr['ProvingNormal'] = $tmpSS7['ss7']['Mtp2'][$id][$name]['Timers']['ProvingNormal'];
                $MTP2_arr['Device'] = $tmpSS7['ss7']['Mtp2'][$id][$name]['Device'];
                $MTP2_arr['Link'] = $tmpSS7['ss7']['Mtp2'][$id][$name]['Link'];
                $MTP2_arr['Passive'] = $tmpSS7['ss7']['Mtp2'][$id][$name]['Passive'];
            }
            $return .= "";
            $return .= "<fieldset>";
            $return .= "<legend>Link</legend>";
            $return .= "<table>";
            $return .= "<tr class='green'>";
            $return .= "<td width='90%' align='left'>Nome:</td>";

            $return .= "<td width='10%' align='right'><input class='selector5' value='" . $MTP2_arr['name'] . "' id='name' name='name' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td width='90%' align='left'>Address:</td>";
            $return .= "<td width='10%' align='right'><input class='selector5' onkeydown='return maskIP(event, this);' onkeyup='validateIP(this);' value='" . $MTP2_arr['Address'] . "' id='Address' name='Address' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td width='90%' align='left'>T1:</td>";
            $return .= "<td width='10%' align='right'><input class='selector5' value='" . $MTP2_arr['T1'] . "' id='T1' name='T1' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td width='90%' align='left'>T2:</td>";
            $return .= "<td width='10%' align='right'><input class='selector5' value='" . $MTP2_arr['T2'] . "' id='T2' name='T2' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td width='90%' align='left'>T3:</td>";
            $return .= "<td width='10%' align='right'><input class='selector5' value='" . $MTP2_arr['T3'] . "' id='T3' name='T3' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td width='90%' align='left'>T5:</td>";
            $return .= "<td width='10%' align='right'><input class='selector5' value='" . $MTP2_arr['T5'] . "' id='T5' name='T5' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td width='90%' align='left'>T6:</td>";
            $return .= "<td width='10%' align='right'><input class='selector5' value='" . $MTP2_arr['T6'] . "' id='T6' name='T6' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td width='90%' align='left'>T7:</td>";
            $return .= "<td width='10%' align='right'><input class='selector5' value='" . $MTP2_arr['T7'] . "' id='T7' name='T7' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td width='90%' align='left'>ProvingEmergency:</td>";
            $return .= "<td width='10%' align='right'><input class='selector5' value='" . $MTP2_arr['ProvingEmergency'] . "' id='ProvingEmergency' name='ProvingEmergency' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td width='90%' align='left'>ProvingNormal:</td>";
            $return .= "<td width='10%' align='right'><input class='selector5' value='" . $MTP2_arr['ProvingNormal'] . "' id='ProvingNormal' name='ProvingNormal' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td width='90%' align='left'>Device:</td>";
            $return .= "<td width='10%' align='right'>";
            $return .= "<input class='selector5' value='" . $MTP2_arr['Device'] . "' id='Device' name='Device' onkeyup='javascript: validateSerial(this);' onmouseup='return serialMask(this, event);' onKeyPress='return serialMask(this, event);' type='text'>";
            $return .= "</td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td width='90%' align='left'>Link:</td>";
            $return .= "<td width='10%' align='right'>";
            $return .= $this->getLinkSelected( $MTP2_arr['Link'], 'deviceLink' );
            $return .= "</td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td width='90%' align='left'>Passive:</td>";
            $return .= "<td width='10%' align='right' style='text-align:center;'>";

            $checked = $MTP2_arr['Passive'] == 'true' ? 'checked' : '';

            $return .= "<input id='Passive' name='Passive' $checked type='checkbox'></td>";
            $return .= "</tr>";

            $return .= "</table>";
            $return .= "</fieldset>";
            $return .= "<br>";

            $val = $newMTP2 ? '' : $id;
            $return .= "<input onclick=\"javascript:saveMTP2('$val');\" value='" . $sistema->retTranslate( "Concluir" ) . "' type='button'>";
            $return .= "<input onclick='javascript:showMTP2();' value='" . $sistema->retTranslate( "Cancelar" ) . "' type='button'>";

            return $return;
        }

        function saveMTP2( $_REQUEST )
        {
            Global $sistema;

            $Device = explode( " - ", $_REQUEST['Device'] );
            $device = $Device[0];
            $link = $Device[1];
            $name = $_REQUEST['name'];
            $newMtp2[$name]['Address'] = $_REQUEST['Address'];
            $newMtp2[$name]['Device'] = $device;
            $newMtp2[$name]['Link'] = $link;
            $newMtp2[$name]['Timeslot'] = "16";
            $newMtp2[$name]['Passive'] = $_REQUEST['Passive'];
            $newMtp2[$name]['LssuLength'] = "2";
            $newMtp2[$name]['Timers']['T1'] = $_REQUEST['T1'];
            $newMtp2[$name]['Timers']['T2'] = $_REQUEST['T2'];
            $newMtp2[$name]['Timers']['T3'] = $_REQUEST['T3'];
            $newMtp2[$name]['Timers']['T5'] = $_REQUEST['T5'];
            $newMtp2[$name]['Timers']['T6'] = $_REQUEST['T6'];
            $newMtp2[$name]['Timers']['T7'] = $_REQUEST['T7'];
            $newMtp2[$name]['Timers']['ProvingEmergency'] = $_REQUEST['ProvingEmergency'];
            $newMtp2[$name]['Timers']['ProvingNormal'] = $_REQUEST['ProvingNormal'];

            if( $this->testMtp2DeviceLink( $device, $link, $_REQUEST['id'] ) )
            {
                if( $this->verifyLink( $name, $_REQUEST['id'] ) )
                {
                    if( trim( $device ) != '' && $device > 100 )
                    {
                        $tmpSS7 = $this->loadSession( );
                        if( isset( $_REQUEST['id'] ) )
                        {
                            unset( $tmpSS7['ss7']['Mtp2'][$_REQUEST['id']] );
                            $tmpSS7['ss7']['Mtp2'][$_REQUEST['id']] = $newMtp2;
                        }
                        else
                        {
                            $size = sizeof( $tmpSS7['ss7']['Mtp2'] );
                            $tmpSS7['ss7']['Mtp2'][$size] = $newMtp2;
                        }

                        $this->setYaml( $tmpSS7 );
                        $this->saveSession( );
                        return '1|' . $sistema->retTranslate( 'ConfiguracaoSalva' );
                    }
                }
                else
                    return '0|' . $sistema->retTranslate( 'NameUsed' );
            }
            else
                return '0|' . $sistema->retTranslate( 'deviceLinkUsed' );

            break;
        }

        function removeMTP2( $_REQUEST )
        {
            Global $sistema;
            $linkId = $_REQUEST['id'];
            $this->verifyDelMTP2LinkOnLinkset( $linkId );
            $tmpSS7 = $this->loadSession( );
            unset( $tmpSS7['ss7']['Mtp2'][$linkId] );
            $this->setYaml( $tmpSS7 );
            $this->saveSession( );

            return '1|' . $sistema->retTranslate( 'ConfiguracaoSalva' );
            break;
        }

        function printAddPointCode( $ID )
        {
            Global $sistema;

            $newMTP2 = false;
            if( !isset( $ID ) )
            {
                $id = sizeof( $mtp2 );
                $newMTP2 = true;
            }
            else
                $id = $ID;
            $pc_arr = array( );
            $tmpSS7 = $this->loadSession( );

            if( $newMTP2 )
            {
                $pc_arr['name'] = '';
                $pc_arr['first'] = '';
                $pc_arr['middel'] = '';
                $pc_arr['last'] = '';
            }
            else
            {
                $name = $this->getFirstKey( $tmpSS7['ss7']['PointCodes'][$id] );
                $first = $tmpSS7['ss7']['PointCodes'][$id][$name][0];
                $middle = $tmpSS7['ss7']['PointCodes'][$id][$name][1];
                $last = $tmpSS7['ss7']['PointCodes'][$id][$name][2];

                $f = zeroFill( decbin( $first ), 3 );
                $m = zeroFill( decbin( $middle ), 8 );
                $l = zeroFill( decbin( $last ), 3 );
                $decimal = $f . $m . $l;
                $decimal = bindec( $decimal );

                $pc_arr['name'] = $name;
                $pc_arr['first'] = $first;
                $pc_arr['middle'] = $middle;
                $pc_arr['last'] = $last;
                $pc_arr['decimal'] = $decimal;
            }

            $buff = '';
            $buff .= "<fieldset>";
            $buff .= "<legend>PointCode</legend>";
            $buff .= "<table>";
            $buff .= "<tbody>";
            $buff .= "<tr>";
            $buff .= "<td>" . $sistema->retTranslate( "Nome" ) . ":";
            $buff .= "<input class='selector5' id='pcName' name='pcName' type='text' value='" . $pc_arr['name'] . "'></td>";
            ;
            $buff .= "<td align='left'>" . $sistema->retTranslate( "PointCodeDecimal" ) . ":";
            $buff .= "<input onkeyup='javascript:geraCodePoint(this);' id='pointCodeDecimal' name='pointCodeDecimal' type='text' value='" . $pc_arr['decimal'] . "'></td>";
            $buff .= "<td align='left'>(3-8-3)<input onkeyup='javascript:geraCodePointDecimal();' size='3' id='First' name='First' type='text' value='" . $pc_arr['first'] . "'> - ";
            $buff .= "<input onkeyup='javascript:geraCodePointDecimal();' size='3' id='Middle' name='Middle' type='text' value='" . $pc_arr['middle'] . "'> - ";
            $buff .= "<input onkeyup='javascript:geraCodePointDecimal();' size='3' id='Last' name='Last' type='text' value='" . $pc_arr['last'] . "'></td>";
            $buff .= "</tr>";
            $buff .= "</tbody>";
            $buff .= "</table>";
            $buff .= "</fieldset>";
            $buff .= "<br>";

            $val = isset( $ID ) ? $ID : '';

            $buff .= "<input value='" . $sistema->retTranslate( "Concluir" ) . "' type='button' onClick=\"javascript:savePointCode('$val');\">";
            $buff .= "<input onclick='javascript:showPointCodes();' value='" . $sistema->retTranslate( "Cancelar" ) . "' type='button'>";

            return $buff;
        }

        function savePointCode( $_REQUEST )
        {
            Global $sistema;

            $name = isset( $_REQUEST['name'] ) ? $_REQUEST['name'] : NULL;
            $first = isset( $_REQUEST['First'] ) ? $_REQUEST['First'] : NULL;
            $middle = isset( $_REQUEST['Middle'] ) ? $_REQUEST['Middle'] : NULL;
            $last = isset( $_REQUEST['Last'] ) ? $_REQUEST['Last'] : NULL;

            if( isset( $name ) && isset( $first ) && isset( $middle ) && isset( $last ) )
            {
                $tmpSS7 = $this->loadSession( );
                $newPC = array( );
                $newPC[$name][0] = $first;
                $newPC[$name][1] = $middle;
                $newPC[$name][2] = $last;

                if( isset( $_REQUEST['id'] ) )
                {
                    $id = $_REQUEST['id'];
                    unset( $tmpSS7['ss7']['PointCodes'][$id] );
                    if( $this->checkPointCode( $first, $middle, $last, $tmpSS7 ) )
                        $tmpSS7['ss7']['PointCodes'][$id] = $newPC;
                    else
                        return '0|' . $sistema->retTranslate( 'PointCodeJaExistente1' );
                }
                else
                {
                    if( $this->checkPointCode( $first, $middle, $last, $tmpSS7 ) )
                        $tmpSS7['ss7']['PointCodes'][] = $newPC;
                    else
                        return '0|' . $sistema->retTranslate( 'PointCodeJaExistente2' );
                }
                $this->setYaml( $tmpSS7 );
                $this->saveSession( );

                return '1|' . $sistema->retTranslate( 'ConfiguracaoSalva' );
            }
        }

        function removePointCode( $_REQUEST )
        {
            Global $sistema;

            $pointCodeId = $_REQUEST['id'];
            $this->verifyDelPCOnLinkset( $pointCodeId );
            $this->verifyDelPCOnCircuitGroup( $pointCodeId );
            $this->verifyDelPCOnRoute( $pointCodeId );
            $tmpSS7 = $this->loadSession( );
            unset( $tmpSS7['ss7']['PointCodes'][$pointCodeId] );
            $this->setYaml( $tmpSS7 );
            $this->saveSession( );

            return '1|' . $sistema->retTranslate( 'ConfiguracaoSalva' );
        }

        function saveTimers( $_REQUEST )
        {
            Global $sistema;
            $data = isset( $_REQUEST['data'] ) ? $_REQUEST['data'] : NULL;

            if( isset( $data ) )
            {
                $data = explode( ',', $data );
                $new_timers = array( );

                $tmpSS7 = $this->loadSession( );
                foreach( $data as $d )
                {
                    $t_arr = explode( ':', $d );
                    $tmpSS7['ss7']['Isup']['Timers'][$t_arr[0]] = $t_arr[1];
                }
                $this->setYaml( $tmpSS7 );
                $this->saveSession( );
            }

            return $sistema->retTranslate( 'ConfiguracaoSalva' );
        }

        function printAddCircuitGroups( $id )
        {
            Global $sistema;

            $tmpSS7 = $this->loadSession( );
            $CG = array( );
            if( isset( $id ) )
            {
                $name = $this->getFirstKey( $tmpSS7['ss7']['Isup']['CircuitGroups'][$id] );
                $CG['name'] = $name;
                $CG['OPC'] = $tmpSS7['ss7']['Isup']['CircuitGroups'][$id][$name]['Origin'];
                $CG['DPC'] = $tmpSS7['ss7']['Isup']['CircuitGroups'][$id][$name]['Destination'];
                $CG['Device'] = $tmpSS7['ss7']['Isup']['CircuitGroups'][$id][$name]['Device'];
                $CG['Link'] = $tmpSS7['ss7']['Isup']['CircuitGroups'][$id][$name]['Link'];
                $CG['Address'] = $tmpSS7['ss7']['Isup']['CircuitGroups'][$id][$name]['Address'];
                $CG['BaseCIC'] = $tmpSS7['ss7']['Isup']['CircuitGroups'][$id][$name]['BaseCIC'];
                $CG['Passive'] = $tmpSS7['ss7']['Isup']['CircuitGroups'][$id][$name]['Passive'];
                $CG['TimeslotMap'] = $tmpSS7['ss7']['Isup']['CircuitGroups'][$id][$name]['TimeslotMap'];
            }
            else
            {
                $tmp = $this->getFirstDeviceFree( );
                $tmp = explode( "-", $tmp );
                $device = $tmp[0];
                $link = $tmp[1];

                $CG['name'] = $this->getFreeCGName( "newCGroup", 0 );
                $CG['OPC'] = '';
                $CG['DPC'] = '';
                $CG['Device'] = '';
                $CG['Link'] = $tmp[1];
                $CG['Address'] = '127.0.0.1';
                $CG['BaseCIC'] = '1';
                $CG['Passive'] = 'false';
            }

            $pcs = $this->getPCs( );
            $return .= "<fieldset>";
            $return .= "<legend>CircuitGroup</legend>";
            $return .= "<table>";

            $return .= "<tr class='green'>";
            $return .= "<td align='left'>" . $sistema->retTranslate( "Nome" ) . ":</td>";
            $return .= "<td align='right'><input class='selector5' value='" . $CG['name'] . "' id='name' name='name' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td align='left'>OPC:</td>";
            $return .= "<td align='right'>";
            $return .= "<select id='OPC' name='OPC' class='selector6'>";
            $return .= $this->getSelectedPC( $pcs, $CG['OPC'] );
            $return .= "</select>";
            $return .= "</td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td align='left'>DPC:</td>";
            $return .= "<td align='right'>";
            $return .= "<select id='DPC' name='DPC' class='selector6'>";
            $return .= $this->getSelectedPC( $pcs, $CG['DPC'] );
            $return .= "</select>";
            $return .= "</td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td align='left'>Device:</td>";
            $return .= "<td align='right'>";
            $return .= "<input class='selector5' value='" . $CG['Device'] . "' id='Device' name='Device' onkeyup=\"javascript: validateSerial(this);carregaTimeslotMap(document.getElementById('DeviceLink').value,'');\" onmouseup='return serialMask(this, event);' onKeyPress='return serialMask(this, event);' type='text'>";
            $return .= "</td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td align='left'>Link:</td>";
            $return .= "<td align='right'>";
            $return .= $this->getLinkSelected( $CG['Link'], 'DeviceLink', "onchange=\"carregaTimeslotMap(this.value,'')\"" );
            $return .= "</td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td align='left'>Address:</td>";
            $return .= "<td align='right'>";
            $return .= "<input class='selector5' onkeydown='return maskIP(event, this);' onkeyup='validateIP(this);' value='" . $CG['Address'] . "' id='Address' name='Address' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td align='left'>BaseCIC:</td>";
            $return .= "<td align='right'><input class='selector5' value='" . $CG['BaseCIC'] . "' id='BaseCIC' name='BaseCIC' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td align='left'>Passive:</td>";

            $checked = $CG['Passive'] == 'true' ? 'checked' : '';

            $return .= "<td colspan='2' width='5%' align='center'><input id='Passive' $checked name='Passive' type='checkbox'></td>";
            $return .= "</tr>";

            $return .= "</table>";
            $return .= "<div id='divTimeslotMap'>";

            $tmpID = isset( $id ) ? $id : '';
            $return .= $this->printTimeslotForm( $CG['Device'], $CG['Link'], $tmpID );
            $return .= "</div>";
            $return .= "</fieldset>";
            $return .= "<br>";
            $val = isset( $id ) ? $id : '';
            $return .= "<input value='" . $sistema->retTranslate( "save" ) . "' onclick=\"javascript: saveCircuitGroup('$val');\" type='button'>";
            $return .= "<input onclick='javascript: showCircuitGroups();' value='" . $sistema->retTranslate( "Cancelar" ) . "' type='button'>";
            return $return;
        }

        function saveCircuitGroup( $_REQUEST )
        {
            Global $sistema;

            $name = isset( $_REQUEST['name'] ) ? $_REQUEST['name'] : NULL;
            $OPC = isset( $_REQUEST['OPC'] ) ? $_REQUEST['OPC'] : NULL;
            $DPC = isset( $_REQUEST['DPC'] ) ? $_REQUEST['DPC'] : NULL;
            $Address = isset( $_REQUEST['Address'] ) ? $_REQUEST['Address'] : NULL;
            $BaseCIC = isset( $_REQUEST['BaseCIC'] ) ? $_REQUEST['BaseCIC'] : NULL;
            $Passive = isset( $_REQUEST['Passive'] ) ? $_REQUEST['Passive'] : NULL;
            $TimeSlot = isset( $_REQUEST['TimeslotMap'] ) ? (string)$_REQUEST['TimeslotMap'] : NULL;
            $DeviceLink = isset( $_REQUEST['DeviceLink'] ) ? $_REQUEST['DeviceLink'] : NULL;
            $id = isset( $_REQUEST['id'] ) ? $_REQUEST['id'] : NULL;

            if( isset( $name ) && isset( $OPC ) && isset( $DPC ) && isset( $Address ) && isset( $BaseCIC ) && isset( $Passive ) && isset( $TimeSlot ) && isset( $DeviceLink ) )
            {

                if( !$this->verifyBaseCIC( $BaseCIC, $id ) )
                    return '0|' . $sistema->retTranslate( 'CICAlreadyUsed' );

                $tmpSS7 = $this->loadSession( );
                $newCG = array( );
                $newCG[$name]['Origin'] = $OPC;
                $newCG[$name]['Destination'] = $DPC;
                $newCG[$name]['Address'] = $Address;
                $newCG[$name]['BaseCIC'] = $BaseCIC;
                $newCG[$name]['Passive'] = $Passive;
                $newCG[$name]['TimeslotMap'] = $TimeSlot;
                $tmp = explode( " - ", $DeviceLink );
                $newCG[$name]['Device'] = $tmp[0];
                $newCG[$name]['Link'] = $tmp[1];

                if( isset( $id ) )
                {
                    if( $this->verifyCG( $name, $id ) )
                        $tmpSS7['ss7']['Isup']['CircuitGroups'][$id] = $newCG;
                    else
                        return '0|' . $sistema->retTranslate( 'CircuitGroupAlreadyExists' );
                }
                else
                {
                    if( $this->verifyCG( $name, '' ) )
                        $tmpSS7['ss7']['Isup']['CircuitGroups'][] = $newCG;
                    else
                        return '0|' . $sistema->retTranslate( 'CircuitGroupAlreadyExists' );
                }
                $this->setYaml( $tmpSS7 );
                $this->saveSession( false );

                return '1|' . $sistema->retTranslate( 'ConfiguracaoSalva' );
            }
        }

        function verifyBaseCIC( $CIC, $id )
        {
            $tmpSS7 = $this->loadSession( );
            $qtdeCG = sizeof( $tmpSS7['ss7']['Isup']['CircuitGroups'] );

            for( $i = 0; $i < $qtdeCG; $i++ )
            {
                $keys = array_keys( $tmpSS7['ss7']['Isup']['CircuitGroups'][$i] );
                if( $tmpSS7['ss7']['Isup']['CircuitGroups'][$i][$keys[0]]['BaseCIC'] == $CIC )
                    return false;
            }
            return true;
        }

        function removeCircuitGroup( $_REQUEST )
        {
            Global $sistema;

            $id = isset( $_REQUEST['id'] ) ? $_REQUEST['id'] : NULL;
            if( isset( $id ) )
            {
                $tmpSS7 = $this->loadSession( );
                unset( $tmpSS7['ss7']['Isup']['CircuitGroups'][$id] );
                $tmpSS7['ss7']['Isup']['CircuitGroups'] = $this->organiseData( $tmpSS7['ss7']['Isup']['CircuitGroups'] );
                $this->setYaml( $tmpSS7 );
                $this->saveSession( );

                return '1|' . $sistema->retTranslate( 'ConfiguracaoSalva' );
            }
        }

        function printMtp3Route( $id )
        {
            Global $sistema, $_SESSION, $image_dir;

            $tmpSS7 = $this->loadSession( );

            if( isset( $id ) )
            {
                $route = $tmpSS7['ss7']['Mtp3']['Routes'][$id];
                $keys = array_keys( $route );
                $tmpRoute = array( );
                $tmpRoute['name'] = $keys[0];
                $tmpRoute['PC'] = $route[$keys[0]]['PointCode'];
                $tmpRoute['LinkSets'] = $route[$keys[0]]['LinkSets'];
            }
            else
            {
                $tmpRoute = array( );
                $tmpRoute['name'] = '';
                $tmpRoute['PC'] = '';
                $tmpRoute['LinkSets'] = array( );
            }
            unset( $_SESSION['Linksets'] );
            $_SESSION['Linksets'] = $tmpRoute['LinkSets'];

            $return = "";
            $disabled = "";

            $mtp3linksetsSize = sizeof( $tmpSS7['ss7']['Mtp3']['LinkSets'] );

            $color = "lgreen";
            $return .= "<fieldset>";
            $return .= "<legend>MTP3 - " . $sistema->retTranslate( "Route" ) . "</legend>";
            $return .= "<table>";
            $return .= "<tr>";
            $return .= "<td align='left'>" . $sistema->retTranslate( 'Nome' ) . ":</td>";
            $return .= "<td align='right'>";
            $return .= "<input class='selector5' value='" . $tmpRoute['name'] . "' id='name' name='name' type='text'>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Destiny Point Code:</td>";
            $return .= "<td align='right'>";
            $return .= "<select id='PointCode' name='PointCode' class='selector6'>";
            $return .= $this->getSelectedPC( $this->getPCs( ), $tmpRoute['PC'] );
            $return .= "</select>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "</table>";
            $return .= "<br>";

            if( sizeof( $tmpRoute['LinkSets'] ) > 0 )
            {
                $return .= "<table>";

                for( $x = 0; $x < sizeof( $tmpRoute['LinkSets'] ); $x++ )
                {
                    $color = $color != "lgreen" ? "lgreen" : "green";
                    $return .= "<tr class='$color'>";
                    $return .= "<td width='40%' align='left'>Linkset - " . $x . "</td>";
                    $return .= "<td width='40%' align='center'>" . $tmpRoute[$keys[0]]['LinkSets'][$x] . "</td>";
                    $return .= "<td width='18%' align='right'>";
                    $return .= "<input value='" . $sistema->retTranslate( "edit" ) . "' onclick='javascript:preUpdateMtp3Linkset($x);' type='button'>";
                    $return .= "</td>";

                    $return .= "<td width='2%' align='right'>";
                    $return .= "<a href='#' onClick='javascript:deleteMtp3RouteLinkset($X);'>";
                    $return .= "<img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='$image_dir/imagens/lixeira.gif'/></a>";
                    $return .= "</td>";
                    $return .= "</tr>";
                }
                $return .= "</table>";
            }
            else
            {
                $return .= "<div id='mtp3route'>";
                $return .= $this->printUpdateMtp3Linkset( '', $id );
                $return .= "<input value='" . $sistema->retTranslate( "AdicionarLinksetRota" ) . "' onclick='javascript:addRouteLinkset($routeId);' type='button' $disabled>";
                $return .= "</div>";
                $return .= "</fieldset>";
            }

            $return .= "<br>";
            $return .= "<input value='" . $sistema->retTranslate( "SalvarRota" ) . "' onclick=\"javascript:saveRoute('$id');\" type='button'>";
            $return .= "<input onclick='javascript:showRoutes();' value='" . $sistema->retTranslate( "Cancelar" ) . "' type='button'>";

            return $return;
        }

        function printUpdateMtp3Linkset( $routeId, $linksetId )
        {
            Global $sistema;
            $buff = '';

            $conjunto = $this->getLinksets( );

            $buff .= "<fieldset>";
            $buff .= "<legend>Mtp3 - Linkset</legend>";
            $buff .= "<table>";
            $buff .= "<tr>";
            $buff .= "<td align='left'>LinkSet:</td>";
            $buff .= "<td align='right'>";
            $buff .= "<select id='routelinkset' class='selector6' name='routelinkset'>";
            for( $x = 0; $x < sizeof( $conjunto ); $x++ )
            {
                $selected = $conjunto[$x] == $linksetId ? "selected" : '';
                $buff .= "<option value=\"$conjunto[$x]\" $selected>$conjunto[$x]</option>\n";
            }
            $buff .= "</select>";
            $buff .= "</td>";
            $buff .= "</tr>";
            $buff .= "</table>";
            $buff .= "</fieldset>";
            $buff .= "<br>";

            return $buff;
        }

        function getLinksets( )
        {
            $tmpSS7 = $this->loadSession( );

            $linksets = array( );
            if( isset( $tmpSS7['ss7']['Mtp3']['LinkSets'] ) )
            {
                $chaves = array_keys( $tmpSS7['ss7']['Mtp3']['LinkSets'] );
                for( $x = 0; $x < sizeof( $tmpSS7['ss7']['Mtp3']['LinkSets'] ); $x++ )
                {
                    $keys = array_keys( $tmpSS7['ss7']['Mtp3']['LinkSets'][$chaves[$x]] );
                    $linksets[$x] = $keys[0];
                }
            }
            return $linksets;
        }

        function printMtp2Link( )
        {
            echo $this->getMtp2Link( );
        }

        function printPointCodes( )
        {
            echo $this->getPointCodes( );
        }

        function printMtp3Link( $linksetId, $linkId )
        {
            echo $this->getMtp3Link( $linksetId, $linkId );
        }

        function printAddMtp3Link( $linksetId )
        {
            echo $this->getAddMtp3Link( $linksetId );
        }

        function organiseData( $data )
        {
            $keys = array_keys( $data );
            $tmpSession = array( );
            for( $i = 0; $i < sizeof( $keys ); $i++ )
                $tmpSession[] = $data[$keys[$i]];
            return $tmpSession;
        }

        function getTimers( $update = false )
        {
            Global $_SESSION;
            $sistema = unserialize( $_SESSION['sis'] );

            $return = "<fieldset><legend>" . $sistema->retTranslate( "Timers" ) . "</legend>\n";
            $return .= "<table class='timerTable'>";
            $return .= "<tbody>";

            $return .= "<tr class='green'>";
            $return .= "<td align='left'>T1:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T1'] ) ? $_SESSION['ss7']['Isup']['Timers']['T1'] : 45000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT1' name='T1' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T5:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T5'] ) ? $_SESSION['ss7']['Isup']['Timers']['T5'] : 60000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT5' name='T5' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td align='left'>T6:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T6'] ) ? $_SESSION['ss7']['Isup']['Timers']['T6'] : 35000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT6' name='T6' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T7:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T7'] ) ? $_SESSION['ss7']['Isup']['Timers']['T7'] : 25000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT7' name='T7' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td align='left'>T8:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T8'] ) ? $_SESSION['ss7']['Isup']['Timers']['T8'] : 13000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT8' name='T8' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T9:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T9'] ) ? $_SESSION['ss7']['Isup']['Timers']['T9'] : 120000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT9' name='T9' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td align='left'>T12:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T12'] ) ? $_SESSION['ss7']['Isup']['Timers']['T12'] : 45000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT12' name='T12' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T13:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T13'] ) ? $_SESSION['ss7']['Isup']['Timers']['T13'] : 600000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT13' name='T13' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td align='left'>T14:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T14'] ) ? $_SESSION['ss7']['Isup']['Timers']['T14'] : 45000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT14' name='T14' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T15:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T15'] ) ? $_SESSION['ss7']['Isup']['Timers']['T15'] : 600000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT15' name='T15' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td align='left'>T16:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T16'] ) ? $_SESSION['ss7']['Isup']['Timers']['T16'] : 45000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT16' name='T16' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T17:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T17'] ) ? $_SESSION['ss7']['Isup']['Timers']['T17'] : 600000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT17' name='T17' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td align='left'>T18:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T18'] ) ? $_SESSION['ss7']['Isup']['Timers']['T18'] : 45000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT18' name='T18' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T19:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T19'] ) ? $_SESSION['ss7']['Isup']['Timers']['T19'] : 600000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT19' name='T19' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td align='left'>T20:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T20'] ) ? $_SESSION['ss7']['Isup']['Timers']['T20'] : 45000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT20' name='T20' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T21:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T21'] ) ? $_SESSION['ss7']['Isup']['Timers']['T21'] : 600000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT21' name='T21' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td align='left'>T22:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T22'] ) ? $_SESSION['ss7']['Isup']['Timers']['T22'] : 45000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT22' name='T22' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T23:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T23'] ) ? $_SESSION['ss7']['Isup']['Timers']['T23'] : 600000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT23' name='T23' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td align='left'>T24:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T24'] ) ? $_SESSION['ss7']['Isup']['Timers']['T24'] : 1500;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT24' name='T24' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T25:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T25'] ) ? $_SESSION['ss7']['Isup']['Timers']['T25'] : 5000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT25' name='T25' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td align='left'>T26:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T26'] ) ? $_SESSION['ss7']['Isup']['Timers']['T26'] : 120000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT26' name='T26' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T27:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T27'] ) ? $_SESSION['ss7']['Isup']['Timers']['T27'] : 240000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT27' name='T27' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td align='left'>T28:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T28'] ) ? $_SESSION['ss7']['Isup']['Timers']['T28'] : 10000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT28' name='T28' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T34:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T34'] ) ? $_SESSION['ss7']['Isup']['Timers']['T34'] : 3000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT34' name='T34' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td align='left'>T36:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T36'] ) ? $_SESSION['ss7']['Isup']['Timers']['T36'] : 13000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT36' name='T36' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td align='left'>T37:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T37'] ) ? $_SESSION['ss7']['Isup']['Timers']['T37'] : 3000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT37' name='T37' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen' colspan='2'>";
            $return .= "<td align='left'>T38:</td>";
            $value = isset( $_SESSION['ss7']['Isup']['Timers']['T38'] ) ? $_SESSION['ss7']['Isup']['Timers']['T38'] : 120000;
            $return .= "<td align='right'><input class='selector5' value='$value' id='isupT38' name='T38' type='text'></td>";
            $return .= "<td></td>";
            $return .= "<td></td>";
            $return .= "<td></td>";
            $return .= "</tr>";
            $return .= "</table>\n";

            if( isset( $_SESSION['ss7']['Isup']['Timers'] ) )
                $text = 'AtualizarIsupTimers';
            else
                $text = 'AdicionarIsupTimers';
            $return .= "</fieldset><br>\n";
            return $return;
        }

        function printTimers( $update = false )
        {
            echo $this->getTimers( $update );
        }

        function getMtp2Link( )
        {
            Global $_SESSION, $image_dir;
            $sistema = unserialize( $_SESSION['sis'] );
            $boards = $sistema->getSS7Boards( );

            $mtp2LinkSize = 0;
            $serial = "";
            $disabled = "";
            $return = "";
            $mtp2 = null;

            if( isset( $_SESSION['ss7']['Mtp2'] ) )
            {
                $mtp2 = $_SESSION['ss7']['Mtp2'];
                $chaves = array_keys( $mtp2 );
                $mtp2LinkSize = sizeof( $mtp2 );
            }

            $color = "lgreen";
            $return = "<fieldset>";
            $return .= "<legend>" . $sistema->retTranslate( "MTP2" ) . "</legend>";

            $return .= "<table>";

            for( $x = 0; $x < sizeof( $mtp2 ); $x++ )
            {
                $linkKeys = array_keys( $mtp2[$chaves[$x]] );

                for( $y = 0; $y < sizeof( $boards ); $y++ )
                {
                    if( $boards[$y][3] == $mtp2[$chaves[$x]][$linkKeys[0]]['Device'] )
                        $serial = $boards[$y][0];
                }

                if( $color != "lgreen" )
                    $color = "lgreen";
                else
                    $color = "green";

                $return .= "<tr class='$color'>";
                $return .= "<td width='25%' align='left'>";
                $return .= "Link: " . $linkKeys[0];
                $return .= "</td>";
                $return .= "<td width='55%' align='center'>";
                $return .= "Serial: " . $mtp2[$chaves[$x]][$linkKeys[0]]['Device'];
                $return .= ", Link: " . $mtp2[$chaves[$x]][$linkKeys[0]]['Link'];
                $return .= "</td>";
                $return .= "<td width='18%' align='right'>";
                $return .= "<input value='" . $sistema->retTranslate( "Editar" ) . "' onclick='javascript:preUpdateLink($chaves[$x]);' type='button'>";
                $return .= "</td>";
                $return .= "<td align='right'>";
                $return .= "<a href='#' onClick='javascript:deleteLink($chaves[$x]);'>";
                $return .= "<img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='$image_dir/imagens/lixeira.gif'/></a>";
                $return .= "</td>";
                $return .= "</tr>";
            }
            if( sizeof( $mtp2 ) == 0 )
            {
                $return .= "<tr>";
                $return .= "<td>";
                $return .= $sistema->retTranslate( "NMtp2" );
                $return .= "</td>";
                $return .= "</tr>";
            }
            $return .= "</table>";
            $return .= "</fieldset>";
            $return .= "<br>";
            $return .= "<input type='hidden' id='mtp2links' name='mtp2links' value='$mtp2LinkSize' />";
            $return .= "<input value='" . $sistema->retTranslate( "addLink" ) . "' onclick=\"javascript:addLink('Mtp2',this);\" type='button' $disabled>";
            return $return;
        }

        function getPointCodes( )
        {
            Global $_SESSION;
            $sistema = unserialize( $_SESSION['sis'] );
            $return = "";
            if( isset( $_SESSION['ss7']['PointCodes'] ) )
            {
                $chaves = array_keys( $_SESSION['ss7']['PointCodes'] );
                $pointCodesSize = sizeof( $_SESSION['ss7']['PointCodes'] );
            }
            else
                $pointCodesSize = 0;

            $color = "lgreen";

            $return = "<fieldset>";
            $return .= "<legend>" . $sistema->retTranslate( "PointCodes" ) . "</legend>";
            $return .= "<table>";

            for( $x = 0; $x < sizeof( $_SESSION['ss7']['PointCodes'] ); $x++ )
            {
                if( $color != "lgreen" )
                    $color = "lgreen";
                else
                    $color = "green";

                $return .= "<tr class='$color'>";
                $return .= "<td width='50%' align='left'>";
                $firstKey = array_keys( $_SESSION['ss7']['PointCodes'][$chaves[$x]] );
                $return .= "PointCode - " . $firstKey[0];
                $return .= "</td>";
                $return .= "<td width='30%' align='right'>";
                $data = $_SESSION['ss7']['PointCodes'][$chaves[$x]][$firstKey[0]][0] . "-" . $_SESSION['ss7']['PointCodes'][$chaves[$x]][$firstKey[0]][1] . "-" . $_SESSION['ss7']['PointCodes'][$chaves[$x]][$firstKey[0]][2];
                $decimalDataTmp = explode( "-", $data );

                $first = $_SESSION['ss7']['PointCodes'][$chaves[$x]][$firstKey[0]][0];
                $middle = $_SESSION['ss7']['PointCodes'][$chaves[$x]][$firstKey[0]][1];
                $last = $_SESSION['ss7']['PointCodes'][$chaves[$x]][$firstKey[0]][2];
                $first = decbin( $first );
                $first = $this->zeroFill( $first, 3 );
                $middle = decbin( $middle );
                $middle = $this->zeroFill( $middle, 8 );
                $last = decbin( $last );
                $last = $this->zeroFill( $last, 3 );
                $decimal = $first . $middle . $last;
                $decimal = bindec( $decimal );

                $return .= $data . " ( " . $decimal . " )";
                $return .= "</td>";
                $return .= "<td width='20%' align='right'>";
                $return .= "<input value='" . $sistema->retTranslate( "Atualizar" ) . "' onclick='javascript:preUpdatePointCode($chaves[$x]);' type='button'>";
                $return .= "</td>";
                $return .= "<td align='right'>";
                $return .= "<a href='#' onClick='javascript:deletePointCode($chaves[$x]);'><img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='/imagens/lixeira.gif'/></a>";
                $return .= "</td>";
                $return .= "</tr>";
            }
            if( sizeof( $_SESSION['ss7']['PointCodes'] ) == 0 )
                $return .= "<tr><td>" . $sistema->retTranslate( "NPCs" ) . "</td></tr>";

            $return .= "</table>";
            $return .= "</fieldset>";
            $return .= "<br>";
            $return .= "<input value='" . $sistema->retTranslate( "AdicionarPointCode" ) . "' onclick=\"javascript:addPointCode('PointCodes',this);\" type='button'><br><input type='hidden' id='PCs' name='PCs' value='$pointCodesSize' />";

            return $return;
        }

        function getAddRouteLinkSet( $routeId )
        {
            Global $_SESSION;
            $sistema = unserialize( $_SESSION['sis'] );
            $conjunto = $this->getLinksets( );
            $return .= "<fieldset>";
            $return .= "    <legend>Mtp3 - Linkset</legend>";
            $return .= "    <table>";
            $return .= "        <tr>";
            $return .= "            <td align=\"left\">LinkSet:</td>";
            $return .= "            <td align=\"right\">";
            $return .= "                <select class=\"selector6\" id=\"routelinkset\" name=\"routelinkset\">";
            $return .= $this->getRouteLinkset( '                    ', $conjunto, $routeId );
            $return .= "                </select>";
            $return .= "            </td>";
            $return .= "        </tr>";
            $return .= "    </table>";
            $return .= "</fieldset>";
            $return .= "<br>";
            $return .= "    <input onclick=\"javascript:createMtp3RouteLinkset($routeId)\" value=\"" . $sistema->retTranslate( "AdicionarLinksetRota" ) . "\" type=\"button\">";
            $return .= "    <input onclick=\"javascript:updateRoute($routeId)\" value=\"" . $sistema->retTranslate( "Cancelar" ) . "\" type=\"button\">\n";
            return $return;
        }

        function printAddRouteLinkSet( $routeId )
        {
            echo $this->getAddRouteLinkSet( $routeId );
        }

        function printUpdateMtp3Route( $routeId )
        {
            Global $_SESSION;
            $sistema = unserialize( $_SESSION['sis'] );
            $pcs = $this->getPCs( );
            $keys = array_keys( $_SESSION['ss7']['Mtp3']['Routes'][$routeId] );
            echo "<fieldset>";
            echo "    <legend>Route</legend>";
            echo "    <table>";
            echo "        <tr>";
            echo "            <td align=\"left\">PointCode:</td>";
            echo "            <td align=\"right\">";
            echo "            <select id=\"PointCode\" class=\"selector6\" name=\"PointCode\">";
            echo $this->getSelectedPC( '                ', $pcs, $_SESSION['ss7']['Mtp3']['Routes'][$routeId][$keys[0]]['PointCode'] );
            echo "            </select>";
            echo "            </td>";
            echo "        </tr>";
            echo "    </table>";
            echo "</fieldset>";
            echo "<br>";
            echo "    <input onclick=\"javascript:updateRoute($routeId);\" value=\"" . $sistema->retTranslate( "Concluir" ) . "\" type=\"button\">";
            echo "    <input onclick=\"javascript:getMtp3RouteLinsetList()\" value=\"" . $sistema->retTranslate( "Cancelar" ) . "\" type=\"button\">\n";
        }

        function printAddRoutes( )
        {
            Global $_SESSION;
            $sistema = unserialize( $_SESSION['sis'] );
            $pcs = $this->getPCs( );
            echo "<fieldset>";
            echo "    <legend>Route</legend>";
            echo "    <table>";
            echo "        <tr>";
            echo "            <td align=\"left\">PointCode:</td>";
            echo "            <td align=\"right\">";
            echo "            <select id=\"PointCode\" class=\"selector6\" name=\"PointCode\">";
            echo $this->getSelectedPC( '                ', $pcs, '' );
            echo "            </select>";
            echo "            </td>";
            echo "        </tr>";
            echo "    </table>";
            echo "</fieldset>";
            echo "<br>";
            echo "    <input onclick=\"javascript:createRoutes();\" value=\"" . $sistema->retTranslate( "AdicionarRota" ) . "\" type=\"button\">";
            echo "    <input onclick=\"javascript:getMtp3RouteLinsetList()\" value=\"" . $sistema->retTranslate( "Cancelar" ) . "\" type=\"button\">\n";
        }

        function printUpdateMtp3RouteLinkset( $routetId, $routeLinksetId )
        {
            Global $_SESSION;
            $sistema = unserialize( $_SESSION['sis'] );
            $pcs = $this->getPCs( );
            echo "<fieldset>";
            echo "    <legend>Route</legend>";
            echo "    <table>";
            echo "        <tr>";
            echo "            <td align=\"left\">LinkSet:</td>";
            echo "            <td align=\"right\">";
            echo "            <select id=\"PointCode\" class=\"selector6\" name=\"PointCode\">";
            echo $this->getSelectedPC( '                ', $pcs, $_SESSION['ss7']['Mtp3']['Routes'][$routetId]['PointCode'] );
            echo "            </select>";
            echo "            </td>";
            echo "        </tr>";
            echo "    </table>";
            echo "</fieldset>";
            echo "<br>";
            echo "    <input onclick=\"javascript:updateRoute($routetId);\" value=\"" . $sistema->retTranslate( "AdicionarRota" ) . "\" type=\"button\">";
        }

        function printUpdateLinkSet( $linksetId )
        {
            Global $_SESSION;
            $sistema = unserialize( $_SESSION['sis'] );
            $keys = array_keys( $_SESSION['ss7']['Mtp3']['LinkSets'][$linksetId] );
            $pcs = $this->getPCs( );

            echo "<fieldset id='fieldLinkSets'>";
            echo "<legend>LinkSet</legend>";
            echo "<table>";
            echo "<tr class='green'>";
            echo "<td align='left'>Origin point code:</td>";
            echo "<td align='right'>";
            echo "<select id='OP' class='selector6' name='OP'>";
            echo $this->getSelectedPC( $pcs, $_SESSION['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Origin'] );
            echo "</select>";
            echo "</td>";
            echo "</tr>";
            echo "<tr>";
            echo "<td align='left'>Adjacent point code:</td>";
            echo "<td align='right'>";
            echo "<select id='AP' class='selector6' name='AP'>";
            echo $this->getSelectedPC( $pcs, $_SESSION['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Adjacent'] );
            echo "</select>";
            echo "</td>";
            echo "</tr>";
            echo "</table>";
            echo "</fieldset>";
            echo "<br>";
            echo "<input onclick='javascript:updateLinkSet($linksetId);' value='" . $sistema->retTranslate( "Concluir" ) . "' type='button'>";
            echo "<input onclick='javascript:getMtp3LinsetList();' value='" . $sistema->retTranslate( "Cancelar" ) . "' type='button'>";
        }

        function getMtp3Link( $linksetId, $mtp3LinkId )
        {
            Global $_SESSION;
            $sistema = unserialize( $_SESSION['sis'] );
            $keys = array_keys( $_SESSION['ss7']['Mtp3']['LinkSets'][$linksetId] );
            //var_dump($keys);
            $keys2 = array_keys( $_SESSION['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'][$mtp3LinkId] );

            $return = "<fieldset>";
            $return .= "    <legend>Mtp3 - Link</legend>";
            $return .= "    <table>";
            $return .= "        <tr>";
            $return .= "            <td align=\"left\">Mtp2 - Link:</td>";
            $return .= "            <td align=\"right\">";
            $return .= "            <select id=\"mtp2Link\" class=\"selector6\" name=\"mtp2Link\">";
            $return .= $this->getFreeMtp2LinkIdOptions( $mtp3LinkId );
            $return .= "            </select>";
            $return .= "            </td>";
            $return .= "        </tr>";
            $return .= "        <tr>";
            $return .= "            <td align=\"left\">SLC:</td>";
            $return .= "            <td align=\"right\">";
            $return .= "            <select id=\"slc\" class=\"selector6\" name=\"slc\">";
            $return .= $this->getSLC( $linksetId, $_SESSION['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'][$mtp3LinkId]['Slc'] );
            $return .= "            </select>";
            $return .= "            </td>";
            $return .= "        </tr>";
            $return .= "        <tr>";
            $return .= "            <td align=\"left\">Q707T1:</td>";
            $return .= "            <td align=\"right\"><input class=\"selector5\" value=\"" . $_SESSION['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'][$mtp3LinkId][$keys2[0]]['Timers']['Q707T1'] . "\" id=\"Q707T1\" name=\"Q707T1\" type=\"text\"></td>";
            $return .= "            </tr>";
            $return .= "            <tr>";
            $return .= "            <td align=\"left\">Q707T2:</td>";
            $return .= "            <td align=\"right\"><input class=\"selector5\" value=\"" . $_SESSION['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'][$mtp3LinkId][$keys2[0]]['Timers']['Q707T2'] . "\" id=\"Q707T2\" name=\"Q707T2\" type=\"text\"></td>";
            $return .= "        </tr>";
            $return .= "        <tr>";
            $return .= "            <td align=\"left\">Q704T17:</td>";
            $return .= "            <td align=\"right\"><input class=\"selector5\" value=\"" . $_SESSION['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'][$mtp3LinkId][$keys2[0]]['Timers']['Q704T17'] . "\" id=\"Q704T17\" name=\"Q704T17\" type=\"text\"></td>";
            $return .= "        </tr>";
            $return .= "    </table>";
            $return .= "</fieldset>";
            $return .= "<br>";
            $return .= "    <input onclick=\"javascript:updateMtp3Link(" . $linksetId . "," . $mtp3LinkId . ")\" value=\"" . $sistema->retTranslate( "Concluir" ) . "\" type=\"button\">";
            $return .= "    <input onclick=\"javascript:updateLinkSet(" . $linksetId . ")\" value=\"" . $sistema->retTranslate( "Cancelar" ) . "\" type=\"button\">\n";
            return $return;
        }

        // function montaInterface($simpleXMLElement)
        // {
        // $return = "";
        // foreach ($simpleXMLElement->children() as $formObj)
        // {
        // switch((string)$formObj->attributes()->type)
        // {
        // case "fieldset" :
        // $return .= "<fieldset>\n";
        // $return .= "<legend>" . (string)$formObj -> attributes() -> legend .
        // "</legend>\n";
        // $return .= $this -> montaInterface($formObj);
        // $return .= "</fieldset>\n";
        // break;
        // case "input" :
        // $return .= $this -> getInputField($formObj);
        // break;
        // case "select" :
        // $return .= $this -> getSelectField($formObj);
        // break;
        // case "checkBox" :
        // $return .= $this -> getCheckBoxField($formObj);
        // break;
        // case "button" :
        // $return .= $this -> getButtonField($formObj);
        // break;
        // }
        // }
        // return $return;
        // }
        //
        // function getInputField($simpleXMLElement, $field = "")
        // {
        // Global $_SESSON;
        // $valor = "";
        // $nome = (string) $simpleXMLElement -> getName();
        // if ($field == "")
        // $valor = (string) $simpleXMLElement -> attributes() -> default;
        // else
        // {
        // $conjunto = explode("-", $field);
        // $valor = $_SESSION;
        // for ($x = 0; $x < sizeof($conjunto); $x++)
        // $valor = $valor[$conjunto[$x]];
        // }
        // $return = "";
        // $return .= "<table>\n<tr>\n";
        // $return .= "<td align=\"left\">" . (string)$simpleXMLElement ->
        // attributes() -> caption . "</td>\n";
        // $return .= "<td align=\"right\"><input type=\"text\" id=\"$nome\"
        // name=\"$nome\" value=\"$valor\"\"></td>\n";
        // $return .= "</tr>\n</table>\n";
        // return $return;
        // }

        // function getSelectField($simpleXMLElement)
        // {
        // return;
        // }
        //
        // function getCheckBoxField($simpleXMLElement, $field = "")
        // {
        // Global $_SESSON;
        // $valor = "";
        // $return = "";
        // $checked = "";
        // $nome = (string)$simpleXMLElement -> getName();
        // if ($field == "")
        // $valor = (string)$simpleXMLElement -> attributes() -> default;
        // else
        // {
        // $conjunto = explode("-", $field);
        // $valor = $_SESSION;
        // for ($x = 0; $x < sizeof($conjunto); $x++)
        // $valor = $valor[$conjunto[$x]];
        // }
        // if ($valor == "true")
        // $checked = "checked";
        // $return .= "<table>\n<tr>\n";
        // $return .= "<td align=\"left\"><input class=\"check\"type=\"checkbox\"
        // name=\"$nome\" value=\"$nome\" $checked> " . (string)$simpleXMLElement
        // -> attributes() -> caption . "</td>\n";
        // $return .= "</tr>\n</table>\n";
        // return $return;
        // }
        //
        // function getButtonField($simpleXMLElement)
        // {
        // $valor = (string)$simpleXMLElement -> attributes() -> caption;
        // $event = (string)$simpleXMLElement -> attributes() -> event;
        // $jfunct = (string)$simpleXMLElement -> attributes() -> jfunct;
        // $javascript = "javascript:" . $jfunct . "();";
        // $return = "<input type=\"button\" value=\"" . $valor . "\"
        // $event=\"$javascript\">";
        // return $return;
        // }

        function getCheckBoxValue( $value )
        {
            if( $value == "true" )
                return "checked";
            return;
        }

        function checkMtp2Link( $device, $link )
        {
            Global $_SESSION;
            if( isset( $_SESSION['ss7']['Mtp2']['link'] ) )
            {
                $chaves = array_keys( $_SESSION['ss7']['Mtp2'] );
                for( $x = 0; $x < sizeof( $_SESSION['ss7']['Mtp2'] ); $x++ )
                {
                    if( $_SESSION['ss7']['Mtp2']['link'][$chaves[$x]]['Device'] == $device & $_SESSION['ss7']['Mtp2'][$chaves[$x]]['Link'] == $link )
                        return false;
                }
            }
            return true;
        }

        function checkLinkset( $name, $routeId )
        {
            Global $_SESSION;
            if( isset( $_SESSION['ss7']['Mtp3']['Routes']['route'][$routeId] ) )
            {
                $chaves = array_keys( $_SESSION['ss7']['Mtp3']['Routes'][$routeId] );
                $key = array_keys( $_SESSION['ss7']['Mtp3']['Routes'][$routeId][$chaves[0]['LinkSets']] );
                for( $x = 0; $x < sizeof( $_SESSION['ss7']['Mtp3']['Routes'][$routeId][$chaves[0]['LinkSets']] ); $x++ )
                {
                    if( $key[$x] == $name )
                        return false;
                }
            }
            return true;
        }

        function getSelectedLink( $espacos, $device, $link, $option = "" )
        {
            Global $_SESSION;
            $sistema = unserialize( $_SESSION['sis'] );
            $serial = "";
            $boards = $sistema->getSS7Boards( );
            $selected = "";
            $return = "";
            if( $option == "" )
            {
                for( $x = 0; $x < sizeof( $boards ); $x++ )
                {
                    $deviceSerial = $boards[$x][0];
                    if( $deviceSerial == $device & $link == "0" )
                        $selected = "selected";
                    else
                        $selected = "";
                    if( ($selected == "" & $this->checkMtp2Link( $deviceSerial, '0' )) | ($selected == "selected") )
                        $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link0' . "\" $selected>" . $deviceSerial . ' - ' . 'Link0' . "</option>\n";
                    if( trim( $boards[$x][4] ) == '2' )
                    {
                        if( $deviceSerial == $device & $link == "1" )
                            $selected = "selected";
                        else
                            $selected = "";
                        if( ($selected == "" & $this->checkMtp2Link( $deviceSerial, '1' )) | ($selected == "selected") )
                            $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link1' . "\" $selected>" . $deviceSerial . ' - ' . 'Link1' . "</option>\n";
                    }
                    if( trim( $boards[$x][4] ) == '3' )
                    {
                        if( $deviceSerial == $device & $link == "1" )
                            $selected = "selected";
                        else
                            $selected = "";
                        if( ($selected == "" & $this->checkMtp2Link( $deviceSerial, '1' )) | ($selected == "selected") )
                            $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link1' . "\" $selected>" . $deviceSerial . ' - ' . 'Link1' . "</option>\n";

                        if( $boards[$x][3] == $device & $link == "2" )
                            $selected = "selected";
                        else
                            $selected = "";
                        if( ($selected == "" & $this->checkMtp2Link( $deviceSerial, '2' )) | ($selected == "selected") )
                            $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link2' . "\" $selected>" . $deviceSerial . ' - ' . 'Link2' . "</option>\n";
                    }
                    if( trim( $boards[$x][4] ) == '4' )
                    {
                        if( $deviceSerial == $device & $link == "1" )
                            $selected = "selected";
                        else
                            $selected = "";
                        if( ($selected == "" & $this->checkMtp2Link( $deviceSerial, '1' )) | ($selected == "selected") )
                            $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link1' . "\" $selected>" . $deviceSerial . ' - ' . 'Link1' . "</option>\n";

                        if( $deviceSerial == $device & $link == "2" )
                            $selected = "selected";
                        else
                            $selected = "";
                        if( ($selected == "" & $this->checkMtp2Link( $deviceSerial, '2' )) | ($selected == "selected") )
                            $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link2' . "\" $selected>" . $deviceSerial . ' - ' . 'Link2' . "</option>\n";

                        if( $deviceSerial == $device & $link == "3" )
                            $selected = "selected";
                        else
                            $selected = "";
                        if( ($selected == "" & $this->checkMtp2Link( $deviceSerial, '3' )) | ($selected == "selected") )
                            $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link3' . "\" $selected>" . $deviceSerial . ' - ' . 'Link3' . "</option>\n";
                    }
                }
            }
            elseif( $option == "isup" )
            {
                for( $x = 0; $x < sizeof( $boards ); $x++ )
                {
                    $deviceSerial = $boards[$x][0];
                    if( $this->checkISUP( $deviceSerial, '0' ) | ($deviceSerial == $device & $link == '0') )
                        $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link0' . "\" $selected>" . $deviceSerial . ' - ' . 'Link0' . "</option>\n";

                    if( trim( $boards[$x][4] ) == '2' )
                    {
                        if( $this->checkISUP( $deviceSerial, '1' ) | ($deviceSerial == $device & $link == '1') )
                            $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link1' . "\" $selected>" . $deviceSerial . ' - ' . 'Link1' . "</option>\n";
                    }

                    if( trim( $boards[$x][4] ) == '3' )
                    {
                        if( $this->checkISUP( $deviceSerial, '1' ) | ($deviceSerial == $device & $link == '1') )
                            $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link1' . "\" $selected>" . $deviceSerial . ' - ' . 'Link1' . "</option>\n";
                        if( $this->checkISUP( $deviceSerial, '2' ) | ($deviceSerial == $device & $link == '2') )
                            $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link2' . "\" $selected>" . $deviceSerial . ' - ' . 'Link2' . "</option>\n";
                    }

                    if( trim( $boards[$x][4] ) == '4' )
                    {
                        if( $this->checkISUP( $deviceSerial, '1' ) | ($deviceSerial == $device & $link == '1') )
                            $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link1' . "\" $selected>" . $deviceSerial . ' - ' . 'Link1' . "</option>\n";
                        if( $this->checkISUP( $deviceSerial, '2' ) | ($deviceSerial == $device & $link == '2') )
                            $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link2' . "\" $selected>" . $deviceSerial . ' - ' . 'Link2' . "</option>\n";
                        if( $this->checkISUP( $deviceSerial, '3' ) | ($deviceSerial == $device & $link == '3') )
                            $return .= "$espacos<option value=\"" . $deviceSerial . ' - ' . $boards[$x][0] . ' - ' . 'Link3' . "\" $selected>" . $deviceSerial . ' - ' . 'Link3' . "</option>\n";
                    }
                }
            }
            return $return;
        }

        function getMtp2LinkId( $mtp2LinkId )
        {
            Global $_SESSION;
            $return = "";
            if( isset( $_SESSION['ss7']['Mtp2']['link'] ) )
            {
                $selected = "";
                $chaves = array_keys( $_SESSION['ss7']['Mtp2'] );
                for( $x = 0; $x < sizeof( $_SESSION['ss7']['Mtp2'] ); $x++ )
                {
                    if( $_SESSION['ss7']['Mtp2'][$chaves[$x]]['id'] == $mtp2LinkId )
                        $selected = "selected";
                    else
                        $selected = "";
                    $return .= "<option value=\"" . $_SESSION['ss7']['Mtp2'][$chaves[$x]]['id'] . "\" $selected>" . $_SESSION['ss7']['Mtp2'][$chaves[$x]]['name'] . "</option>\n";
                }
            }
            return $return;
        }

        function getTotalMtp3Linsets( )
        {
            Global $_SESSION;
            if( isset( $_SESSION['ss7']['Mtp3']['LinkSets'] ) )
                return sizeof( $_SESSION['ss7']['Mtp3']['LinkSets'] );
            return 0;
        }

        function getRouteLinkset( $espacos, $conjunto, $routeId )
        {
            for( $x = 0; $x < sizeof( $conjunto ); $x++ )
            {
                if( $this->checkLinkset( $conjunto[$x], $routeId ) )
                    $return .= $espacos . "<option value=\"$conjunto[$x]\">$conjunto[$x]</option>\n";
            }
            return $return;
        }

        function verifyDelPCOnLinkset( $pointCodeId )
        {
            Global $_SESSION;
            if( isset( $_SESSION['ss7']['Mtp3']['LinkSets'] ) )
            {
                $chaves = array_keys( $_SESSION['ss7']['Mtp3']['LinkSets'] );
                for( $x = 0; $x < sizeof( $_SESSION['ss7']['Mtp3']['LinkSets'] ); $x++ )
                {
                    $keys = array_keys( $_SESSION['ss7']['Mtp3']['LinkSets'][$chaves[$x]] );
                    if( ($_SESSION['ss7']['Mtp3']['LinkSets'][$chaves[$x]][$keys[0]]['Origin'] == $pointCodeId) || ($_SESSION['ss7']['Mtp3']['LinkSets'][$keys[0]][$chaves[$x]]['Adjacent'] == $pointCodeId) )
                    {
                        $this->verifyDelMTP3LinksetOnRoutes( $keys[0] );
                        unset( $_SESSION['ss7']['Mtp3']['LinkSets'][$chaves[$x]] );
                    }
                }
            }
        }

        function verifyDelPCOnCircuitGroup( $pointCodeId )
        {
            Global $_SESSION;
            if( isset( $_SESSION['ss7']['Isup']['CircuitGroups'] ) )
            {
                $chaves = array_keys( $_SESSION['ss7']['Isup']['CircuitGroups'] );
                for( $x = 0; $x < sizeof( $_SESSION['ss7']['Isup']['CircuitGroups'] ); $x++ )
                {
                    $keys = array_keys( $_SESSION['ss7']['Isup']['CircuitGroups'][$chaves[$x]] );
                    if( ($_SESSION['ss7']['Isup']['CircuitGroups'][$chaves[$x]][$keys[0]]['Origin'] == $pointCodeId) || ($_SESSION['ss7']['Isup']['CircuitGroups'][$chaves[$x]][$keys[0]]['Destination'] == $pointCodeId) )
                        unset( $_SESSION['ss7']['Isup']['CircuitGroups'][$chaves[$x]] );
                }
            }
        }

        function verifyDelPCOnRoute( $pointCodeId )
        {
            Global $_SESSION;
            if( isset( $_SESSION['ss7']['Mtp3']['Routes'] ) )
            {
                $chaves = array_keys( $_SESSION['ss7']['Mtp3']['Routes'] );
                for( $x = 0; $x < sizeof( $_SESSION['ss7']['Mtp3']['Routes'] ); $x++ )
                {
                    $keys = array_keys( $_SESSION['ss7']['Mtp3']['Routes'][$chaves[$x]] );
                    if( $_SESSION['ss7']['Mtp3']['Routes'][$chaves[$x]][$keys[0]]['PointCode'] == $pointCodeId )
                        unset( $_SESSION['ss7']['Mtp3']['Routes'][$chaves[$x]] );
                }
            }
        }

        function verifyLinksetName( $name, $Id = '' )
        {
            Global $_SESSION;
            $linksets = $this->getLinksetNames( );
            if( !in_array( $name, $linksets ) || $linksets[$id] == $name )
                return true;
            else
                return false;
        }

        function verifyRouteName( $name, $Id = '' )
        {
            Global $_SESSION;
            $routes = $this->getRoutesNames( );
            if( !in_array( $name, $routes ) || $routes[$id] == $name )
                return true;
            else
                return false;
        }

        function getLinksetNames( )
        {
            Global $_SESSION;
            $linksets = $_SESSION['ss7']['Mtp3']['LinkSets'];
            for( $i = 0; $i < sizeof( $linksets ); $i++ )
            {
                $keys = array_keys( $linksets[$i] );
                $linksetsList[] = $keys[0];
            }
            return $linksetsList;
        }

        function getRoutesNames( )
        {
            Global $_SESSION;
            $routes = $_SESSION['ss7']['Mtp3']['Routes'];
            for( $i = 0; $i < sizeof( $routes ); $i++ )
            {
                $keys = array_keys( $routes[$i] );
                $routesList[] = $keys[0];
            }
            return $routesList;
        }

        function verifyRouteLinkset( $oldName, $newName )
        {
            Global $_SESSION;
            if( isset( $_SESSION['ss7']['Mtp3']['Routes'] ) )
            {
                $linksetSize = sizeof( $_SESSION['ss7']['Mtp3']['Routes'] );
                for( $i = 0; $i < $linksetSize; $i++ )
                {
                    $keys = array_keys( $_SESSION['ss7']['Mtp3']['Routes'][$i] );
                    $linksSize = sizeof( $_SESSION['ss7']['Mtp3']['Routes'][$i][$keys[0]]['LinkSets'] );
                    for( $j = 0; $j < $linksSize; $j++ )
                    {
                        if( $_SESSION['ss7']['Mtp3']['Routes'][$i][$keys[0]]['LinkSets'][$j] == $oldName )
                            $_SESSION['ss7']['Mtp3']['Routes'][$i][$keys[0]]['LinkSets'][$j] = $newName;
                    }
                }
            }
        }

        function getFreeMtp3RouteName( $fName, $lName )
        {
            Global $_SESSION;
            $mtp3Routes = $this->getRoutesNames( );
            if( in_array( ($fName . $lName), $mtp3Routes ) )
            {
                $lName++;
                return $this->getFreeMtp3RouteName( $fName, $lName );
            }
            else
                return $fName . $lName;
        }

        function printUpdateMtp2Link( $linkId )
        {
            Global $sistema;

            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp2 = $sysYAML->getValue( 'Mtp2' );

            $link = $mtp2[$linkId];
            $keys = array_keys( $link );

            $return = '';

            $return .= "<fieldset>";
            $return .= "<legend>Link</legend>";
            $return .= "<table>";
            $return .= "<tbody>";

            $return .= "<tr class='green'>";
            $return .= "<td width='80%' align='left'>Nome:</td>";
            $return .= "<td width='20%' align='right'>";
            $return .= "<input class='selector5' value='" . $keys[0] . "' id='name' name='name' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td width='80%' align='left'>" . $sistema->retTranslate( "Address" ) . ":</td>";
            $return .= "<td width='20%' align='right'>";
            $return .= "<input class='selector5' onkeydown='return maskIP(event, this);' onkeyup='validateIP(this);' value='" . $link[$keys[0]]['Address'] . "' id='Address' name='Address' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td width='80%' align='left'>T1:</td>";
            $return .= "<td width='20%' align='right'><input class='selector5' value='" . $link[$keys[0]]['Timers']['T1'] . "' id='T1' name='T1' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td width='80%' align='left'>T2:</td>";
            $return .= "<td width='20%' align='right'><input class='selector5' value='" . $link[$keys[0]]['Timers']['T2'] . "' id='T2' name='T2' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td width='80%' align='left'>T3:</td>";
            $return .= "<td width='20%' align='right'><input class='selector5' value='" . $link[$keys[0]]['Timers']['T3'] . "' id='T3' name='T3' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td width='80%' align='left'>T5:</td>";
            $return .= "<td width='20%' align='right'><input class='selector5' value='" . $link[$keys[0]]['Timers']['T5'] . "' id='T5' name='T5' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td width='80%' align='left'>T6:</td>";
            $return .= "<td width='20%' align='right'><input class='selector5' value='" . $link[$keys[0]]['Timers']['T6'] . "' id='T6' name='T6' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td width='80%' align='left'>T7:</td>";
            $return .= "<td width='20%' align='right'><input class='selector5' value='" . $link[$keys[0]]['Timers']['T7'] . "' id='T7' name='T7' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td width='80%' align='left'>ProvingEmergency:</td>";
            $return .= "<td width='20%' align='right'><input class='selector5' value='" . $link[$keys[0]]['Timers']['ProvingEmergency'] . "' id='ProvingEmergency' name='ProvingEmergency' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='lgreen'>";
            $return .= "<td width='80%' align='left'>ProvingNormal:</td>";
            $return .= "<td width='20%' align='right'><input class='selector5' value='" . $link[$keys[0]]['Timers']['ProvingNormal'] . "' id='ProvingNormal' name='ProvingNormal' type='text'></td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $return .= "<td width='80%' align='left'>Device:</td>";
            $return .= "<td width='20%' align='right'>";
            $return .= "<input class='selector5' value='" . $link[$keys[0]]['Device'] . "' id='Device' name='Device' onkeyup='javascript: validateSerial(this);' onmouseup='return serialMask(this, event);' onKeyPress='return serialMask(this, event);' type='text'>";
            $return .= "</td>";
            $return .= "</tr>";

            $return .= "<trclass='lgreen'>";
            $return .= "<td width='80%' align='left'>Link:</td>";
            $return .= "<td width='20%' align='right'>" . $this->getLinkSelected( $link[$keys[0]]['Link'], 'deviceLink' ) . "</td>";
            $return .= "</tr>";

            $return .= "<tr class='green'>";
            $resultado = $this->getCheckBoxValue( $link[$keys[0]]['Passive'] );
            $return .= "<td width='80%' align='left'>Passive:</td>";
            $return .= "<td width='20%' align='center'><input id='Passive' name='Passive' type='checkbox' $resultado></td>";
            $return .= "</tr>";
            $return .= "</tbody>";
            $return .= "</table>";

            $return .= "<br>";
            $return .= "</fieldset>";
            $return .= "<br>";
            $return .= "<input onclick='javascript: updateLink($linkId);' value='" . $sistema->retTranslate( "Concluir" ) . "' type='button'>";
            $return .= "<input value='$linkId' id='linkId' name='linkId' type='hidden'>";
            $return .= "<input onclick='javascript:getLinks();' value='" . $sistema->retTranslate( "Cancelar" ) . "' type='button'>";

            return $return;
        }

        function verifyMtp3LinkSets( $oldName, $newName )
        {
            Global $sistema;
            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp3 = $sysYAML->getValue( 'Mtp3' );

            if( isset( $mtp3['LinkSets'] ) )
            {
                $linksetSize = sizeof( $mtp3['LinkSets'] );
                for( $i = 0; $i < $linksetSize; $i++ )
                {
                    $keys = array_keys( $mtp3['LinkSets'][$i] );
                    $linksSize = sizeof( $mtp3['LinkSets'][$i][$keys[0]]['Links'] );
                    for( $j = 0; $j < $linksSize; $j++ )
                    {
                        $keys2 = array_keys( $mtp3['LinkSets'][$i][$keys[0]]['Links'][$j] );
                        if( $mtp3['LinkSets'][$i][$keys[0]]['Links'][$j][$keys2[0]]['Mtp2'] == $oldName )
                            $mtp3['LinkSets'][$i][$keys[0]]['Links'][$j][$keys2[0]]['Mtp2'] = $newName;
                    }
                }
            }
        }

        function testMtp2DeviceLink( $device, $link, $linkId = '' )
        {
            Global $sistema;

            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp2 = $sysYAML->getValue( 'Mtp2' );

            if( $linkId != '' )
            {
                $mtp2Link = $mtp2[$linkId];
                $keys = array_keys( $mtp2Link );
                if( ($mtp2[$linkId][$keys[0]]['Device'] == $device) && ($mtp2[$linkId][$keys[0]]['Link'] == $link) )
                    return true;
            }

            for( $i = 0; $i < sizeof( $mtp2 ); $i++ )
            {
                $mtp2Link = $mtp2[$i];
                $keys = array_keys( $mtp2Link );
                $linkName = $keys[0];
                if( ($mtp2[$i][$linkName]['Device'] == $device) && ($mtp2[$i][$linkName]['Link'] == $link) )
                    return false;
            }
            return true;
        }

        function verifyDelMTP2LinkOnLinkset( $linkId )
        {
            Global $sistema;

            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp3 = $sysYAML->getValue( 'Mtp3' );
            $mtp2 = $sysYAML->getValue( 'Mtp2' );

            if( isset( $mtp3['LinkSets'] ) )
            {
                $chaves = array_keys( $mtp3['LinkSets'] );
                $quantidadeLinksets = sizeof( $mtp3['LinkSets'] );
                $compareNameId = array_keys( $mtp2[$linkId] );
                for( $x = 0; $x < $quantidadeLinksets; $x++ )
                {
                    $keys = array_keys( $mtp3['LinkSets'][$chaves[$x]] );
                    if( isset( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Links'] ) )
                    {
                        $chaves2 = array_keys( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Links'] );
                        $quantidadeLinks = sizeof( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Links'] );
                        for( $y = 0; $y < $quantidadeLinks; $y++ )
                        {
                            $keys2 = array_keys( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Links'][$chaves2[$y]] );
                            if( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Links'][$chaves2[$y]][$keys2[0]]['Mtp2'] == $compareNameId[0] )
                                unset( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Links'][$chaves2[$y]] );
                        }
                        if( sizeof( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Links'] ) == 0 )
                        {
                            $this->verifyDelMTP3LinksetOnRoutes( $keys[0] );
                            unset( $mtp3['LinkSets'][$chaves[$x]] );
                        }
                    }
                }
                $yaml = $sysYAML->getYaml( );
                $yaml['Mtp3'] = $mtp3;
                $sysYAML->setYaml( $yaml );
                $sysYAML->saveYaml( );
            }
        }

        function verifyDelMTP3LinksetOnRoutes( $mtp3LinksetName )
        {
            Global $sistema;
            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );

            $mtp3 = $sysYAML->getValue( 'Mtp3' );

            if( isset( $mtp3['Routes'] ) )
            {
                $chaves = array_keys( $mtp3['Routes'] );
                $quantidadeRoutes = sizeof( $mtp3['Routes'] );
                for( $x = 0; $x < $quantidadeRoutes; $x++ )
                {
                    $keys = array_keys( $mtp3['Routes'][$chaves[$x]] );
                    if( isset( $mtp3['Routes'][$chaves[$x]][$keys[0]]['LinkSets'] ) )
                    {
                        $chaves2 = array_keys( $mtp3['Routes'][$chaves[$x]][$keys[0]]['LinkSets'] );
                        $quantidadeLinksets = sizeof( $mtp3['Routes'][$chaves[$x]][$keys[0]]['LinkSets'] );
                        for( $y = 0; $y < $quantidadeLinksets; $y++ )
                        {
                            if( $mtp3['Routes'][$chaves[$x]][$keys[0]]['LinkSets'][$chaves2[$y]] == $mtp3LinksetName )
                                unset( $mtp3['Routes'][$chaves[$x]][$keys[0]]['LinkSets'][$chaves2[$y]] );
                        }
                        if( sizeof( $mtp3['Routes'][$chaves[$x]][$keys[0]]['LinkSets'] ) == 0 )
                            unset( $mtp3['Routes'][$chaves[$x]] );
                    }
                }
                $yaml = $sysYAML->getYaml( );
                $yaml['Mtp3'] = $mtp3;
                $sysYAML->setYaml( $yaml );
                $sysYAML->saveYaml( );
            }
        }

        function printUpdatePointCode( $pointCodeId )
        {
            return $this->getPrintUpdatePointCode( $pointCodeId );
        }

        function getPrintUpdatePointCode( $pointCodeId )
        {
            Global $sistema;

            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );

            $pc = $sysYAML->getValue( 'PointCodes' );

            $keys = array_keys( $pc[$pointCodeId] );
            $first = $pc[$pointCodeId][$keys[0]][0];
            $middle = $pc[$pointCodeId][$keys[0]][1];
            $last = $pc[$pointCodeId][$keys[0]][2];

            $first = decbin( $first );
            $first = $this->zeroFill( $first, 3 );
            $middle = decbin( $middle );
            $middle = $this->zeroFill( $middle, 8 );
            $last = decbin( $last );
            $last = $this->zeroFill( $last, 3 );
            $decimal = $first . $middle . $last;
            $decimal = bindec( $decimal );

            $return .= "<fieldset>";
            $return .= "<legend>PointCode</legend>";
            $return .= "<table>";
            $return .= "<tbody>";
            $return .= "<tr>";
            $return .= "<td>" . $sistema->retTranslate( "Nome" ) . ": ";
            $return .= "<input id='pcName' class='selector5' name='pcName' type='text' value='" . $keys[0] . "'></td>";
            $return .= "<td align='left'>" . $sistema->retTranslate( "PointCodeDecimal" ) . ":";
            $return .= "<input onkeyup='javascript:geraCodePoint(this);' size='5' id='pointCodeDecimal' name='pointCodeDecimal' type='text' value='" . $decimal . "'></td>";
            $return .= "<td align='left'>3-8-3:";
            $return .= "<input onkeyup='javascript:geraCodePointDecimal();' size='3' id='First' name='First' type='text' value='" . $pc[$pointCodeId][$keys[0]][0] . "'> -";
            $return .= "<input onkeyup='javascript:geraCodePointDecimal();' size='3' id='Middle' name='Middle' type='text' value='" . $pc[$pointCodeId][$keys[0]][1] . "'> -";
            $return .= "<input onkeyup='javascript:geraCodePointDecimal();' size='3' id='Last' name='Last' type='text' value='" . $pc[$pointCodeId][$keys[0]][2] . "''></td>";
            $return .= "</tr>";
            $return .= "</tbody>";
            $return .= "</table>";
            $return .= "<br>";
            $return .= "</fieldset>";
            $return .= "<br>";
            $return .= "<input value='" . $sistema->retTranslate( "save" ) . "' type='button' onClick='javascript:updatePointCode($pointCodeId);'>";
            $return .= "<input value='$pointCodeId' id='pointCodeId' name='pointCodeId' type='hidden'>";
            $return .= "<input onclick='javascript:showPointCodes();' value='" . $sistema->retTranslate( "Cancelar" ) . "' type='button'>";
            return $return;
        }

        function printAddLinksets( )
        {
            Global $_SESSION;
            $sistema = unserialize( $_SESSION['sis'] );
            $pcs = $this->getPCs( );

            $buff = '';

            $buff .= "<fieldset id='fieldLinkSets'>";
            $buff .= "<legend>LinkSet</legend>";
            $buff .= "<table>";
            $buff .= "<tr>";
            $buff .= "<td align='left'>Origin point code:</td>";
            $buff .= "<td align='right'>";
            $buff .= "<select id='OP' class='selector6' name='OP'>";
            $buff .= $this->getSelectedPC( $pcs, '' );
            $buff .= "</select>";
            $buff .= "</td>";
            $buff .= "</tr>";
            $buff .= "<tr>";
            $buff .= "<td align='left'>Adjacent point code:</td>";
            $buff .= "<td align='right'>";
            $buff .= "<select id='AP' class='selector6' name='AP'>";
            $buff .= $this->getSelectedPC( $pcs, '' );
            $buff .= "</select>";
            $buff .= "</td>";
            $buff .= "</tr>";
            $buff .= "</table>";
            $buff .= "</fieldset>";
            $buff .= "<br>";
            $buff .= "<input onclick='javascript:showAddLinkSet();' value='" . $sistema->retTranslate( "AdicionarLinkSet" ) . "' type='button'>";
            $buff .= "<input onclick='javascript:getMtp3LinsetList();' value='" . $sistema->retTranslate( "Cancelar" ) . "' type='button'>";

            return $buff;
        }

        function verifyPConMTP3Linkset( $oldPointCodeId, $newpointCodeId )
        {
            Global $sistema;
            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp3 = $sysYAML->getValue( 'Mtp3' );

            if( isset( $mtp3['LinkSets'] ) )
            {
                $chaves = array_keys( $mtp3['LinkSets'] );
                for( $x = 0; $x < sizeof( $mtp3['LinkSets'] ); $x++ )
                {
                    $keys = array_keys( $mtp3['LinkSets'][$chaves[$x]] );
                    if( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Origin'] == $oldPointCodeId )
                        $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Origin'] = $newpointCodeId;

                    if( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Adjacent'] == $oldPointCodeId )
                        $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Adjacent'] = $newpointCodeId;
                }
                $yaml = $sysYAML->getYaml( );
                $yaml['ss7']['Mtp3'] = $mtp3;
                $sysYAML->setYaml( $yaml );
                $sysYAML->saveYaml( );
            }
        }

        function verifyPConRoute( $oldPointCodeId, $newpointCodeId )
        {
            Global $sistema;
            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp3 = $sysYAML->getValue( 'Mtp3' );

            if( isset( $mtp3['Routes'] ) )
            {
                $chaves = array_keys( $mtp3['Routes'] );
                for( $x = 0; $x < sizeof( $mtp3['Routes'] ); $x++ )
                {
                    $keys = array_keys( $mtp3['Routes'][$chaves[$x]] );
                    if( $mtp3['Routes'][$chaves[$x]][$keys[0]]['PointCode'] == $oldPointCodeId )
                        $mtp3['Routes'][$chaves[$x]][$keys[0]]['PointCode'] = $newpointCodeId;
                }
                $yaml = $sysYAML->getYaml( );
                $yaml['ss7']['Mtp3'] = $mtp3;
                $sysYAML->setYaml( $yaml );
                $sysYAML->saveYaml( );
            }
        }

        function verifyPConCircuitGroup( $oldPointCodeId, $newpointCodeId )
        {
            Global $sistema;
            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $isup = $sysYAML->getValue( 'Isup' );
            if( isset( $isup['CircuitGroups'] ) )
            {
                $chaves = array_keys( $isup['CircuitGroups'] );
                for( $x = 0; $x < sizeof( $isup['CircuitGroups'] ); $x++ )
                {
                    $keys = array_keys( $isup['CircuitGroups'][$chaves[$x]] );
                    if( $isup['CircuitGroups'][$chaves[$x]][$keys[0]]['Origin'] == $oldPointCodeId )
                        $isup['CircuitGroups'][$chaves[$x]][$keys[0]]['Origin'] = $newpointCodeId;
                    if( $isup['CircuitGroups'][$chaves[$x]][$keys[0]]['Destination'] == $oldPointCodeId )
                        $isup['Isup']['CircuitGroups'][$chaves[$x]][$keys[0]]['Destination'] = $newpointCodeId;
                }
                $yaml = $sysYAML->getYaml( );
                $yaml['ss7']['Isup'] = $isup;
                $sysYAML->setYaml( $yaml );
                $sysYAML->saveYaml( );
            }
        }

        function printMtp3Linksets( )
        {
            return $this->getMtp3Linksets( );
        }

        function verifyPointCode( $PC, $id )
        {
            $PCS = $this->getPCs( );
            if( !in_array( $PC, $PCS ) || $PCS[$id] == $PC )
                return "OK";
            else
                return "NOTOK";
        }

        function verifyLink( $link, $id = '' )
        {
            $links = $this->getMtp2Links( );
            if( !in_array( $link, $links ) || $links[$id] == $link )
                return true;
            else
                return false;
        }

        function getMtp2Links( )
        {
            Global $sistema;
            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp2 = $sysYAML->getValue( 'Mtp2' );
            $linkList = array( );
            for( $i = 0; $i < sizeof( $mtp2 ); $i++ )
            {
                $keys = array_keys( $mtp2[$i] );
                $linkList[] = $keys[0];
            }
            return $linkList;
        }

        function sortData( $data )
        {
            $tmpSession = array( );
            for( $i = 0; $i < sizeof( $data ); $i++ )
                $tmpSession[] = $data[$i];
            return $tmpSession;
        }

        function getTotalFreeMtp3Mtp2Links( )
        {
            Global $sistema;

            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp3 = $sysYAML->getValue( 'Mtp3' );

            $totalMtp2Links = $this->getTotalMtp2Links( );
            $freeMtp2Links = $totalMtp2Links;

            if( isset( $mtp3['LinkSets'] ) )
            {
                $chaves = array_keys( $mtp3['LinkSets'] );
                for( $x = 0; $x < sizeof( $chaves ); $x++ )
                {
                    $getKeys = array_keys( $mtp3['LinkSets'][$chaves[$x]] );
                    $freeMtp2Links = $freeMtp2Links - sizeof( $mtp3['LinkSets'][$chaves[$x]][$getKeys[0]]['Links'] );
                }
            }
            return $freeMtp2Links;
        }

        function getTotalMtp2Links( )
        {
            Global $sistema;

            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp2 = $sysYAML->getValue( 'Mtp2' );

            return sizeof( $mtp2 );
        }

        function getFreeMtp3LinksetName( $fName, $lName )
        {
            $mtp3Linksets = $this->getMtp3LinksetsNames( );
            if( in_array( ($fName . $lName), $mtp3Linksets ) )
            {
                $lName++;
                return $this->getFreeMtp3LinksetName( $fName, $lName );
            }
            else
                return $fName . $lName;
        }

        function getMtp3LinksetsNames( )
        {
            Global $sistema;

            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp3 = $sysYAML->getValue( 'Mtp3' );

            $linksets = array( );
            if( isset( $mtp3['LinkSets'] ) )
            {
                for( $i = 0; $i < sizeof( $mtp3['LinkSets'] ); $i++ )
                {
                    $keys = array_keys( $mtp3['LinkSets'][$i] );
                    $linksets[] = $keys[0];
                }
                return $linksets;
            }
            return $linksets;
        }

        function printMtp3Linkset( $linksetId = '', $update = false )
        {
            return $this->getMtp3Linkset( $linksetId, $update );
        }

        function getSelectedPC( $conjunto, $pc )
        {
            $selected = "";
            for( $x = 0; $x < sizeof( $conjunto ); $x++ )
            {
                $selected = strval( $conjunto[$x] ) == $pc ? 'selected' : '';
                $return .= "<option value='$conjunto[$x]' $selected >$conjunto[$x]</option>";
            }
            return $return;
        }

        function getPCs( )
        {
            Global $sistema;

            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $pc = $sysYAML->getValue( 'PointCodes' );
            $pcs = array( );
            if( isset( $pc ) )
            {
                $chaves = array_keys( $pc );
                for( $x = 0; $x < sizeof( $chaves ); $x++ )
                {
                    $keys = array_keys( $pc[$chaves[$x]] );
                    $pcs[] = $keys[0];
                }
            }
            return $pcs;
        }

        function getAddMtp3Link( $linksetId, $showCancellButton = true )
        {
            Global $sistema;

            $return = "<fieldset>";
            $return .= "<legend>Mtp3 - Link</legend>";
            $return .= "<table>";
            $return .= "<tr>";
            $return .= "<td align='left'>Mtp2 - Link:</td>";
            $return .= "<td align='right'>";
            $return .= "<select id='mtp2Link' class='selector6' name='mtp2Link' >";

            $return .= $this->getFreeMtp2LinkIdOptions( '' );

            $return .= "</select>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>SLC:</td>";
            $return .= "<td align='right'>";
            $return .= "<select id='slc' class='selector6' name='slc'>";

            $return .= $this->getSLC( $linksetId, '' );

            $return .= "</select>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Q707T1:</td>";
            $return .= "<td align='right'><input class='selector5' value='4000' id='Q707T1' name='Q707T1' type='text'></td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Q707T2:</td>";
            $return .= "<td align='right'><input class='selector5' value='30000' id='Q707T2' name='Q707T2' type='text'></td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Q704T17:</td>";
            $return .= "<td align='right'><input class='selector5' value='800' id='Q704T17' name='Q704T17' type='text'></td>";
            $return .= "</tr>";
            $return .= "</table>";
            $return .= "<br>";

            $return .= "<input onclick=\"javascript:createMtp3Link('$linksetId');\" value='" . $sistema->retTranslate( "AdicionarLinkLinkset" ) . "' type='button'>";
            if( $showCancellButton )
                $return .= "<input onclick='javascript:backAddMtp3Link();' value='" . $sistema->retTranslate( "Cancelar" ) . "' type='button'>";
            $return .= "</fieldset>";
            return $return;
        }

        function getFreeMtp2LinkIdOptions( $linkid )
        {
            $freeMtp2LinkIds = $this->getFreeMtp2LinkId( $linkid );
            $return = "";
            for( $x = 0; $x < sizeof( $freeMtp2LinkIds ); $x++ )
            {
                $selected = $freeMtp2LinkIds[$x]['name'] == $linkid ? "selected" : '';
                $return .= "<option value='" . $freeMtp2LinkIds[$x]['name'] . "' $selected>" . $freeMtp2LinkIds[$x]['name'] . "</option>";
            }
            return $return;
        }

        function getFreeMtp2LinkId( $linkid )
        {
            Global $sistema;

            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp2 = $sysYAML->getValue( 'Mtp2' );

            $return = array( );
            $mtp3Mtp2Links = $this->getMtp3Mtp2Links( );
            if( isset( $mtp2 ) )
            {
                $chaves = array_keys( $mtp2 );
                $count = 0;
                for( $x = 0; $x < sizeof( $mtp2 ); $x++ )
                {
                    $names = array_keys( $mtp2[$chaves[$x]] );
                    if( !in_array( $names[0], $mtp3Mtp2Links ) || ($linkid != '' && $chaves[$x] == $linkid) )
                    {
                        $return[$count]['id'] = $chaves[$x];
                        $keys = array_keys( $mtp2[$chaves[$x]] );
                        $return[$count]['name'] = $keys[0];
                        $count++;
                    }
                }
            }
            return $return;
        }

        function getMtp3Mtp2Links( )
        {
            Global $sistema;

            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp3 = $sysYAML->getValue( 'Mtp3' );

            $return = array( );
            if( isset( $mtp3['LinkSets'] ) )
            {
                $chaves = array_keys( $mtp3['LinkSets'] );
                for( $x = 0; $x < sizeof( $chaves ); $x++ )
                {
                    $keys = array_keys( $mtp3['LinkSets'][$chaves[$x]] );
                    if( isset( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Links'] ) )
                    {
                        $chaves2 = array_keys( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Links'] );
                        for( $y = 0; $y < sizeof( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Links'] ); $y++ )
                        {
                            $keys2 = array_keys( $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Links'][$chaves2[$y]] );
                            $return[] = $mtp3['LinkSets'][$chaves[$x]][$keys[0]]['Links'][$chaves2[$y]][$keys2[0]]['Mtp2'];
                        }
                    }
                }
            }
            return $return;
        }

        function getSLC( $linksetId, $slc )
        {
            Global $sistema;

            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp3 = $sysYAML->getValue( 'Mtp3' );

            $return = "";
            $selected = "";
            $slcs = array( '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12', '13', '14', '15' );

            if( isset( $_SESSION['ss7']['Mtp3']['LinkSets'][$linksetId]['Links'] ) )
            {
                $chaves = array_keys( $mtp3['LinkSets'][$linksetId]['Links'] );
                for( $x = 0; $x < sizeof( $mtp3['LinkSets'][$linksetId]['Links'] ); $x++ )
                {
                    if( $mtp3['LinkSets']['linkset'][$linksetId]['link'][$chaves[$x]]['Slc'] != $slc )
                        $slcs = $this->retirarValor( $mtp3['LinkSets'][$linksetId]['Links'][$chaves[$x]]['Slc'], $slcs );
                }
            }

            for( $x = 0; $x < sizeof( $slcs ); $x++ )
            {
                $selected = $slcs[$x] == $slc ? "selected" : '';
                $return .= "<option value='$slcs[$x]' $selected>$slcs[$x]</option>";
            }
            return $return;
        }

        function retirarValor( $valor, $conjunto )
        {
            $novoConjunto = array( );
            if( !in_array( $valor, $conjunto ) )
                return $conjunto;
            for( $x = 0; $x < sizeof( $conjunto ); $x++ )
            {
                if( $valor != $conjunto[$x] )
                    $novoConjunto[] = $conjunto[$x];
            }
            return $novoConjunto;
        }

        function printMtp3Routes( )
        {
            return $this->getRoutes( );
        }

        function getRoutes( )
        {
            Global $sistema;

            $configDir = $sistema->getConfigDir( );
            $sysYAML = new KYaml( $configDir . "/ss7.yaml" );
            $mtp3 = $sysYAML->getValue( 'Mtp3' );

            $return = "";
            $disabled = "";
            $style = '';

            if( isset( $mtp3['Routes'] ) )
            {
                $chaves = array_keys( $mtp3['Routes'] );
                $routesSize = sizeof( $mtp3['Routes'] );
            }
            else
                $routesSize = 0;

            if( $this->getTotalMtp3Linsets( ) == 0 )
            {
                $disabled = "disabled";
                $style = "style='background: grey;'";
            }

            $color = "lgreen";
            $return = "<fieldset><legend>" . $sistema->retTranslate( "Route" ) . "</legend>";
            $return .= "<table>";

            for( $x = 0; $x < $routesSize; $x++ )
            {
                $color = $color != "lgreen" ? "lgreen" : "green";

                $routeKeys = array_keys( $mtp3['Routes'][$chaves[$x]] );
                $return .= "<tr class='$color'>";
                $return .= "<td width='40%' align='left'>" . $sistema->retTranslate( "Route" ) . " - " . $routeKeys[0] . "</td>";
                $return .= "<td width='25%' align='left'>";
                $return .= "DPC: " . $mtp3['Routes'][$chaves[$x]][$routeKeys[0]]['PointCode'];
                $return .= "</td>";
                $return .= "<td width='13%' align='right'>";
                $return .= "<input value='" . $sistema->retTranslate( "Editar" ) . "' onclick='javascript:updateRoute($chaves[$x]);' type='button'>";
                $return .= "</td>";
                $return .= "<td width='2%' align='center'>";
                $return .= "<a href='#' onClick='javascript:deleteRoute($chaves[$x]);'>";
                $return .= "<img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='/imagens/lixeira.gif'/></a>";
                $return .= "</td>";
                $return .= "</tr>";
            }

            if( $routesSize == 0 )
                $return .= "<tr><td>" . $sistema->retTranslate( "NRotes" ) . "</td></tr>";

            $return .= "</table>";
            $return .= "</fieldset>";
            $return .= "<br>";
            $return .= "<input $style value='" . $sistema->retTranslate( "AdicionarRota" ) . "' onclick='javascript: createRoutes();' type='button' $disabled>";
            return $return;
        }

        function printISUP( )
        {
            return $this->getISUP( );
        }

        function getISUP( )
        {
            Global $sistema;

            $SS7 = new KSS7( 'ss7.xml' );
            $tmpSS7 = $SS7->loadSession( );

            $color = "lgreen";
            $disabled = "";

            if( isset( $isup['CircuitGroups'] ) )
            {
                $chaves = array_keys( $tmpSS7['ss7']['Isup']['CircuitGroups'] );
                $isupSize = sizeof( $tmpSS7['ss7']['Isup']['CircuitGroups'] );
            }
            else
                $isupSize = 0;

            $return = "<fieldset><legend>" . $sistema->retTranslate( "circuitGroups" ) . "</legend>";
            $return .= "<table>";

            for( $x = 0; $x < sizeof( $isup['CircuitGroups'] ); $x++ )
            {
                $color = $color != "lgreen" ? "lgreen" : "green";
                $keys = array_keys( $isup['CircuitGroups'][$x] );
                $return .= "<tr class='$color'>";
                $return .= "<td width='80%' align='left'>CircuitGroup - " . $keys[0] . "</td>";
                $return .= "<td width='18%' align='right'>";
                $return .= "<input value='" . $sistema->retTranslate( "Atualizar" ) . "' onclick='javascript:preUpdateCircuitGroup($chaves[$x]);' type='button'>";
                $return .= "</td>";
                $return .= "<td width='2%' align='right'>";
                $return .= "<a href='#' onClick='javascript:removeCircuitGroup($chaves[$x]);'>";
                $return .= "<img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='/imagens/lixeira.gif'/></a>";
                $return .= "</td>";
                $return .= "</tr>";
            }

            if( $isupSize == 0 )
                $return .= "<tr><td>" . $sistema->retTranslate( "NIsup" ) . "</td></tr>";

            $return .= "</table>";
            $return .= "</fieldset><br>";
            $return .= "<input value='" . $sistema->retTranslate( "AdicionarCircuitGroup" ) . "' onClick=\"javascript:showAddCircuitGroups();\" type='button' $disabled>";
            return $return;
        }

        function saveSession( )
        {
            $content = $this->loadSession( );
            $content = $this->yamlData->fileFormatFromYamlData( $content );
            $fp = fopen( $this->aplicationdir . "/ss7.yaml", "w+" );
            fwrite( $fp, $content );
            fclose( $fp );
            $ss7Yaml = file( $this->aplicationdir . "/ss7.yaml" );
            for( $i = 0; $i < sizeof( $ss7Yaml ); $i++ )
            {
                if( @ereg( "TimeslotMap", $ss7Yaml[$i] ) && !@ereg( "'", $ss7Yaml[$i] ) )
                {
                    $tmp = explode( ":", $ss7Yaml[$i] );
                    $ss7Yaml[$i] = $tmp[0] . ": '" . trim( $tmp[1] ) . "'\n";
                }
            }
            $content = implode( '', $ss7Yaml );
            $fp = fopen( $this->aplicationdir . "/ss7.yaml", "w+" );
            fwrite( $fp, $content );
            fclose( $fp );
        }

        function getMtp3Linkset( $linksetId, $update = false )
        {
            Global $_SESSION, $sistema;

            $SS7 = new SS7( );
            $tmpSS7 = $SS7->loadSession( );
            if( $linksetId == '' )
                $tmpSS7['ss7']['Mtp3'] = $_REQUEST['Mtp3'];

            $disabled = "";
            $return .= "<fieldset>";
            $return .= "<legend>MTP3 - LinkSet</legend>";
            if( isset( $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId] ) )
            {
                $keys = array_keys( $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId] );
                $_SESSION['Linkset'] = $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'];
            }

            $pcs = $this->getPCs( );

            $return .= "<input type='hidden' id='linksetId' value='$linksetId' />";
            $return .= "<table>";
            $return .= "<tr>";
            $return .= "<td align='left'>" . $sistema->retTranslate( "Nome" ) . ":</td>";
            $return .= "<td align='right'>";
            $return .= "<input class='selector5' value='" . $keys[0] . "' id='name' name='name' type='text'>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Origin Point Code:</td>";
            $return .= "<td align='right'>";
            $return .= "<select id='OP' class='selector6' name='OP' onChange=\"javascript: updateLinksetNR('Origin',this,$linksetId)\">";

            if( isset( $pcs, $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Origin'] ) )
                $return .= $this->getSelectedPC( $pcs, $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Origin'] );
            else
                $return .= $this->getSelectedPC( $pcs, '' );

            $return .= "</select>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Adjacent Point Code:</td>";
            $return .= "<td align='right'>";
            $return .= "<select id='AP' class='selector6' name='AP' onChange=\"javascript:updateLinksetNR('AdjacentPointCode',this,$linksetId)\">";

            if( isset( $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Adjacent'] ) )
                $return .= $this->getSelectedPC( $pcs, $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Adjacent'] );
            else
                $return .= $this->getSelectedPC( $pcs, '' );

            $return .= "</select>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "</table><br>";

            if( isset( $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'] ) )
            {
                $chaves = array_keys( $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'] );
                $linksSize = sizeof( $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'] );
            }
            else
                $linksSize = 0;

            if( $this->getTotalFreeMtp3Mtp2Links( ) == 0 )
                $disabled = "disabled";

            if( $linksSize == 0 )
            {
                $return .= "<div id='mtp3link'>";
                $return .= $this->getAddMtp3Link( $linksetId );
                $return .= "</div>";
                $return .= "</fieldset>";
                $return .= "<br>";
                $return .= "<input onclick='javascript:deleteLinkSet($linksetId);' value='" . $sistema->retTranslate( "CancelarLinkset" ) . "' type='button'>";
                return $return;
            }
            $return .= "<div id='mtp3link'>";
            $return .= "<table>";
            $color = 'lgreen';
            for( $x = 0; $x < $linksSize; $x++ )
            {
                if( $color != "lgreen" )
                    $color = "lgreen";
                else
                    $color = "green";

                $return .= "<tr class='$color'>";
                $return .= "<td width='50%' align='left'>Link - " . $x . "</td>";
                $return .= "<td width='40%' align='right'>";
                $return .= $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'][$chaves[$x]]['name'];
                $return .= "</td>";
                $return .= "<td width='8%' align='right'>";
                $return .= "<input value='" . $sistema->retTranslate( "edit" ) . "' onclick='javascript:editMtp3Link($linksetId,$chaves[$x]);' type='button'>";
                $return .= "</td>";
                $return .= "<td width='2%' align='right'>";
                $return .= "<a href='#' onClick='javascript:removeMtp3Link($chaves[$x]);'>";
                $return .= "<img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='/imagens/lixeira.gif'/></a>";
                $return .= "</td>";
                $return .= "</tr>";
            }
            $return .= "</table>";
            $return .= "<br>";
            $return .= "<input value='" . $sistema->retTranslate( "addLink" ) . "' onclick='javascript:addMtp3Link($linksetId);' type='button' $disabled>";
            $return .= "</div>";
            $return .= "</fieldset>";
            $return .= "<br>";
            $return .= "<input value='" . $sistema->retTranslate( "SalvarLinkSet" ) . "' onclick=\"javascript:saveLinkset('$linksetId');\" type='button'>";
            $return .= "<input type='button' value='" . $sistema->retTranslate( 'back' ) . "' onclick='javascript:showLinkSets();' style='float:right;'>";
            return $return;
        }

        function getFirstDeviceFree( )
        {
            Global $sistema;
            $boards = $sistema->getSS7Boards( );
            for( $x = 0; $x < sizeof( $boards ); $x++ )
            {
                if( $this->checkISUP( $boards[$x][3], 0 ) )
                    return $boards[$x][3] . "-" . '0';
                if( trim( $boards[$x][4] ) == '2' )
                    if( $this->checkISUP( $boards[$x][3], 1 ) )
                        return $boards[$x][3] . "-" . '1';
            }
            return '';
        }

        function checkISUP( $device, $link )
        {
            Global $_SESSION;
            $data = $this->loadSession( );
            $timeslot = '11111111111111101111111111111110';
            if( isset( $data['ss7']['Isup']['CircuitGroups'] ) )
            {
                if( $this->getTimeslotMap( $device, $link, $timeslot ) == '00000000000000000000000000000000' )
                    return false;
            }
            return true;
        }

        function getTimeslotMap( $device, $link, $timeslot, $circuitGroupId = '' )
        {
            Global $_SESSION;

            $data = $this->loadSession( );

            $tsm = '';
            $temporaria = '';
            $tsmtemp = array( );
            if( !isset( $data['ss7']['Isup']['CircuitGroups'] ) )
                return $timeslot;

            $timeslot = bindec( $timeslot );
            $chaves = array_keys( $data['ss7']['Isup']['CircuitGroups'] );
            for( $x = 0; $x < sizeof( $data['ss7']['Isup']['CircuitGroups'] ); $x++ )
            {
                $keys = array_keys( $data['ss7']['Isup']['CircuitGroups'][$chaves[$x]] );
                if( ($data['ss7']['Isup']['CircuitGroups'][$chaves[$x]][$keys[0]]['Device'] == $device) && ($data['ss7']['Isup']['CircuitGroups'][$chaves[$x]][$keys[0]]['Link'] == $link) )
                {
                    $temporaria = $timeslot;
                    $tsmtemp = explode( "x", $data['ss7']['Isup']['CircuitGroups'][$chaves[$x]][$keys[0]]['TimeslotMap'] );
                    $tsm = hexdec( $tsmtemp[1] );
                    $timeslot = ($timeslot & ~$tsm);
                    if( $circuitGroupId != '' & $chaves[$x] == $circuitGroupId )
                        $timeslot = $temporaria;
                }
            }
            $timeslot = decbin( $timeslot );
            $timeslot = $this->zeroFill( $timeslot, 32 );
            return $timeslot;
        }

        function zeroFill( $var, $size )
        {
            $aux = "";
            if( strlen( $var ) >= $size )
                return $var;
            for( $x = strlen( $var ); $x < $size; $x++ )
                $aux .= '0';
            return $aux . $var;
        }

        function getFreeCGName( $fName, $lName )
        {
            $CGs = $this->getCGNames( );

            if( in_array( ($fName . $lName), $CGs ) )
            {
                $lName++;
                return $this->getFreeCGName( $fName, $lName );
            }
            else
                return $fName . $lName;
        }

        function getCGNames( )
        {
            $data = $this->loadSession( );
            $CGs = $data['ss7']['Isup']['CircuitGroups'];
            $CGsList = array( );
            for( $i = 0; $i < sizeof( $CGs ); $i++ )
            {
                $keys = array_keys( $CGs[$i] );
                $CGsList[] = $keys[0];
            }
            return $CGsList;
        }

        function getLinkSelected( $link, $name, $extra = "" )
        {
            $return = "";
            $return .= "<select name='$name' id='$name' class='selector6' $extra>";
            for( $i = 0; $i < 4; $i++ )
            {
                $selected = $i == $link ? 'selected' : '';
                $return .= "<option value='$i' $selected>$i</option>";
            }
            $return .= "</select>";
            return $return;
        }

        function printTimeslotForm( $device, $link, $circuitGroupId = '' )
        {
            Global $sistema;
            $return = '';

            $blockedTimeSlots = strrev( $this->getTimeslotMap( $device, $link, "11111111111111101111111111111110", $circuitGroupId ) );

            if( $circuitGroupId != '' )
            {
                $SS7 = new SS7( );
                $tmpSS7 = $SS7->loadSession( );

                $keys = array_keys( $tmpSS7['ss7']['Isup']['CircuitGroups'][$circuitGroupId] );
                $tsmtemp = explode( "x", $tmpSS7['ss7']['Isup']['CircuitGroups'][$circuitGroupId][$keys[0]]['TimeslotMap'] );
                $timeslot = hexdec( $tsmtemp[1] );
                $timeslot = strrev( decbin( $timeslot ) );
            }
            else
                $timeslot = $blockedTimeSlots;

            $return .= "<fieldset>";
            $return .= "<legend>TimeslotMap:</legend>";
            $return .= "<table>";
            $return .= "<tr>";

            for( $x = 0; $x < 16; $x = $x + 2 )
                $return .= "<td>" . ($x + 1) . "</td>" . "<td>" . ($x + 2) . "</td>";

            $return .= "</tr>";
            $return .= "<tr>";

            for( $x = 1; $x <= 16; $x++ )
            {
                if( $x == 16 | $blockedTimeSlots[$x] == '0' )
                {
                    $disabled = "disabled";
                    $br = "<br>";
                }
                else
                {
                    $disabled = "";
                    $br = "";
                }

                $checked = $timeslot[$x] == '1' ? "checked" : '';
                $return .= "<td><input type='checkbox' onClick='javascript:changeCheckTimeslotValues(this);' id='timeslotPart_$x' name='timeslotPart_$x' value='" . $timeslot[$x] . "' $checked $disabled></td>";
            }
            $return .= "</tr>";
            $return .= "<tr>";

            for( $x = 16; $x < 32; $x = $x + 2 )
            {
                if( $x != 30 )
                    $return .= "<td>" . ($x + 1) . "</td>" . "<td>" . ($x + 2) . "</td>";
                else
                    $return .= "<td>" . ($x + 1) . "</td>" . "<td>" . "&nbsp;</td>";
            }

            $return .= "</tr>";
            $return .= "<tr>";

            for( $x = 17; $x <= 31; $x++ )
            {
                if( $x == 16 | $x == 0 | $blockedTimeSlots[$x] == '0' )
                {
                    $disabled = "disabled";
                    $br = "<br>";
                }
                else
                {
                    $disabled = "";
                    $br = "";
                }
                $checked = ($timeslot[$x] == '1') ? "checked" : '';
                $return .= "<td><input type='checkbox' onClick='javascript:changeCheckTimeslotValues(this);' id='timeslotPart_$x' name='timeslotPart_$x' value='$timeslot[$x]' $checked $disabled></td>";
            }

            $return .= "<td>&nbsp;</td>";
            $return .= "</tr>";
            $return .= "</table>";
            $return .= "<table>";
            $return .= "<tr>";
            $return .= "<td><a href='#' onClick=\"javascript:marcarTodos('timeslotPart',31);\"><b>" . $sistema->retTranslate( "MarcarTodos" ) . "</b></a>";
            $return .= "</td>";
            $return .= "<td><a href='#' onClick=\"javascript:desmarcarTodos('timeslotPart',31);\"><b>" . $sistema->retTranslate( "DesmarcarTodos" ) . "</b></a>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "</table>";
            $return .= "</fieldset>";
            $timeslot = strrev( $timeslot );
            $timeslot = bindec( $timeslot );
            $timeslot = dechex( $timeslot );
            $timeslot = $this->zeroFill( $timeslot, 8 );
            $return .= "<input value='0x$timeslot' id='TimeslotMap' name='TimeslotMap' type='hidden'>";
            return $return;
        }

        function printUpdateCircuitGroup( $circuitGroupId )
        {
            return $this->getCircuitGroup( $circuitGroupId );
        }

        function getCircuitGroup( $circuitGroupId )
        {

            Global $sistema;
            $pcs = $this->getPCs( );

            $SS7 = new KSS7( 'ss7.xml' );
            $tmpSS7 = $SS7->loadSession( );

            $keys = array_keys( $tmpSS7['ss7']['Isup']['CircuitGroups'][$circuitGroupId] );

            $return .= "<fieldset>";
            $return .= "<legend>CircuitGroup</legend>";
            $return .= "<table>";
            $return .= "<tbody>";
            $return .= "<tr>";
            $return .= "<td align='left'>" . $sistema->retTranslate( "Name" ) . ":</td>";
            $return .= "<td align='right'><input class='selector5' value='$keys[0]' id='name' name='name' type='text'></td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Origin Point Code:</td>";
            $return .= "<td align='right'>";
            $return .= "<select class='selector6' id='OPC' name='OPC'>";
            $return .= $this->getSelectedPC( $pcs, $tmpSS7['ss7']['Isup']['CircuitGroups'][$circuitGroupId][$keys[0]]['Origin'] );
            $return .= "</select>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Destiny Point Code:</td>";
            $return .= "<td align='right'>";
            $return .= "<select class='selector6' id='DPC' name='DPC'>";
            $return .= $this->getSelectedPC( $pcs, $tmpSS7['ss7']['Isup']['CircuitGroups'][$circuitGroupId][$keys[0]]['Destination'] );
            $return .= "</select>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Device:</td>";
            $return .= "<td align='right'>";
            $return .= "<input class='selector5' value='" . $tmpSS7['ss7']['Isup']['CircuitGroups'][$circuitGroupId][$keys[0]]['Device'] . "' id='Device' name='Device' onkeyup=\"javascript: validateSerial(this); carregaTimeslotMap(document.getElementById('DeviceLink').value,$circuitGroupId)\" onmouseup='return serialMask(this, event);' onKeyPress='return serialMask(this, event);' type='text'>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Link:</td>";
            $return .= "<td align='right'>";
            $return .= $this->getLinkSelected( $tmpSS7['ss7']['Isup']['CircuitGroups'][$circuitGroupId][$keys[0]]['Link'], 'DeviceLink', "onchange='carregaTimeslotMap(this.value,$circuitGroupId);'" );
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Address:</td>";
            $return .= "<td align='right'><input class='selector5' onkeydown='return maskIP(event, this);' onkeyup='validateIP(this);' value='" . $tmpSS7['ss7']['Isup']['CircuitGroups'][$circuitGroupId][$keys[0]]['Address'] . "' id='Address' name='Address' type='text'></td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>BaseCIC:</td>";
            $return .= "<td align='right'><input class='selector5' value='" . $tmpSS7['ss7']['Isup']['CircuitGroups'][$circuitGroupId][$keys[0]]['BaseCIC'] . "' id='BaseCIC' name='BaseCIC' type='text'></td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Passive:</td>";
            $resultado = $this->getCheckBoxValue( $tmpSS7['ss7']['Isup']['CircuitGroups'][$circuitGroupId][$keys[0]]['Passive'] );
            $return .= "<td colspan='2' align='right'><input id='Passive' name='Passive' type='checkbox' $resultado></td>";
            $return .= "</tr>";
            $return .= "</tbody>";
            $return .= "</table>";
            $return .= "<div id='divTimeslotMap'>";
            $return .= $this->printTimeslotForm( $tmpSS7['ss7']['Isup']['CircuitGroups'][$circuitGroupId][$keys[0]]['Device'], $tmpSS7['ss7']['Isup']['CircuitGroups'][$circuitGroupId][$keys[0]]['Link'], $circuitGroupId );
            $return .= "</div>";
            $return .= "</fieldset>";
            $return .= "<br>";
            $return .= "<input value='" . $sistema->retTranslate( "AtualizarCircuitGroup" ) . "' onclick='javascript:updateCircuitGroup($circuitGroupId);' type='button'>";
            $return .= "<input onclick='javascript:showCircuitGroups();' value='" . $sistema->retTranslate( "Cancelar" ) . "' type='button'>";

            return $return;
        }

        function verifyCG( $cg, $id = '' )
        {
            $cgs = $this->getCGNames( );
            if( !in_array( $cg, $cgs ) || $cgs[$id] == $cg )
                return true;
            else
                return false;
        }

        function printMtp3LinkAdded( )
        {
            Global $sistema, $_SESSION, $image_dir;

            $return .= "<div id='mtp3link'>";
            $return .= "<table>";
            $color = 'lgreen';

            $links = $_SESSION['Linkset'];

            for( $x = 0; $x < sizeof( $links ); $x++ )
            {
                $color = $color != "lgreen" ? "lgreen" : "green";
                $return .= "<tr class='$color'>";
                $return .= "<td width='50%' align='left'>Link - " . $x . "</td>";
                $return .= "<td width='40%' align='right'>";
                $return .= "</td>";
                $return .= "<td width='8%' align='right'>";
                $return .= "<input value='" . $sistema->retTranslate( "edit" ) . "' onclick='javascript:editMtp3Link($x);' type='button'>";
                $return .= "</td>";
                $return .= "<td width='2%' align='right'>";
                $return .= "<a href='#' onClick='javascript:removeMtp3Link($x);'>";
                $return .= "<img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='$image_dir/imagens/lixeira.gif'/></a>";
                $return .= "</td>";
                $return .= "</tr>";
            }

            $return .= "</table>";
            $return .= "<br>";
            $return .= "</div>";
            $return .= "</fieldset>";
            $return .= "<input value='" . $sistema->retTranslate( "addLink" ) . "' onclick='javascript:addMtp3Link();' type='button' $disabled>";

            return $return;
        }

        function editAddedMtp3Link( $linkId, $showCancellButton = true )
        {
            Global $sistema, $_SESSION;

            $linkset = $_SESSION['Linkset'][$linkId];

            $keys = array_keys( $linkset );
            $name = $keys[0];

            $return = "<fieldset>";
            $return .= "<legend>Mtp3 - Link</legend>";
            $return .= "<table>";
            $return .= "<tr>";
            $return .= "<td align='left'>Mtp2 - Link:</td>";
            $return .= "<td align='right'>";
            $return .= "<select id='mtp2Link' class='selector6' name='mtp2Link' >";

            if( $linkId == '' )
                $return .= $this->getFreeMtp2LinkIdOptions( '' );
            else
                $return .= $this->getFreeMtp2LinkIdOptions( $linkset[$name]['Mtp2'] );

            $return .= "</select>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>SLC:</td>";
            $return .= "<td align='right'>";
            $return .= "<select id='slc' class='selector6' name='slc'>";
            $return .= $this->getSLC( $linksetId, $linkset[$name]['Slc'] );
            $return .= "</select>";
            $return .= "</td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Q707T1:</td>";
            $return .= "<td align='right'><input class='selector5' value='" . $linkset[$name]['Timers']['Q707T1'] . "' id='Q707T1' name='Q707T1' type='text'></td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Q707T2:</td>";
            $return .= "<td align='right'><input class='selector5' value='" . $linkset[$name]['Timers']['Q707T2'] . "' id='Q707T2' name='Q707T2' type='text'></td>";
            $return .= "</tr>";
            $return .= "<tr>";
            $return .= "<td align='left'>Q704T17:</td>";
            $return .= "<td align='right'><input class='selector5' value='" . $linkset[$name]['Timers']['Q704T17'] . "' id='Q704T17' name='Q704T17' type='text'></td>";
            $return .= "</tr>";
            $return .= "</table>";
            $return .= "<br>";

            $return .= "<input onclick=\"javascript:createMtp3Link('$linkId');\" value='" . $sistema->retTranslate( "Atualizar" ) . "' type='button'>";
            if( $showCancellButton )
                $return .= "<input onclick='javascript:backAddMtp3Link();' value='" . $sistema->retTranslate( "Cancelar" ) . "' type='button'>";
            $return .= "</fieldset>";
            return $return;
        }

        function checkPointCode( $first, $middle, $last, $tmpSS7 )
        {
            if( isset( $tmpSS7['ss7']['PointCodes'] ) )
            {
                $chaves = array_keys( $tmpSS7['ss7']['PointCodes'] );
                for( $x = 0; $x < sizeof( $tmpSS7['ss7']['PointCodes'] ); $x++ )
                {
                    $keys = array_keys( $tmpSS7['ss7']['PointCodes'][$chaves[$x]] );
                    if( $tmpSS7['ss7']['PointCodes'][$chaves[$x]][$keys[0]][0] == $first && $tmpSS7['ss7']['PointCodes'][$chaves[$x]][$keys[0]][1] == $middle && $tmpSS7['ss7']['PointCodes'][$chaves[$x]][$keys[0]][2] == $last )
                        return false;
                }
            }
            return true;
        }

    }
?>