<?php
    $dicionario['en-us']['generic-ajax-request-failed'] = 'Communication failure';
    $dicionario['en-us']['tooltip-enabled'] = "Defines if channels should be enabled or not. Useful in specific channel sections. Use for debugging purpouses only, not recommended for production environments. (default = yes)";
    $dicionario['en-us']['tooltip-load-error'] = "Enable/disable generalized echo cancellation in the channel, for calls passing inside Asterisk (disabled for bridged calls). (default = yes)";
    $dicionario['en-us']['tooltip-drop-collect-call'] = "Enables/Disables the action of dropping collect calls. If enabled, all collect calls will be dropped no matter what KDropCollectCall is set to. This feature is not available for KGSM-USB devices. (default = no)";
    $dicionario['en-us']['tooltip-user-transfer-enable'] = "When enabled, this channel will be elegible for transfer using PBX-to-PBX signaling if the underlying signalization supports this feature (ISDN, Line Side, CAS EL7, E1LC, or FXO signalings). (default = yes)";
    $dicionario['en-us']['tooltip-amaflags'] = "Sets the default AMA flags, affecting the categorization of entries in the call detail records. (default = default)";
    $dicionario['en-us']['tooltip-accountcode'] = "Sets the account code for calls placed on the channel. The account code may be any alphanumeric string. (default = )";
    $dicionario['en-us']['tooltip-language'] = "Set the language of the channel (useful for selecting audio messages of a specific language on answer). (default = )";
    $dicionario['en-us']['tooltip-mohclass'] = "Set the music on hold class of the channel (useful for selecting a group of songs to play on hold). (default = default)";
    $dicionario['en-us']['tooltip-user-transfer-digits'] = "When adjusted to some DTMF digit sequence, it will define those as the digits to be used to initialize a call transfer using PBX-to-PBX signaling. (default = empty)";
    $dicionario['en-us']['tooltip-dial-string-like-dahdi'] = "Enable/disable the dial string compatibility with DAHDI in Dial string form, if enabled all Khomp dial will use the dial string like DAHDI. (default = no)";
    $dicionario['en-us']['tooltip-pendulum-digits'] = "Defines the DTMF digit sequence used to answer a waiting call (placing the current on hold) and also used to alternate between those calls.(default = empty)";
    $dicionario['en-us']['tooltip-pendulum-timeout'] = "Defines if channels should be enabled or not. Useful in specific channel sections. Use for debugging purpouses only, not recommended for production environments.(default = yes)";
    $dicionario['en-us']['tooltip-callgroup'] = "Defines call groups for calls of all channel.(default = 0)";
    $dicionario['en-us']['tooltip-pickupgroup'] = "Set the default group that can pickup fellow workers calls.(default = 0)";
    $dicionario['en-us']['tooltip-echo-canceller'] = "Enable/disable generalized echo cancellation in the channel, for calls passing inside Asterisk. (disabled for bridged calls) (default = yes)";
    $dicionario['en-us']['tooltip-auto-gain-control'] = "Enable/disable AGC (auto gain control). Should be used carefully, as it can make line noise really loud. (default = no)";
    $dicionario['en-us']['tooltip-out-of-band-dtmfs'] = "Enable/disable sending DTMFs out-band as a way to pass detected DTMFs to Asterisk. Needed if Asterisk generates digits for us in Dial (option 'D') or is being used for IVR (\'URA\', in pt_BR). (default = yes)";
    $dicionario['en-us']['tooltip-suppression-delay'] = "Enable/disable DTMF suppression delay. WARNING: if you disable this, DTMFs will not be suppressed anymore. You should only use this option if \'out-of-band-dtmfs\' is \'false\'. (default = yes)";
    $dicionario['en-us']['tooltip-auto-fax-adjustment'] = "Adjust connection automagically if a FAX tone is detected. (default = yes)";
    $dicionario['en-us']['tooltip-optimize-audio-path'] = "Defines if the channel should optimize audio delay by droping longstanding packets from audio buffer. This guarantees the minimal audio delay for the user, and avoid delays associated with miscoded SIP clients. However, depending on the system's scheduling policy (some 2.6 kernel releases), this may result on excessive drop of packets, and audible audio skipping. This should not be changed naively. (default = no)";
    $dicionario['en-us']['tooltip-ignore-letter-dtmfs'] = "Defines if the channel should ignore some uncommon DTMF digits detected by the board (A, B, C and D). This reduces the number of false positives which may happen sometimes, without affecting correctness on traditional scenarios. However, if you need to pass those digits througth the board, you may need to set this option to \'false\'.(default = yes)";
    $dicionario['en-us']['tooltip-pulse-forwarding'] = "Enable/disable pulse detection (reported as DTMF digits).(default = no)";
    $dicionario['en-us']['tooltip-fax-adjustment-timeout'] = "Time (is seconds) since connection, when we may detect FAX tone and perform automatical adjustment. After this, FAX tone detection is ignored. (default = 30)";
    $dicionario['en-us']['tooltip-input-volume'] = "Set input volume level. Can only be used if AGC (and not pulse detection) is enabled on the board configuration.";
    $dicionario['en-us']['tooltip-output-volume'] = "Set output volume level. (default = 0)";
    $dicionario['en-us']['tooltip-audio-packet-length'] = "Defines the length (in bytes) for A-Law audio packets sent to Asterisk. Can be used to change the packet size for applications and/or channels that need fixed-sized data at a specific size (e.g.: iaxmodem, some SIP devices). Do not change this option naively, as it may result in undesired delay due to extra buffering needed for packet size conversion";
    $dicionario['en-us']['tooltip-r2-strict-behaviour'] = "Enables or disables the behavior of signaling R2/MFC as standard sets. The default is \'false\', and can be changed to if necessary send / receive accurate data from the signaling protocol (condition B, for example). (local option)";
    $dicionario['en-us']['tooltip-r2-preconnect-wait'] = "Set the delay (in ms) after sending ringback condition where audio stream should be opened for the channel. Limited to 25ms minimum, 500ms maximum.";
    $dicionario['en-us']['tooltip-r2-hangup-behaviour'] = "Chooses the method for disconnecting calls on the R2/MFC protocol. NOTE: This option is adjusted to \'force-disconnect\' by default, as disconnecting incoming calls in the standard way may result in 90 seconds delay for releasing the timeslot, thus leading to an under-utilization of the available lines. This option is non-ITU.T, but allowed by Brazillian variant of R2/MFC. This option can be changed to \'release\' for a more agressive disconnect method, if the \'force-disconnect\' is not releasing calls fast enought, or to \'disconnect\' for attaining strictly to the international R2 standard. (default = \'force-disconnect\')";
    $dicionario['en-us']['tooltip-qsig-transfer-facility'] = "Defines the facility used by the ISDN protocol for QSig transfers. (default = qsig-ct)";
    $dicionario['en-us']['tooltip-fxs-co-dialtone'] = "Sets the numbers (separated by comma) in which the \'pbx-dialtone\' from FXS boards will be changed to \'co-dialtone\' (public tone), when they are pressed. (default = )";
    $dicionario['en-us']['tooltip-fxs-send-bina-dtmf'] = "Enable or disable sending originator number throught BINA DTMF signalization to a FXS branch during call setup. (default = yes)";
    $dicionario['en-us']['tooltip-fxs-send-fsk'] = "Enable or disable sending originator number throught FSK signalization to a FXS branch during call setup. (default = yes)";
    $dicionario['en-us']['tooltip-fxs-sharp-dial'] = "Enables/disables the use of sharp (#) as an end-of-number digit on FXS channels for instant dialing. This does not affect special numbers which start on sharp, like #8 or #1.(default = no)";
    $dicionario['en-us']['tooltip-fxs-global-orig'] = "Sets the global orig (CALLERID) base for FXS boards. This number is added to a sequencial number, which is incremented for each FXS board and FXS channel in the system. For more example of how to use this option, see channel README file, section 'Opcoes do application Dial', item 'Dial(Khomp/r304)'. (default = 00)";
    $dicionario['en-us']['tooltip-disconnect-delay'] = "This is the delay time to really disconnect a channel after the disconnect event arrive. If a connect event comes up in this interval, then the disconnection is ignored and the call keeps going on. Values are in miliseconds. (default = 0)";
    $dicionario['en-us']['tooltip-delay-ringback-co'] = "This timer controls the delay associated with ringback generation in the Khomp channel, when the other side *does not send audio* - in other words, this is used when calling peers located at VoIP channels. Values are in milliseconds. (default = 1500)";
    $dicionario['en-us']['tooltip-delay-ringback-pbx'] = "This timer controls the delay associated with ringback generation in the Khomp channel when the other side report a continuous stream of audio in silence - in other words, this is used when the audio is present but does not have any tone. Values are in milliseconds.(default = 2500)";
    $dicionario['en-us']['tooltip-fxs-digit-timeout'] = "Defines the timeout, in seconds, between digits of a FXS board's extension. (default = 7)";
    $dicionario['en-us']['tooltip-fxo-send-pre-audio'] = "For KFXO boards, defines if audio will be allowed being sent into outgoing calls before it has been answered.(default = yes)";
    $dicionario['en-us']['tooltip-fxo-fsk-timeout'] = "Sets the timeout for CallerID detection (is ms).(default = 2000)";
    $dicionario['en-us']['tooltip-fxo-user-xfer-delay'] = "Sets the amount of time to wait before sending FLASH command on KUserTransfer application. (default = 1000)";
    $dicionario['en-us']['tooltip-fxo-fsk-detection'] = "Sets the CallerID detection type for FXO boards using Asterisk(r) interface. NOTE: This option is not used for BINA DTMF, which is detected by the board DSPs, and is always enabled. (default = bell)";
    $dicionario['en-us']['tooltip-fxo-busy-disconnection'] = "When there is a request to indicate busy for an incoming KFXO call, the ringing channel is taken off hook and then placed on hook, so it now goes to answered state and we can send audio throught the line. If the off/on hook time interval is too short, the PSTN may ignore it, and keep the line in a ringing state. If it is too long, the call may be charged. The option below defines the delay between the line being answered and being disconnected, in miliseconds. (default = 1250)";
    $dicionario['en-us']['tooltip-kommuter-timeout'] = "Sets the CallerID detection type for FXO boards using Asterisk(r) interface. NOTE: This option is not used for BINA DTMF, which is detected by the board DSPs, and is always enabled. (default = bell)";
    $dicionario['en-us']['tooltip-kommuter-activation'] = "Defines if the activation and deactivation of Kommuter is done automatically by the channel, or manually by the user. (default = auto)";
    $dicionario['en-us']['tooltip-context-digital'] = "Input context for calls on digital devices (default is \ 'Khomp-DD-LL \' where \ 'dd \' will be replaced at the time of connection, the device number, \ 'LL \' by the number of link, \ 'CCC \' by channel number and \ 'SSSS \' by the device's serial number).";
    $dicionario['en-us']['tooltip-context-fxs'] = "Inputo context for FXS devices (default is \'Khomp-CC-DD\', where \'DD\' will be replaced at the time of connection, the device number, \'CC\' by channel number, and \'SSSS\' by serial number the device).";
    $dicionario['en-us']['tooltip-context-fxs-alt'] = "Input alternative context for FXS devices (default is null - when set, follows the same option rule override context-fxs).";
    $dicionario['en-us']['tooltip-context-fxo'] = "Input context for FXO devices (the default is \'Khomp-CC-DD\', where \'DD\' will be replaced at the time of connection, by device number, \'CC\' by channel number, and \'SSSS\' by serial number the device).";
    $dicionario['en-us']['tooltip-context-fxo-alt'] = "Input alternative context for FXO devices (default is empty - when set, follows the same option rule override context-fxo).";
    $dicionario['en-us']['tooltip-context-gsm-call'] = "Input context for incoming GSM calls (the default is \'Khomp-CC-DD\', where \'DD\' will be replaced at the time of connecting by device number, \'CC\' by channel number, and \'SSSS\' by the device's serial number ).";
    $dicionario['en-us']['tooltip-context-gsm-call-alt'] = "Input alternative context for GSM calls (default is null - when set, follows the same option rule override context-gsm-call).";
    $dicionario['en-us']['tooltip-context-gsm-sms'] = "Context for incoming SMS messages (the default is \'Khomp-sms-CC-DD\', where \'DD\' will be replaced by the number of device, \'CC\' by channel number, and \'SSSS\' by the device's serial number).";
    $dicionario['en-us']['tooltip-context-gsm-wait'] = "Input context used for pre-processing of incoming GSM calls that are on standby - to disable this feature, use none (default is \'Khomp-wait-CC-DD\', where \'DD\' will be replaced at the time connection, by device number, \'CC\' by channel number).";
    $dicionario['en-us']['tooltip-context-pr'] = "Input context for incoming calls on KPR devices (default is \'Khomp-CC-DD\', where \'DD\' will be replaced at the time of connection, by device number, \'CC\' by channel number).";
    $dicionario['en-us']['portuguese'] = "Portuguese";
    $dicionario['en-us']['english'] = "English";
    $dicionario['en-us']['spanish'] = "Spanish";
    $dicionario['en-us']['Devices'] = "Devices";
    $dicionario['en-us']['Media-Server'] = "Media Server";
    $dicionario['en-us']['System'] = "System";
    $dicionario['en-us']['Options'] = "Options";
    $dicionario['en-us']['Compatibility'] = "Compatibility";
    $dicionario['en-us']['Error-Counter'] = "Error Counter";
    $dicionario['en-us']['Resources'] = "Resources";
    $dicionario['en-us']['Auto-Activation'] = "Auto Activation";
    $dicionario['en-us']['Echo-Canceller'] = "Echo Canceller";
    $dicionario['en-us']['DTMF-Supression'] = "Echo Canceller";
    $dicionario['en-us']['Drop-Collection-Call'] = "Drop Collection Call";
    $dicionario['en-us']['Telephony'] = "Telephony";
    $dicionario['en-us']['Profiles'] = 'Profiles';
    $dicionario['en-us']['Cadences'] = "Cadences";
    $dicionario['en-us']['General'] = "General";
    $dicionario['en-us']['MaintenanceClosed'] = "Maintenance »";
    $dicionario['en-us']['MaintenanceOpened'] = "Maintenance «";
    
    $dicionario['en-us']['generate'] = "Generate";
    $dicionario['en-us']['receive'] = "Receive";
    $dicionario['en-us']['canais'] = " channels";
    $dicionario['en-us']['SynchronismClock'] = "Synchronism (clock)";
    $dicionario['en-us']['CICAlreadyUsed'] = "BaseCIC number already used.";
    $dicionario['en-us']['needToSelectAtLeastOneChannel'] = "Need to select at least on channel from the TimeslotMap";
    $dicionario['en-us']['sureToRemoveCircuitGroup'] = "Are you sure to remove this circuit group?";
    $dicionario['en-us']['sureToRemoveRoute'] = "Are you sure to remove this route?";
    $dicionario['en-us']['sureToAddNewUser'] = "Are you sure to register this new user?";
    $dicionario['en-us']['sureToRemoveUser'] = "Are you sure to remove this user?";
    $dicionario['en-us']['sureToRemoveDevice'] = "Are you sure to remove this device?";
    $dicionario['en-us']['passwrodAreDiferent'] = "The password don't match each other.";
    $dicionario['en-us']['needtoEnterThePassword'] = "Need to type the user's password";
    $dicionario['en-us']['needtoEnterNewUserLogin'] = "Need to type the new user's login.";
    $dicionario['en-us']['needAtLeastOneLink'] = "Need to add at least one Mtp3 link.";
    $dicionario['en-us']['needToFillTheField'] = "Fill the field to continue.";
    $dicionario['en-us']['needToFillAllFields'] = "Need to fill all the fields.";
    $dicionario['en-us']['needToAddCadence'] = "WARNING: You must register at least one cadence of each type to the proper functioning of the Call Progress";
    $dicionario['en-us']['needoToEnterCadenceName'] = "Enter the cadence name.";
    $dicionario['en-us']['needoToEnterCadenceValue'] = "Enter the cadence value.";
    $dicionario['en-us']['IPAlreadyUsed'] = "IP already used.";
    $dicionario['en-us']['removeLinkSet'] = "Linkset removed successfully.";
    $dicionario['en-us']['noDevicesConfigured'] = "No device configured.";
    $dicionario['en-us']['servicesChanged'] = "Serviços modificados com sucesso.";
    $dicionario['en-us']['nameEmpty'] = "Name can not be empty.";
    $dicionario['en-us']['nameAlreadyUsed'] = "Profile's name already exists.";
    $dicionario['en-us']['linkAlreadyUsed'] = "Link already used.";
    $dicionario['en-us']['SLCAlreadyUsed'] = "SLC already used.";
    $dicionario['en-us']['configurationSaved'] = "The configuration was successfully saved!";
    $dicionario['en-us']['new-channel-text'] = "You are creating a new one [channel] from pre-existing settings. <br>After completing this process, you can edit the settings of the new [channel].";
    $dicionario['en-us']['loginRequired'] = "The login field is required.";
    $dicionario['en-us']['passwordRequired'] = "the password field is required.";
    $dicionario['en-us']['deviceRemoved'] = "Device removed successfully.";
    $dicionario['en-us']['WrongVoIPDeviceSerial'] = "Number of the VoIP device must be greater than or equal to 99.";
    $dicionario['en-us']['channel'] = "Channel";
    $dicionario['en-us']['add'] = "Add";
    $dicionario['en-us']['added'] = "Added";
    $dicionario['en-us']['groups'] = "Groups";
    $dicionario['en-us']['group'] = "Group";
    $dicionario['en-us']['noOne'] = "No one";
    $dicionario['en-us']['description'] = "Description";
    $dicionario['en-us']['general'] = "General";
    $dicionario['en-us']['done'] = "Done";
    $dicionario['en-us']['incompleteFields'] = "Incomplete fields.";
    $dicionario['en-us']['incoming'] = "Incoming";
    $dicionario['en-us']['outgoing'] = "Outgoing";
    $dicionario['en-us']['bidirectional'] = "Bidirectional";
    $dicionario['en-us']['name'] = "Name";
    $dicionario['en-us']['type'] = "Type";
    $dicionario['en-us']['Type'] = "Type";
    $dicionario['en-us']['SubType'] = "Sub type";
    $dicionario['en-us']['operation'] = "Operation";
    $dicionario['en-us']['edit'] = "Edit";
    $dicionario['en-us']['copy'] = "Copy";
    $dicionario['en-us']['remove'] = "Remove";
    $dicionario['en-us']['config-home'] = "Configuration";
    $dicionario['en-us']['monitoring-home'] = "Monitoring";
    $dicionario['en-us']['analyser-home'] = "Diagnostic";
    $dicionario['en-us']['adm-home'] = "Administration";
    $dicionario['en-us']['exit'] = "Logoff";
    $dicionario['en-us']['showSysInfo'] = "Show Sysinfo";
    $dicionario['en-us']['hideSysInfo'] = "Hide Sysinfo";
    $dicionario['en-us']['sysInfoNotFound'] = "Sysinfo file not found.";
    //TODO: Remove unsuded NAP keys -- see gateway-nap-* for duplicated keys
    $dicionario['en-us']['noNAPs'] = "There are no NAPs to show.";
    $dicionario['en-us']['SIMCard0'] = "SIM: 0";
    $dicionario['en-us']['SIMCard1'] = "SIM: 1";
    $dicionario['en-us']['NAPName'] = "Name";
    $dicionario['en-us']['NAPSuccessSaved'] = "NAP successfully saved.";
    $dicionario['en-us']['NameAlreadyUsed'] = "Name already used.";
    $dicionario['en-us']['NAPChannels'] = "Channels";
    $dicionario['en-us']['FractionateLink'] = "Fractionate link";
    $dicionario['en-us']['EntireLink'] = "Entire link";
    $dicionario['en-us']['FractionatedLink'] = "Fractionated Links";
    $dicionario['en-us']['Select'] = "Select";
    $dicionario['en-us']['Branches'] = "Branches";
    $dicionario['en-us']['NewNAP'] = "New NAP";
    $dicionario['en-us']['OriginNAP'] = "Origin NAP";
    $dicionario['en-us']['noRoutes'] = "There are no Routes to show.";
    $dicionario['en-us']['newTimeRestraints'] = "New Time Restraints";
    $dicionario['en-us']['noTimeRestraints'] = "There are no Time Restraints to show.";
    $dicionario['en-us']['noFXSBranches'] = "There are no FXS branches";
    $dicionario['en-us']['Register'] = "Register";
    $dicionario['en-us']['Proxy'] = "Proxy";
    $dicionario['en-us']['ProxyPort'] = "Proxy Port";
    $dicionario['en-us']['Username'] = "Username";
    $dicionario['en-us']['Password'] = "Password";
    $dicionario['en-us']['DestinationNAP'] = "Destination NAP";
    $dicionario['en-us']['NAPRemoved'] = "NAP removed sucessfully";
    $dicionario['en-us']['reportRouteName'] = "Enter the route's name.";
    $dicionario['en-us']['reportNAPName'] = "Enter the NAP's name.";
    $dicionario['en-us']['reportCodec'] = "Enter at least a codec.";
    $dicionario['en-us']['reportOriginNAP'] = "Enter a origin NAP.";
    $dicionario['en-us']['reportDestinationNAP'] = "Enter a destination NAP.";
    $dicionario['en-us']['reportTimeRestraints'] = "Enter a Time Restraints.";
    $dicionario['en-us']['any'] = "Any";
    $dicionario['en-us']['numberA'] = "Caller";
    $dicionario['en-us']['numberB'] = "Called";
    $dicionario['en-us']['changingNumberA'] = "Remap Caller";
    $dicionario['en-us']['changingNumberB'] = "Remap Called";
    $dicionario['en-us']['TimeRestraints'] = "Time Restraints";
    $dicionario['en-us']['RouteSuccessfully'] = "Route successfully saved.";
    $dicionario['en-us']['newRoute'] = "New Route";
    $dicionario['en-us']['hour'] = "Hour";
    $dicionario['en-us']['reportNameRestraints'] = "Enter the time restraint's name.";
    $dicionario['en-us']['weekDays'] = "Weekdays";
    $dicionario['en-us']['monthDays'] = "Month Days";
    $dicionario['en-us']['reportValidTime'] = "Enter a valid time.";
    $dicionario['en-us']['months'] = "Months";
    $dicionario['en-us']['routeRemoved'] = "Route removed successfully!";
    $dicionario['en-us']['timeRestraintsRemoved'] = "Time Restraints removed successfully!";
    $dicionario['en-us']['start'] = "Start";
    $dicionario['en-us']['end'] = "End";
    $dicionario['en-us']['Routes'] = "Routes";
    $dicionario['en-us']['reportMonth'] = "Enter a month.";
    $dicionario['en-us']['reportMonthDay'] = "Enter a day.";
    $dicionario['en-us']['reportWeekDay'] = "Enter a weekday.";
    $dicionario['en-us']['none'] = "None";
    $dicionario['en-us']['TimeRestraintSaved'] = "Time Restraints successfully saved.";
    $dicionario['en-us']['Seg'] = "Monday";
    $dicionario['en-us']['Ter'] = "Tuesday";
    $dicionario['en-us']['Qua'] = "Wednesday";
    $dicionario['en-us']['Qui'] = "Thursday";
    $dicionario['en-us']['Sex'] = "Friday";
    $dicionario['en-us']['Sab'] = "Saturday";
    $dicionario['en-us']['Dom'] = "Sunday";
    $dicionario['en-us']['Jan'] = "January";
    $dicionario['en-us']['Fev'] = "February";
    $dicionario['en-us']['Mar'] = "March";
    $dicionario['en-us']['Abr'] = "April";
    $dicionario['en-us']['Mai'] = "May";
    $dicionario['en-us']['Jun'] = "June";
    $dicionario['en-us']['Jul'] = "July";
    $dicionario['en-us']['Ago'] = "August";
    $dicionario['en-us']['Set'] = "September";
    $dicionario['en-us']['Out'] = "October";
    $dicionario['en-us']['Nov'] = "November";
    $dicionario['en-us']['Dez'] = "December";
    $dicionario['en-us']['cleanTypedBranches'] = " Are you sure to clean th typed branches?";
    $dicionario['en-us']['enterFirstBranche'] = "Enter the first branch for the system to complete the other branches:";
    $dicionario['en-us']['removeTimeRestraints'] = "Are you sure to remove this Time Restraints?";
    $dicionario['en-us']['removeRoute'] = "Are you sure to remove this route?";
    $dicionario['en-us']['removeNAP'] = "Are you sure to remove this NAP?";
    $dicionario['en-us']['closeDropDown'] = "Close";
    $dicionario['en-us']['selectOne'] = "Select";
    $dicionario['en-us']['routesOrder'] = "Drag the lines to sort the routes. The order indicates the sequence run routes.";
    $dicionario['en-us']['GWParserError'] = "Unable to create the gateway's configuration file. See log files.";
    $dicionario['en-us']['deviceRebooting'] = "The device is rebooting...wait!";
    $dicionario['en-us']['IPConfigFileNotFound'] = "Network settings file was not found.";
    $dicionario['en-us']['Network'] = "Red";
    $dicionario['en-us']['reboot'] = "Reboot";
    $dicionario['en-us']['IPStatic'] = "Static";
    $dicionario['en-us']['IPAddress'] = "Network";
    $dicionario['en-us']['netmask'] = "Netmask";
    $dicionario['en-us']['gateway'] = "Gateway";
    $dicionario['en-us']['IPConfigChanged'] = "Network configuration changed successfully.";
    $dicionario['en-us']['sureToReboot'] = "Are you sure you want to reboot the device? Access will be interrupted until the loading system is complete.";
    $dicionario['en-us']['awaiting update'] = "Updating, please wait...";
    $dicionario['en-us']['tooltip-OriginNAP'] = "Entry point of the incoming call. This rule applies only for incoming calls at entry point.";
    $dicionario['en-us']['tooltip-numberB'] = "Number dialed by the incoming call. Can use regular expressions (perl).If empty makes no filter. Ex.: ^7789$, ^00.*$";
    $dicionario['en-us']['tooltip-numberA'] = "Number provided by the incoming call. Can use regular expressions (perl). If empty makes no filter.Ex.: ^048.*$, 04837222900";
    $dicionario['en-us']['tooltip-destinationNAP'] = "Name of the Access Point to where the call is forwarded.";
    $dicionario['en-us']['tooltip-changingNumberB'] = "The B number to be sended. Can use regular expressions (perl). If it\'s empty does not make change. Groups are replaced by $1, $2, $3...<br>Eg: /(.*)/00123$1/ - Adds 00123 at the beginning of the number. <br>/0(..)48(.{8})/09948$2/ - Adds oper 99 when the DDD is 48.";
    $dicionario['en-us']['tooltip-changingNumberA'] = "The A number to be reported to the outgoing link. Can use regular expressions (perl). If it\'s empty does not make change. Groups are replaced by $1, $2, $3...<br>Eg: /(.*)/00123$1/ - Adds 00123 at the beginning of the number /0(..)48(.{8})/09948$2/ - Adds oper 99 when the DDD is 48.";
    $dicionario['en-us']['tooltip-timeRestraints'] = "Restricts the times and dates to which this rule applies. Select \ ' \' to not filtering by time.";
    $dicionario['en-us']['error'] = "Failed";
    $dicionario['en-us']['send'] = "Send";
    $dicionario['en-us']['cancell'] = "Cancell";
    $dicionario['en-us']['selectFile'] = "Select file";
    $dicionario['en-us']['updateFirmware'] = "Update Firmware";
    $dicionario['en-us']['addAllFiles'] = "Send all";
    $dicionario['en-us']['cancellAllFiles'] = "Cancell all";
    $dicionario['en-us']['update'] = "Update";
    $dicionario['en-us']['placas_Placa'] = "Device";
    $dicionario['en-us']['placas_Serial'] = "Serial";
    $dicionario['en-us']['placas_Channel'] = "Channels";
    $dicionario['en-us']['placas_SummaryTable'] = "List all boards installed on the system";
    $dicionario['en-us']['sisConfig'] = "General system configuration";
    $dicionario['en-us']['placas_StatusConfiguracaoOK'] = "Cconfiguration ok";
    $dicionario['en-us']['placas_StatusConfiguracaoERRO'] = "Not configured";
    $dicionario['en-us']['Sistema'] = "System";
    $dicionario['en-us']['PaisPadraoMFC'] = "Default signaling MFC country";
    $dicionario['en-us']['CTbus'] = "CTbus";
    $dicionario['en-us']['PlacasConectadas'] = "Connected boards";
    $dicionario['en-us']['Sincronismo'] = "Synchronism";
    $dicionario['en-us']['MestrePrimaria'] = "Primary master";
    $dicionario['en-us']['FrequenciasdeOperacao'] = "Operation frequencies";
    $dicionario['en-us']['PlacasConectadasaoCTbus'] = "Boards not connected to CTbus";
    $dicionario['en-us']['NaoConectadas'] = "Not connected";
    $dicionario['en-us']['Conectadas'] = "Connected";
    $dicionario['en-us']['SelecaodePlacasdeSincronismo'] = "Synchronize boards selection";
    $dicionario['en-us']['PlacaMestrePrimaria'] = "Primary master board";
    $dicionario['en-us']['PlacaMestreSecundaria'] = "Secondary master board";
    $dicionario['en-us']['PlacaReferenciadeRedeCT_NETREF'] = "Reference network board (CT_NETREF)";
    $dicionario['en-us']['FrequenciadeGeracaodoCT_NETREF'] = "Generated frequency for CT_NETREF";
    $dicionario['en-us']['HabilitarFallbackAutomaticoEntreMestrePrimariaMestreSecundaria'] = "Enable auto fallback between primary master and secondary master";
    $dicionario['en-us']['ClockGeradonoCTbus'] = "Clock generated at CTbus";
    $dicionario['en-us']['GeracaoCLockOutrosBarramentos'] = "Clock generation of other bus";
    $dicionario['en-us']['GerarClockSCbus'] = "Generate SCbus clock";
    $dicionario['en-us']['Frequencia'] = "Frequency";
    $dicionario['en-us']['GerarClockMVIP90'] = "Generate clock MVIP-90";
    $dicionario['en-us']['GerarClockHMVIP'] = "Generate clock H-MVIP";
    $dicionario['en-us']['Seriais0003'] = "Serials: 00..03 (Mb/s)";
    $dicionario['en-us']['Seriais0811'] = "Serials: 08..11 (Mb/s)";
    $dicionario['en-us']['Seriais0407'] = "Serials: 04..07 (Mb/s)";
    $dicionario['en-us']['Seriais1215'] = "Serials: 12..15 (Mb/s)";
    $dicionario['en-us']['MonitoracaoLink'] = "Link monitoration";
    $dicionario['en-us']['MonitoracaodosContadoresErroLinks'] = "Error counters";
    $dicionario['en-us']['TempoParaVerificacaoContadoresErro'] = "Time to verify error counters";
    $dicionario['en-us']['IgnorarErrosSeguintesContadores'] = "Ignore errors at the following counters";
    $dicionario['en-us']['MudancasParaBloqueado'] = "Changes to block";
    $dicionario['en-us']['PerdaSinal'] = "Signal lost";
    $dicionario['en-us']['IndicacaoAlarmesRecebidos'] = "Receved alarm indication";
    $dicionario['en-us']['SincronismoQuadro'] = "Frame synchronism";
    $dicionario['en-us']['SincronismoMultiquadro'] = "Multiquad synchronism";
    $dicionario['en-us']['AlarmesRemotosRecebidos'] = "Remote received alarms";
    $dicionario['en-us']['AlarmesNaoIdentificados'] = "Slip alarms";
    $dicionario['en-us']['ErrosPBRSDetectados'] = "Detected PBRS errors";
    $dicionario['en-us']['EbitsRecebidosIncorretos'] = "Incorect receved ebits";
    $dicionario['en-us']['VariacaoBrutaJitter'] = "Jitter gross variation";
    $dicionario['en-us']['TempoSincronismoPerdido'] = "Synchronism time lost";
    $dicionario['en-us']['ErrosAlinhamentoQuadro'] = "Quad align errors";
    $dicionario['en-us']['QuadrosErrados'] = "Brocken quads";
    $dicionario['en-us']['ViolacaoBipolar'] = "Bipolar violation";
    $dicionario['en-us']['ErrosCRC4'] = "CRC-4 errors";
    $dicionario['en-us']['VoIP'] = "VoIP";
    $dicionario['en-us']['MaiorPortaRTP'] = "Highest RTP port";
    $dicionario['en-us']['CampoMaiorPortaRTPValorInvalido'] = "The field: highest RTP port, has an invalid value!";
    $dicionario['en-us']['PortaGateway'] = "Gateway port";
    $dicionario['en-us']['CampoPortaGatewayValorInvalido'] = "The field: gateway port, has an invalid value!";
    $dicionario['en-us']['TamanhoPacoteAudio'] = "Audio package size";
    $dicionario['en-us']['CampoTamanhoPacoteAudioValorInvalido'] = "The field: audio package size, has an invalid value!";
    $dicionario['en-us']['MenorPortaRTP'] = "Lowest RTP port";
    $dicionario['en-us']['CampoMenorPortaRTPValorInvalido'] = "The field: lowest RTP port, has an invalid value!";
    $dicionario['en-us']['ProxyPadrao'] = "Default proxy";
    $dicionario['en-us']['CampoProxyPadraoValorInvalido'] = "The field: default proxy, has an invalid value!";
    $dicionario['en-us']['IPInterface'] = "IP interface";
    $dicionario['en-us']['RtpInterface'] = "RTP Interface";
    $dicionario['en-us']['CampoIPInterfaceValorInvalido'] = "The field: IP interface, has an invalid value!";
    $dicionario['en-us']['IniciarCanaisBloqueados'] = "Start with channels blocked?";
    $dicionario['en-us']['IniciaLinkBloqueado'] = "Start with channels blocked?";
    $dicionario['en-us']['Codecs'] = "Codecs";
    $dicionario['en-us']['Inativos'] = "Inactives";
    $dicionario['en-us']['Ativos'] = "Actives";
    $dicionario['en-us']['DVI4'] = "DVI4";
    $dicionario['en-us']['G711U'] = "G711U";
    $dicionario['en-us']['G729'] = "G729";
    $dicionario['en-us']['GSM'] = "GSM";
    $dicionario['en-us']['iLBC'] = "iLBC";
    $dicionario['en-us']['KServer'] = "KServer";
    $dicionario['en-us']['OpcoesKServer'] = "KServer options";
    $dicionario['en-us']['ReiniciarPlacasIniciar'] = "Restart devices at startup";
    $dicionario['en-us']['DesligarPlacasDesligar'] = "Shutdown devices at shutdown";
    $dicionario['en-us']['LogBaixoNivelAtivado'] = "Low level log activated";
    $dicionario['en-us']['DesabilitarCanaisVoIP'] = "Shutdown VoIP channels";
    $dicionario['en-us']['AudioListenerAssincrona'] = "Async audio listener";
    $dicionario['en-us']['LineSide'] = "Line Side";
    $dicionario['en-us']['OpcoesSinalizacaoPABX'] = "PABX signaling options";
    $dicionario['en-us']['SinalizacaoDiscagemAddressSignaling'] = "Address signaling";
    $dicionario['en-us']['SinalizacaoAtendimentoAnswerSupervision'] = "Answer supervision";
    $dicionario['en-us']['SinalizacaoDesligamentofarendDisconnectSignaling'] = "far-end disconnect signaling";
    $dicionario['en-us']['Temporizacoes'] = "Temporizations";
    $dicionario['en-us']['TemporizacaoLineSide'] = "Line side temporization";
    $dicionario['en-us']['TempoLiberacaoNovaChamada'] = "New call release time(ms)";
    $dicionario['en-us']['TempoAbandonoLigacaoEntrante'] = "Income call abandon time (ms)";
    $dicionario['en-us']['TempoPulsosSinalizacao'] = "Singnaling pulse time (ms)";
    $dicionario['en-us']['TempoPulsoFlash'] = "Flash pulse time (ms)";
    $dicionario['en-us']['Fax'] = "Fax";
    $dicionario['en-us']['NumeroPadraoFax'] = "Default fax number";
    $dicionario['en-us']['InserirQuebraPaginaAutomaticamenteAposCadaArquivo'] = "Auto insert page break after each file";
    $dicionario['en-us']['Geral'] = "Genral audio options";
    $dicionario['en-us']['AudioGeral'] = "Audio";
    $dicionario['en-us']['RecursosHabilitados'] = "Enable resources";
    $dicionario['en-us']['DeteccaoPulsosALE'] = "1 - Pulse detection (ALE)";
    $dicionario['en-us']['ControleVolumeAGC'] = "6 - Volume control + AGC";
    $dicionario['en-us']['GanhoAGC'] = "AGC gain";
    $dicionario['en-us']['Enable2E1600VoIP'] = "Enable additional VoIP channels at board K2E1-600E";
    $dicionario['en-us']['LocalCanceladorEco'] = "ECHO cancel interface";
    $dicionario['en-us']['Deteccao'] = "Detection";
    $dicionario['en-us']['TempoValidacaoDetec425'] = "425Hz validation time (ms)";
    $dicionario['en-us']['TempoValidacaoDetecSilencio'] = "Silence Validation Time (ms)";
    $dicionario['en-us']['TempoValidacaoDetecVoz'] = "Time for Voice Validation (ms)";
    $dicionario['en-us']['PotenciaCP'] = "Call progress (dB)";
    $dicionario['en-us']['PotenciaVOZ'] = "Voice (dB)";
    $dicionario['en-us']['PotenciaDTMF'] = "DTMF (dB)";
    $dicionario['en-us']['FreqMinDialTone'] = "Dial Tone (425) (Hz) - Min";
    $dicionario['en-us']['FreqMaxDialtone'] = "Maximal frequency for dialtone detection (Hz)";
    $dicionario['en-us']['Geracao'] = "Generation";
    $dicionario['en-us']['TempoGeracDTMF'] = "DTMF signal generation time (ms)";
    $dicionario['en-us']['TempoGeracSilencioDTMF'] = " Silence time between digits";
    $dicionario['en-us']['FrequenciaBeep'] = "Generated beep fequency (Hz)";
    $dicionario['en-us']['DuracaoBeep'] = "Generated beep time (ms)";
    $dicionario['en-us']['VolumeBeep'] = "Generated beep volume (multiplier)";
    $dicionario['en-us']['RingOn1'] = "Ring time 1 (ms)";
    $dicionario['en-us']['RingOff1'] = "Silence time 1 (ms)";
    $dicionario['en-us']['RingOn2'] = "Ring time 2 (ms)";
    $dicionario['en-us']['RingOff2'] = "Silence time 2 (ms)";
    $dicionario['en-us']['FlashThresholdTime'] = "Minimal flash validation time";
    $dicionario['en-us']['FlashValidationTime'] = "Flash validation time";
    $dicionario['en-us']['Link0'] = "Link 0 configuration";
    $dicionario['en-us']['CIC'] = "CIC";
    $dicionario['en-us']['ConfPulsada1'] = "ConfPulsada1";
    $dicionario['en-us']['ConfPulsada2'] = "ConfPulsada2";
    $dicionario['en-us']['ConfPulsada6'] = "ConfPulsada6";
    $dicionario['en-us']['ConfPulsada5'] = "ConfPulsada5";
    $dicionario['en-us']['ConfPulsada4'] = "ConfPulsada4";
    $dicionario['en-us']['ConfPulsada3'] = "ConfPulsada3";
    $dicionario['en-us']['ConfContinua1'] = "ConfContinua1";
    $dicionario['en-us']['ConfContinua2'] = "ConfContinua2";
    $dicionario['en-us']['ConfContinua3'] = "ConfContinua3";
    $dicionario['en-us']['ConfContinua4'] = "ConfContinua4";
    $dicionario['en-us']['nSinalizacao'] = "Signaling";
    $dicionario['en-us']['NumDigEntrada'] = "Number of income digits";
    $dicionario['en-us']['Sinalizacao'] = "Line signaling";
    $dicionario['en-us']['R2Digital'] = "Digital R2";
    $dicionario['en-us']['RDSIUsuario'] = "ISDN User";
    $dicionario['en-us']['RDSIRede'] = "ISDN Network";
    $dicionario['en-us']['RDSIPassivo'] = "Passive ISDN";
    $dicionario['en-us']['E1LC'] = "E1LC";
    $dicionario['en-us']['CASEL7'] = "CASEL7";
    $dicionario['en-us']['R2DTMF'] = "R2 DTMF";
    $dicionario['en-us']['CASAberto'] = "Open CAS";
    $dicionario['en-us']['R2Aberto'] = "Open R2";
    $dicionario['en-us']['CCSAberto'] = "Open CCS";
    $dicionario['en-us']['Desativado'] = "Deactivated";
    $dicionario['en-us']['PrefixoCentralPublica'] = "Central office prefix";
    $dicionario['en-us']['ForcedDisconnection'] = "Force disconnection";
    $dicionario['en-us']['HabilitaLinkComoRefer'] = "The E1 attached to this link will provide board sync";
    $dicionario['en-us']['CRC4'] = "Enable CRC4";
    $dicionario['en-us']['ConfirmacaoDesconexaoParaFrente'] = "Income calls require hang up confirmation";
    $dicionario['en-us']['Canais'] = "Channels";
    $dicionario['en-us']['SomenteEntrada'] = "Income only";
    $dicionario['en-us']['Bidirecionais'] = "Bidirectional";
    $dicionario['en-us']['SomenteSaida'] = "Outgoing only";
    $dicionario['en-us']['InicialBloqueado'] = "Start link with blocked channels";
    $dicionario['en-us']['ConfiguracaoFalhas'] = "Fails";
    $dicionario['en-us']['TempoPartida'] = "Startup Fail events inhibition time (ms)";
    $dicionario['en-us']['TempoLiberacao'] = "Time without detecting error on release report (ms)";
    $dicionario['en-us']['TempoFalha'] = "Minimal error time to generate fail event (ms)";
    $dicionario['en-us']['OpcoesGeraisLink'] = "General";
    $dicionario['en-us']['ConfGeral1'] = "Signaling variation validation time(ms)";
    $dicionario['en-us']['ConfGeral2'] = "Transition loss supervision time (ms)";
    $dicionario['en-us']['ConfGeral3'] = "Busy confirmation receive time (s)";
    $dicionario['en-us']['ConfGeral4'] = "Answer signal receive time (s)";
    $dicionario['en-us']['ConfGeral5'] = "Forward hang up signal receive time";
    $dicionario['en-us']['SeizeTimeout'] = "Seize timeout";
    $dicionario['en-us']['SeizeConfirmationTimeout'] = "Seize confirmation timeout";
    $dicionario['en-us']['ConfiguracaoR2Digital'] = "Digital R2";
    $dicionario['en-us']['ConfR2Digital1'] = "Minimal time to send digital R2 (ms)";
    $dicionario['en-us']['ConfR2Digital2'] = "Time that identify charge on digital R2(ms)";
    $dicionario['en-us']['OrdemPedIdent'] = "Identity request position";
    $dicionario['en-us']['MakeCallSincronoR2'] = "CM_MAKE_CALL sync on digital R2";
    $dicionario['en-us']['OpcoesSinalizacoesMFC'] = "MFC signaling options";
    $dicionario['en-us']['ConfMFC1'] = "MFC signal forward receive time (s)";
    $dicionario['en-us']['ConfMFC2'] = "MFC signal forward send time (s)";
    $dicionario['en-us']['ConfMFC3'] = "MFC signal forward missing time (s)";
    $dicionario['en-us']['ConfMFC4'] = "Outgoing channel time to aloc MFC exchanger (s)";
    $dicionario['en-us']['ConfMFC5'] = "Pulse MFC signal (ms)";
    $dicionario['en-us']['ConfiguracaoTons'] = "Tones";
    $dicionario['en-us']['ConfTons1'] = "Ring tone silence time (s)";
    $dicionario['en-us']['ConfTons2'] = "Ring tone with 425 Hz time (s)";
    $dicionario['en-us']['RecursosAdicionaisPlaca'] = "Resources";
    $dicionario['en-us']['HabilitaEventosDeAudio'] = "Enable Audio Event";
    $dicionario['en-us']['HabilitaEventosDeCadencia'] = "Enable EV_CADENCE_RECOGNIZED";
    $dicionario['en-us']['AutoCallAnalyser'] = "Call analyzer";
    $dicionario['en-us']['AutoBlockCollectCall'] = "Block collect call based on signaling information";
    $dicionario['en-us']['BlockCollectCallResponse'] = "Signaling answer for blocked collect calls";
    $dicionario['en-us']['AutoDoubleAnswer'] = "Enable auto double answer";
    $dicionario['en-us']['DoubleAnswerDelay'] = "Time for double answer reconnection (ms)";
    $dicionario['en-us']['DropCallAnalyserCollectCalls'] = "Hang up calls detected as collect calls by call analyzer";
    $dicionario['en-us']['DeteccaoPulsos'] = "Pulse detection";
    $dicionario['en-us']['Automatico'] = "Automatic";
    $dicionario['en-us']['Manual'] = "Manual";
    $dicionario['en-us']['CancelamentoEco'] = "ECHO cancel";
    $dicionario['en-us']['SupressaoDTMF'] = "DTMF supression";
    $dicionario['en-us']['AGC'] = "AGC";
    $dicionario['en-us']['ParametrosRDSI'] = "RDSI";
    $dicionario['en-us']['Opcoes'] = "Options";
    $dicionario['en-us']['Q931t301'] = "Timeout after receive ALERT - Q931 T301 (ms)";
    $dicionario['en-us']['Q931t302'] = "Timeout after receive INFO - Q931 T302 (ms)";
    $dicionario['en-us']['Q931t303'] = "Timeout after send SETUP - Q931 T303 (ms)";
    $dicionario['en-us']['Q931t304'] = "Timeout after send INFO - Q931 T304 (ms)";
    $dicionario['en-us']['Q931t305'] = "Timeout after send DISCONNECT - Q931 T305 (ms)";
    $dicionario['en-us']['Q931t308'] = "Timeout after send RELEASE - Q931 T308 (ms)";
    $dicionario['en-us']['Q931t309'] = "Time to report data link fail - Q931 T309 (ms)";
    $dicionario['en-us']['Q931t310'] = "Timeout after receive CALL PROC - Q931 T310 (ms)";
    $dicionario['en-us']['Q931t313'] = "Timeout after send CONNECT - Q931 T313 (ms)";
    $dicionario['en-us']['LAPD'] = "LAPD";
    $dicionario['en-us']['LAPDt200'] = "Timeout to receive ACK - LAPD T200 (ms)";
    $dicionario['en-us']['LAPDt203'] = "Max time without package exchange - LAPD T203 (ms)";
    $dicionario['en-us']['LAPDtRejectRecovery'] = "REJ send normalization timeout (ms)";
    $dicionario['en-us']['DefaultBearerCapability'] = "Default bearer capability";
    $dicionario['en-us']['0x00Speech'] = "0x00 - Speech";
    $dicionario['en-us']['0x08Unrestricteddigital'] = "0x08 - Digital Unrestricted";
    $dicionario['en-us']['0x10Audio3.1Khz'] = "0x10 - Audio 3.1 Khz";
    $dicionario['en-us']['0x11Audio7Khz'] = "0x11 - Audio 7 Khz";
    $dicionario['en-us']['0x18Video'] = "0x18 - Video";
    $dicionario['en-us']['DefaultHLC'] = "Default high layer compatibility";
    $dicionario['en-us']['0x00NaoEnviar'] = "0x00 - Not Send";
    $dicionario['en-us']['0x81Telephony'] = "0x81 - Telephony";
    $dicionario['en-us']['0x84FaxGroup23'] = "0x84 - Fax Group 2/3";
    $dicionario['en-us']['0xa1FaxGroup4'] = "0xa1 - Fax Group 4";
    $dicionario['en-us']['0xa4TeletexF.184'] = "0xa4 - Teletex F.184";
    $dicionario['en-us']['0xa8TeletexF.220'] = "0xa8 - Teletex F.220";
    $dicionario['en-us']['0xb1TeletexF.200'] = "0xb1 - Teletex F.200";
    $dicionario['en-us']['0xb2Videotex'] = "0xb2 - Videotex";
    $dicionario['en-us']['0xb5TeletexF.60'] = "0xb5 - Teletex F.60";
    $dicionario['en-us']['0xb8MHS'] = "0xb8 - MHS";
    $dicionario['en-us']['0xc1OSIApplication'] = "0xc1 - OSI application";
    $dicionario['en-us']['0xdeMaintenance'] = "0xde - Maintenance";
    $dicionario['en-us']['0xdfManagement'] = "0xdf - Management";
    $dicionario['en-us']['AlwaysSendChannelId'] = "Aways send channel ID (timeslot E1)";
    $dicionario['en-us']['ConfirmacaoDesconexaoLigacoesSaintes'] = "Require hang up Confirmation for outgoing calls";
    $dicionario['en-us']['SSCTt1'] = "Timeout for single step call transfer - SSCT T1 (ms)";
    $dicionario['en-us']['AllowTransmissionInTimeoutRecovery'] = "Enable send LAPD package at recovering timeout state";
    $dicionario['en-us']['TimeslotOffsetOption'] = "Timeslot offset option";
    $dicionario['en-us']['Link1'] = "Link 1 Configuration";
    $dicionario['en-us']['Padrao1151731'] = "Default(1-15, 17-31)";
    $dicionario['en-us']['Modificado130'] = "Modified(1-30)";
    $dicionario['en-us']['Ocupado'] = "Busy";
    $dicionario['en-us']['NumeroInvalido'] = "Invalid branch number";
    $dicionario['en-us']['ForaServico'] = "Out of service";
    $dicionario['en-us']['ConfigGerais'] = "General config";
    $dicionario['en-us']['Audio'] = "Audio";
    $dicionario['en-us']['RecursoHabilitado'] = "Audio resource enabled";
    $dicionario['en-us']['BloqueioSomAlto'] = "0 - High sound block";
    $dicionario['en-us']['BloqueioSomBaixo'] = "1 - Low sound block";
    $dicionario['en-us']['BloqPotenciaMin'] = "Minimal level to block";
    $dicionario['en-us']['BloqTempoMin'] = "Time to block (s)";
    $dicionario['en-us']['BloqGanho'] = "Gain at block";
    $dicionario['en-us']['BloqPotenciaMax'] = "Max level to restore";
    $dicionario['en-us']['BloqTempoMax'] = "Time to Restore (s)";
    $dicionario['en-us']['BloqLimiar'] = "Low sound block - limite (amplitude)";
    $dicionario['en-us']['BloqTempo'] = "Low sound block - time (ms)";
    $dicionario['en-us']['TempoValidacaoDetecDTMF'] = "DTMF validation time (ms)";
    $dicionario['en-us']['FreqMaxDialTone'] = "Dial Tone (425) (Hz) - Max";
    $dicionario['en-us']['TempoFlash'] = "Flash Time";
    $dicionario['en-us']['ReportaDesconexaoNaInversaoPolaridade'] = "Report Desconnection at Polarit Invertion";
    $dicionario['en-us']['GanhoPlayerAGC'] = "AGC Player Gain";
    $dicionario['en-us']['DeteccaoPulso'] = "Pulse Detection";
    // $dicionario['en-us']['TimeoutModem'] = "Modem Answer Time (s)";
    $dicionario['en-us']['TempoCheckSinal'] = "Interval Time for Network Verification";
    $dicionario['en-us']['PIN0'] = "PIN Modem 0";
    $dicionario['en-us']['PIN1'] = "PIN Modem 1";
    $dicionario['en-us']['PIN2'] = "PIN Modem 2";
    $dicionario['en-us']['PIN3'] = "PIN Modem 3";
    $dicionario['en-us']['EnableCallHold'] = "Enable Call on Hold";
    $dicionario['en-us']['ReceberSmsEmPdu'] = "Receive SMS messages in PDU format";
    $dicionario['en-us']['SS7LoadError'] = "SS7 config load error";
    $dicionario['en-us']['addPointCode'] = "Add point code";
    $dicionario['en-us']['addLink'] = "Add Link";
    $dicionario['en-us']['addLinksets'] = "Add Linkset";
    $dicionario['en-us']['addRoutes'] = "Ads Route";
    $dicionario['en-us']['addCircuitGroups'] = "Add circuit group";
    $dicionario['en-us']['CircuitGroupAlreadyExists'] = "Circuit Group already exist.";
    $dicionario['en-us']['Sair'] = "Quit";
    $dicionario['en-us']['TrocarSenha'] = "Change password";
    $dicionario['en-us']['Cancelar'] = "Cancel";
    $dicionario['en-us']['Usuario'] = "User";
    $dicionario['en-us']['Senha'] = "Password";
    $dicionario['en-us']['RepetirSenha'] = "Repeate password";
    $dicionario['en-us']['Entrar'] = "Login";
    $dicionario['en-us']['Autenticacao'] = "Authentication";
    $dicionario['en-us']['usuSPreenc'] = "User must be given!";
    $dicionario['en-us']['senhaSPreenc'] = "Password must be given!";
    $dicionario['en-us']['senhaInvalida'] = "Invalid password!";
    $dicionario['en-us']['usuarioInvalido'] = "Invalid user!";
    $dicionario['en-us']['senhaCPreenc'] = "Password must be correctly reapeated!";
    $dicionario['en-us']['usueSenhaDSPreenc'] = "User and password must be given!";
    $dicionario['en-us']['Erro'] = "Error";
    $dicionario['en-us']['Adicinar'] = "Add";
    $dicionario['en-us']['Apagar'] = "Delete";
    $dicionario['en-us']['Atualizar'] = "Update";
    $dicionario['en-us']['AdicionarLinkSet'] = "Create linkset";
    $dicionario['en-us']['CriarLink'] = "Create link";
    $dicionario['en-us']['SalvarLinkSet'] = "Save linkset";
    $dicionario['en-us']['AdicionarCircuitGroup'] = "Add circuit group";
    $dicionario['en-us']['AtualizarCircuitGroup'] = "Update circuit group";
    $dicionario['en-us']['AdicionarPointCode'] = "Add point code";
    $dicionario['en-us']['AdicionarRota'] = "Add route";
    $dicionario['en-us']['AdicionarLink'] = "Add link";
    $dicionario['en-us']['AdicionarLinksetRota'] = "Add linkset to route";
    $dicionario['en-us']['AdicionarLinkset'] = "Add linkset";
    $dicionario['en-us']['SalvarRota'] = "Save route";
    $dicionario['en-us']['PointCodeDecimal'] = "Decimal point code";
    $dicionario['en-us']['AtualizarPointCode'] = "Update point code";
    $dicionario['en-us']['AtualizarLinkset'] = "Update linkset";
    $dicionario['en-us']['AtualizarRota'] = "Update route";
    $dicionario['en-us']['AtualizarLinkSet'] = "Update linkSet";
    $dicionario['en-us']['AtualizarLink'] = "Update link";
    $dicionario['en-us']['DesmarcarTodos'] = "Uncheck all";
    $dicionario['en-us']['MarcarTodos'] = "Check all";
    $dicionario['en-us']['CancelarLinkset'] = "Cancel";
    $dicionario['en-us']['CancelarUpLinkset'] = "Cancel linkset update";
    $dicionario['en-us']['AdicionarLinkLinkset'] = "Add to linkset";
    $dicionario['en-us']['KLoggerValue'] = "Value";
    $dicionario['en-us']['KLoggerFullLog'] = "FullLog";
    $dicionario['en-us']['K3LValue'] = "Value";
    $dicionario['en-us']['K3LCallProgress'] = "Call progress";
    $dicionario['en-us']['CallProgress'] = "Call progress";
    $dicionario['en-us']['K3LCallAnalyzer'] = "Call analyzer";
    $dicionario['en-us']['K3LCadenceRecog'] = "Cadence Recognition";
    $dicionario['en-us']['K3LCallControl'] = "Call control";
    $dicionario['en-us']['K3LFax'] = "Fax";
    $dicionario['en-us']['K3LExceptions'] = "Exceptions";
    $dicionario['en-us']['IntfK3LValue'] = "Value";
    $dicionario['en-us']['IntfK3LAudioEvent'] = "Audio event";
    $dicionario['en-us']['IntfK3L_CValue'] = "Value";
    $dicionario['en-us']['IntfK3L_CAudioEvent'] = "Audio event";
    $dicionario['en-us']['ISDNValue'] = "Value";
    $dicionario['en-us']['ISDNLapd'] = "Lapd";
    $dicionario['en-us']['ISDNQ931'] = "Q931";
    $dicionario['en-us']['R2Value'] = "Value";
    $dicionario['en-us']['R2Signaling'] = "Signaling";
    $dicionario['en-us']['R2States'] = "States";
    $dicionario['en-us']['FirmwareValue'] = "Value";
    $dicionario['en-us']['FirmwareFwHdlcMsg'] = "FwHdlc Msg";
    $dicionario['en-us']['FirmwareFwLinkErrors'] = "FwLink errors";
    $dicionario['en-us']['FirmwareFwModemChar'] = "FwModemChar";
    $dicionario['en-us']['AudioValue'] = "teste";
    $dicionario['en-us']['AudioDSP'] = "DSP";
    $dicionario['en-us']['AudioK3L'] = "K3L";
    $dicionario['en-us']['SS7Value'] = "Value";
    $dicionario['en-us']['SS7MTP2States'] = "MTP2States";
    $dicionario['en-us']['SS7MTP2Debug'] = "MTP2Debug";
    $dicionario['en-us']['SS7MTP3Management'] = "MTP3Management";
    $dicionario['en-us']['SS7MTP3Test'] = "MTP3Test";
    $dicionario['en-us']['SS7MTP3Debug'] = "MTP3Debug";
    $dicionario['en-us']['SS7ISUPStates'] = "ISUPStates";
    $dicionario['en-us']['SS7ISUPDebug'] = "ISUPDebug";
    $dicionario['en-us']['SS7ISUPMessages'] = "ISUPMessages";
    $dicionario['en-us']['SIPValue'] = "Value";
    $dicionario['en-us']['TimerValue'] = "Value";
    $dicionario['en-us']['RecarregarKlog'] = "Apply log configurations";
    $dicionario['en-us']['placaNNConfig'] = "This board does not require configuration!";
    $dicionario['en-us']['TimersSucesso'] = "Timers succesfully updated!";
    $dicionario['en-us']['AtualizarIsupTimers'] = "Update Timers";
    $dicionario['en-us']['AdicionarIsupTimers'] = "Add Timers";
    $dicionario['en-us']['Optional'] = "Optional";
    $dicionario['en-us']['LinkAsReference'] = "Link as reference";
    $dicionario['en-us']['LockLinkAtStartup'] = "Lock link at startup";
    $dicionario['en-us']['DisconnectionConfirmation'] = "Disconnection confirmation";
    $dicionario['en-us']['DisconnectConfirmationTime'] = "Disconnect confirmation time";
    $dicionario['en-us']['EnableAudioEvents'] = "Enable audio events";
    $dicionario['en-us']['EnableCadenceEvents'] = "Enable cadence events";
    $dicionario['en-us']['ExcluirItem'] = "Delete item";
    $dicionario['en-us']['AddAnother'] = "Add item";
    $dicionario['en-us']['ExcluirTodos'] = "Delete all";
    $dicionario['en-us']['ConfiguracoesSalvas'] = "Configuration saved!";
    $dicionario['en-us']['PointCodeJaExistente'] = "PointCode already exists!";
    $dicionario['en-us']['OPCDPCDiferentes'] = "Origin and destiny's point codes must be different!";
    $dicionario['en-us']['OPAPDiferentes'] = "Origin and adjacent's point codes must be different!";
    $dicionario['en-us']['ErroValorPointCode'] = "Point code value error!";
    $dicionario['en-us']['ConcluaIncPointCode'] = "Please finish including the point code!";
    $dicionario['en-us']['ConcluaIncLinkMtp2'] = "Please finish including the MTP2 link!";
    $dicionario['en-us']['NLinkMtp2Insuf'] = "Insuficient MTP2 links!";
    $dicionario['en-us']['NPointCodeInsuf'] = "Insuficient point codes!";
    $dicionario['en-us']['ConcluaIncLinkset'] = "Please finish including the linkset!";
    $dicionario['en-us']['FavCadastLinksets'] = "Please Enter the linkSets first!";
    $dicionario['en-us']['ConfirmdeleteLink'] = "Deleting this link will delete all fields that have it as requirement, continue?";
    $dicionario['en-us']['ConfirmdeletePointCode'] = "Deleting This pointCode will delete all fields that have it as requirement, continue?";
    $dicionario['en-us']['ConfirmdeleteLinkSet'] = "Deleting this linkset will delete all fields that have it as requirement, continue?";
    $dicionario['en-us']['ValorVariavel'] = "Variable";
    $dicionario['en-us']['AtualizadoExito'] = "was successfully updated!";
    $dicionario['en-us']['EstaSimulacaoExtra'] = "This simulation do not require extra configuration!";
    $dicionario['en-us']['ConfiguracaoSalva'] = "Configuration successful saved!";
    $dicionario['en-us']['ConfiguracaoAlterada'] = "Configuration successful changed!";
    $dicionario['en-us']['Não Simular'] = "No simulation";
    $dicionario['en-us']['Simular KConf'] = "Simulate KConf";
    $dicionario['en-us']['Simular KPR'] = "Simulate KPR";
    $dicionario['en-us']['Simular KE1GW'] = "Simulate KE1GW";
    $dicionario['en-us']['Simular KE1IP'] = "Simulate KE1IP";
    $dicionario['en-us']['Simular KGWIP'] = "Simulate KGWIP";
    $dicionario['en-us']['Simular KFXS'] = "Simulate KFXS";
    $dicionario['en-us']['Salvar'] = "Save";
    $dicionario['en-us']['ConfiguracaoCancelada'] = "Configuration canceled!";
    $dicionario['en-us']['ListarPlacas'] = "Home";
    $dicionario['en-us']['numVar'] = "This Variable will accept numeric values only!";
    $dicionario['en-us']['FalhaVariavel'] = "Failed to update values on variable ";
    $dicionario['en-us']['K3LRemote'] = "K3L-Remote";
    $dicionario['en-us']['ServerAddress'] = "Server address";
    $dicionario['en-us']['Servidor'] = " Work as server";
    $dicionario['en-us']['Cliente'] = " Work as client";
    $dicionario['en-us']['placaDesconhecida'] = "Device not suported on this KWebConfig version!";
    $dicionario['en-us']['placaDesc'] = "Unknow Device";
    $dicionario['en-us']['valorOpApDif'] = "Origin and adjacent point codes must be different!";
    $dicionario['en-us']['PrimeiroToqueRingON'] = "First ring ON";
    $dicionario['en-us']['PrimeiroToqueRingOFF'] = "First ring OFF";
    $dicionario['en-us']['SegundoToqueRingON'] = "Second ring ON";
    $dicionario['en-us']['SegundoToqueRingOFF'] = "Second ring OFF";
    $dicionario['en-us']['TempoValidacaoFlashMinimo'] = "Flash validation time (ms): minimal";
    $dicionario['en-us']['TempoValidacaoFlashMaximo'] = "Flash validation time (ms): max";
    $dicionario['en-us']['FXOLineSensibility'] = "Line sensibility";
    $dicionario['en-us']['Placas'] = "Devices";
    $dicionario['en-us']['Route'] = "Route";
    $dicionario['en-us']['TempoValidacaoDetecFax'] = "Fax validation time (ms)";
    $dicionario['en-us']['K3LCallanalyzer'] = "Call analyzer";
    $dicionario['en-us']['R2State'] = "State";
    $dicionario['en-us']['CentralOfficePrefix'] = "Central office prefix";
    $dicionario['en-us']['UseCentralOfficePrefixOnIncomingCalls'] = "Use prefix on incoming calls";
    $dicionario['en-us']['IncomingDigitsCount'] = "Incoming digits count";
    $dicionario['en-us']['AnalysisTimeOut'] = "Analysis timeout";
    $dicionario['en-us']['Duration600Hz'] = "600Hz Duration";
    $dicionario['en-us']['Tolerance600Hz'] = "600Hz Tolerance";
    $dicionario['en-us']['Tolerance'] = "Tolerance";
    $dicionario['en-us']['Repetitions'] = "Repetitions";
    $dicionario['en-us']['FilterTolerance600Hz'] = "600Hz Filter tolerance";
    $dicionario['en-us']['CellularBoxDuration'] = "Cellular box duration";
    $dicionario['en-us']['CellularBoxTolerance'] = "Cellular box tolerance";
    $dicionario['en-us']['CollectCallDuration'] = "Collect call duration";
    $dicionario['en-us']['CollectCallTolerance'] = "Collect call tolerance";
    $dicionario['en-us']['AnswerDuration'] = "Answer duration";
    $dicionario['en-us']['AnswerSilenceDuration'] = "Answer silence duration";
    $dicionario['en-us']['AnswerFilterDuration'] = "Answer filter duration";
    $dicionario['en-us']['PreVoiceDuration'] = "Pre-Answer voice time threshold";
    $dicionario['en-us']['Version'] = "Version";
    $dicionario['en-us']['SilenceTimeToDisconnect'] = "Silence time to disconnect";
    $dicionario['en-us']['AnswerTimeout'] = "Answer timeout";
    $dicionario['en-us']['RingsToNotify'] = "Rings to notify";
    $dicionario['en-us']['DetectSilenceAsAnswer'] = "Detect silence as answer";
    $dicionario['en-us']['VoiceAnswerThreshold'] = "Voice answer threshold";
    $dicionario['en-us']['TimeForAutomaticSeizeSuccess'] = "Time for automatic seize success";
    $dicionario['en-us']['DedicatedLine'] = "Dedicated line";
    $dicionario['en-us']['ChannelCount'] = "Channel count";
    $dicionario['en-us']['LocalAudioInterface'] = "Local audio interface";
    $dicionario['en-us']['LocalAudioPort'] = "Local audio port";
    $dicionario['en-us']['ServerPort'] = "Server port";
    $dicionario['en-us']['DspThreadCount'] = "DSP thread count";
    $dicionario['en-us']['KMPServerPort'] = "Server port";
    $dicionario['en-us']['NetworkInterface'] = "Network interface";
    $dicionario['en-us']['MinAudioPort'] = "Min audio port";
    $dicionario['en-us']['MaxAudioPort'] = "Max audio port";
    $dicionario['en-us']['KServerPolling'] = "KServer polling";
    $dicionario['en-us']['EnableCTBus'] = "CTBus";
    $dicionario['en-us']['Enabled'] = "Enable CTBus";
    $dicionario['en-us']['CasLineValidateTime'] = "Cas line validate time";
    $dicionario['en-us']['Sensibility'] = "Sensibility";
    $dicionario['en-us']['LinkTimers'] = "Link Timers";
    $dicionario['en-us']['DropCollectCalls'] = "Drop collect calls";
    $dicionario['en-us']['AutoBlock'] = "Automatic Block";
    $dicionario['en-us']['DropCallAnalyzer'] = "Drop calls when detected as collect calls";
    $dicionario['en-us']['linksetAlreadyAdded'] = "Linkset already added.";
    $dicionario['en-us']['noLinkset'] = "No linkset added.";
    $dicionario['en-us']['ProfileReseted'] = "Profiles successfully reset";
    $dicionario['en-us']['BlockResponse'] = "Block Response";
    $dicionario['en-us']['StartTime'] = "Start time";
    $dicionario['en-us']['ReleaseTime'] = "Release time";
    $dicionario['en-us']['AlarmTime'] = "Alarm time";
    $dicionario['en-us']['SS7CallControl'] = "CallControl";
    $dicionario['en-us']['KD3Value'] = "Value";
    $dicionario['en-us']['KD3BASICS'] = "BASICS";
    $dicionario['en-us']['KD3IPC'] = "IPC";
    $dicionario['en-us']['KlogK3LRemote'] = "K3LRemote";
    $dicionario['en-us']['K3LRemoteValue'] = "Value";
    $dicionario['en-us']['K3LRemoteK3LR'] = "K3LR";
    $dicionario['en-us']['K3LRemoteK3LRServer'] = "K3LRServer";
    $dicionario['en-us']['K3LRemoteK3LRClient'] = "K3LRClient";
    $dicionario['en-us']['KWDValue'] = "Value";
    $dicionario['en-us']['TDMoPValue'] = "Value";
    $dicionario['en-us']['TDMoPCommunication'] = "Communication";
    $dicionario['en-us']['TDMoPAudioSession'] = "Audio session";
    $dicionario['en-us']['MenuKMPClient'] = "KMPClient";
    $dicionario['en-us']['KMPValue'] = "Value";
    $dicionario['en-us']['MediaClient'] = "Client";
    $dicionario['en-us']['MediaValue'] = "Value";
    $dicionario['en-us']['MediaServer'] = "Server";
    $dicionario['en-us']['MediaAudio'] = "Audio";
    $dicionario['en-us']['MediaVoipServer'] = "Voip server";
    $dicionario['en-us']['MediaVoipClient'] = "Voip client";
    $dicionario['en-us']['MediaConfig'] = "Config";
    $dicionario['en-us']['MediaClock'] = "Clock";
    $dicionario['en-us']['MediaThreads'] = "Threads";
    $dicionario['en-us']['MediaHeap'] = "Heap";
    $dicionario['en-us']['MediaAPI'] = "API";
    $dicionario['en-us']['MediaComm'] = "Comm";
    $dicionario['en-us']['KIBSValue'] = "Value";
    $dicionario['en-us']['KIBSGeneral'] = "General";
    $dicionario['en-us']['KIBSBOOTP'] = "BOOTP";
    $dicionario['en-us']['KIBSTFTP'] = "TFTP";
    $dicionario['en-us']['AdicionarPlacas'] = "Add";
    $dicionario['en-us']['ExcluirPlacas'] = "Delete";
    $dicionario['en-us']['AlterarPlacas'] = "Change";
    $dicionario['en-us']['DetectarPlacas'] = "Search";
    $dicionario['en-us']['servicos'] = "Services";
    $dicionario['en-us']['API'] = "API";
    $dicionario['en-us']['ConfirmdeleteDevice'] = "Delete device?";
    $dicionario['en-us']['selectDevice'] = "Select device";
    $dicionario['en-us']['selectOneAtLeast'] = "Select at least one device!";
    $dicionario['en-us']['selecioneType'] = "Choose type from the selected device!";
    $dicionario['en-us']['selectOneDevice'] = "Select one device!";
    $dicionario['en-us']['AdicionarManualmente'] = "Add manually";
    $dicionario['en-us']['NDevice'] = "No device available to install!";
    $dicionario['en-us']['Modulos'] = "EBS";
    $dicionario['en-us']['Modular'] = "EBS Modular";
    $dicionario['en-us']['BPlacas'] = "Boards";
    $dicionario['en-us']['enterSerial'] = "Enter the serial number.";
    $dicionario['en-us']['NBoard'] = "No device configured on the system!";
    $dicionario['en-us']['clockValido'] = "Receive clock";
    $dicionario['en-us']['digitosEntrada'] = "Incoming digits";
    $dicionario['en-us']['iniciarBloqueado'] = "Lock at startup";
    $dicionario['en-us']['crc4'] = "CRC4";
    $dicionario['en-us']['Prefixo'] = "Prefix";
    $dicionario['en-us']['sensibilidadeCAS'] = "CAS line validate time";
    $dicionario['en-us']['sensibilidadeFalhas'] = "Fail sensibility";
    $dicionario['en-us']['ConfigE1'] = "E1 Links";
    $dicionario['en-us']['NDeviceE1'] = "No device with E1 configured";
    $dicionario['en-us']['NGSMPin'] = "No GSM device configured";
    $dicionario['en-us']['NFXO'] = "No FXO device configured";
    $dicionario['en-us']['NDropCollectCalls'] = "No rule configured";
    $dicionario['en-us']['NAutoCallAnalyzer'] = "No rule configured";
    $dicionario['en-us']['NAutoEchoCanceller'] = "No rule configured";
    $dicionario['en-us']['invalidName'] = "Invalid name";
    $dicionario['en-us']['existsName'] = "Name already exists";
    $dicionario['en-us']['ConfirmdeleteProfile'] = "Do you really want to delete this profile?";
    $dicionario['en-us']['AnswerSignalReceptionTimeout'] = "Answer signal reception timeout";
    $dicionario['en-us']['R2MinLineSendTime'] = "R2 line send time - min";
    $dicionario['en-us']['BillingPulseMaxTime'] = "Billing pulse max time";
    $dicionario['en-us']['IdentityRequestPosition'] = "Identity request position";
    $dicionario['en-us']['ForwardMfcReceptionTimeout'] = "Forward MFC reception timeout";
    $dicionario['en-us']['ForwardMfcSendingTimeout'] = "Forward MFC sending timeout";
    $dicionario['en-us']['ForwardMfcSilenceTimeout'] = "Forward MFC silence timeout";
    $dicionario['en-us']['MfcPulseTime'] = "MFC pulse time";
    $dicionario['en-us']['RingbackSilenceTime'] = "Ringback silence time";
    $dicionario['en-us']['RingbackToneTime'] = "Ringback tone time";
    $dicionario['en-us']['ChannelsDefault'] = "Channels default";
    $dicionario['en-us']['Channels'] = "Manually";
    $dicionario['en-us']['IsdnTimers'] = "Timers";
    $dicionario['en-us']['RejectRecovery'] = "Reject recovery";
    $dicionario['en-us']['TimeOutModem'] = "Modem comunication timeout";
    $dicionario['en-us']['CheckNetworkTimeOut'] = "Check timer of antenna signal";
    $dicionario['en-us']['DisableCallForward'] = "Disable call forward";
    $dicionario['en-us']['ReceivePduSms'] = "Receive PDU SMS";
    $dicionario['en-us']['CadenceTimes'] = "Cadence times";
    $dicionario['en-us']['channels'] = "Channels";
    $dicionario['en-us']['UseAddressSignaling'] = "Use address signaling";
    $dicionario['en-us']['UseAnswerSupervision'] = "Use answer supervision";
    $dicionario['en-us']['UseFarEndDisconnect'] = "Use far end disconnect";
    $dicionario['en-us']['AbandonTime'] = "Abandon time";
    $dicionario['en-us']['FlashTime'] = "Flash time";
    $dicionario['en-us']['LongSignalingTime'] = "Long signaling time";
    $dicionario['en-us']['ShortSignalingTime'] = "Short signaling time";
    $dicionario['en-us']['ConfirmResetProfiles'] = "Return the default profiles to their inicial value?";
    $dicionario['en-us']['resetProfiles'] = "Reset profiles";
    $dicionario['en-us']['waitA3'] = "Wait A3";
    $dicionario['en-us']['sendI15'] = "Send I15";
    $dicionario['en-us']['sendI12'] = "Send I12";
    $dicionario['en-us']['DestEoNStandard'] = "End of destination number behavior";
    $dicionario['en-us']['demand'] = "Demand";
    $dicionario['en-us']['auto'] = "Auto";
    $dicionario['en-us']['disabled'] = "Disabled";
    $dicionario['en-us']['errosLink'] = "Error counters";
    $dicionario['en-us']['opcoes'] = "Options";
    $dicionario['en-us']['SistemaGeral'] = "General";
    $dicionario['en-us']['CodecDragMessage'] = "Drag to sort the audio codecs according to the preference.";
    $dicionario['en-us']['AtLeastOneCodec'] = "Need to select at least one codec.";
    $dicionario['en-us']['KWebPortalPort'] = "The KWebPortal port is not valid!";
    $dicionario['en-us']['RemoteLogPort'] = "The RemoteLog port is not valid!";
    $dicionario['en-us']['KmpServerPort'] = "The KmpServer port is not valid!";
    $dicionario['en-us']['K3LServerAddress'] = "The K3LServer address is not valid!";
    $dicionario['en-us']['K3LServerPort'] = "The K3LServer port is not valid!";
    $dicionario['en-us']['SharedMemTdmopJitter'] = "Shared memory TDMOP jitter";
    $dicionario['en-us']['UdpTdmopJitter'] = "UDP TDMOP jitter";
    $dicionario['en-us']['CallAnalyser'] = "Call analyzer";
    $dicionario['en-us']['HeaderText'] = "Header text";
    $dicionario['en-us']['profile'] = "Profile";
    $dicionario['en-us']['profileLink0'] = "Link 0 profile";
    $dicionario['en-us']['profileLink1'] = "Link 1 profile";
    $dicionario['en-us']['profileLink2'] = "Link 2 profile";
    $dicionario['en-us']['profileLink3'] = "Link 3 profile";
    $dicionario['en-us']['profileChannelGroup0'] = "Channel group profile 0";
    $dicionario['en-us']['profileChannelGroup1'] = "Channel group profile 1";
    $dicionario['en-us']['profileChannelGroup2'] = "Channel group profile 2";
    $dicionario['en-us']['circuitGroups'] = "Circuit groups";
    $dicionario['en-us']['circuitGroup'] = "Circuit group";
    $dicionario['en-us']['network'] = "Network";
    $dicionario['en-us']['WatcherValue'] = "Value";
    $dicionario['en-us']['ConfigValue'] = "Value";
    $dicionario['en-us']['ConfigOptionalValues'] = "OptionalValues";
    $dicionario['en-us']['TDMoPCommClient'] = "CommClient";
    $dicionario['en-us']['TDMoPDsp'] = "Dsp";
    $dicionario['en-us']['TDMoPFpga'] = "Fpga";
    $dicionario['en-us']['TDMoPMonitor'] = "Monitor";
    $dicionario['en-us']['TDMoPTrunkControl'] = "TrunkControl";
    $dicionario['en-us']['TDMoPMobileControl'] = "MobileControl";
    $dicionario['en-us']['TDMoPAnalogLineControl'] = "AnalogLineControl";
    $dicionario['en-us']['TDMoPDebug'] = "Debug";
    $dicionario['en-us']['Device'] = "Device";
    $dicionario['en-us']['Configuration'] = "Configuration";
    $dicionario['en-us']['Channel'] = "Channel";
    $dicionario['en-us']['E1Deactivated'] = "There is at least one link with sinaling deactivated";
    $dicionario['en-us']['KIBS'] = "Khomp Integrated Boot System";
    $dicionario['en-us']['KWatcher'] = "Khomp Watcher Service";
    $dicionario['en-us']['kwebtools'] = "Khomp Web Tools";
    $dicionario['en-us']['K3lServer'] = "Khomp API Server";
    $dicionario['en-us']['KLogServer'] = "Khomp Log Service";
    $dicionario['en-us']['KMPServer'] = "Khomp Media Server";
    $dicionario['en-us']['AKIBS'] = "KIBS";
    $dicionario['en-us']['kibsinterface'] = "Select the network interfaces that will receive device boot informations";
    $dicionario['en-us']['all'] = "All";
    $dicionario['en-us']['CadencesAssistant'] = "Cadences Assistant";
    $dicionario['en-us']['InitCadenceAssistant'] = "Start cadence assistant";
    $dicionario['en-us']['Nome'] = "Name";
    $dicionario['en-us']['HMP'] = "Media Server";
    $dicionario['en-us']['TempoKibs'] = "Select the time limit for the network detected devices";
    $dicionario['en-us']['DecodeReceivedSMS'] = "Decode received SMS";
    $dicionario['en-us']['DisconnectOnPolarityReversal'] = "Disconnect on polarity reversal";
    $dicionario['en-us']['kqueryserver'] = "Khomp Query Server";
    $dicionario['en-us']['NumeroOcupado'] = "Branch number with busy sound";
    $dicionario['en-us']['NumeroRamalLigacoes'] = "Branch number that will make the calls";
    $dicionario['en-us']['NumeroRingBack'] = "Branch number that will stay free during the process";
    $dicionario['en-us']['NDevice4Assitance'] = "No analogic device detected";
    $dicionario['en-us']['gerarCadencias'] = "Generate cadences";
    $dicionario['en-us']['advancedConfig'] = "Advanced configuration";
    $dicionario['en-us']['apelido'] = "Nick name";
    $dicionario['en-us']['K3LRealoaded'] = "Configuration realoaded!";
    $dicionario['en-us']['K3LNRunning'] = "K3L Server is not running!";
    $dicionario['en-us']['addNCandece'] = "Add new cadence";
    $dicionario['en-us']['Endereco'] = "Address";
    $dicionario['en-us']['QueryValue'] = "Value";
    $dicionario['en-us']['serialExistente'] = "Serial is in use!";
    $dicionario['en-us']['noIP'] = "IP not configured!";
    $dicionario['en-us']['invalidProfile'] = "Invalid profile value";
    $dicionario['en-us']['IPConflict'] = "IP conflict";
    $dicionario['en-us']['Number'] = "Number";
    $dicionario['en-us']['Services'] = "Services";
    $dicionario['en-us']['Porta'] = "Port";
    $dicionario['en-us']['Carregamento'] = "Load option";
    $dicionario['en-us']['Recursos'] = "Resources";
    $dicionario['en-us']['Telefonia'] = "Telephony";
    $dicionario['en-us']['Aplicar'] = "Apply";
    $dicionario['en-us']['AddTimeout'] = "Max time to send next file (s)";
    $dicionario['en-us']['diretosReservados'] = "All rights reserved";
    $dicionario['en-us']['Adicionar'] = "Add";
    $dicionario['en-us']['KLogger'] = "Logs";
    $dicionario['en-us']['user'] = "User";
    $dicionario['en-us']['password'] = "Password";
    $dicionario['en-us']['configuration'] = "Configuration";
    $dicionario['en-us']['monitoring'] = "Monitoring";
    $dicionario['en-us']['diagnostic'] = "Diagnostic";
    $dicionario['en-us']['administration'] = "Administration";
    $dicionario['en-us']['delete'] = "Remove";
    $dicionario['en-us']['repetePassword'] = "Repete password";
    $dicionario['en-us']['cancel'] = "Cancel";
    $dicionario['en-us']['access'] = "Access";
    $dicionario['en-us']['save'] = "Save";
    $dicionario['en-us']['clear'] = "Clean";
    $dicionario['en-us']['options'] = "Options";
    $dicionario['en-us']['removeUser'] = "Remove user";
    $dicionario['en-us']['cantRemoveUser'] = "Can't remove logged user.";
    $dicionario['en-us']['changePassword'] = "Change password";
    $dicionario['en-us']['newPassword'] = "New password";
    $dicionario['en-us']['systemUsers'] = "System Users";
    $dicionario['en-us']['saveModifications'] = "Save modifications";
    $dicionario['en-us']['newUser'] = "New user";
    $dicionario['en-us']['back'] = "Back";
    $dicionario['en-us']['userRegisteredSuccess'] = "User registered with success.";
    $dicionario['en-us']['userAlreadyRegistered'] = "User already registered.";
    $dicionario['en-us']['userRemovedSuccess'] = "User removed with success";
    $dicionario['en-us']['userNotFound'] = "User not found.";
    $dicionario['en-us']['passwordChangedSuccess'] = "Password changed with success";
    $dicionario['en-us']['modificationsSavedSuccess'] = "Modifications registered with success";
    $dicionario['en-us']['noUsers'] = "No users are registered on system.";
    $dicionario['en-us']['configReloaded'] = "Configuration reloaded!";
    $dicionario['en-us']['Cadence'] = "Cadence";
    $dicionario['en-us']['Modelo'] = "Model";
    $dicionario['en-us']['Partida'] = "Start";
    $dicionario['en-us']['Queda'] = "Drop";
    $dicionario['en-us']['Alarme'] = "Alarm";
    $dicionario['en-us']['NConfigurado'] = "Not configured";
    $dicionario['en-us']['WAddress'] = "Invalid IP address!";
    $dicionario['en-us']['K3LClientValue'] = "Value";
    $dicionario['en-us']['K3LClientCommands'] = "Commands";
    $dicionario['en-us']['K3LClientEvents'] = "Events";
    $dicionario['en-us']['K3LClientComm'] = "Comm";
    $dicionario['en-us']['K3LClientMessage'] = "Message";
    $dicionario['en-us']['K3LClientFuncCall'] = "FuncCall";
    $dicionario['en-us']['K3lR'] = "SS7 Server Address";
    $dicionario['en-us']['NMtp2'] = "No MTP2 link configured!";
    $dicionario['en-us']['deviceLinkUsed'] = "This device and link are already configured!";
    $dicionario['en-us']['enterDevice'] = "Enter a valid device!";
    $dicionario['en-us']['WSerial'] = "Invalid serial";
    $dicionario['en-us']['NIsup'] = "No circuit group configured!";
    $dicionario['en-us']['NRotes'] = "No rote configured!";
    $dicionario['en-us']['NMtp3Linksets'] = "No linkset configured!";
    $dicionario['en-us']['NPCs'] = "No point code configured!";
    $dicionario['en-us']['CancelarRoute'] = "Cancel add route";
    $dicionario['en-us']['NameUsed'] = "Name in use!";
    $dicionario['en-us']['notOK'] = "In use!";
    $dicionario['en-us']['Denied'] = "Permission denied";
    $dicionario['en-us']['pDenied'] = "You dont have permission to access this area!";
    $dicionario['en-us']['AddRule'] = "Add rule";
    $dicionario['en-us']['SelectChannel'] = "Select device and channel extension";
    $dicionario['en-us']['SChannel'] = "Start channel";
    $dicionario['en-us']['EChannel'] = "Final channel";
    $dicionario['en-us']['SelectValue'] = "Select from list";
    $dicionario['en-us']['gerarWC'] = "Close";
    $dicionario['en-us']['TodasDevicesCanais'] = "Add rule to every channel \"*.*\"";
    $dicionario['en-us']['SelectDevice'] = "Select device";
    $dicionario['en-us']['SelectTech'] = "Select technology";
    $dicionario['en-us']['Tech'] = "Technology";
    $dicionario['en-us']['Technology'] = "Technology";
    $dicionario['en-us']['All'] = "All";
    $dicionario['en-us']['emptyTech'] = "Select a technology";
    $dicionario['en-us']['emptyDevice'] = "Empty device";
    $dicionario['en-us']['emptyRange'] = "Empty range";
    $dicionario['en-us']['Description'] = "Description";
    $dicionario['en-us']['TChannelsFromdevice'] = "All channels from device";
    $dicionario['en-us']['extFrom'] = "Channels";
    $dicionario['en-us']['to'] = "to";
    $dicionario['en-us']['atDevice'] = "at device";
    $dicionario['en-us']['TDevices'] = "All channels";
    $dicionario['en-us']['link'] = "Link";
    $dicionario['en-us']['TDeviceCahnnels'] = "All channels \"*.*\"";
    $dicionario['en-us']['package'] = "Package";
    $dicionario['en-us']['InfoNotAvailable'] = "Information isn't available.";
    $dicionario['en-us']['copyright'] = "All rights reserved.";
    $dicionario['en-us']['wcAssistant'] = "Add rule";
    $dicionario['en-us']['AutoEchoCanceller'] = "Echo canceller";
    $dicionario['en-us']['AutoDtmfSuppression'] = "DTMF Suppression";
    $dicionario['en-us']['AutoAGC'] = "AGC";
    $dicionario['en-us']['AutoAT'] = "Auto activation";
    $dicionario['en-us']['EnabledFeatures'] = "Enabled features";
    $dicionario['en-us']['AgcGain'] = "AGC gain";
    $dicionario['en-us']['PlayerAgcGain'] = "Player AGC gain";
    $dicionario['en-us']['Generation'] = "Generation";
    $dicionario['en-us']['Detection'] = "Detection";
    $dicionario['en-us']['DtmfGenTime'] = "DTMF generation detection";
    $dicionario['en-us']['SilenceGenTimeDtmf'] = "DTMF silence time generation";
    $dicionario['en-us']['BeepFrequency'] = "Beep frequency";
    $dicionario['en-us']['BeepDuration'] = "Beep duration";
    $dicionario['en-us']['BeepVolume'] = "Beep volume";
    $dicionario['en-us']['DtmfDetectValidationTime'] = "DTMF detection validation time";
    $dicionario['en-us']['DialToneDetectValidationTime'] = "Dial tone detection validation time";
    $dicionario['en-us']['SilenceDetectValidationTime'] = "Silence detection validation time";
    $dicionario['en-us']['VoiceDetecValidationTime'] = "Voice detection validation time";
    $dicionario['en-us']['FaxDetecValidationTime'] = "Fax detection validation time";
    $dicionario['en-us']['DialTonePower'] = "Dial tone power";
    $dicionario['en-us']['VoicePower'] = "Voice power";
    $dicionario['en-us']['DtmfPower'] = "DTMF power";
    $dicionario['en-us']['DialToneMinFreq'] = "Dial tone min frequency";
    $dicionario['en-us']['DialToneMaxFreq'] = "Dial tone max frequency";
    $dicionario['en-us']['VoIPDeviceSerial'] = "VoIP serial device number";
    $dicionario['en-us']['FaixaAAGC'] = "Apply AGC to the channels:";
    $dicionario['en-us']['FaixaADSup'] = "Apply DTMF Suppresion to the channels:";
    $dicionario['en-us']['FaixaCE'] = "Apply Echo Canceller to the channels";
    $dicionario['en-us']['FaixaCA'] = "Apply call analyzer to this channels ";
    $dicionario['en-us']['Modulo'] = "EBS";
    $dicionario['en-us']['deleteKhompChan'] = "Delete this channel?";
    $dicionario['en-us']['KGeral'] = "General";
    $dicionario['en-us']['NGroup'] = "No group rule.";
    $dicionario['en-us']['addGroup'] = "Add rule";
    $dicionario['en-us']['wrongExp'] = "Wrong expression";
    $dicionario['en-us']['invalidNameAndExp'] = "Invalid name or expression";
    $dicionario['en-us']['sucesso'] = "Rule sucessfully added";
    $dicionario['en-us']['sucessEdit'] = "Rule sucessfully edited";
    $dicionario['en-us']['delGroup'] = "Delete rule?";
    $dicionario['en-us']['ChanCadences'] = "Cadences";
    $dicionario['en-us']['NCadence'] = "No cadence rule.";
    $dicionario['en-us']['addCadence'] = "Add rule";
    $dicionario['en-us']['invalidCtone'] = "Invalid cadence!";
    $dicionario['en-us']['delCadence'] = "Delete rule?";
    $dicionario['en-us']['NFBranche'] = "No FXS-Branches rule.";
    $dicionario['en-us']['FxsBranches'] = "FXS-Branches";
    $dicionario['en-us']['fxs-branches'] = "FXS-Branches";
    $dicionario['en-us']['fxs-hotlines'] = "FXS-Hotlines";
    $dicionario['en-us']['FxsHotlines'] = "FXS-Hotlines";
    $dicionario['en-us']['fxs-options'] = "FXS-Options";
    $dicionario['en-us']['FxsOptions'] = "FXS-Options";
    $dicionario['en-us']['addFBranche'] = "Add rule";
    $dicionario['en-us']['invalidNameAndSerialGroup'] = "Invalid name or serial group.";
    $dicionario['en-us']['invalidNameAndNumber'] = "Invalid name or number.";
    $dicionario['en-us']['delFBranche'] = "Delete rule?";
    $dicionario['en-us']['applyTo'] = "Apply to";
    $dicionario['en-us']['Expression'] = "Expression";
    $dicionario['en-us']['Name'] = "Name";
    $dicionario['en-us']['NFHotlines'] = "No FXS-Hotlines rule.";
    $dicionario['en-us']['NFOptions'] = "No FXS-Options rule.";
    $dicionario['en-us']['addFHotline'] = "Add rule";
    $dicionario['en-us']['addFOption'] = "Add rule";
    $dicionario['en-us']['SelectOne'] = "Select options";
    $dicionario['en-us']['wrongSerialGroup'] = "Serial group described wrong.";
    $dicionario['en-us']['delFHotline'] = "Delete rule?";
    $dicionario['en-us']['nVariavelOrnValue'] = "Blank options";
    $dicionario['en-us']['delFOptions'] = "Delete rule?";
    $dicionario['en-us']['Tone1'] = "Tone 1";
    $dicionario['en-us']['Tone2'] = "Tone 2";
    $dicionario['en-us']['Tone3'] = "Tone 3";
    $dicionario['en-us']['Tone4'] = "Tone 4";
    $dicionario['en-us']['LineTerminationImpedance'] = "Line termination impedance";
    $dicionario['en-us']['applyedTo'] = "Apply to";
    $dicionario['en-us']['refresh'] = "Refresh";
    $dicionario['en-us']['selectType'] = "Select Type";
    $dicionario['en-us']['sureToCreateNewChannel'] = "Are you sure you want to create a new [channel] from these settings?";
    $dicionario['en-us']['sureToRemoveRule'] = "Are you sure to remove this rule?";
    
    $dicionario['en-us']['Replacer'] = 'Device\'s serial number';
    $dicionario['en-us']['SerialAlreadyConfiguredAsReplacer'] = 'Serial already configured as replacer.';
    $dicionario['en-us']['ReplacerConflict'] = 'Serial already configured as replacer';
    $dicionario['en-us']['ReplacerAlreadyConfiguredAsDevice'] = 'Serial already used by another device.';
    $dicionario['en-us']['ReplacerAndDeviceAreTheSame'] ='Replacer and serial are the same.';
    
    $dicionario['en-us']['KFXS-150_SPX'] = "KFXS-150 SPX";
    $dicionario['en-us']['KFXS-300_SPX'] = "KFXS-300 SPX";
    $dicionario['en-us']['KGSM-40_SPX'] = "KGSM-40 SPX";
    $dicionario['en-us']['EBS-E1_300'] = "EBS-E1 300";
    $dicionario['en-us']['EBS-E1_SPX_300'] = "EBS-E1 SPX 300";
    $dicionario['en-us']['EBS-E1_3000'] = "EBS-E1 3000";
    $dicionario['en-us']['EBS-E1_3300'] = "EBS-E1 3300";
    $dicionario['en-us']['EBS-E1HI_300'] = "EBS-E1HI 300";
    $dicionario['en-us']['EBS-E1_TDMoE_300'] = "EBS-E1 TDMoE 300";
    $dicionario['en-us']['EBS-E1_600'] = "EBS-E1 600";
    $dicionario['en-us']['EBS-E1_SPX_600'] = "EBS-E1 SPX 600";
    $dicionario['en-us']['EBS-E1_6000'] = "EBS-E1 6000";
    $dicionario['en-us']['EBS-E1_6600'] = "EBS-E1 6600";
    $dicionario['en-us']['EBS-E1HI_600'] = "EBS-E1HI 600";
    $dicionario['en-us']['EBS-E1_TDMoE_600'] = "EBS-E1 TDMoE 600";
    $dicionario['en-us']['EBS-E1_900'] = "EBS-E1 900";
    $dicionario['en-us']['EBS-E1_SPX_900'] = "EBS-E1 SPX 900";
    $dicionario['en-us']['EBS-E1_9000'] = "EBS-E1 9000";
    $dicionario['en-us']['EBS-E1_9900'] = "EBS-E1 9900";
    $dicionario['en-us']['EBS-E1_TDMoE_900'] = "EBS-E1 TDMoE 900";
    $dicionario['en-us']['EBS-E1_1200'] = "EBS-E1 1200";
    $dicionario['en-us']['EBS-E1_SPX_1200'] = "EBS-E1 SPX 1200";
    $dicionario['en-us']['EBS-E1_12000'] = "EBS-E1 12000";
    $dicionario['en-us']['EBS-E1_12600'] = "EBS-E1 12600";
    $dicionario['en-us']['EBS-E1_13200'] = "EBS-E1 13200";
    $dicionario['en-us']['EBS-E1_TDMoE_1200'] = "EBS-E1 TDMoE 1200";
    $dicionario['en-us']['EBS-FXO_40'] = "EBS-FXO 40";
    $dicionario['en-us']['EBS-FXO_80'] = "EBS-FXO 80";
    $dicionario['en-us']['EBS-FXO_120'] = "EBS-FXO 120";
    $dicionario['en-us']['EBS-FXOHI_120'] = "EBS-FXOHI 120";
    $dicionario['en-us']['EBS-FXOHI_240'] = "EBS-FXOHI 240";
    $dicionario['en-us']['EBS-FXS_240'] = "EBS-FXS 240";
    $dicionario['en-us']['EBS-FXS_SPX_240'] = "EBS-FXS_SPX 240";
    $dicionario['en-us']['EBS-GSM_160'] = "EBS-GSM 160";
    $dicionario['en-us']['EBS-Modular_60E1/8FXS'] = "EBS-Modular 60E1/8FXS";
    $dicionario['en-us']['EBS-Modular_60E1/8FXS/8FXS'] = "EBS-Modular 60E1/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_60E1/4FXO'] = "EBS-Modular 60E1/4FXO";
    $dicionario['en-us']['EBS-Modular_60E1/4FXO/4FXO'] = "EBS-Modular 60E1/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_60E1/2GSM'] = "EBS-Modular 60E1/2GSM";
    $dicionario['en-us']['EBS-Modular_60E1/2GSM/2GSM'] = "EBS-Modular 60E1/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_60E1/8FXS/4FXO'] = "EBS-Modular 60E1/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_60E1/8FXS/2GSM'] = "EBS-Modular 60E1/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_60E1/4FXO/2GSM'] = "EBS-Modular 60E1/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_30E1'] = "EBS-Modular 30E1";
    $dicionario['en-us']['EBS-Modular_CTI_30E1'] = "EBS-Modular 30E1";
    $dicionario['en-us']['EBS-Modular_SPX_30E1'] = "EBS-Modular SPX 30E1";
    $dicionario['en-us']['EBS-Modular_30E1/8FXS'] = "EBS-Modular 30E1/8FXS";
    $dicionario['en-us']['EBS-Modular_30E1/8FXS/8FXS'] = "EBS-Modular 30E1/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_30E1/4FXO'] = "EBS-Modular 30E1/4FXO";
    $dicionario['en-us']['EBS-Modular_30E1/4FXO/4FXO'] = "EBS-Modular 30E1/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_30E1/2GSM'] = "EBS-Modular 30E1/2GSM";
    $dicionario['en-us']['EBS-Modular_30E1/2GSM/2GSM'] = "EBS-Modular 30E1/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_30E1/8FXS/4FXO'] = "EBS-Modular 30E1/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_30E1/8FXS/2GSM'] = "EBS-Modular 30E1/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_30E1/4FXO/2GSM'] = "EBS-Modular 30E1/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_8FXS/4FXO/2GSM'] = "EBS-Modular 8FXS/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_8FXS/8FXS/4FXO'] = "EBS-Modular 8FXS/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_8FXS/8FXS/2GSM'] = "EBS-Modular 8FXS/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_8FXS/4FXO/4FXO'] = "EBS-Modular 8FXS/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_8FXS/2GSM/2GSM'] = "EBS-Modular 8FXS/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_4FXO/2GSM/2GSM'] = "EBS-Modular 4FXO/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_8FXS'] = "EBS-Modular 8FXS";
    $dicionario['en-us']['EBS-Modular_8FXS/8FXS'] = "EBS-Modular 8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_8FXS/8FXS/8FXS'] = "EBS-Modular 8FXS/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_2GSM'] = "EBS-Modular 2GSM";
    $dicionario['en-us']['EBS-Modular_2GSM/2GSM'] = "EBS-Modular 2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_2GSM/2GSM/2GSM'] = "EBS-Modular 2GSM/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_60E1/8FXS'] = "EBS-Modular 60E1/8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_60E1/8FXS/8FXS'] = "EBS-Modular 60E1/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_60E1/4FXO'] = "EBS-Modular 60E1/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_60E1/4FXO/4FXO'] = "EBS-Modular 60E1/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_60E1/2GSM'] = "EBS-Modular 60E1/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_60E1/2GSM/2GSM'] = "EBS-Modular 60E1/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_60E1/8FXS/4FXO'] = "EBS-Modular 60E1/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_60E1/8FXS/2GSM'] = "EBS-Modular 60E1/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_60E1/4FXO/2GSM'] = "EBS-Modular 60E1/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_30E1/8FXS'] = "EBS-Modular 30E1/8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_30E1/8FXS/8FXS'] = "EBS-Modular 30E1/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_30E1/4FXO'] = "EBS-Modular 30E1/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_30E1/4FXO/4FXO'] = "EBS-Modular 30E1/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_30E1/2GSM'] = "EBS-Modular 30E1/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_30E1/2GSM/2GSM'] = "EBS-Modular 30E1/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_30E1/8FXS/4FXO'] = "EBS-Modular 30E1/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_30E1/8FXS/2GSM'] = "EBS-Modular 30E1/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_30E1/4FXO/2GSM'] = "EBS-Modular 30E1/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS/4FXO/2GSM'] = "EBS-Modular 8FXS/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS/8FXS/4FXO'] = "EBS-Modular 8FXS/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS/8FXS/2GSM'] = "EBS-Modular 8FXS/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS/4FXO/4FXO'] = "EBS-Modular 8FXS/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS/2GSM/2GSM'] = "EBS-Modular 8FXS/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_4FXO/2GSM/2GSM'] = "EBS-Modular 4FXO/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS'] = "EBS-Modular 8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS/8FXS'] = "EBS-Modular 8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS/8FXS/8FXS'] = "EBS-Modular 8FXS/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_2GSM'] = "EBS-Modular 2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_2GSM/2GSM'] = "EBS-Modular 2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_2GSM/2GSM/2GSM'] = "EBS-Modular 2GSM/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_60E1/8FXS'] = "EBS-Modular SPX 60E1/8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_60E1/8FXS/8FXS'] = "EBS-Modular SPX 60E1/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_60E1/4FXO'] = "EBS-Modular SPX 60E1/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_60E1/4FXO/4FXO'] = "EBS-Modular SPX 60E1/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_60E1/2GSM'] = "EBS-Modular SPX 60E1/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_60E1/2GSM/2GSM'] = "EBS-Modular SPX 60E1/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_60E1/8FXS/4FXO'] = "EBS-Modular SPX 60E1/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_60E1/8FXS/2GSM'] = "EBS-Modular SPX 60E1/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_60E1/4FXO/2GSM'] = "EBS-Modular SPX 60E1/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_30E1/8FXS'] = "EBS-Modular SPX 30E1/8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_30E1/8FXS/8FXS'] = "EBS-Modular SPX 30E1/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_30E1/4FXO'] = "EBS-Modular SPX 30E1/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_30E1/4FXO/4FXO'] = "EBS-Modular SPX 30E1/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_30E1/2GSM'] = "EBS-Modular SPX 30E1/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_30E1/2GSM/2GSM'] = "EBS-Modular SPX 30E1/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_30E1/8FXS/4FXO'] = "EBS-Modular SPX 30E1/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_30E1/8FXS/2GSM'] = "EBS-Modular SPX 30E1/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_30E1/4FXO/2GSM'] = "EBS-Modular SPX 30E1/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS/4FXO/2GSM'] = "EBS-Modular SPX 8FXS/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS/8FXS/4FXO'] = "EBS-Modular SPX 8FXS/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS/8FXS/2GSM'] = "EBS-Modular SPX 8FXS/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS/4FXO/4FXO'] = "EBS-Modular SPX 8FXS/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS/2GSM/2GSM'] = "EBS-Modular SPX 8FXS/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_4FXO/2GSM/2GSM'] = "EBS-Modular SPX 4FXO/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS'] = "EBS-Modular SPX 8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS/8FXS'] = "EBS-Modular SPX 8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS/8FXS/8FXS'] = "EBS-Modular SPX 8FXS/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_2GSM'] = "EBS-Modular SPX 2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_2GSM/2GSM'] = "EBS-Modular SPX 2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_2GSM/2GSM/2GSM'] = "EBS-Modular SPX 2GSM/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_60E18FXS'] = "EBS-Modular SPX 60E1/8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_60E18FXS8FXS'] = "EBS-Modular SPX 60E1/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_60E14FXO'] = "EBS-Modular SPX 60E1/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_60E14FXO4FXO'] = "EBS-Modular SPX 60E1/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_60E12GSM'] = "EBS-Modular SPX 60E1/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_60E12GSM2GSM'] = "EBS-Modular SPX 60E1/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_60E18FXS4FXO'] = "EBS-Modular SPX 60E1/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_60E18FXS2GSM'] = "EBS-Modular SPX 60E1/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_60E14FXO2GSM'] = "EBS-Modular SPX 60E1/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_30E18FXS'] = "EBS-Modular SPX 30E1/8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_30E18FXS8FXS'] = "EBS-Modular SPX 30E1/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_30E14FXO'] = "EBS-Modular SPX 30E1/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_30E14FXO4FXO'] = "EBS-Modular SPX 30E1/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_30E12GSM'] = "EBS-Modular SPX 30E1/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_30E12GSM2GSM'] = "EBS-Modular SPX 30E1/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_30E18FXS4FXO'] = "EBS-Modular SPX 30E1/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_30E18FXS2GSM'] = "EBS-Modular SPX 30E1/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_30E14FXO2GSM'] = "EBS-Modular SPX 30E1/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS4FXO2GSM'] = "EBS-Modular SPX 8FXS/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS8FXS4FXO'] = "EBS-Modular SPX 8FXS/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS8FXS2GSM'] = "EBS-Modular SPX 8FXS/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS4FXO4FXO'] = "EBS-Modular SPX 8FXS/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS2GSM2GSM'] = "EBS-Modular SPX 8FXS/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_4FXO2GSM2GSM'] = "EBS-Modular SPX 4FXO/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS8FXS'] = "EBS-Modular SPX 8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS8FXS8FXS'] = "EBS-Modular SPX 8FXS/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_SPX_2GSM2GSM'] = "EBS-Modular SPX 2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_2GSM2GSM2GSM'] = "EBS-Modular SPX 2GSM/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_60E18FXS'] = "EBS-Modular 60E1/8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_60E18FXS8FXS'] = "EBS-Modular 60E1/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_60E14FXO'] = "EBS-Modular 60E1/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_60E14FXO4FXO'] = "EBS-Modular 60E1/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_60E12GSM'] = "EBS-Modular 60E1/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_60E12GSM2GSM'] = "EBS-Modular 60E1/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_60E18FXS4FXO'] = "EBS-Modular 60E1/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_60E18FXS2GSM'] = "EBS-Modular 60E1/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_60E14FXO2GSM'] = "EBS-Modular 60E1/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_30E18FXS'] = "EBS-Modular 30E1/8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_30E18FXS8FXS'] = "EBS-Modular 30E1/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_30E14FXO'] = "EBS-Modular 30E1/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_30E14FXO4FXO'] = "EBS-Modular 30E1/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_30E12GSM'] = "EBS-Modular 30E1/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_30E12GSM2GSM'] = "EBS-Modular 30E1/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_30E18FXS4FXO'] = "EBS-Modular 30E1/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_30E18FXS2GSM'] = "EBS-Modular 30E1/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_30E14FXO2GSM'] = "EBS-Modular 30E1/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS4FXO2GSM'] = "EBS-Modular 8FXS/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS8FXS4FXO'] = "EBS-Modular 8FXS/8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS8FXS2GSM'] = "EBS-Modular 8FXS/8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS4FXO4FXO'] = "EBS-Modular 8FXS/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS2GSM2GSM'] = "EBS-Modular 8FXS/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_4FXO2GSM2GSM'] = "EBS-Modular 4FXO/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS8FXS'] = "EBS-Modular 8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS8FXS8FXS'] = "EBS-Modular 8FXS/8FXS/8FXS";
    $dicionario['en-us']['EBS-Modular_CTI_2GSM2GSM'] = "EBS-Modular 2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_2GSM2GSM2GSM'] = "EBS-Modular 2GSM/2GSM/2GSM";
    $dicionario['en-us']['EBS-Modular_CTI_4FXO4FXO2GSM'] = "EBS-Modular 4FXO/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_4FXO4FXO2GSM'] = "EBS-Modular SPX 4FXO/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_4FXO4FXO2GSM'] = "EBS-Modular 4FXO/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_4FXO/4FXO/2GSM'] = "EBS-Modular 4FXO/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_4FXO/4FXO/2GSM'] = "EBS-Modular SPX 4FXO/4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_8FXS/2GSM'] = "EBS-Modular 8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_60E1/30E1'] = "EBS-Modular 60E1/30E1";
    $dicionario['en-us']['EBS-Modular_CTI_60E1/30E1'] = "EBS-Modular CTI 60E1/30E1";
    $dicionario['en-us']['EBS-Modular_60E1/60E1'] = "EBS-Modular 60E1/60E1";
    $dicionario['en-us']['EBS-Modular_CTI_60E1/60E1'] = "EBS-Modular CTI 60E1/60E1";
    $dicionario['en-us']['EBS-Modular_CTI_8FXS/4FXO'] = "EBS-Modular 8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_8FXS/4FXO'] = "EBS-Modular 8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_4FXO/2GSM'] = "EBS-Modular 4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_4FXO/2GSM'] = "EBS-Modular 4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_60E1'] = "EBS-Modular 60E1";
    $dicionario['en-us']['EBS-Modular_CTI_60E1'] = "EBS-Modular 60E1";
    $dicionario['en-us']['EBS-Modular_SPX_60E1/60E1'] = "EBS-Modular SPX 60E1/60E1";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS/4FXO'] = "EBS-Modular SPX 8FXS/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_8FXS/2GSM'] = "EBS-Modular SPX 8FXS/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_4FXO/2GSM'] = "EBS-Modular SPX 4FXO/2GSM";
    $dicionario['en-us']['EBS-Modular_SPX_60E1'] = "EBS-Modular SPX 60E1";
    $dicionario['en-us']['EBS-Modular_4FXO'] = "EBS-Modular 4FXO";
    $dicionario['en-us']['EBS-Modular_4FXO/4FXO'] = "EBS-Modular 4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_4FXO/4FXO/4FXO'] = "EBS-Modular 4FXO/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_4FXO'] = "EBS-Modular CTI 4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_4FXO/4FXO'] = "EBS-Modular CTI 4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_CTI_4FXO/4FXO/4FXO'] = "EBS-Modular CTI 4FXO/4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_4FXO'] = "EBS-Modular SPX 4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_4FXO/4FXO'] = "EBS-Modular SPX 4FXO/4FXO";
    $dicionario['en-us']['EBS-Modular_SPX_4FXO/4FXO/4FXO'] = "EBS-Modular SPX 4FXO/4FXO/4FXO";
    // K3L - licenses
    $dicionario['en-us']['license-manager'] = 'Licenses';
    $dicionario['en-us']['license-manager-empty-list'] = 'There are no licenses to show';
    $dicionario['en-us']['license-manager-expiration-date'] = 'Expiration date';
    $dicionario['en-us']['license-manager-serial-number'] = 'Serial number';
    $dicionario['en-us']['license-manager-type'] = 'Type';
    $dicionario['en-us']['license-manager-issuer'] = 'Issuer';
    $dicionario['en-us']['license-manager-upload'] = 'Upload license';
    $dicionario['en-us']['license-manager-expired'] = 'LICENSE EXPIRED';
    $dicionario['en-us']['license-manager-delete-confirm'] = 'Are you sure you want to delete the license?';
    $dicionario['en-us']['license-manager-error-directory-not-found'] = 'The licenses directory was not found';
    $dicionario['en-us']['license-manager-error-directory-read-failed'] = 'Unable to read the license directory';
    $dicionario['en-us']['license-manager-error-unlink-failed'] = 'Error while deleting the license';
    $dicionario['en-us']['license-manager-error-upload-failed'] = 'Error while receiving the license file';
    $dicionario['en-us']['license-manager-error-current-license-is-newer'] = 'A license with the same ID but with newer issue date already exists';
    $dicionario['en-us']['license-manager-error-rename-failed'] = 'Error while installing the license';
    $dicionario['en-us']['license-error-invalid'] = 'Invalid license';
    $dicionario['en-us']['license-error-not-found'] = 'License not found';
    $dicionario['en-us']['license-error-invalid-key'] = 'License property not found';
    $dicionario['en-us']['license-deleted'] = 'License deleted';
    $dicionario['en-us']['license-uploaded'] = 'License installed';
    $dicionario['en-us']['license-error-delete'] = 'Unable to delete the license';
    $dicionario['en-us']['license-error-upload'] = 'Error while receiving the license file';
    $dicionario['en-us']['license-expired-error'] = 'Expired licenses';
    $dicionario['en-us']['license-will-expire-warning'] = 'Licenses that will expire soon';
    // Gateway - Time Restraints
    $dicionario['en-us']['gateway-time-restraints-deleted'] = 'Time restraint deleted';
    $dicionario['en-us']['gateway-time-restraints-delete-error'] = 'Unable to delete the time restraint';
    $dicionario['en-us']['gateway-time-restraints-delete-error-inuse'] = 'Cannot delete the time restraint. Its still in use';
    // Gateway - NAP
    $dicionario['en-us']['gateway-nap'] = 'NAPs';
    $dicionario['en-us']['gateway-nap-new'] = 'New NAP';
    $dicionario['en-us']['gateway-nap-empty-list'] = 'There are no NAPs to show';
    $dicionario['en-us']['gateway-nap-saved'] = 'The NAP was saved';
    $dicionario['en-us']['gateway-nap-save-error'] = 'Unable to save the NAP';
    $dicionario['en-us']['gateway-nap-save-error-duplicated'] = 'NAP name already exists';
    $dicionario['en-us']['gateway-nap-select-type'] = 'Select a NAP Type';
    $dicionario['en-us']['gateway-nap-unsupported-type'] = '<b>Unsupported NAP type</b>';
    $dicionario['en-us']['gateway-nap-error-not-found'] = 'NAP not found';
    $dicionario['en-us']['gateway-nap-error-name-is-required'] = 'The field Name is required';
    $dicionario['en-us']['gateway-nap-error-type-is-required'] = 'The field Type is required';
    $dicionario['en-us']['gateway-nap-trunk-error-link-or-channel-required'] = 'You should select at least one link or channel';
    $dicionario['en-us']['gateway-nap-gsm-error-channel-required'] = 'You should select at least one channel';
    $dicionario['en-us']['gateway-nap-fxo-error-channel-required'] = 'You should select at least one channel';
    $dicionario['en-us']['gateway-nap-fxs-error-branch-required'] = 'You should fill at least one branch';
    $dicionario['en-us']['gateway-nap-deleted'] = 'The NAP was deleted';
    $dicionario['en-us']['gateway-nap-delete-error'] = 'Unable to delete the NAP';
    $dicionario['en-us']['gateway-nap-delete-error-inuse'] = 'Cannot delete the NAP. Its still in use';
    $dicionario['en-us']['gateway-nap-sip-domain'] = 'Domain';
    $dicionario['en-us']['gateway-nap-sip-domain-port'] = 'Domain port';
    $dicionario['en-us']['gateway-nap-sip-authorization-user'] = 'Authorization user';
    $dicionario['en-us']['gateway-nap-sip-expires'] = 'Expires';
    $dicionario['en-us']['gateway-nap-error-sip-username-is-required'] = 'The field Username is required';
    $dicionario['en-us']['gateway-nap-error-sip-domain-is-required'] = 'The field Domain is required';
    $dicionario['en-us']['gateway-nap-error-sip-domain-port-is-required'] = 'The field Domain Port is required';
    // Gateway - routes
    $dicionario['en-us']['gateway-routes-codec-profile'] = 'Route CODEC profile';
    $dicionario['en-us']['gateway-route-any'] = '<i>Any</i>';
    // Gateway - CDR
    $dicionario['en-us']['gateway-cdr-every-minute'] = 'every minute';
    $dicionario['en-us']['gateway-cdr-hourly'] = 'every hour';
    $dicionario['en-us']['gateway-cdr-daily'] = 'every day';
    $dicionario['en-us']['gateway-cdr-save-error-notnull'] = 'Error occured while the configuration was saved, a required field was not filled';
    $dicionario['en-us']['gateway-cdr-save-error-nolinebreak'] = 'Error occured while the configuration was saved, the pattern field shouldn\'t contain line breaks';
    $dicionario['en-us']['gateway-cdr-saved'] = 'Configuration saved';
    $dicionario['en-us']['gateway-cdr-pattern-title'] = 'Pattern';
    $dicionario['en-us']['gateway-cdr-options-title'] = 'Available variables';
    $dicionario['en-us']['gateway-cdr-options-help'] = 'Drag or double-click the variable to add it to the pattern editor. The value will <b>always</b> be added to the current caret position.';
    $dicionario['en-us']['gateway-cdr-rotate-title'] = 'Log rotation period';
    // CDR help
    $dicionario['en-us']['gateway-cdr-fmt-title'] = 'Date formatting help';
    $dicionario['en-us']['gateway-cdr-sample-title'] = 'Pattern samples';
    $dicionario['en-us']['gateway-cdr-sample-fmt'] = 'Example pattern';
    $dicionario['en-us']['gateway-cdr-sample-result'] = 'Example output';
    $dicionario['en-us']['gateway-cdr-sample-custom'] = 'CUSTOM';
    $dicionario['en-us']['gateway-cdr-sample-copy'] = 'copy';
    $dicionario['en-us']['gateway-cdr-fmt'] = '<tr><th>Specifier</th><th>Replaced by</th><th class="nowrp">Example</th></tr>
<tr><td class="bld">%a</td><td>Abbreviated weekday name</td><td class="nowrp">Thu</td></tr>
<tr><td class="bld">%A</td><td>Full weekday name</td><td class="nowrp">Thursday</td></tr>
<tr><td class="bld">%b</td><td>Abbreviated month name</td><td class="nowrp">Aug</td></tr>
<tr><td class="bld">%B</td><td>Full month name</td><td class="nowrp">August</td></tr>
<tr><td class="bld">%c</td><td>Date and time representation</td><td class="nowrp">Thu Aug 23 14:55:02 2001</td></tr>
<tr><td class="bld">%d</td><td>Day of the month (01-31)</td><td class="nowrp">23</td></tr>
<tr><td class="bld">%H</td><td>Hour in 24h format (00-23)</td><td class="nowrp">14</td></tr>
<tr><td class="bld">%I</td><td>Hour in 12h format (01-12)</td><td class="nowrp">02</td></tr>
<tr><td class="bld">%j</td><td>Day of the year (001-366)</td><td class="nowrp">235</td></tr>
<tr><td class="bld">%m</td><td>Month as a decimal number (01-12)</td><td class="nowrp">08</td></tr>
<tr><td class="bld">%M</td><td>Minute (00-59)</td><td class="nowrp">55</td></tr>
<tr><td class="bld">%p</td><td>AM or PM designation</td><td class="nowrp">PM</td></tr>
<tr><td class="bld">%S</td><td>Second (00-61)</td><td class="nowrp">02</td></tr>
<tr><td class="bld">%U</td><td>Week number with the first Sunday as the first day of week one (00-53)</td><td class="nowrp">33</td></tr>
<tr><td class="bld">%w</td><td>Weekday as a decimal number with Sunday as 0 (0-6)</td><td class="nowrp">4</td></tr>
<tr><td class="bld">%W</td><td>Week number with the first Monday as the first day of week one (00-53)</td><td class="nowrp">34</td></tr>
<tr><td class="bld">%x</td><td>Date representation</td><td class="nowrp">08/23/01</td></tr>
<tr><td class="bld">%X</td><td>Time representation</td><td class="nowrp">14:55:02</td></tr>
<tr><td class="bld">%y</td><td>Year, last two digits (00-99)</td><td class="nowrp">01</td></tr>
<tr><td class="bld">%Y</td><td>Year</td><td class="nowrp">2001</td></tr>
<tr><td class="bld">%Z</td><td>Timezone name or abbreviation</td><td class="nowrp">CDT</td></tr>
<tr><td class="bld">%%</td><td>A % sign</td><td class="nowrp">%</td></tr>';
    // CDR log format options description/help
    $dicionario['en-us']['gateway-cdr-callid'] = 'Call unique identifier';
    $dicionario['en-us']['gateway-cdr-leg_a'] = 'Incoming channel identification (channel index)';
    $dicionario['en-us']['gateway-cdr-leg_b'] = 'Outgoing channel identification (channel index)';
    $dicionario['en-us']['gateway-cdr-orig_addr'] = 'Calling party number (incoming channel)';
    $dicionario['en-us']['gateway-cdr-dest_addr'] = 'Called party number (incoming channel)';
    $dicionario['en-us']['gateway-cdr-leg_b_orig_addr'] = 'Calling party number (outgoing channel)';
    $dicionario['en-us']['gateway-cdr-leg_b_dest_addr'] = 'Called party number (outgoing channel)';
    $dicionario['en-us']['gateway-cdr-start_stamp'] = 'Call start timestamp (format options)';
    $dicionario['en-us']['gateway-cdr-answer_stamp'] = 'Call answer timestamp (format options)';
    $dicionario['en-us']['gateway-cdr-end_stamp'] = 'Call end timestamp (format options)';
    $dicionario['en-us']['gateway-cdr-duration'] = 'Total call duration (time between start_stamp and end_stamp in seconds)';
    $dicionario['en-us']['gateway-cdr-billsec'] = 'Total billable seconds (time between answer_stamp and end_stamp in seconds)';
    $dicionario['en-us']['gateway-cdr-hangup_origin'] = 'Identifies which led ended the call ("leg a" or "leg b" )';
    $dicionario['en-us']['gateway-cdr-hangup_cause'] = 'Identifies the disconnection cause';
    $dicionario['en-us']['gateway-cdr-dest_nap'] = 'The call destination NAP name';
    $dicionario['en-us']['gateway-cdr-route_name'] = 'Identifies the route used by the call';
    // Gateway - Codec Profiles
    $dicionario['en-us']['gateway-codec-profile'] = 'CODEC profiles';
    $dicionario['en-us']['gateway-codec-profile-new'] = 'New CODEC profile';
    $dicionario['en-us']['gateway-codec-profile-empty-list'] = 'There are no CODEC profiles to show';
    $dicionario['en-us']['gateway-codec-profile-name'] = 'Name';
    $dicionario['en-us']['gateway-codec-profile-list'] = 'CODECs';
    $dicionario['en-us']['gateway-codec-profile-error-not-found'] = 'Profile not found';
    $dicionario['en-us']['gateway-codec-profile-saved'] = 'Profile saved';
    $dicionario['en-us']['gateway-codec-profile-save-error-name-required'] = 'The field Name is required';
    $dicionario['en-us']['gateway-codec-profile-save-error-codec-required'] = 'You should select at least one CODEC';
    $dicionario['en-us']['gateway-codec-profile-save-error-duplicated'] = 'Profile name already exists';
    $dicionario['en-us']['gateway-codec-profile-confirm-delete'] = 'Are your sure you want to remove the profile?';
    $dicionario['en-us']['gateway-codec-profile-deleted'] = 'Profile deleted';
    $dicionario['en-us']['gateway-codec-profile-delete-error'] = 'Unable to delete the profile';
    $dicionario['en-us']['gateway-codec-profile-delete-error-inuse'] = 'Unable to delete the Profile. Its still in use';
    $dicionario['en-us']['gateway-codec-profile-help-list'] = 'Activate or deactivate the CODECs using the checkboxes. Order their priority by dragging the CODEC name.';
    // Gateway - Network
    $dicionario['en-us']['gateway-network'] = 'Network';
    $dicionario['en-us']['gateway-network-servers'] = 'Servers';
    $dicionario['en-us']['gateway-network-add-server'] = 'Add server';
    $dicionario['en-us']['gateway-network-interface'] = 'Interface';
    $dicionario['en-us']['gateway-network-interface-macaddress'] = 'hardware address';
    $dicionario['en-us']['gateway-network-method'] = 'Configuration method';
    $dicionario['en-us']['gateway-network-method-dhcp'] = 'Dynamic (DHCP)';
    $dicionario['en-us']['gateway-network-method-static'] = 'Static';
    $dicionario['en-us']['gateway-network-address'] = 'IP address';
    $dicionario['en-us']['gateway-network-netmask'] = 'Network mask';
    $dicionario['en-us']['gateway-network-gateway'] = 'Gateway';
    $dicionario['en-us']['gateway-network-dns-method'] = 'Configuration method';
    $dicionario['en-us']['gateway-network-dns-search'] = 'Search domain';
    $dicionario['en-us']['gateway-network-ntp-timeout'] = 'Timeout';
    $dicionario['en-us']['gateway-network-saved'] = 'Configuration saved';
    $dicionario['en-us']['gateway-network-interface-error-configuration-not-found'] = 'Network interface configuration file not found';
    $dicionario['en-us']['gateway-network-interface-error-configuration-read-failed'] = 'Unable to read the network interfaces configuration file';
    $dicionario['en-us']['gateway-network-interface-error-invalid-config'] = 'Invalid interfaces configuration';
    $dicionario['en-us']['gateway-network-interface-error-address-required'] = 'The field IP address is required';
    $dicionario['en-us']['gateway-network-interface-error-netmask-required'] = 'The field Network mask is required';
    $dicionario['en-us']['gateway-network-interface-error-write-failed'] = 'Unable to write the network interfaces configuration file';
    $dicionario['en-us']['gateway-network-interface-error-not-found'] = 'Network interface not found';
    $dicionario['en-us']['gateway-network-interface-error-loopback'] = 'You can\'t modify the <i>loopback</i> interface';
    $dicionario['en-us']['gateway-network-interface-error-invalid-properties'] = 'Invalid interface properties';
    $dicionario['en-us']['gateway-network-interface-error-invalid-stanza'] = 'Invalid or unknown network interface stanza';
    $dicionario['en-us']['gateway-network-interface-error-validator-not-found'] = 'Unable to validate the interfaces configuration';
    $dicionario['en-us']['gateway-network-interface-error-invalid-value'] = 'The interfaces configuration has invalid values';
    $dicionario['en-us']['gateway-network-interface-error-restricted-subnet'] = 'The subnet 172.31.249.0/24 is reserved for internal use only';
    $dicionario['en-us']['gateway-ntp-error-configuration-not-found'] = 'NTP configuration file not found';
    $dicionario['en-us']['gateway-ntp-error-configuration-read-failed'] = 'Unable to read the NTP configuration file';
    $dicionario['en-us']['gateway-ntp-error-invalid-config'] = 'Invalid NTP configuration';
    $dicionario['en-us']['gateway-ntp-error-write-failed'] = 'Unable to write the NTP configuration file';
    $dicionario['en-us']['gateway-ntp-error-invalid-value'] = 'The NTP configuration has invalid values';
    $dicionario['en-us']['gateway-ntp-error-validator-not-found'] = 'Unable to validate the NTP configuration';
    $dicionario['en-us']['gateway-ntp-error-invalid-stanza'] = 'Invalid or unknown NTP stanza';
    // Gateway - Administration
    $dicionario['en-us']['gateway-reboot'] = 'Reboot the gateway';
    $dicionario['en-us']['gateway-reboot-confirm'] = 'Are you sure you want to reboot the gateway? All established calls will be terminated and the access will be blocked until the system boot has been completed.';
    $dicionario['en-us']['gateway-reboot-error'] = 'Unable to reboot the gateway';
    $dicionario['en-us']['gateway-reboot-wait'] = 'Standby while the gateway is rebooting';
    $dicionario['en-us']['gateway-shutdown'] = 'Shutdown the gateway';
    $dicionario['en-us']['gateway-shutdown-confirm'] = 'Are you sure you want to shutdown the gateway? All established calls will be terminated and the access will be blocked.';
    $dicionario['en-us']['gateway-shutdown-error'] = 'Unable to shutdown the gateway';
    $dicionario['en-us']['gateway-shutdown-wait'] = 'Standby while the gateway is shutting down';
    $dicionario['en-us']['gateway-shutdown-done'] = 'Shutdown completed';
