<?php
    @session_start( );

    $AjaxFunctions['showVoIPChannels'] = 'showVoIPChannels';
    $AjaxFunctions['showChannels'] = 'showChannels';
    $AjaxFunctions['getLinksFromDevice'] = 'getLinksFromDevice';
    $AjaxFunctions['obtemLinksDoDevice'] = 'obtemLinksDoDevice';
    $AjaxFunctions['showModularChannels'] = 'showModularChannels';

    function showChannels( $_REQUEST )
    {
        Global $sistema;

        $link = isset( $_REQUEST['link'] ) ? $_REQUEST['link'] : NULL;
        $board = isset( $_REQUEST['board'] ) ? $_REQUEST['board'] : NULL;

        $buff = '';
        if( isset( $link ) && isset( $board ) )
        {

            $deviceList = $_SESSION['DeviceList'];
            $deviceList[$board] = Populator::populateChannels( $deviceList[$board], $link );
            $_SESSION['DeviceList'] = $deviceList;

            $devType = $deviceList[$board]['type'];
            $devModel = $deviceList[$board]['model'];

            $end = count( $deviceList[$board]['links'][$link]['channels'] );
            $groupCh = "0|" . ($end - 1);

            $buff .= "<input type='hidden' id='linkNow' value='$link' />";
            $buff .= "<input type='hidden' id='boardNow' value='$board' />";
            $buff .= "<input type='hidden' id='groupCh' value='$groupCh' />";

            $buff .= "<table id='channelsTable' border='1' class='tabelaChannel'>";
            $buff .= "<tr>";
            $buff .= "<th rowspan='2' class='channel' scope='col'><b>" . $sistema->retTranslate( "channel" ) . "</b></th>";
            $buff .= "<th rowspan='2' class='outbound' scope='col'><b>" . $sistema->retTranslate( "signaling" ) . "</b></th>";
            $buff .= "<th rowspan='2' class='status' scope='col'><b>" . $sistema->retTranslate( "status" ) . "</b></th>";
            $buff .= "<th rowspan='2' class='details' scope='col'><b>" . $sistema->retTranslate( "details" ) . "</b></th>";
            $buff .= "<th rowspan='2' class='inbound' scope='col'><b>" . $sistema->retTranslate( "inbound" ) . "</b></th>";
            $buff .= "<th colspan='3' class='outbound' scope='col'><b>" . $sistema->retTranslate( "outbound" ) . "</b></th>";

            if( @ereg( 'GSM', $devModel ) )
            {
                $buff .= "<th rowspan='2' class='ope' scope='col'><b>" . $sistema->retTranslate( "oper" ) . "</b></th>";
                $buff .= "<th rowspan='2' class='strength' scope='col'><b>" . $sistema->retTranslate( "strength" ) . "</b></th>";
            }
            $buff .= "</tr>";

            $buff .= "<tr>";
            $buff .= "<th class='count' scope='col'><b>" . $sistema->retTranslate( "count" ) . "</b></th>";
            $buff .= "<th class='failed' scope='col'><b>" . $sistema->retTranslate( "failed" ) . "</b></th>";
            $buff .= "<th class='succeed' scope='col'><b>" . $sistema->retTranslate( "succeed" ) . "</b></th>";
            $buff .= "</tr>";

            for( $j = 0; $j < $end; $j++ )
            {
                if( ($j % 2) == 0 )
                    $buff .= "<tr style='background: none repeat scroll 0 0 #FFFFFF;' >";
                else
                    $buff .= "<tr style='background: none repeat scroll 0 0 #F5F5F5;' >";

                if( $link == 99 )
                    $id = $j;
                else
                    $id = ((30 * $link) + $j);

                $buff .= "<td id='channels-" . $id . "-id'>";
                $buff .= $id;
                $buff .= "</td>";

                $buff .= "<td id='channels-" . $id . "-signaling' >";
                $buff .= $deviceList[$board]['links'][$link]['channels'][$j]['signaling'];
                $buff .= "</td>";

                $buff .= "<td id='channels-" . $id . "-status' >";
                $buff .= $deviceList[$board]['links'][$link]['channels'][$j]['callStatus'];
                $buff .= "</td>";

                $buff .= "<td id='channels-" . $id . "-details' >";
                $buff .= $deviceList[$board]['links'][$link]['channels'][$j]['details'];
                $buff .= "</td>";

                $buff .= "<td id='channels-" . $id . "-inbound' >";
                $inbound = $deviceList[$board]['links'][$link]['channels'][$j]['inbound'];
                if( $inbound > 0 )
                    $buff .= "<b>" . $inbound . "</b>";
                else
                    $buff .= $inbound;
                $buff .= "</td>";

                $buff .= "<td id='channels-" . $id . "-outbound' >";
                $outbound = $deviceList[$board]['links'][$link]['channels'][$j]['outbound'];
                if( $outbound > 0 )
                    $buff .= "<b>" . $outbound . "</b>";
                else
                    $buff .= $outbound;
                $buff .= "</td>";

                $buff .= "<td id='channels-" . $id . "-failed' >";
                $failed = $deviceList[$board]['links'][$link]['channels'][$j]['failed'];
                if( $failed > 0 )
                    $buff .= "<b>" . $failed . "</b>";
                else
                    $buff .= $failed;
                $buff .= "</td>";

                $buff .= "<td id='channels-" . $id . "-succeed' >";
                $succeed = $deviceList[$board]['links'][$link]['channels'][$j]['succeed'];
                if( $succeed > 0 )
                    $buff .= "<b>" . $succeed . "</b>";
                else
                    $buff .= $succeed;
                $buff .= "</td>";

                if( @ereg( 'GSM', $devModel ) )
                {
                    $buff .= "<td id='channels-" . $id . "-oper' >";
                    $buff .= $deviceList[$board]['links'][$link]['channels'][$j]['oper'];
                    $buff .= "</td>";

                    $buff .= "<td id='channels-" . $id . "-strength' >";
                    $buff .= $deviceList[$board]['links'][$link]['channels'][$j]['strength'];
                    $buff .= "</td>";
                }
            }
            $buff .= "</td>";
            $buff .= "</tr>";
            $buff .= "</table>";
            $buff .= "</br>";
        }

        return $buff;
    }

    function showVoIPChannels( $_REQUEST )
    {
        Global $sistema;

        $board = isset( $_REQUEST['board'] ) ? $_REQUEST['board'] : NULL;
        $link = isset( $_REQUEST['link'] ) ? $_REQUEST['link'] : NULL;
        $groupCh = isset( $_REQUEST['gc'] ) ? $_REQUEST['gc'] : NULL;
        $serial = isset( $_REQUEST['serial'] ) ? $_REQUEST['serial'] : NULL;

        $deviceList = $_SESSION['DeviceList'];

        $gc = explode( '|', $groupCh );
        $deviceList[$board] = Populator::populateChannels( $deviceList[$board], $link, $gc[0], $gc[1] );

        $_SESSION['DeviceList'] = $deviceList;
        $devModel = $deviceList[$board]['model'];

        $buff = '';

        $buff .= "<input type='hidden' id='linkNow' value='$link' />";
        $buff .= "<input type='hidden' id='boardNow' value='$board' />";
        $buff .= "<input type='hidden' id='groupCh' value='$groupCh' />";

        $buff .= "<table id='channelsTable' border='1' class='tabelaChannel'>";
        $buff .= "<tr>";
        $buff .= "<th rowspan='2' class='channel' scope='col'><b>" . $sistema->retTranslate( "channel" ) . "</b></th>";
        $buff .= "<th rowspan='2' class='outbound' scope='col'><b>" . $sistema->retTranslate( "signaling" ) . "</b></th>";
        $buff .= "<th rowspan='2' class='status' scope='col'><b>" . $sistema->retTranslate( "status" ) . "</b></th>";
        $buff .= "<th rowspan='2' class='details' scope='col'><b>" . $sistema->retTranslate( "details" ) . "</b></th>";
        $buff .= "<th rowspan='2' class='inbound' scope='col'><b>" . $sistema->retTranslate( "inbound" ) . "</b></th>";
        $buff .= "<th colspan='3' class='outbound' scope='col'><b>" . $sistema->retTranslate( "outbound" ) . "</b></th>";
        $buff .= "</tr>";

        $buff .= "<tr>";
        $buff .= "<th class='count' scope='col'><b>" . $sistema->retTranslate( "count" ) . "</b></th>";
        $buff .= "<th class='failed' scope='col'><b>" . $sistema->retTranslate( "failed" ) . "</b></th>";
        $buff .= "<th class='succeed' scope='col'><b>" . $sistema->retTranslate( "succeed" ) . "</b></th>";
        $buff .= "</tr>";

        $gc = explode( '|', $groupCh );

        $j = $gc[0];
        $end = $gc[1];

        for( $j; $j <= $end; $j++ )
        {
            if( ($j % 2) == 0 )
                $buff .= "<tr style='background: none repeat scroll 0 0 #FFFFFF;' >";
            else
                $buff .= "<tr style='background: none repeat scroll 0 0 #F5F5F5;' >";

            if( $link == 99 )
                $id = $j;
            else
                $id = ((30 * $link) + $j);

            $buff .= "<td id='channels-" . $id . "-id'>" . $id . "</td>";

            $buff .= "<td id='channels-" . $id . "-signaling' >";
            $buff .= $deviceList[$board]['links'][$link]['channels'][$j]['signaling'];
            $buff .= "</td>";

            $buff .= "<td id='channels-" . $id . "-status' >";
            $buff .= $deviceList[$board]['links'][$link]['channels'][$j]['callStatus'];
            $buff .= "</td>";

            $buff .= "<td id='channels-" . $id . "-details' >";
            $buff .= $deviceList[$board]['links'][$link]['channels'][$j]['details'];
            $buff .= "</td>";

            $buff .= "<td id='channels-" . $id . "-inbound' >";
            $inbound = $deviceList[$board]['links'][$link]['channels'][$j]['inbound'];
            if( $inbound > 0 )
                $buff .= "<b>" . $inbound . "</b>";
            else
                $buff .= $inbound;
            $buff .= "</td>";

            $buff .= "<td id='channels-" . $id . "-outbound' >";
            $outbound = $deviceList[$board]['links'][$link]['channels'][$j]['outbound'];
            if( $outbound > 0 )
                $buff .= "<b>" . $outbound . "</b>";
            else
                $buff .= $outbound;
            $buff .= "</td>";

            $buff .= "<td id='channels-" . $id . "-failed' >";
            $failed = $deviceList[$board]['links'][$link]['channels'][$j]['failed'];
            if( $failed > 0 )
                $buff .= "<b>" . $failed . "</b>";
            else
                $buff .= $failed;
            $buff .= "</td>";

            $buff .= "<td id='channels-" . $id . "-succeed' >";
            $succeed = $deviceList[$board]['links'][$link]['channels'][$j]['succeed'];
            if( $succeed > 0 )
                $buff .= "<b>" . $succeed . "</b>";
            else
                $buff .= $succeed;
            $buff .= "</td>";

        }
        $buff .= "</td>";
        $buff .= "</tr>";
        $buff .= "</table>";
        $buff .= "</br>";

        return $buff;
    }

    function getLinksFromDevice( $_REQUEST )
    {
        Global $sistema;

        $serial = isset( $_REQUEST['serial'] ) ? $_REQUEST['serial'] : NULL;
        $board_num = isset( $_REQUEST['board'] ) ? $_REQUEST['board'] : NULL;

        $buff = '';

        if( isset( $serial ) && isset( $board_num ) )
        {
            if( $serial != 99 )
            {
                $links_count = 0;
                $query_link_count = sprintf( "QUERY k3l.Config.Device.%s.LinkCount", $serial );
                Querist::ask( $query_link_count, $links_count );
                if( $links_count > 0 )
                {
                    for( $i = 0; $i < $links_count; $i++ )
                        $buff .= "<input type='button' id=\"span-link-" . $i . "\" class='menuDeviceLinks' onclick=\"exibicao(" . $i . "," . $board_num . ");\" value=\" Link-$i \" />";
                }
                $query_type = sprintf( 'QUERY k3l.DeviceType.%s', $serial );
                Querist::ask( $query_type, $type );

                //EBS Modular
                if( $type == 22 )
                {
                    $query_ch = sprintf( 'QUERY k3l.Config.Device.%s.ChannelCount', $serial );
                    Querist::ask( $query_ch, $chCount );
                    $startCh = ($links_count * 30);
                    $buff .= "<input type='button' id='span-ch-modular' class='menuDeviceLinks' onclick=\"showModularChannels($board_num, $serial, 99, $startCh, $chCount);\" value='" . $sistema->retTranslate( 'others' ) . "' />";
                }
            }
            else
            {
                $voip_count = 0;
                $query_voip_count = sprintf( "QUERY k3l.Config.Device.%s.VoIPChannelCount", $serial );
                Querist::ask( $query_voip_count, $voip_count );
                $qtde_voip_pages = ceil( $voip_count / 50 );

                $max = 49;
                $min = 0;

                $buff .= $sistema->retTranslate( 'channels' ) . " : <select id='channelsGC'>";
                for( $i = 1; $i <= $qtde_voip_pages; $i++ )
                {
                    if( $i == $qtde_voip_pages )
                        $max = $voip_count - 1;
                    $buff .= "<option value='$min|$max'>$min - $max</option>";
                    $min = $min + 50;
                    $max = $max + 50;
                }
                $buff .= "</select>";
                $buff .= " <a href='#' onclick=\"exibicaoGC(" . $serial . "," . $board_num . ",99);\" />" . $sistema->retTranslate( 'show' ) . "</a>";
            }
        }
        return $buff;
    }

    function obtemLinksDoDevice( $_REQUEST )
    {
        Global $sistema;

        $serial = isset( $_REQUEST['serial'] ) ? $_REQUEST['serial'] : NULL;
        $board_num = isset( $_REQUEST['board'] ) ? $_REQUEST['board'] : NULL;

        $buff = '';

        if( isset( $serial ) && isset( $board_num ) )
        {
            if( $serial != 99 )
            {
                $links_count = 0;
                $query_link_count = sprintf( "QUERY k3l.Config.Device.%s.LinkCount", $serial );
                Querist::ask( $query_link_count, $links_count );
                if( $links_count > 0 )
                {
                    for( $i = 0; $i < $links_count; $i++ )
                        $buff .= "<input type='button' id='span-link-$i' class='menuDeviceLinks' onclick=\"exibicao($i,$board_num);\" value='Link-$i' />";
                }
                $query_type = sprintf( 'QUERY k3l.DeviceType.%s', $serial );
                Querist::ask( $query_type, $type );

                //EBS Modular
                if( $type == 22 )
                {
                    $query_ch = sprintf( 'QUERY k3l.Config.Device.%s.ChannelCount', $serial );
                    Querist::ask( $query_ch, $chCount );
                    $startCh = ($links_count * 30);
                    $buff .= "<input type='button' id='span-ch-modular' class='menuDeviceLinks' onclick=\"showModularChannels($board_num, $serial, 99, $startCh, $chCount);\" value='" . $sistema->retTranslate( 'others' ) . "' />";
                }

            }
            else
            {
                $voip_count = 0;
                $query_voip_count = sprintf( "QUERY k3l.Config.Device.%s.VoIPChannelCount", $serial );
                Querist::ask( $query_voip_count, $voip_count );
                $qtde_voip_pages = ceil( $voip_count / 50 );
                $max = 49;
                $min = 0;

                $buff .= $sistema->retTranslate( 'channels' ) . " : <select id='channelsGC'>";

                for( $i = 1; $i <= $qtde_voip_pages; $i++ )
                {
                    if( $i == $qtde_voip_pages )
                        $max = $voip_count - 1;
                    $buff .= "<option value='$min|$max'>$min - $max</option>";
                    $min = $min + 50;
                    $max = $max + 50;
                }
                $buff .= "</select>";
                $buff .= " <a href='#' onclick=\"exibicaoGC($serial,$board_num,99);\" />" . $sistema->retTranslate( 'show' ) . "</a>";
            }
        }
        return $buff;
    }

    function showModularChannels( $_REQUES )
    {
        Global $sistema;

        $board = isset( $_REQUEST['board'] ) ? $_REQUEST['board'] : NULL;
        $serial = isset( $_REQUEST['serial'] ) ? $_REQUEST['serial'] : NULL;
        $link = isset( $_REQUEST['link'] ) ? $_REQUEST['link'] : NULL;
        $startCh = isset( $_REQUEST['startChannel'] ) ? $_REQUEST['startChannel'] : NULL;
        $endCh = isset( $_REQUEST['endChannel'] ) ? $_REQUEST['endChannel'] : NULL;

        $buff = '';

        if( $link != 99 )
            $startCh = $startCh * 30;

        if( isset( $serial ) && isset( $startCh ) && isset( $endCh ) )
        {

            $buff .= "<input type='hidden' id='linkNow' value='99' />";
            $buff .= "<input type='hidden' id='boardNow' value='$board' />";
            $buff .= "<input type='hidden' id='groupCh' value='$startCh|" . ($endCh - 1) . "' />";

            $buff .= "<table id='channelsTable' border='1' class='tabelaChannel'>";
            $buff .= "<tr>";
            $buff .= "<th rowspan='2' class='channel' scope='col'><b>" . $sistema->retTranslate( "channel" ) . "</b></th>";
            $buff .= "<th rowspan='2' class='outbound' scope='col'><b>" . $sistema->retTranslate( "signaling" ) . "</b></th>";
            $buff .= "<th rowspan='2' class='status' scope='col'><b>" . $sistema->retTranslate( "status" ) . "</b></th>";
            $buff .= "<th rowspan='2' class='details' scope='col'><b>" . $sistema->retTranslate( "details" ) . "</b></th>";
            $buff .= "<th rowspan='2' class='inbound' scope='col'><b>" . $sistema->retTranslate( "inbound" ) . "</b></th>";
            $buff .= "<th colspan='3' class='outbound' scope='col'><b>" . $sistema->retTranslate( "outbound" ) . "</b></th>";

            $query_gsmCh = sprintf( 'QUERY k3l.Config.EBS.%s.GSMChannels', $serial );
            Querist::ask( $query_gsmCh, $gsmCh );
            if( strpos( $gsmCh, ',' ) > 0 )
            {
                $gsmCh = explode( ',', $gsmCh );
                if( sizeof( $gsmCh > 0 ) )
                {
                    $buff .= "<th rowspan='2' class='ope' scope='col'><b>" . $sistema->retTranslate( "oper" ) . "</b></th>";
                    $buff .= "<th rowspan='2' class='strength' scope='col'><b>" . $sistema->retTranslate( "strength" ) . "</b></th>";
                }
            }
            else
                $gsmCh = array( );

            $buff .= "</tr>";
            $buff .= "<tr>";
            $buff .= "<th class='count' scope='col'><b>" . $sistema->retTranslate( "count" ) . "</b></th>";
            $buff .= "<th class='failed' scope='col'><b>" . $sistema->retTranslate( "failed" ) . "</b></th>";
            $buff .= "<th class='succeed' scope='col'><b>" . $sistema->retTranslate( "succeed" ) . "</b></th>";
            $buff .= "</tr>";

            for( $j = $startCh; $j < $endCh; $j++ )
            {
                $query_status_channel = sprintf( 'QUERY k3l.Status.Channel.%s.%s.CallStatus', $serial, $j );
                Querist::ask( $query_status_channel, $status_channel );

                $status_tmp = Populator::getCallStatus( $status_channel );

                $query_signaling = sprintf( 'QUERY k3l.Config.Channel.%s.%s.Signaling', $serial, $j );
                Querist::ask( $query_signaling, $sig );

                $signaling = Populator::getSignaling( $sig );

                $query_addInfo = sprintf( 'QUERY k3l.Status.Channel.%s.%s.AddInfo', $serial, $j );
                Querist::ask( $query_addInfo, $addInfo );

                $addInfo = Populator::getAddInfoModular( $addInfo, $sig );

                $query_inbound_channel = sprintf( 'QUERY k3l.ChannelStats.%s.%s', $serial, $j );
                Querist::ask( $query_inbound_channel, $info_channel );
                $infos = explode( ',', $info_channel );

                $oper = "-";
                $strength = "-";

                if( in_array( $j, $gsmCh ) )
                {
                    $query_strength = sprintf( 'QUERY k3l.Status.GSMChannel.%s.%s.SignalStrength.0', $serial, $j );
                    Querist::ask( $query_strength, $strength );
                    if( $strength == '255' || $strength == '' )
                        $strength = "-";
                    else
                        $strength .= "%";

                    $query_oper = sprintf( 'QUERY k3l.Status.GSMChannel.%s.%s.OperName.0', $serial, $j );
                    Querist::ask( $query_oper, $oper );
                    if( $oper == "" )
                        $oper = "-";
                }

                if( ($j % 2) == 0 )
                    $buff .= "<tr style='background: #FFFFFF;' >";
                else
                    $buff .= "<tr style='background: #F5F5F5;' >";

                $id = $j;

                $buff .= "<td id='channels-$id-id'>$id</td>";
                $buff .= "<td id='channels-$id-signaling'>$signaling</td>";
                $buff .= "<td id='channels-$id-status'>$status_tmp</td>";
                $buff .= "<td id='channels-$id-details'>$addInfo</td>";
                $buff .= "<td id='channels-$id-inbound'>";
                $inbound = $infos[0];

                $buff .= ($inbound > 0) ? "<b>$inbound</b>" : $inbound;
                $buff .= "</td>";

                $buff .= "<td id='channels-$id-outbound'>";
                $outbound = $infos[1];

                $buff .= ($outbound > 0) ? "<b>$outbound</b>" : $outbound;
                $buff .= "</td>";

                $buff .= "<td id='channels-$id-failed' >";
                $failed = $infos[3];

                $buff .= ($failed > 0) ? "<b>$failed</b>" : $failed;
                $buff .= "</td>";

                $buff .= "<td id='channels-$id-succeed'>";
                $succeed = $infos[2];

                $buff .= ($succeed > 0) ? "<b>$succeed</b>" : $succeed;
                $buff .= "</td>";

                if( sizeof( $gsmCh ) > 0 )
                {
                    $buff .= "<td id='channels-$id-oper'>$oper</td>";
                    $buff .= "<td id='channels-$id-strength'>$strength</td>";
                }
            }
            $buff .= "</td>";
            $buff .= "</tr>";
            $buff .= "</table>";
            $buff .= "</br>";
        }
        return $buff;
    }
?>