<?php
    require_once KCONFIG . '/classes/classSS7.php';

    $AjaxFunctions['getTimeSlot'] = 'getTimeSlot';
    $AjaxFunctions['showMTP2'] = 'showMTP2';
    $AjaxFunctions['showAddMTP2'] = 'showAddMTP2';
    $AjaxFunctions['saveMTP2'] = 'saveMTP2';
    $AjaxFunctions['removeMTP2'] = 'removeMTP2';

    $AjaxFunctions['showPointCodes'] = 'showPointCodes';
    $AjaxFunctions['showAddPointCode'] = 'showAddPointCode';
    $AjaxFunctions['savePointCode'] = 'savePointCode';
    $AjaxFunctions['removePointCode'] = 'removePointCode';

    $AjaxFunctions['showTimers'] = 'showTimers';
    $AjaxFunctions['saveTimers'] = 'saveTimers';

    $AjaxFunctions['showCircuitGroups'] = 'showCircuitGroups';
    $AjaxFunctions['showAddCircuitGroup'] = 'showAddCircuitGroup';
    $AjaxFunctions['saveCircuitGroup'] = 'saveCircuitGroup';
    $AjaxFunctions['removeCircuitGroup'] = 'removeCircuitGroup';

    $AjaxFunctions['showLinkSets'] = 'showLinkSets';
    $AjaxFunctions['showAddLinkSet'] = 'showAddLinkSet';
    $AjaxFunctions['createMtp3Link'] = 'createMtp3Link';
    $AjaxFunctions['addMtp3Link'] = 'addMtp3Link';
    $AjaxFunctions['backAddMtp3Link'] = 'backAddMtp3Link';
    $AjaxFunctions['removeMtp3LinkAdded'] = 'removeMtp3LinkAdded';
    $AjaxFunctions['editMtp3Link'] = 'editMtp3Link';
    $AjaxFunctions['saveLinkset'] = 'saveLinkset';
    $AjaxFunctions['removeLinkSet'] = 'removeLinkSet';
    $AjaxFunctions['updateLinkSet'] = 'updateLinkSet';

    $AjaxFunctions['showRoutes'] = 'showRoutes';
    $AjaxFunctions['showAddRoute'] = 'showAddRoute';
    $AjaxFunctions['removeRoute'] = 'removeRoute';
    $AjaxFunctions['createLinkset'] = 'createLinkset';
    $AjaxFunctions['saveRoute'] = 'saveRoute';
    $AjaxFunctions['showAddLink'] = 'showAddLink';
    $AjaxFunctions['showAddLink'] = 'showAddLink';

    function showMTP2( $_REQUEST )
    {
        Global $sistema, $image_dir;

        $buff = '';
        $buff .= "<div id='mtp2'>";
        $buff .= "<fieldset>";
        $buff .= "<legend>" . $sistema->retTranslate( "MTP2" ) . "</legend>";
        $boards = $sistema->getSS7Boards( );

        $mtp2LinkSize = 0;
        $serial = "";
        $disabled = "";
        $return = "";

        $SS7 = new SS7( );
        $tmpSS7 = $SS7->loadSession( );
        $mtp2 = $tmpSS7['ss7']['Mtp2'];
        $chaves = array_keys( $mtp2 );
        $mtp2LinkSize = sizeof( $mtp2 );

        $color = "lgreen";
        $buff .= "<table>";

        for( $x = 0; $x < sizeof( $mtp2 ); $x++ )
        {
            $linkKeys = array_keys( $mtp2[$chaves[$x]] );
            for( $y = 0; $y < sizeof( $boards ); $y++ )
            {
                if( $boards[$y][3] == $mtp2[$chaves[$x]][$linkKeys[0]]['Device'] )
                    $serial = $boards[$y][0];
            }

            if( $color != "lgreen" )
                $color = "lgreen";
            else
                $color = "green";

            $buff .= "<tr class='$color'>";
            $buff .= "<td width='25%' align='left'>" . "Link: " . $linkKeys[0] . "</td>";
            $buff .= "<td width='55%' align='center'>";
            $buff .= "Serial: " . $mtp2[$chaves[$x]][$linkKeys[0]]['Device'];
            $buff .= ", Link: " . $mtp2[$chaves[$x]][$linkKeys[0]]['Link'];
            $buff .= "</td>";
            $buff .= "<td width='18%' align='right'>";
            $buff .= "<input value='" . $sistema->retTranslate( "Editar" ) . "' onclick=\"javascript:showAddMTP2('$chaves[$x]');\" type='button'>";
            $buff .= "</td>";
            $buff .= "<td align='right'>";
            $buff .= "<a href='#' onClick='javascript:removeMTP2($chaves[$x]);'>";
            $buff .= "<img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='$image_dir/imagens/lixeira.gif'/></a>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }

        if( sizeof( $mtp2 ) == 0 )
            $buff .= "<tr><td>" . $sistema->retTranslate( "NMtp2" ) . "</td></tr>";

        $buff .= "</table>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='hidden' id='mtp2links' name='mtp2links' value='$mtp2LinkSize' />";
        $buff .= "<input value='" . $sistema->retTranslate( "addLink" ) . "' onclick=\"javascript:showAddMTP2('');\" type='button' $disabled>";
        $buff .= "</div>";

        return $buff;
    }

    function showPointCodes( $_REQUEST )
    {
        Global $sistema, $image_dir;

        $buff = '';
        $buff .= "<div id='pointCodes'>";

        $SS7 = new SS7( );
        $tmpSS7 = $SS7->loadSession( );

        if( isset( $tmpSS7['ss7']['PointCodes'] ) )
        {
            $chaves = array_keys( $tmpSS7['ss7']['PointCodes'] );
            $pointCodesSize = sizeof( $tmpSS7['ss7']['PointCodes'] );
        }
        else
            $pointCodesSize = 0;

        $color = "lgreen";
        $buff .= "<fieldset>";
        $buff .= "<legend>" . $sistema->retTranslate( "PointCodes" ) . "</legend>";
        $buff .= "<table>";

        for( $x = 0; $x < $pointCodesSize; $x++ )
        {
            $color = $color != "lgreen" ? "lgreen" : "green";

            $buff .= "<tr class='$color'>";
            $buff .= "<td width='50%' align='left'>";
            $firstKey = array_keys( $tmpSS7['ss7']['PointCodes'][$chaves[$x]] );
            $buff .= "PointCode - " . $firstKey[0];
            $buff .= "</td>";
            $buff .= "<td width='30%' align='right'>";

            $data = $tmpSS7['ss7']['PointCodes'][$chaves[$x]][$firstKey[0]][0] . "-" . $tmpSS7['ss7']['PointCodes'][$chaves[$x]][$firstKey[0]][1] . "-" . $tmpSS7['ss7']['PointCodes'][$chaves[$x]][$firstKey[0]][2];
            $decimalDataTmp = explode( "-", $data );

            $first = $tmpSS7['ss7']['PointCodes'][$chaves[$x]][$firstKey[0]][0];
            $middle = $tmpSS7['ss7']['PointCodes'][$chaves[$x]][$firstKey[0]][1];
            $last = $tmpSS7['ss7']['PointCodes'][$chaves[$x]][$firstKey[0]][2];

            $first = decbin( $first );
            $first = zeroFill( $first, 3 );

            $middle = decbin( $middle );
            $middle = zeroFill( $middle, 8 );

            $last = decbin( $last );
            $last = zeroFill( $last, 3 );

            $decimal = $first . $middle . $last;
            $decimal = bindec( $decimal );

            $buff .= $data . " ( " . $decimal . " )";
            $buff .= "</td>";
            $buff .= "<td width='20%' align='right'>";
            $buff .= "<input value='" . $sistema->retTranslate( "edit" ) . "' onclick=\"javascript:showAddPointCode('$chaves[$x]');\" type='button'>";
            $buff .= "</td>";
            $buff .= "<td align='right'>";
            $buff .= "<a href='#' onClick='javascript:removePointCode($chaves[$x]);'>";
            $buff .= "<img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='$image_dir/imagens/lixeira.gif'/></a>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }
        if( $pointCodesSize == 0 )
            $buff .= "<tr><td>" . $sistema->retTranslate( "NPCs" ) . "</td></tr>";

        $buff .= "</table>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input value='" . $sistema->retTranslate( "AdicionarPointCode" ) . "' onclick=\"javascript:showAddPointCode('');\" type='button'>";
        $buff .= "<br>";
        $buff .= "<input type='hidden' id='PCs' name='PCs' value='$pointCodesSize' />";
        $buff .= "</div>";

        return $buff;
    }

    function showTimers( $_REQUEST )
    {
        Global $sistema;

        $SS7 = new SS7( );
        $tmpSS7 = $SS7->loadSession( );

        $buff = '';

        $buff .= "<fieldset>";
        $buff .= "<legend>" . $sistema->retTranslate( "Timers" ) . "</legend>";
        $buff .= "<table class='timerTable'>";
        $buff .= "<tbody>";

        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>T1:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T1'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T1'] : 45000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT1' name='T1' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T5:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T5'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T5'] : 60000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT5' name='T5' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td align='left'>T6:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T6'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T6'] : 35000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT6' name='T6' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T7:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T7'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T7'] : 25000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT7' name='T7' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>T8:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T8'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T8'] : 13000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT8' name='T8' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T9:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T9'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T9'] : 120000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT9' name='T9' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td align='left'>T12:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T12'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T12'] : 45000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT12' name='T12' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T13:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T13'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T13'] : 600000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT13' name='T13' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>T14:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T14'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T14'] : 45000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT14' name='T14' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T15:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T15'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T15'] : 600000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT15' name='T15' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td align='left'>T16:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T16'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T16'] : 45000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT16' name='T16' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T17:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T17'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T17'] : 600000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT17' name='T17' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>T18:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T18'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T18'] : 45000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT18' name='T18' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T19:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T19'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T19'] : 600000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT19' name='T19' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td align='left'>T20:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T20'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T20'] : 45000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT20' name='T20' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T21:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T21'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T21'] : 600000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT21' name='T21' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>T22:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T22'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T22'] : 45000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT22' name='T22' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T23:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T23'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T23'] : 600000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT23' name='T23' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td align='left'>T24:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T24'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T24'] : 1500;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT24' name='T24' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T25:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T25'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T25'] : 5000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT25' name='T25' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>T26:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T26'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T26'] : 120000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT26' name='T26' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T27:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T27'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T27'] : 240000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT27' name='T27' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td align='left'>T28:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T28'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T28'] : 10000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT28' name='T28' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T34:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T34'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T34'] : 3000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT34' name='T34' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>T36:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T36'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T36'] : 13000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT36' name='T36' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td align='left'>T37:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T37'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T37'] : 3000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT37' name='T37' type='text'></td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen' colspan='2'>";
        $buff .= "<td align='left'>T38:</td>";
        $value = isset( $tmpSS7['ss7']['Isup']['Timers']['T38'] ) ? $tmpSS7['ss7']['Isup']['Timers']['T38'] : 120000;
        $buff .= "<td align='right'><input class='selector5' value='$value' id='isupT38' name='T38' type='text'></td>";
        $buff .= "<td></td>";
        $buff .= "<td></td>";
        $buff .= "<td></td>";
        $buff .= "</tr>";
        $buff .= "</table>";
        $buff .= "</fieldset>";
        $buff .= '</br>';
        $buff .= "<input type='button' style='float:right' value='" . $sistema->retTranslate( 'save' ) . "' onclick='saveTimers();' />";

        return $buff;

    }

    function showCircuitGroups( $_REQUEST )
    {
        Global $sistema, $image_dir;

        $color = "lgreen";
        $disabled = "";
        $buff = '';

        $SS7 = new SS7( );
        $tmpSS7 = $SS7->loadSession( );

        if( isset( $tmpSS7['ss7']['Isup']['CircuitGroups'] ) )
        {
            $chaves = array_keys( $tmpSS7['ss7']['Isup']['CircuitGroups'] );
            $isupSize = sizeof( $tmpSS7['ss7']['Isup']['CircuitGroups'] );
        }
        else
            $isupSize = 0;

        $buff .= "<fieldset>";
        $buff .= "<legend>" . $sistema->retTranslate( "circuitGroups" ) . "</legend>";
        $buff .= "<table>";

        for( $x = 0; $x < sizeof( $tmpSS7['ss7']['Isup']['CircuitGroups'] ); $x++ )
        {
            if( $color != "lgreen" )
                $color = "lgreen";
            else
                $color = "green";

            $keys = array_keys( $tmpSS7['ss7']['Isup']['CircuitGroups'][$x] );

            $buff .= "<tr class='$color'>";
            $buff .= "<td width='80%' align='left'>CircuitGroup - " . $keys[0] . "</td>";
            $buff .= "<td width='18%' align='right'>";
            $buff .= "<input value='" . $sistema->retTranslate( "edit" ) . "' onclick=\"javascript:showAddCircuitGroup('$chaves[$x]');\" type='button'>";
            $buff .= "</td>";
            $buff .= "<td width='2%' align='right'>";
            $buff .= "<a href='#' onClick=\"javascript:removeCircuitGroup('$chaves[$x]');\">";
            $buff .= "<img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='$image_dir/imagens/lixeira.gif'/></a>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }
        if( $isupSize == 0 )
            $buff .= "<tr><td>" . $sistema->retTranslate( "NIsup" ) . "</td></tr>";

        $buff .= "</table>";
        $buff .= "</fieldset><br>";
        $buff .= "<input value='" . $sistema->retTranslate( "AdicionarCircuitGroup" ) . "' onClick=\"javascript:showAddCircuitGroup('');\" type='button' $disabled>";

        return $buff;
    }

    function showLinkSets( $_REQUEST )
    {
        Global $sistema, $image_dir;

        $buff = "";
        $SS7 = new SS7( );
        $tmpSS7 = $SS7->loadSession( );

        if( isset( $tmpSS7['ss7']['Mtp3']['LinkSets'] ) )
        {
            $chaves = array_keys( $tmpSS7['ss7']['Mtp3']['LinkSets'] );
            $linkSetsSize = sizeof( $tmpSS7['ss7']['Mtp3']['LinkSets'] );
        }
        else
            $linkSetsSize = 0;

        $totalMtp3Mtp2Links = getTotalFreeMtp3Mtp2Links( $tmpSS7 );
        $color = "lgreen";
        $style = '';
        if( $totalMtp3Mtp2Links == 0 )
        {
            $disabled = "disabled";
            $style = "style='background: gray';";
        }
        $buff .= "<fieldset>";
        $buff .= "<legend>" . $sistema->retTranslate( "LinkSets" ) . "</legend>";
        $buff .= "<table>";

        for( $x = 0; $x < $linkSetsSize; $x++ )
        {
            if( $color != "lgreen" )
                $color = "lgreen";
            else
                $color = "green";

            $keys = array_keys( $tmpSS7['ss7']['Mtp3']['LinkSets'][$chaves[$x]] );
            $buff .= "<tr class='$color'>";
            $buff .= "<td width='70%' align='left'>LinkSet - " . $keys[0] . "</td>";
            $buff .= "<td width='28%' align='right'>";
            $buff .= "<input value='" . $sistema->retTranslate( "Editar" ) . "' onclick='javascript:updateLinkSet($chaves[$x]);' type='button'>";
            $buff .= "</td>";
            $buff .= "<td width='2%' align='right'>";
            $buff .= "<a href='#' onClick='javascript:deleteLinkSet($chaves[$x]);'>";
            $buff .= "<img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='$image_dir/imagens/lixeira.gif'/></a>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }

        if( $linkSetsSize == 0 )
            $buff .= "<tr><td>" . $sistema->retTranslate( "NMtp3Linksets" ) . "</td></tr>";

        $buff .= "</table>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input $style value='" . $sistema->retTranslate( "AdicionarLinkSet" ) . "' onclick='javascript:createLinkSet();' type='button' $disabled><br>";
        $buff .= "<input type='hidden' id='TLinkSets' name='TLinkSets' value='$linkSetsSize'/>";

        return $buff;
    }

    function showAddLinkSet( $_REQUEST )
    {
        Global $_SESSION, $sistema;

        unset( $_SESSION['Linkset'] );

        $SS7 = new SS7( );
        $tmpSS7 = $SS7->loadSession( );

        $disabled = "";
        $return .= "<fieldset>";
        $return .= "<legend>MTP3 - LinkSet</legend>";

        $pcs = $SS7->getPCs( );

        $return .= "<input type='hidden' id='linksetId' value='$linksetId' />";
        $return .= "<table>";
        $return .= "<tr>";
        $return .= "<td align='left'>" . $sistema->retTranslate( "Nome" ) . ":</td>";
        $return .= "<td align='right'>";
        $return .= "<input class='selector5' value='' id='name' name='name' type='text'>";
        $return .= "</td>";
        $return .= "</tr>";
        $return .= "<tr>";
        $return .= "<td align='left'>Origin Point Code:</td>";
        $return .= "<td align='right'>";
        $return .= "<select id='OP' class='selector6' name='OP' >";

        $return .= $SS7->getSelectedPC( $pcs, '' );

        $return .= "</select>";
        $return .= "</td>";
        $return .= "</tr>";
        $return .= "<tr>";
        $return .= "<td align='left'>Adjacent Point Code:</td>";
        $return .= "<td align='right'>";
        $return .= "<select id='AP' class='selector6' name='AP' >";

        $return .= $SS7->getSelectedPC( $pcs, '' );

        $return .= "</select>";
        $return .= "</td>";
        $return .= "</tr>";
        $return .= "</table><br>";

        if( isset( $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'] ) )
        {
            $chaves = array_keys( $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'] );
            $linksSize = sizeof( $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId][$keys[0]]['Links'] );
        }
        else
            $linksSize = 0;

        if( $SS7->getTotalFreeMtp3Mtp2Links( ) == 0 )
            $disabled = "disabled";

        $return .= "<div id='mtp3link'>";
        $return .= $SS7->getAddMtp3Link( $linksetId, false );
        $return .= "</div>";
        $return .= "</fieldset>";

        $return .= "<br>";
        $return .= "<input value='" . $sistema->retTranslate( "SalvarLinkSet" ) . "' onclick=\"javascript:saveLinkset('');\" type='button'>";
        $return .= "<input type='button' style='float:right;' onclick='javascript:showLinkSets();' value='" . $sistema->retTranslate( 'back' ) . "'>";

        return $return;
    }

    function createMtp3Link( $_REQUEST )
    {
        Global $sistema;

        $nameLink = isset( $_REQUEST['mtp2Link'] ) ? $_REQUEST['mtp2Link'] : NULL;
        $slc = isset( $_REQUEST['slc'] ) ? $_REQUEST['slc'] : NULL;
        $linkId = isset( $_REQUEST['linkId'] ) && $_REQUEST['linkId'] != '' ? $_REQUEST['linkId'] : '';

        if( isset( $nameLink ) && isset( $slc ) && isset( $linkId ) )
        {
            $SS7 = new SS7( );
            $linkset = $_SESSION['Linkset'];

            for( $i = 0; $i < sizeof( $linkset ); $i++ )
            {
                $keys = array_keys( $linkset[$i] );
                if( $linkId == '' )
                {
                    if( $keys[0] == $nameLink )
                        return '0|' . $sistema->retTranslate( 'linkAlreadyUsed' );
                    if( $linkset[$i][$keys[0]]['Slc'] )
                        return '0|SLCAlreadyUsed';
                }
                else
                {
                    if( $keys[0] == $nameLink && $linkId != $i )
                        return '0|' . $sistema->retTranslate( 'linkAlreadyUsed' );

                    if( $linkset[$i][$keys[0]]['Slc'] == $slc && $linkId != $i )
                        return '0|SLCAlreadyUsed';
                }
            }
            $newyMtp3Link = array( );
            $newyMtp3Link[$nameLink]['Mtp2'] = $_REQUEST['mtp2Link'];
            $newyMtp3Link[$nameLink]['Slc'] = $slc;
            $newyMtp3Link[$nameLink]['Timers']['Q707T1'] = $_REQUEST['Q707T1'];
            $newyMtp3Link[$nameLink]['Timers']['Q707T2'] = $_REQUEST['Q707T2'];
            $newyMtp3Link[$nameLink]['Timers']['Q704T17'] = $_REQUEST['Q704T17'];

            if( $linkId != '' )
                $size = $linkId;
            else
                $size = sizeof( $_SESSION['Linkset'] );

            $_SESSION['Linkset'][$size] = $newyMtp3Link;
            return '1|' . $SS7->printMtp3LinkAdded( );
        }
    }

    function removeMtp3LinkAdded( $_REQUEST )
    {
        Global $_SESSION;
        $linkId = isset( $_REQUEST['linkId'] ) ? $_REQUEST['linkId'] : NULL;
        if( isset( $linkId ) )
        {
            if( isset( $_SESSION['Linkset'] ) )
            {
                $reorganizedLinks = array( );

                $tmp = $_SESSION['Linkset'];
                unset( $tmp[$linkId] );

                foreach( $tmp as $t )
                    $reorganizedLinks[] = $t;

                unset( $_SESSION['Linkset'] );
                $_SESSION['Linkset'] = $reorganizedLinks;

                $SS7 = new SS7( );
                return $SS7->printMtp3LinkAdded( );
            }
        }
    }

    function editMtp3Link( $_REQUEST )
    {
        $id = isset( $_REQUEST['linkId'] ) ? $_REQUEST['linkId'] : NULL;
        if( isset( $id ) )
        {
            $SS7 = new SS7( );
            return $SS7->editAddedMtp3Link( $_REQUEST['linkId'] );
        }
    }

    function saveLinkset( $_REQUEST )
    {
        Global $sistema, $_SESSION;

        $name = isset( $_REQUEST['name'] ) ? $_REQUEST['name'] : NULL;
        $OP = isset( $_REQUEST['OP'] ) ? $_REQUEST['OP'] : NULL;
        $AP = isset( $_REQUEST['AP'] ) ? $_REQUEST['AP'] : NULL;
        $id = isset( $_REQUEST['id'] ) ? $_REQUEST['id'] : NULL;

        if( isset( $name ) && isset( $AP ) && isset( $OP ) )
        {
            if( isset( $_SESSION['Linkset'] ) && sizeof( $_SESSION['Linkset'] ) > 0 )
            {
                $SS7 = new SS7( );
                $tmpSS7 = $SS7->loadSession( );
                $newLinkset = array( );
                $newLinkset['Origin'] = $OP;
                $newLinkset['Adjacent'] = $AP;
                $newLinkset['NetworkIndicator'] = '2';
                $newLinkset['Links'] = $_SESSION['Linkset'];

                if( isset( $id ) )
                {
                    unset( $tmpSS7['ss7']['Mtp3']['LinkSets'][$id] );
                    $tmpSS7['ss7']['Mtp3']['LinkSets'][$id][$name] = $newLinkset;
                    $link = $tmpSS7['ss7']['Mtp3']['LinkSets'];
                    $tmpSS7['ss7']['Mtp3']['LinkSets'] = array( );
                    $new = array( );
                    foreach( $link as $l )
                        $new[] = $l;

                    $tmpSS7['ss7']['Mtp3']['LinkSets'] = $new;
                }
                else
                    $tmpSS7['ss7']['Mtp3']['LinkSets'][][$name] = $newLinkset;

                $SS7->setYaml( $tmpSS7 );
                $SS7->saveSession( );

                return '1|' . $sistema->retTranslate( 'ConfiguracaoSalva' );
            }
            return '0|' . $sistema->retTranslate( 'needAtLeastOneLink' );
        }
    }

    function removeLinkSet( $_REQUEST )
    {
        Global $sistema;
        $linksetId = isset( $_REQUEST['linksetId'] ) ? $_REQUEST['linksetId'] : NULL;

        if( isset( $linksetId ) )
        {
            $SS7 = new SS7( );
            $tmpSS7 = $SS7->loadSession( );
            if( isset( $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId] ) )
            {
                $keys = array_keys( $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId] );
                $SS7->verifyDelMTP3LinksetOnRoutes( $keys[0] );
                unset( $tmpSS7['ss7']['Mtp3']['LinkSets'][$linksetId] );
            }
            $SS7->setYaml( $tmpSS7 );
            $SS7->saveSession( );

            return $sistema->retTranslate( 'removeLinkSet' );
        }
    }

    function updateLinkSet( $_REQUEST )
    {
        $id = isset( $_REQUEST['id'] ) ? $_REQUEST['id'] : NULL;
        if( isset( $id ) )
        {
            $SS7 = new SS7( );
            return $SS7->printMtp3Linkset( $id, true );
        }
    }

    function getTimeSlot( $_REQUEST )
    {
        Global $sistema;

        $boards = $sistema->getCTbusBoards( );
        $SS7 = new SS7( );

        $circuitGroupId = '';

        if( $_REQUEST['deviceLink'] != NULL )
        {
            $deviceLink = explode( " - ", $_REQUEST['deviceLink'] );
            $device = $deviceLink[0];
            $link = $deviceLink[1];
        }
        else
        {
            $device = '';
            $link = '';
        }
        if( $_REQUEST['circuitGroupId'] != NULL )
            $circuitGroupId = $_REQUEST['circuitGroupId'];

        return $SS7->printTimeslotForm( $device, $link, $circuitGroupId );
    }

    function showAddMTP2( $_REQUEST )
    {
        $id = isset( $_REQUEST['id'] ) ? $_REQUEST['id'] : NULL;
        $SS7 = new SS7( 'ss7.xml' );
        return $SS7->printAddMTP2( $id );
    }

    function saveMTP2( $_REQUEST )
    {
        $SS7 = new SS7( );
        return $SS7->saveMTP2( $_REQUEST );
    }

    function removeMTP2( $_REQUEST )
    {
        $SS7 = new SS7( );
        return $SS7->removeMTP2( $_REQUEST );
    }

    function showAddPointCode( $_REQUEST )
    {
        $id = isset( $_REQUEST['id'] ) ? $_REQUEST['id'] : NULL;
        $SS7 = new SS7( );

        return $SS7->printAddPointCode( $id );
    }

    function savePointCode( $_REQUEST )
    {
        $SS7 = new SS7( );
        return $SS7->savePointCode( $_REQUEST );
    }

    function removePointCode( $_REQUEST )
    {
        $SS7 = new SS7( );
        return $SS7->removePointCode( $_REQUEST );
    }

    function saveTimers( $_REQUEST )
    {
        $SS7 = new SS7( '' );
        return $SS7->saveTimers( $_REQUEST );
    }

    function showAddCircuitGroup( $_REQUEST )
    {
        $id = isset( $_REQUEST['id'] ) ? $_REQUEST['id'] : NULL;
        $SS7 = new SS7( );
        return $SS7->printAddCircuitGroups( $id );
    }

    function saveCircuitGroup( $_REQUEST )
    {
        $SS7 = new SS7( '' );
        return $SS7->saveCircuitGroup( $_REQUEST );
    }

    function removeCircuitGroup( $_REQUEST )
    {
        $SS7 = new SS7( '' );
        return $SS7->removeCircuitGroup( $_REQUEST );
    }

    function addMtp3Link( $_REQUEST )
    {
        $SS7 = new SS7( );
        return $SS7->getAddMtp3Link( '', true );
    }

    function backAddMtp3Link( $_REQUEST )
    {
        $SS7 = new SS7( );
        return $SS7->printMtp3LinkAdded( );
    }

    function showAddRoute( $_REQUEST )
    {
        $SS7 = new SS7( );
        $id = isset( $_REQUEST['id'] ) ? $_REQUEST['id'] : NULL;

        return $SS7->printMtp3Route( $id );
    }

    function showRoutes( $_REQUEST )
    {
        Global $sistema, $image_dir;

        $SS7 = new SS7( );
        $tmpSS7 = $SS7->loadSession( );

        $disabled = "";
        $style = '';
        $buff = '';

        if( isset( $tmpSS7['ss7']['Mtp3']['Routes'] ) )
        {
            $chaves = array_keys( $tmpSS7['ss7']['Mtp3']['Routes'] );
            $routesSize = sizeof( $tmpSS7['ss7']['Mtp3']['Routes'] );
        }
        else
            $routesSize = 0;

        if( isset( $tmpSS7['ss7']['Mtp3']['LinkSets'] ) )
            $linkSetSize = sizeof( $tmpSS7['ss7']['Mtp3']['LinkSets'] );
        else
            $linkSetSize = 0;

        if( $linkSetSize == 0 )
        {
            $disabled = "disabled";
            $style = "style='background: grey;'";
        }

        $color = "lgreen";
        $buff = "<fieldset><legend>" . $sistema->retTranslate( "Route" ) . "</legend>";
        $buff .= "<table>";

        for( $x = 0; $x < $routesSize; $x++ )
        {
            $color = $color != "lgreen" ? "lgreen" : "green";

            $routeKeys = array_keys( $tmpSS7['ss7']['Mtp3']['Routes'][$chaves[$x]] );
            $buff .= "<tr class='$color'>";
            $buff .= "<td width='40%' align='left'>" . $sistema->retTranslate( "Route" ) . " - " . $routeKeys[0] . "</td>";
            $buff .= "<td width='25%' align='left'>";
            $buff .= "DPC: " . $tmpSS7['ss7']['Mtp3']['Routes'][$chaves[$x]][$routeKeys[0]]['PointCode'];
            $buff .= "</td>";
            $buff .= "<td width='13%' align='right'>";
            $buff .= "<input value='" . $sistema->retTranslate( "Editar" ) . "' onclick=\"javascript: showAddRoute('$chaves[$x]');\" type='button'>";
            $buff .= "</td>";
            $buff .= "<td width='2%' align='center'>";
            $buff .= "<a href='#' onClick='javascript:removeRoute($chaves[$x]);'>";
            $buff .= "<img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='$image_dir/imagens/lixeira.gif'/></a>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }
        if( $routesSize == 0 )
            $buff .= "<tr><td>" . $sistema->retTranslate( "NRotes" ) . "</td></tr>";

        $buff .= "</table>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input $style value='" . $sistema->retTranslate( "AdicionarRota" ) . "' onclick=\"javascript: showAddRoute('');\" type='button' $disabled>";

        return $buff;
    }

    function removeRoute( $_REQUEST )
    {
        $id = isset( $_REQUEST['id'] ) ? $_REQUEST['id'] : NULL;

        if( isset( $id ) )
        {
            $SS7 = new SS7( );

            $tmpSS7 = $SS7->loadSession( );
            unset( $tmpSS7['ss7']['Mtp3']['Routes'][$id] );
            $SS7->setYaml( $tmpSS7 );
            $tmpSS7 = $SS7->saveSession( );
            // $_SESSION['ss7']['Mtp3']['Routes']=$SS7->organiseData($_SESSION['ss7']['Mtp3']['Routes']);
            return showRoutes( $_REQUEST );
        }
    }

    function addMtp3Linkset( $_REQUEST )
    {
        $SS7 = new SS7( );
        return $SS7->getAddMtp3Link( '', true );
    }

    function createLinkset( $_REQUEST )
    {
        Global $sistema, $_SESSION;
        $link = isset( $_REQUEST['linkset'] ) ? $_REQUEST['linkset'] : NULL;

        if( isset( $link ) )
        {
            $linkset = isset( $_SESSION['Linksets'] ) ? $_SESSION['Linksets'] : array( );
            if( in_array( $link, $linkset ) )
                return '1|' . $sistema->retTranslate( 'linksetAlreadyAdded' );
            
else
            {
                $linkset[] = $link;
                $_SESSION['Linksets'] = $linkset;
                return '0|' . showAddedLinkset( );
            }
        }
    }

    function showAddedLinkset( )
    {
        Global $sistema, $image_dir;
        $linkset = $_SESSION['Linksets'];

        $return .= "<table>";
        for( $x = 0; $x < sizeof( $linkset ); $x++ )
        {
            $color = $color != "green" ? "green" : "lgreen";
            $return .= "<tr class='$color'>";
            $return .= "<td width='40%' align='left'>Linkset - " . $x . ' - ' . $linkset[$x] . "</td>";
            $return .= "<td width='40%' align='right'>";
            $return .= "<input value='" . $sistema->retTranslate( "edit" ) . "' onclick='javascript:preUpdateMtp3Linkset($x);' type='button'>";
            $return .= "<a href='#' onClick='javascript:deleteMtp3RouteLinkset($X);'>";
            $return .= "<img title='" . $sistema->retTranslate( "Apagar" ) . "' alt='" . $sistema->retTranslate( "Apagar" ) . "' src='$image_dir/imagens/lixeira.gif'/></a>";
            $return .= "</td>";
            $return .= "</tr>";
        }
        $return .= "</table>";
        $return .= "<br><input value='" . $sistema->retTranslate( "AdicionarLinkset" ) . "' onclick=\"javascript:showAddLinkset();\" type='button' $disabled>";

        return $return;
    }

    function editMtp3Linkset( $_REQUEST )
    {
        $id = isset( $_REQUEST['linkId'] ) ? $_REQUEST['linkId'] : NULL;
        if( isset( $id ) )
        {
            $SS7 = new SS7( );
            return $SS7->editAddedMtp3Link( $_REQUEST['linkId'] );
        }
    }

    function backAddMtp3Linkset( $_REQUEST )
    {
        $SS7 = new SS7( );
        return $SS7->printMtp3LinkAdded( );
    }

    function saveRoute( $_REQUEST )
    {
        Global $sistema, $_SESSION;

        $name = isset( $_REQUEST['name'] ) ? $_REQUEST['name'] : NULL;
        $pointcode = isset( $_REQUEST['pointcode'] ) ? $_REQUEST['pointcode'] : NULL;

        if( isset( $name ) && isset( $pointcode ) )
        {
            if( !isset( $_SESSION['Linksets'] ) || sizeof( $_SESSION['Linksets'] ) < 1 )
                return '0|' . $sistema->retTranslate( 'noLinkset' );

            $id = isset( $_REQUEST['id'] ) ? $_REQUEST['id'] : NULL;

            $SS7 = new SS7( );
            $tmpSS7 = $SS7->loadSession( );

            if( isset( $id ) )
                unset( $tmpSS7['ss7']['Mtp3']['Routes'][$id] );

            $newLinkset = array( );
            $tmp['PointCode'] = $pointcode;
            $tmp['LinkSets'] = $_SESSION['Linksets'];
            $newLinkset['name'] = $tmp;

            $tmpSS7['ss7']['Mtp3']['Routes'][] = $newLinkset;

            $SS7->setYaml( $tmpSS7 );
            $SS7->saveSession( );

            return '1|' . $sistema->retTranslate( 'ConfiguracaoSalva' );
        }
    }

    function showAddLink( $_REQUEST )
    {
        $SS7 = new SS7( );
        $buff = $SS7->printUpdateMtp3Linkset( '', '' );
        $buff .= "<input type='button' onclick='javascript:addRouteLinkset();' value='Adicionar linkset à rota'>";

        return $buff;
    }
