<?php
    @session_start( );

    $AjaxFunctions['showKhompChanPerfilForm'] = 'showKhompChanPerfilForm';
    $AjaxFunctions['showKhompChanGroups'] = 'showKhompChanGroups';
    $AjaxFunctions['showKhompChanCadences'] = 'showKhompChanCadences';
    $AjaxFunctions['showKhompFxsBranches'] = 'showKhompFxsBranches';
    $AjaxFunctions['showKhompHotlines'] = 'showKhompHotlines';
    $AjaxFunctions['printKhompOptions'] = 'printKhompOptions';

    function showKhompChanPerfilForm( $_REQUEST )

    {
        Global $sistema;
        $buff = '';
        $Kconf_arr = loadKhompConfig( );
        $chs = array_keys( $Kconf_arr['sessions']['channels']['session'] );

        $buff = "";
        $buff .= "<fieldset><legend>" . $sistema->retTranslate( 'general' ) . "</legend>";
        $buff .= "<span id='KhompChanPerfil'>";
        $buff .= "<table id='tableKhompChanPerfil'>";
        $buff .= "<tr><th width='25%'>" . $sistema->retTranslate( 'name' ) . "</th>";
        $buff .= "<th width='50%'>" . $sistema->retTranslate( 'description' ) . "</th>";
        $buff .= "<th width='25%'>" . $sistema->retTranslate( 'operation' ) . "</th>";
        $buff .= "</tr>";

        $i = 0;

        foreach( $chs as $ch )
        {
            if( fmod( $i, 2 ) == 0 )
                $class = "class='green'";
            else
                $class = "class='lgreen'";

            $buff .= "<tr $class>";
            $buff .= "<td>" . $ch . "</td>";
            $buff .= "<td> " . chanDescription( $ch ) . " </td>";
            $buff .= "<td>";
            $buff .= "<a href='#' onclick=\"javascript: editKhompChanPerfil('" . $ch . "');\">" . $sistema->retTranslate( 'edit' ) . "</a>";
            $buff .= " - <a href='#' onclick=\"javascript: preCopyKhompChanPerfil('" . $ch . "');\">" . $sistema->retTranslate( 'Novo' ) . "</a>";
            if( $ch != 'channels' )
                $buff .= " - <a href='#' onclick=\"javascript: deleteKhompChanPerfilConfirmation('" . $ch . "');\">" . $sistema->retTranslate( 'remove' ) . "</a>";
            $buff .= "</td>";
            $buff .= "</tr>";
            $i++;
        }
        $buff .= "</table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";

        return $buff;
    }

    function showKhompChanGroups( $_REQUEST )
    {
        Global $sistema, $_SESSION;

        $Kconf_arr = loadKhompConfig( );
        $Gps = $Kconf_arr['sessions']['geral']['session']['groups'];

        $buff = "";
        $buff .= "<fieldset><legend>" . $sistema->retTranslate( 'groups' ) . "</legend>";
        $buff .= "<span id='KCGroups'>";
        $buff .= "<table id='tableKCGroups' >";

        $i = 0;
        $groups = array( );
        if( isset( $Gps['var'] ) )
            $groups = $Gps['var'];

        $groupsSize = sizeof( $groups );
        $groupsVars = array_keys( $groups );

        if( $groupsSize > 0 )
        {
            $buff .= "<tr>";
            $buff .= "<th width='40%'>" . $sistema->retTranslate( 'name' ) . "</th>";
            $buff .= "<th width='40%'>" . $sistema->retTranslate( 'Expression' ) . "</th>";
            $buff .= "<th width='20%'>" . $sistema->retTranslate( 'operation' ) . "</th>";
            $buff .= "</tr>";
        }

        for( $i = 0; $i < $groupsSize; $i++ )
        {
            if( fmod( $i, 2 ) == 0 )
                $class = "class='green'";
            else
                $class = "class='lgreen'";

            $buff .= "<tr $class>";
            $buff .= "<td width='33%'>" . $groups[$groupsVars[$i]]['name'] . "</td>";
            $buff .= "<td width='33%'>" . $groups[$groupsVars[$i]]['value'] . "</td>";
            $buff .= "<td width='34%'>";
            $buff .= "<a href='#' onclick=\"javascript: editKhompChanGroup('" . $groupsVars[$i] . "');\">" . $sistema->retTranslate( 'edit' ) . "</a>";
            $buff .= " - <a href='#' onclick=\"javascript: deleteKhompChanGroupConfirmation('" . $groupsVars[$i] . "');\">" . $sistema->retTranslate( 'remove' ) . "</a>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }

        if( $groupsSize == 0 )
        {
            $buff .= "<tr>";
            $buff .= "<td>" . $sistema->retTranslate( 'NGroup' ) . "</td>";
            $buff .= "</tr>";
        }

        $buff .= "</table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' id='bAddKCGroup' onClick='javascript: addKCGroup();' value='" . $sistema->retTranslate( 'addGroup' ) . "'>";

        return $buff;
    }

    function showKhompChanCadences( )
    {
        Global $sistema, $_SESSION;

        $Kconf_arr = loadKhompConfig( );
        $Cds = $Kconf_arr['sessions']['geral']['session']['cadences'];

        $buff = "";
        $buff .= "<fieldset><legend>" . $sistema->retTranslate( 'Cadences' ) . "</legend>";
        $buff .= "<span id='KCCadence'>";
        $buff .= "<table id='tableKCCadence'>";

        $i = 0;
        $cadences = array( );
        if( isset( $Cds['var'] ) )
            $cadences = $Cds['var'];

        $cadenceSize = sizeof( $cadences );
        $cadenceVars = array_keys( $cadences );

        if( $cadenceSize > 0 )
        {
            $buff .= "<tr>";
            $buff .= "<th width='30%'>" . $sistema->retTranslate( 'Name' ) . "</th>";
            $buff .= "<th width='50%'>" . $sistema->retTranslate( 'ConfiguracaoTons' ) . "</th>";
            $buff .= "<th width='20%'>" . $sistema->retTranslate( 'operation' ) . "</th>";
            $buff .= "</tr>";
        }

        for( $i = 0; $i < $cadenceSize; $i++ )
        {
            if( fmod( $i, 2 ) == 0 )
                $class = "class='green'";
            else
                $class = "class='lgreen'";

            $buff .= "<tr $class>";
            $buff .= "<td width='30%'>" . $cadences[$cadenceVars[$i]]['name'] . "</td>";
            $buff .= "<td width='50%'>" . $cadences[$cadenceVars[$i]]['value'] . "</td>";
            $buff .= "<td width='20%'>";
            $buff .= "<a href='#' onclick=\"javascript: editKhompChanCadence('" . $cadenceVars[$i] . "');\">" . $sistema->retTranslate( 'edit' ) . "</a>";
            $buff .= " - <a href='#' onclick=\"javascript: deleteKhompChanCadenceConfirmation('" . $cadenceVars[$i] . "');\">" . $sistema->retTranslate( 'remove' ) . "</a>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }

        if( $cadenceSize == 0 )
        {
            $buff .= "<tr>";
            $buff .= "<td>" . $sistema->retTranslate( 'NCadence' ) . "</td>";
            $buff .= "</tr>";
        }

        $buff .= "</table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' id='bAddKCCadence' onClick=\"javascript: addKCCadence();\"value=\"" . $sistema->retTranslate( 'addCadence' ) . "\">";

        return $buff;
    }

    function showKhompFxsBranches( $_REQUEST )
    {
        Global $sistema;

        $Kconf_arr = loadKhompConfig( );
        $FxsBranches = $Kconf_arr['sessions']['geral']['session']['fxs-branches'];

        $buff = "";
        $buff .= "<fieldset><legend>" . $sistema->retTranslate( 'FxsBranches' ) . "</legend>";
        $buff .= "<span id='KCFBranche'>";
        $buff .= "<table id='tableKCFBranches' >";

        $i = 0;
        $FBranches = array( );
        if( isset( $FxsBranches['var'] ) )
            $FBranches = $FxsBranches['var'];

        $FBranchesSize = sizeof( $FBranches );

        $FBranchesVars = array_keys( $FBranches );

        if( $FBranchesSize > 0 )
        {
            $buff .= "<tr>";
            $buff .= "<th width='40%'>" . $sistema->retTranslate( 'Branches' ) . "</th>";
            $buff .= "<th width='40%'>" . $sistema->retTranslate( 'Serial' ) . "</th>";
            $buff .= "<th width='20%'>" . $sistema->retTranslate( 'operation' ) . "</th>";
            $buff .= "</tr>";
        }

        for( $i = 0; $i < $FBranchesSize; $i++ )
        {
            if( fmod( $i, 2 ) == 0 )
                $class = "class='green'";
            else
                $class = "class='lgreen'";

            $buff .= "<tr $class>";
            $buff .= "<td width='40%'>" . $FBranches[$FBranchesVars[$i]]['name'] . "</td>";
            $buff .= "<td width='40%'>" . $FBranches[$FBranchesVars[$i]]['value'] . "</td>";
            $buff .= "<td width='20%'>";
            $buff .= "<a href='#' onclick=\"javascript: editKhompChanFBranches('" . $FBranchesVars[$i] . "');\">" . $sistema->retTranslate( 'edit' ) . "</a>";
            $buff .= " - <a href='#' onclick=\"javascript: deleteKhompChanFBranchesConfirmation('" . $FBranchesVars[$i] . "');\">" . $sistema->retTranslate( 'remove' ) . "</a>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }

        if( $FBranchesSize == 0 )
        {
            $buff .= "<tr>";
            $buff .= "<td>" . $sistema->retTranslate( 'NFBranche' ) . "</td>";
            $buff .= "</tr>";
        }

        $buff .= "</table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' id='bAddKCFBranche' onClick=\"javascript: addKCFBranche();\"value=\"" . $sistema->retTranslate( 'addFBranche' ) . "\">";

        return $buff;
    }

    function showKhompHotlines( $_REQUEST )
    {
        Global $sistema, $_SESSION;

        $Kconf_arr = loadKhompConfig( );
        $FxsHotlines = $Kconf_arr['sessions']['geral']['session']['fxs-hotlines'];

        $buff = "";
        $buff .= "<fieldset><legend>" . $sistema->retTranslate( 'FxsHotlines' ) . "</legend>";
        $buff .= "<span id='KCFHotline'>";
        $buff .= "<table id='tableKCFHotline'>";

        $i = 0;
        $FHotlines = array( );
        if( isset( $FxsHotlines['var'] ) )
            $FHotlines = $FxsHotlines['var'];

        $FHotlinesSize = sizeof( $FHotlines );
        $FHotlinesVars = array_keys( $FHotlines );

        if( $FHotlinesSize > 0 )
        {
            $buff .= "<tr>";
            $buff .= "<th width='20%'>" . $sistema->retTranslate( 'Branches' ) . "</th>";
            $buff .= "<th width='65%'>" . $sistema->retTranslate( 'Number' ) . "</th>";
            $buff .= "<th width='15%'>" . $sistema->retTranslate( 'operation' ) . "</th>";
            $buff .= "</tr>";
        }

        for( $i = 0; $i < $FHotlinesSize; $i++ )
        {
            if( fmod( $i, 2 ) == 0 )
                $class = "class='green'";
            else
                $class = "class='lgreen'";

            $buff .= "<tr $class>";
            $buff .= "<td width='16%'>" . $FHotlines[$FHotlinesVars[$i]]['name'] . "</td>";
            $buff .= "<td width='64%'>" . $FHotlines[$FHotlinesVars[$i]]['value'] . "</td>";
            $buff .= "<td width='20%'>";
            $buff .= "<a href='#' onclick=\"javascript: editKhompChanFHotlines('" . $FHotlinesVars[$i] . "');\">" . $sistema->retTranslate( 'edit' ) . "</a>";
            $buff .= " - <a href='#' onclick=\"javascript: deleteKhompChanFHotlinesConfirmation('" . $FHotlinesVars[$i] . "');\">" . $sistema->retTranslate( 'remove' ) . "</a>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }

        if( $FHotlinesSize == 0 )
        {
            $buff .= "<tr>";
            $buff .= "<td>" . $sistema->retTranslate( 'NFHotlines' ) . "</td>";
            $buff .= "</tr>";
        }

        $buff .= "</table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' id='bAddKCFHotline' onClick=\"javascript: addKCFHotline();\"value=\"" . $sistema->retTranslate( 'addFHotline' ) . "\">";

        return $buff;
    }

    function printKhompOptions( $_REQUEST )
    {
        Global $sistema, $_SESSION;

        $Kconf_arr = loadKhompConfig( );
        $FxsOptions = $Kconf_arr['sessions']['geral']['session']['fxs-options'];

        $buff = "";
        $buff .= "<fieldset><legend>" . $sistema->retTranslate( 'FxsOptions' ) . "</legend>";
        $buff .= "<span id='KCFOption'>";
        $buff .= "<table id='tableKCFOption'>";

        $i = 0;
        $FOptions = array( );
        if( isset( $FxsOptions['var'] ) )
            $FOptions = $FxsOptions['var'];

        $FOptionsSize = sizeof( $FOptions );
        $FOptionsVars = array_keys( $FOptions );

        if( $FOptionsSize > 0 )
        {
            $buff .= "<tr>";
            $buff .= "<th width='20%'>" . $sistema->retTranslate( 'Branches' ) . "</th>";
            $buff .= "<th width='65%'>" . $sistema->retTranslate( 'options' ) . "</th>";
            $buff .= "<th width='15%'>" . $sistema->retTranslate( 'operation' ) . "</th>";
            $buff .= "<tr>";
        }

        for( $i = 0; $i < $FOptionsSize; $i++ )
        {
            if( fmod( $i, 2 ) == 0 )
                $class = "class='green'";
            else
                $class = "class='lgreen'";

            $buff .= "<tr $class>";
            $buff .= "<td width='20%'>" . $FOptions[$FOptionsVars[$i]]['name'] . "</td>";
            $buff .= "<td width='65%'>";

            $value = explode( '|', $FOptions[$FOptionsVars[$i]]['value'] );
            $aux = 0;
            foreach( $value as $v )
            {
                $buff .= $v . '|';
                if( $aux == 2 )
                {
                    $buff .= '<br>';
                    $aux = 0;
                }
                else
                    $aux++;
            }
            $buff .= "</td>";
            $buff .= "<td width='15%'>";
            $buff .= "<a href='#' onclick=\"javascript: editKhompChanFOptions('" . $FOptionsVars[$i] . "');\">" . $sistema->retTranslate( 'edit' ) . "</a>";
            $buff .= " - <a href='#' onclick=\"javascript: deleteKhompChanFOptionsConfirmation('" . $FOptionsVars[$i] . "');\">" . $sistema->retTranslate( 'remove' ) . "</a>";
            $buff .= "</td>";
            $buff .= "</tr>";
        }

        if( $FOptionsSize == 0 )
        {
            $buff .= "<tr>";
            $buff .= "<td>" . $sistema->retTranslate( 'NFOptions' ) . "</td>";
            $buff .= "</tr>";
        }

        $buff .= "</table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' id='bAddKCFOption' onClick=\"javascript: addKCFOption();\"value=\"" . $sistema->retTranslate( 'addFOption' ) . "\">";

        return $buff;
    }

    // function showKGeral($_REQUEST)
    // {
    //
    // Global $sistema;
    //
    // $Kconf_arr = loadKhompConfig();
    //
    // $sessionType = "channels";
    //
    // $return = "";
    //
    //
    // $action = $_REQUEST['action'];
    // $perfilName = $_REQUEST['perfil'];
    // $name = str_replace(" ", "+", $perfilName);
    //
    // $Kconf_arr['sessions']['channels']['session'][$name]['var']['enabled']['value']
    // == 'yes' ? $check = "checked" : $check = "";
    // $return .= "<table><tbody>";
    // $return .= "<tr class='green'>";
    // $return .= "<td align='left'>enabled
    // ".putKhompChanToolTip('enabled')."</td>";
    // // OPCAO LOCAL
    // $return .= "<td class='checkbox' align='center'>";
    // $return .= "<input id='enabled' class='check' type='checkbox' $check
    // value='' name='enabled'>";
    // $return .= "</td>";
    // $return .= "</tr>";
    //
    // $Kconf_arr['sessions']['channels']['session'][$name]['var']['drop-collect-call']['value']
    // == 'yes' ? $check = "checked" : $check = "";
    // $return .= "<tr class='lgreen'>";
    // $return .= "<td align='left'>drop-collect-call
    // ".putKhompChanToolTip('drop-collect-call')."</td>";
    // //OPCAO LOCAL
    // $return .= "<td class='checkbox' align='center'>";
    // $return .= "<input id='drop-collect-call' class='check' type='checkbox'
    // $check value='' name='drop-collect-call'>";
    // $return .= "</td>";
    // $return .= "</tr>";
    //
    // $Kconf_arr['sessions']['channels']['session'][$name]['var']['user-transfer-enable']['value']
    // == 'yes' ? $check = "checked" : $check = "";
    // $return .= "<tr class='green'>";
    // $return .= "<td align='left'>user-transfer-enable
    // ".putKhompChanToolTip('user-transfer-enable')."</td>";
    // // OPCAO LOCAL
    // $return .= "<td class='checkbox' align='center'>";
    // $return .= "<input id='user-transfer-enable' class='check' type='checkbox'
    // $check value='' name='user-transfer-enable'>";
    // $return .= "</td>";
    // $return .= "</tr>";
    //
    // $return .= "<tr class='lgreen'>";
    // $return .= "<td align='left'>amaflags
    // ".putKhompChanToolTip('amaflags')."</td>";
    // //OPCAO LOCAL
    // $return .= "<td class='checkbox' align='center'>";
    // $return .= "<input id='amaflags' class='inputText' type='text'  value='" .
    // $Kconf_arr['sessions']['channels']['session'][$name]['var']['amaflags']['value']
    // . "' name='amaflags'>";
    // $return .= "</td>";
    // $return .= "</tr>";
    //
    // $return .= "<tr class='green'>";
    // $return .= "<td align='left'>accountcode
    // ".putKhompChanToolTip('accountcode')."</td>";
    // //OPCAO LOCAL
    // $return .= "<td class='checkbox' align='center'>";
    // $return .= "<input id='accountcode' class='inputText' type='text' value='"
    // .
    // $Kconf_arr['sessions']['channels']['session'][$name]['var']['accountcode']['value']
    // . "' name='accountcode'>";
    // $return .= "</td>";
    // $return .= "</tr>";
    //
    // $return .= "<tr class='lgreen'>";
    // $return .= "<td align='left'>language
    // ".putKhompChanToolTip('language')."</td>";
    // // OPCAO LOCAL
    // $return .= "<td class='checkbox' align='center'>";
    // $return .= "<input id='language' class='inputText' type='text' value='" .
    // $Kconf_arr['sessions']['channels']['session'][$name]['var']['language']['value']
    // . "' name='language'>";
    // $return .= "</td>";
    // $return .= "</tr>";
    //
    // $return .= "<tr class='green'>";
    // $return .= "<td align='left'>mohclass
    // ".putKhompChanToolTip('mohclass')."</td>";
    // // OPCAO LOCAL
    // $return .= "<td class='checkbox' align='center'>";
    // $return .= "<input id='mohclass' class='inputText' type='text' value='" .
    // $Kconf_arr['sessions']['channels']['session'][$name]['var']['mohclass']['value']
    // . "' name='mohclass'>";
    // $return .= "</td>";
    // $return .= "</tr>";
    //
    // $return .= "<tr class='lgreen'>";
    // $return .= "<td align='left'>pendulum-digits
    // ".putKhompChanToolTip('pendulum-digits')."</td>";
    // // OPCAO LOCAL
    // $return .= "<td class='checkbox' align='center'>";
    // $return .= "<input id='pendulum-digits' class='inputText' type='text'
    // value='" .
    // $Kconf_arr['sessions']['channels']['session'][$name]['var']['pendulum-digits']['value']
    // . "' name='pendulum-digits'>";
    // $return .= "</td>";
    // $return .= "</tr>";
    //
    // $v =
    // $Kconf_arr['sessions']['channels']['session'][$name]['var']['pendulum-timeout']['value'];
    // $return .= "<tr class='green'>";
    // $return .= "<td align='left'>pendulum-timeout
    // ".putKhompChanToolTip('pendulum-timeout')."</td>";
    // // OPCAO LOCAL
    // $return .= "<td>";
    // $return .= "<select id='pendulum-timeout' name='pendulum-timeout'>";
    // for ($k = 10000; $k <= 50000; $k += 1000)
    // if ($k == $v)
    // $return .= "<option selected='' value='$k'>$k</option>";
    // else
    // $return .= "<option value='$k'>$k</option>";
    // $return .= "</td>";
    // $return .= "</tr>";
    //
    // if ($name == 'channels')
    // {
    // $Kconf_arr['sessions']['channels']['session'][$name]['var']['load-error']['value']
    // == 'failure' ? $check = "checked" : $check = "";
    // $return .= "<tr class='lgreen'>";
    // $return .= "<td align='left'>load-error
    // ".putKhompChanToolTip('load-error')."</td>";
    // // OPCAO GLOBAL
    // $return .= "<td class='checkbox' align='center'>";
    // $return .= "<input id='load-error' class='check' type='checkbox' $check
    // value='' name='load-error'>";
    // $return .= "</td>";
    // $return .= "</tr>";
    //
    // $return .= "<tr class='green'>";
    // $return .= "<td align='left'>user-transfer-digits
    // ".putKhompChanToolTip('user-transfer-digits')."</td>";
    // $return .= "<td class='checkbox' align='center'>";
    // // OPCAO GLOBAL
    // $return .= "<input id='user-transfer-digits' class='inputText' type='text'
    // value='" .
    // $Kconf_arr['sessions']['channels']['session'][$name]['var']['user-transfer-digits']['value']
    // . "' name='user-transfer-digits'>";
    // $return .= "</td>";
    // $return .= "</tr>";
    //
    // $return .= "<tr class='lgreen'>";
    // $return .= "<td align='left'>dial-string-like-dahdi
    // ".putKhompChanToolTip('dial-string-like-dahdi')."</td>";
    // // OPCAO GLOBAL
    // $return .= "<td class='checkbox' align='center'>";
    // $return .= "<input id='dial-string-like-dahdi' class='inputText'
    // type='text' value='" .
    // $Kconf_arr['sessions']['geral']['session']['compatibility']['var']['dial-string-like-dahdi']['value']
    // . "' name='dial-string-like-dahdi'>";
    // $return .= "</td>";
    // $return .= "</tr>";
    // }
    // $return .= "</tbody></table>";
    //
    // $c ='';
    // $c .= "<div id='divCallGroup' style='width:450px;'>";
    // //OPCAO LOCAL
    // $c .= "<table ><tbody><tr>";
    // $c .= "<td>";
    // $c .= $sistema -> retTranslate('groups') . ": </br><select
    // id='selectLeftCallGroup' style='width: 150px' size='10'
    // multiple='multiple'>";
    //
    // for ($i = 1; $i < 65; $i++)
    // $c .= "<option value = '$i'> $i </option>";
    //
    // $c .= "</select>";
    // $c .= "</td>";
    // $c .= "<td>";
    // $c .= putKhompChanToolTip('callgroup').'<br>';
    // $c .= "<input onclick=\"selectAllGroups('CallGroup');\" type='button'
    // style='width:75px' id='aa' value='" . $sistema -> retTranslate('all') . "'
    // />";
    // $c .= "<input onclick=\"addGroup('CallGroup');\" type='button'
    // style='width:75px' id='bb' value='->' />";
    // $c .= "<input onclick=\"removeGroup('CallGroup');\" type='button'
    // style='width:75px;' id='cc' value='<-' />";
    // $c .= "<input onclick=\"unselectAllGroups('CallGroup');\" type='button'
    // style='width:75px;' id='dd' value='" . $sistema -> retTranslate('noOne') .
    // "' />";
    // $c .= "</td>";
    // $c .= "<td>";
    // $c .= "<div id='div3' style='float:right;width:160px;'>";
    // $c .= $sistema -> retTranslate('added') . ": </br><select
    // id='selectRightCallGroup' style='width: 150px' size='10'
    // multiple='multiple'></select>";
    // $c .= "</td>";
    // $c .= "</tr></tbody></table>";
    // $c .= "</div>";
    // $return .= $this -> addFieldsetToData($c, 'CallGroup', false);
    // $d = '';
    // $d .= "<div id='divPickupGroup' style='width:450px;'>";
    // $d .= "<table ><tbody><tr>";
    // $d .= "<td>";
    // $d .= $sistema -> retTranslate('groups') . ": </br><select
    // id='selectLeftPickupGroup' style='width: 150px' size='10'
    // multiple='multiple'>";
    // for ($i = 1; $i < 65; $i++)
    // $d .= "<option value = '$i'> $i </option>";
    // // OPCAO LOCAL
    // $d .= "</select>";
    // $d .= "</td>";
    // $d .= "<td>";
    // $d .= putKhompChanToolTip('pickupgroup').'<br>';
    // $d .= "<input onclick=\"selectAllGroups('PickupGroup');\" type='button'
    // style='width:75px' id='aa' value='" . $sistema -> retTranslate('all') . "'
    // />";
    // $d .= "<input onclick=\"addGroup('PickupGroup');\" type='button'
    // style='width:75px' id='bb' value='->' />";
    // $d .= "<input onclick=\"removeGroup('PickupGroup');\" type='button'
    // style='width:75px;' id='cc' value='<-' />";
    // $d .= "<input onclick=\"unselectAllGroups('PickupGroup');\" type='button'
    // style='width:75px;' id='dd' value='" . $sistema -> retTranslate('noOne') .
    // "' />";
    // $d .= "</td>";
    // $d .= "<td>";
    // $d .= "<div id='div3' style='float:right;width:160px;'>";
    // $d .= $sistema -> retTranslate('added') . ": </br><select
    // id='selectRightPickupGroup' style='width: 150px' size='10'
    // multiple='multiple'></select>";
    // $d .= "</td>";
    // $d .= "</tr></tbody></table>";
    // $d .= "</div>";
    // $return .= $this -> addFieldsetToData($d, 'PickupGroup', false);
    //
    // return $this -> addFieldsetToData($return, 'Geral', false);
    //
    // }

    //************** aux functions *******************//

    function loadKhompConfig( )
    {

        $fileContent = file( 'C:\\khomp.conf' );
        $sessionName = '';
        $varName = '';

        $Kconf_arr = array( );

        for( $x = 0; $x < sizeof( $fileContent ); $x++ )
        {
            if( @ereg( "\[", $fileContent[$x] ) && $fileContent[$x][0] != ';' )
            {
                //sessao
                $sessionName = explode( "]", $fileContent[$x] );
                $sessionName = explode( "[", $sessionName[0] );
                $sessionName = $sessionName[1];
                if( @ereg( 'channels', $sessionName ) )
                    $sessionLocal = 'channels';
                else
                    $sessionLocal = 'geral';
                $varName = '';

                $Kconf_arr['sessions'][$sessionLocal]['session'][$sessionName]['name'] = $sessionName;

            }
            elseif( @ereg( "=", $fileContent[$x] ) && $fileContent[$x][0] != ';' )
            {
                //variavel
                $varName = explode( "=", $fileContent[$x] );
                $value = trim( $varName[1] );
                $varName = trim( $varName[0] );
                $Kconf_arr['sessions'][$sessionLocal]['session'][$sessionName]['var'][$varName]['name'] = $varName;
                $Kconf_arr['sessions'][$sessionLocal]['session'][$sessionName]['var'][$varName]['value'] = $value;
                // $this -> configGeral[$sessionName . '_' . $varName] = $value;

            }
            elseif( $fileContent[$x][0] == ';' || $fileContent[$x] == "\n" )
            {
                if( $sessionName == '' )
                    $Kconf_arr['sessions']['firstComments'][] = trim( $fileContent[$x] );
                elseif( $varName == '' )
                    $Kconf_arr['sessions'][$sessionLocal]['session'][$sessionName]['comments'][] = trim( $fileContent[$x] );
                else
                    $Kconf_arr['sessions'][$sessionLocal]['session'][$sessionName]['var'][$varName]['comments'][] = trim( $fileContent[$x] );
            }
        }
        return $Kconf_arr;
    }

    function addFieldsetToData( $data, $legend, $open )
    {
        $return = "";
        if( $open )
        {
            $this->firstFieldSet = false;
            $disp = "style='display:block'";
            $strPart = "- ";
        }
        else
        {
            $disp = "style='display:none'";
            $strPart = "+ ";
        }
        $return .= "<a href='#' class='collapsePara' onClick='javascript:changeArrow(this);'>" . $strPart . $legend . "</a>";
        $return .= "<fieldset $disp>\n";
        $return .= $data;
        $return .= "</fieldset><br>";
        return $return;
    }

    function putKhompChanToolTip( $component )
    {
        Global $sistema;
        $text = $sistema->retTranslate( 'tooltip-' . $component );
        return "<img src='/imagens/tooltip.png' border='0' onmouseover=\"showKhompChanToolTip(event, '$text');\" onmouseout='hideKhompChanToolTip();' />";
    }

    function chanDescription( $name )
    {
        Global $sistema;

        $toFind = array( "B", "S", "C", "L", "R" );
        if( $name == 'channels' )
            return '-';
        $description = str_replace( 'channels-', '', $name );
        ///(((([bB])[ ]*([0-9]+))|(([sS])[ ]*([0-9]+)))[ ]*(([cClL])[ ]*([0-9]+)[
        // ]*([-][ ]*([0-9]+))?)?)|(([rR])[ ]*([0-9]+)[ ]*([-][ ]*([0-9]+))?)/

        $newNames = explode( "+", strtoupper( $description ) );
        $newDescription = $sistema->retTranslate( 'applyedTo' ) . ":<br>";

        for( $y = 0; $y < sizeof( $newNames ); $y++ )
        {
            $newName = $newNames[$y];
            if( @ereg( "G", $newName ) )
                $groups[] = strtolower( substr( $newName, 1 ) );
            else
            {
                if( @ereg( "S", $newName ) )
                {
                    $sParts = explode( "S", $newName );
                    for( $i = 1; $i < sizeof( $sParts ); $i++ )
                    {
                        $str = $sParts[$i];
                        $ctrLength = strlen( $str );
                        $finalStr = '';
                        for( $x = 0; $x < $ctrLength; $x++ )
                        {
                            if( !in_array( $str[$x], $toFind ) )
                                $finalStr .= $str[$x];
                            else
                                $x = $ctrLength;
                        }
                        $serials[] = $finalStr;
                    }
                }
                if( @ereg( "B", $newName ) )
                {
                    $bParts = explode( "B", $newName );
                    for( $i = 1; $i < sizeof( $bParts ); $i++ )
                    {
                        $str = $bParts[$i];
                        $ctrLength = strlen( $str );
                        $finalStr = '';
                        for( $x = 0; $x < $ctrLength; $x++ )
                        {
                            if( !in_array( $str[$x], $toFind ) )
                                $finalStr .= $str[$x];
                            else
                                $x = $ctrLength;
                        }
                        $boards[] = $finalStr;
                    }
                }
                if( @ereg( "L", $newName ) )
                {
                    $lParts = explode( "L", $newName );
                    for( $i = 1; $i < sizeof( $lParts ); $i++ )
                    {
                        $str = $lParts[$i];
                        $ctrLength = strlen( $str );
                        $finalStr = '';
                        for( $x = 0; $x < $ctrLength; $x++ )
                        {
                            if( !in_array( $str[$x], $toFind ) )
                                $finalStr .= $str[$x];
                            else
                                $x = $ctrLength;
                        }
                        $links[] = $finalStr;
                    }
                }
                if( @ereg( "C", $newName ) )
                {
                    $cParts = explode( "C", $newName );
                    for( $i = 1; $i < sizeof( $cParts ); $i++ )
                    {
                        $str = $cParts[$i];
                        $ctrLength = strlen( $str );
                        $finalStr = '';
                        for( $x = 0; $x < $ctrLength; $x++ )
                        {
                            if( !in_array( $str[$x], $toFind ) )
                                $finalStr .= $str[$x];
                            else
                                $x = $ctrLength;
                        }
                        $channels[] = $finalStr;
                    }
                }
                if( @ereg( "R", $newName ) )
                {
                    $rParts = explode( "R", $newName );
                    for( $i = 1; $i < sizeof( $rParts ); $i++ )
                    {
                        $str = $rParts[$i];
                        $ctrLength = strlen( $str );
                        $finalStr = '';
                        for( $x = 0; $x < $ctrLength; $x++ )
                        {
                            if( !in_array( $str[$x], $toFind ) )
                                $finalStr .= $str[$x];
                            else
                                $x = $ctrLength;
                        }
                        $ramals[] = $finalStr;
                    }
                }
            }
            $start = false;

            for( $i = 0; $i < sizeof( $boards ); $i++ )
                $newDescription .= $sistema->retTranslate( 'Device' ) . " " . $boards[$i] . ' ';

            for( $i = 0; $i < sizeof( $serials ); $i++ )
                $newDescription .= $sistema->retTranslate( 'Serial' ) . " " . $serials[$i] . ' ';

            for( $i = 0; $i < sizeof( $links ); $i++ )
                $newDescription .= $sistema->retTranslate( 'Link' ) . " " . $links[$i] . ' ';

            for( $i = 0; $i < sizeof( $channels ); $i++ )
                $newDescription .= $sistema->retTranslate( 'Channel' ) . " " . $channels[$i] . ' ';

            for( $i = 0; $i < sizeof( $ramals ); $i++ )
                $newDescription .= $sistema->retTranslate( 'Ramal' ) . " " . $ramals[$i] . ' ';

            for( $i = 0; $i < sizeof( $groups ); $i++ )
                $newDescription .= $sistema->retTranslate( 'group' ) . " " . $groups[$i] . ' ';

            $newDescription .= "<br>";

            $boards = array( );
            $serials = array( );
            $channels = array( );
            $links = array( );
            $ramals = array( );
            $groups = array( );
        }

        return $newDescription;
    }
?>