<?php
    @session_start( );

    $AjaxFunctions['showFax'] = 'showFax';
    $AjaxFunctions['saveFax'] = 'saveFax';
    $AjaxFunctions['showCallAnalyzer'] = 'showCallAnalyzer';
    $AjaxFunctions['saveCallAnalyzer'] = 'saveCallAnalyzer';
    $AjaxFunctions['showAutoCallAnalyzer'] = 'showAutoCallAnalyzer';
    $AjaxFunctions['showAutoEchoCanceller'] = 'showAutoEchoCanceller';
    $AjaxFunctions['showAutoDTMFSupression'] = 'showAutoDTMFSupression';
    $AjaxFunctions['showAutoAGC'] = 'showAutoAGC';
    $AjaxFunctions['showAutoDropCollectCall'] = 'showAutoDropCollectCall';

    $AjaxFunctions['getAssistant'] = 'getAssistant';

    function showFax( $_REQUEST )
    {
        Global $sistema;

        $sysYAML = loadSystemYaml( );

        $buff = '';
        $buff .= "<div id='Fax'>";
        $buff .= "<fieldset>";
        $buff .= "<legend>Fax</legend>";

        $buff .= "<table>";
        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'NumeroPadraoFax' ) . "</td>";
        $buff .= "<td align='right'>";
        $ID = $sysYAML->getValue( 'ID' );
        $buff .= "<input id='ID' class='inputText' type='text' maxlength='20' value='{$ID}'  >";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='lgreen'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'HeaderText' ) . "</td>";
        $buff .= "<td align='right'>";
        $buff .= "<input id='HeaderText' class='inputText' type='text' value='' name='HeaderText'>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= "<tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'AddTimeout' ) . "</td>";
        $buff .= "<td align='right'>";
        $AddTimeout = $sysYAML->getValue( 'AddTimeout' );
        $buff .= "<select id='AddTimeout' name='AddTimeout'>";
        for( $x = 1000; $x <= 60000; $x = $x + 1000 )
        {
            $selected = "";
            if( $x == $AddTimeout )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";
        $buff .= "</table>";
        $buff .= "</fieldset>";
        $buff .= '</br>';
        
        $buff .= "<div style='width:99%;text-align:right;'>";
        $buff .= "<input id='saveFaxB' type='button' onclick=\"saveFax();\" value='" . $sistema->retTranslate( 'save' ) . "' />";
        $buff .= "</div>";
        $buff .= "<br>";
        $buff .= "</div>";

        return $buff;
    }

    function saveFax( $_REQUEST )
    {
        Global $sistema;

        $data = isset( $_REQUEST['data'] ) ? $_REQUEST['data'] : NULL;

        if( isset( $data ) )
        {
            $sysYAML = loadSystemYaml( );
            $data_arr = explode( ',', $data );

            foreach( $data_arr as $d )
            {
                $field = explode( '=', $d );
                $sysYAML->changeVarValue( $field[0], $field[1] );
            }

            $sysYAML->saveYaml( );
            return $sistema->retTranslate( 'ConfiguracaoSalva' );
        }

    }

    function showCallAnalyzer( $_REQUEST )
    {
        Global $sistema;

        $sysYAML = loadSystemYaml( );

        $buff = '';
        $buff .= "<div id='CallAnalyser' >";
        $buff .= "<fieldset>";
        $buff .= "<legend>Call analyzer</legend>";

        $buff .= " <table>";

        $buff .= " <tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'AnalysisTimeOut' ) . "</td>";
        $buff .= "<td align='right'>";
        $AnalysisTimeOut = $sysYAML->getValue( 'AnalysisTimeOut' );
        $buff .= "<select id='AnalysisTimeOut' name='AnalysisTimeOut'>";
        for( $x = 1000; $x <= 60000; $x = $x + 1000 )
        {
            $selected = "";
            if( $x == $AnalysisTimeOut )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= " <tr class='lgreen'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'Duration600Hz' ) . "</td>";
        $buff .= "<td align='right'>";
        $Duration600Hz = $sysYAML->getValue( 'Duration600Hz' );
        $buff .= "<select id='Duration600Hz' name='Duration600Hz'>";
        for( $x = 100; $x <= 1000; $x = $x + 50 )
        {
            $selected = "";
            if( $x == $Duration600Hz )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= " <tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'Tolerance600Hz' ) . "</td>";
        $buff .= "<td align='right'>";
        $Tolerance600Hz = $sysYAML->getValue( 'Tolerance600Hz' );
        $buff .= "<select id='Tolerance600Hz' name='Tolerance600Hz'>";
        for( $x = 100; $x <= 1000; $x = $x + 50 )
        {
            $selected = "";
            if( $x == $Tolerance600Hz )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= " <tr class='lgreen'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'FilterTolerance600Hz' ) . "</td>";
        $buff .= "<td align='right'>";
        $FilterTolerance600Hz = $sysYAML->getValue( 'FilterTolerance600Hz' );
        $buff .= "<select id='FilterTolerance600Hz' name='FilterTolerance600Hz'>";
        for( $x = 100; $x <= 1000; $x = $x + 50 )
        {
            $selected = "";
            if( $x == $FilterTolerance600Hz )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= " <tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'CellularBoxDuration' ) . "</td>";
        $buff .= "<td align='right'>";

        $CellularBoxDuration = $sysYAML->getValue( 'CellularBoxDuration' );
        $buff .= "<select id='CellularBoxDuration' name='CellularBoxDuration'>";
        for( $x = 100; $x <= 1000; $x = $x + 50 )
        {
            $selected = "";
            if( $x == $CellularBoxDuration )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= " <tr class='lgreen'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'CellularBoxTolerance' ) . "</td>";
        $buff .= "<td align='right'>";

        $CellularBoxTolerance = $sysYAML->getValue( 'CellularBoxTolerance' );
        $buff .= "<select id='CellularBoxTolerance' name='CellularBoxTolerance'>";
        for( $x = 100; $x <= 1000; $x = $x + 50 )
        {
            $selected = "";
            if( $x == $CellularBoxTolerance )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= " <tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'CollectCallDuration' ) . "</td>";
        $buff .= "<td align='right'>";
        $CollectCallDuration = $sysYAML->getValue( 'CollectCallDuration' );
        $buff .= "<select id='CollectCallDuration' name='CollectCallDuration'>";
        for( $x = 100; $x <= 1000; $x = $x + 50 )
        {
            $selected = "";
            if( $x == $CollectCallDuration )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= " <tr class='lgreen'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'CollectCallTolerance' ) . "</td>";
        $buff .= "<td align='right'>";
        $CollectCallTolerance = $sysYAML->getValue( 'CollectCallTolerance' );
        $buff .= "<select id='CollectCallTolerance' name='CollectCallTolerance'>";
        for( $x = 100; $x <= 1000; $x = $x + 50 )
        {
            $selected = "";
            if( $x == $CollectCallTolerance )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= " <tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'AnswerDuration' ) . "</td>";
        $buff .= "<td align='right'>";
        $AnswerDuration = $sysYAML->getValue( 'AnswerDuration' );
        $buff .= "<select id='AnswerDuration' name='AnswerDuration'>";
        for( $x = 100; $x <= 2500; $x = $x + 50 )
        {
            $selected = "";
            if( $x == $AnswerDuration )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= " <tr class='lgreen'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'AnswerSilenceDuration' ) . "</td>";
        $buff .= "<td align='right'>";
        $AnswerSilenceDuration = $sysYAML->getValue( 'AnswerSilenceDuration' );
        $buff .= "<select id='AnswerSilenceDuration' name='AnswerSilenceDuration'>";
        for( $x = 0; $x <= 5000; $x = $x + 50 )
        {
            $selected = "";
            if( $x == $AnswerSilenceDuration )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= " <tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'AnswerFilterDuration' ) . "</td>";
        $buff .= "<td align='right'>";
        $AnswerFilterDuration = $sysYAML->getValue( 'AnswerFilterDuration' );
        $buff .= "<select id='AnswerFilterDuration' name='AnswerFilterDuration'>";
        for( $x = 100; $x <= 1000; $x = $x + 50 )
        {
            $selected = "";
            if( $x == $AnswerFilterDuration )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";

        $buff .= " <tr class='green'>";
        $buff .= "<td align='left'>" . $sistema->retTranslate( 'PreVoiceDuration' ) . "</td>";
        $buff .= "<td align='right'>";
        $PreVoiceDuration = $sysYAML->getValue( 'PreVoiceDuration' );
        $buff .= "<select id='PreVoiceDuration' name='PreVoiceDuration'>";
        for( $x = 100; $x <= 10000; $x = $x + 10 )
        {
            $selected = "";
            if( $x == $PreVoiceDuration )
                $selected = "selected";
            else
                $selected = "";
            $buff .= "<option value='$x' $selected>$x</option>";
        }
        $buff .= "</select>";
        $buff .= "</td>";
        $buff .= "</tr>";
        $buff .= "</table>";
        $buff .= "</fieldset>";

        $buff .= '</br>';
        $buff .= "<div style='width:99%; text-align:right;'>";
        $buff .= "<input id='saveCallAnalyzerB' type='button' onclick=\"saveCallAnalyzer();\" value='" . $sistema->retTranslate( 'save' ) . "' />";
        $buff .= "</div>";
        $buff .= "<br>";
        $buff .= "</div>";

        return $buff;
    }

    function createCadenceAssistant( $first = true )
    {
        Global $sistema;

        $buff = '';

        if( $first )
            $buff = "<div id='dialog-modal' title='" . $sistema->retTranslate( 'CadencesAssistant' ) . "'>";

        $buff .= "<p>Init Cadence Assistant</p>";
        $buff .= "<div id='looper'>";

        $FXOChannels = $sistema->getFXOChannels( );
        if( sizeof( $FXOChannels ) != 0 )
        {
            $buff .= "<form>";
            $buff .= "<table>";
            $buff .= "<tr>";
            $buff .= "<td align='left'>" . $sistema->retTranslate( "Device" ) . "</td>";
            $buff .= "<td align='left'>" . getFXODevices( ) . "</td>";
            $buff .= "</tr>";
            $buff .= "<td align='left'>" . $sistema->retTranslate( "Channel" ) . "</td>";
            $buff .= "<td align='left' id='fxoDeviceChannelsList'>";
            $FXO = $sistema->getFirstFXODevice( );
            $buff .= getFXODeviceChannels( $FXO );
            $buff .= "</td>";
            $buff .= "</tr>";
            $buff .= "<tr>";
            $buff .= "<td align='left'>" . $sistema->retTranslate( "NumeroRamalLigacoes" ) . "</td>";
            $buff .= "<td align='left'>";
            $buff .= "<input id='busy' type='text' onkeyup='javascript: validateNumber(this);' onmouseup='return numberMask(this, event);' onKeyPress='return numberMask(this, event);'>";
            $buff .= "</td>";
            $buff .= "</tr>";
            $buff .= "<tr>";
            $buff .= "<td align='left'>" . $sistema->retTranslate( "NumeroRingBack" ) . "</td>";
            $buff .= "<td align='left'>";
            $buff .= "<input id='ringback' type='text' onkeyup='javascript: validateNumber(this);' onmouseup='return numberMask(this, event);' onKeyPress='return numberMask(this, event);'>";
            $buff .= "</td>";
            $buff .= "</tr>";
            $buff .= "<tr>";
            $buff .= "<td align='left'>" . $sistema->retTranslate( "NumeroInvalido" ) . "</td>";
            $buff .= "<td align='left'>";
            $buff .= "<input id='invalid' type='text' onkeyup='javascript: validateNumber(this);' onmouseup='return numberMask(this, event);' onKeyPress='return numberMask(this, event);'>";
            $buff .= "</td>";
            $buff .= "</tr>";
            $buff .= "<tr>";
            $buff .= "<td colspan='2'>";
            $buff .= "<button type='button' onClick='initAssintant();'>" . $sistema->retTranslate( "gerarCadencias" ) . "</button>";
            $buff .= "</td>";
            $buff .= "</tr>";
            $buff .= "</table>";
            $buff .= "</form>";
        }
        // else
            // $buff .= $sistema->retTranslate( "NDevice4Assitance" );


        $buff .= "</div>";
        if( $first )
            // $buff .= "</div>";


        return $buff;
    }

    function saveCallAnalyzer( $_REQUEST )
    {
        Global $sistema;

        $data = isset( $_REQUEST['data'] ) ? $_REQUEST['data'] : NULL;

        if( isset( $data ) )
        {
            $sysYAML = loadSystemYaml( );
            $data_arr = explode( ',', $data );

            foreach( $data_arr as $d )
            {
                $field = explode( '=', $d );
                $sysYAML->changeVarValue( $field[0], $field[1] );
            }

            $sysYAML->saveYaml( );
            return $sistema->retTranslate( 'ConfiguracaoSalva' );
        }
    }

    function showAutoCallAnalyzer( $_REQUEST, $createCadenceAssistant = true )
    {
        Global $sistema;

        $sysYAML = loadSystemYaml( );

        $buff = '';

        $buff .= "<div id='AutoCallAnalyser' >";
        $buff .= "<fieldset>";
        $buff .= "<legend>Call analyzer</legend>";

        $ACCs = $sysYAML->getValue( 'AutoCallAnalyzer' );
        $finalACCs = array( );
        if( $ACCs != '!' && $ACCs != '' )
            $finalACCs = explode( ", ", $ACCs );
        $AutoCallAnalyzer = $finalACCs;
        $AutoCallAnalyzerValue = $sysYAML->getValue( 'AutoCallAnalyzer' );

        if( $AutoCallAnalyzerValue == '!' )
            $AutoCallAnalyzerValue = '';

        $AutoCallAnalyzerSize = sizeof( $AutoCallAnalyzer );

        $buff .= "<span id='AutoCallAnalyserList'>";
        $buff .= "<input type='hidden' id='AutoCallAnalyserValue' name='AutoCallAnalyserValue' value='$AutoCallAnalyzerValue'/>";
        $buff .= "<table>";

        if( $AutoCallAnalyzerSize > 0 )
        {
            $buff .= "<tr>";
            $buff .= "<td>";
            $buff .= $sistema->retTranslate( 'FaixaCA' );
            $buff .= "</td>";
            $buff .= "<td>";
            $buff .= "</td>";
            $buff .= "</tr>";

            for( $x = 0; $x < $AutoCallAnalyzerSize; $x++ )
            {
                if( fmod( $x, 2 ) == 0 )
                    $class = "class='green'";
                else
                    $class = "class='lgreen'";

                $buff .= "<tr $class>";
                $buff .= "<td>";
                $subAutoCallAnalyzer = explode( '.', $AutoCallAnalyzer[$x] );
                $buff .= getSentence( $AutoCallAnalyzer[$x] );
                $buff .= "</td>";
                $buff .= "<td>";
                $buff .= "<a href='#' onClick=\"javascript: removeACAanalyzer('$AutoCallAnalyzer[$x]');\">";
                $buff .= "<img src='/imagens/lixeira.gif' alt='" . $sistema->retTranslate( "remove" ) . "' title='" . $sistema->retTranslate( "remove" ) . "'/></a>";
                $buff .= "</td>";
                $buff .= "</tr>";
            }
        }
        else
        {
            $buff .= "<tr>";
            $buff .= "<td>";
            $buff .= $sistema->retTranslate( 'NAutoCallAnalyzer' );
            $buff .= "</td>";
            $buff .= "</tr>";
        }
        $buff .= "</table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";
        $buff .= '</br>';
        $buff .= "<input type='button' onclick=\"javascript: initAssistant('ACAnalyzer');\" value='" . $sistema->retTranslate( 'AddRule' ) . "'>";
        $buff .= "</div>";

        if( $createCadenceAssistant )
            $buff .= createCadenceAssistant( );

        return $buff;
    }

    function showAutoEchoCanceller( $_REQUEST, $showAutoEchoCanceller = true )
    {
        Global $sistema;

        $sysYAML = loadSystemYaml( );

        $buff = '';

        $buff .= "<div id='AutoEchoCanceller'>";
        $buff .= "<fieldset>";
        $buff .= "<legend>" . $sistema->retTranslate( 'AutoEchoCanceller' ) . "</legend>";

        $AECs = $sysYAML->getValue( 'AutoEchoCanceller' );
        $finalAECs = array( );
        if( $AECs != '!' && $AECs != '' )
            $finalAECs = explode( ", ", $AECs );
        $AutoEchoCanceller = $finalAECs;

        $AutoEchoCancellerValue = $sysYAML->getValue( 'AutoEchoCanceller' );

        if( $AutoEchoCancellerValue == '!' )
            $AutoEchoCancellerValue = '';

        $AutoEchoCancellerSize = sizeof( $AutoEchoCanceller );

        $buff .= "<span id='AutoEchoCancellerList'>";
        $buff .= "<input type='hidden' id='AutoEchoCancellerValue' name='AutoEchoCancellerValue' value='$AutoEchoCancellerValue'/>";
        $buff .= "<table>";

        if( $AutoEchoCancellerSize > 0 )
        {
            $buff .= "<tr>";
            $buff .= "<td>" . $sistema->retTranslate( 'FaixaCE' ) . "</td>";
            $buff .= "<td>";
            $buff .= "</td>";
            $buff .= "</tr>";

            for( $x = 0; $x < $AutoEchoCancellerSize; $x++ )
            {
                if( fmod( $x, 2 ) == 0 )
                    $class = "class='green'";
                else
                    $class = "class='lgreen'";
                $buff .= "<tr $class>";
                $buff .= "<td>" . getSentence( $AutoEchoCanceller[$x] ) . "</td>";
                $buff .= "<td>";
                $buff .= "<a href='#' onClick=\"javascript: removeAECancel('$AutoEchoCanceller[$x]')\">";
                $buff .= "<img src='/imagens/lixeira.gif' alt='" . $sistema->retTranslate( "remove" ) . "' title='" . $sistema->retTranslate( "remove" ) . "'/></a>";
                $buff .= "</td>";
                $buff .= "</tr>";
            }
        }
        else
            $buff .= "<tr><td>" . $sistema->retTranslate( 'NAutoEchoCanceller' ) . "</td></tr>";

        $buff .= "</table>";
        $buff .= "</span>";

        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' onclick=\"javascript: initAssistant('AECancel');\" value='" . $sistema->retTranslate( 'AddRule' ) . "'>";
        $buff .= "</div>";

        if( $showAutoEchoCanceller )
            $buff .= createCadenceAssistant( );

        return $buff;

    }

    function showAutoDTMFSupression( $_REQUEST, $createCadenceAssistant = true )
    {
        Global $sistema;

        $sysYAML = loadSystemYaml( );

        $buff = '';

        $buff .= "<div id='AutoDtmfSuppression' >";
        $buff .= "<fieldset>";
        $buff .= "<legend>" . $sistema->retTranslate( 'AutoDtmfSuppression' ) . "</legend>";

        $ADSs = $sysYAML->getValue( 'AutoDtmfSuppression' );
        $finalADSs = array( );
        if( $ADSs != '!' && $ADSs != '' )
            $finalADSs = explode( ", ", $ADSs );
        $AutoDtmfSuppression = $finalADSs;

        $AutoDtmfSuppressionValue = $sysYAML->getValue( 'AutoDtmfSuppression' );

        if( $AutoDtmfSuppressionValue == '!' )
            $AutoDtmfSuppressionValue = '';

        $AutoDtmfSuppressionSize = sizeof( $AutoDtmfSuppression );

        $buff .= "<span id='AutoDtmfSuppressionList'>";
        $buff .= "<input type='hidden' id='AutoDtmfSuppressionValue' name='AutoDtmfSuppressionValue' value='$AutoDtmfSuppressionValue'/>";
        $buff .= "<table>";

        if( $AutoDtmfSuppressionSize > 0 )
        {
            $buff .= "<tr>";
            $buff .= "<td>" . $sistema->retTranslate( 'FaixaADSup' ) . "</td>";
            $buff .= "<td></td>";
            $buff .= "</tr>";

            for( $x = 0; $x < $AutoDtmfSuppressionSize; $x++ )
            {
                if( fmod( $x, 2 ) == 0 )
                    $class = "class='green'";
                else
                    $class = "class='lgreen'";

                $buff .= "<tr $class>";
                $buff .= "<td>" . getSentence( $AutoDtmfSuppression[$x] ) . "</td>";
                $buff .= "<td>";
                $buff .= "<a href='#' onClick=\"javascript: removeADSupression('$AutoDtmfSuppression[$x]')\">";
                $buff .= "<img src='/imagens/lixeira.gif' alt='" . $sistema->retTranslate( "remove" ) . "' title='" . $sistema->retTranslate( "remove" ) . "'/></a>";
                $buff .= "</td>";
                $buff .= "</tr>";
            }
        }
        else
        {
            $buff .= "<tr>";
            $buff .= "<td>" . $sistema->retTranslate( 'NAutoEchoCanceller' ) . "</td>";
            $buff .= "</tr>";
        }
        $buff .= "</table>";
        $buff .= "</span>";

        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' onclick=\"javascript: initAssistant('ADSup');\" value='" . $sistema->retTranslate( 'AddRule' ) . "'>";
        $buff .= "</div>";

        if( $createCadenceAssistant )
            $buff .= createCadenceAssistant( );

        return $buff;
    }

    function showAutoAGC( $_REQUEST, $createCadenceAssistant = true )
    {
        Global $sistema;

        $sysYAML = loadSystemYaml( );

        $buff = '';
        $buff .= "<div id='AutoAGC'>";
        $buff .= "<fieldset>";
        $buff .= "<legend>AGC</legend>";

        $AAGCs = $sysYAML->getValue( 'AutoAGC' );
        $finalAAGCs = array( );
        if( $AAGCs != '!' && $AAGCs != '' )
            $finalAAGCs = explode( ", ", $AAGCs );
        $AutoAGC = $finalAAGCs;

        $AutoAGCValue = $sysYAML->getValue( 'AutoAGC' );
        if( $AutoAGCValue == '!' )
            $AutoAGCValue = '';

        $AutoAGCSize = sizeof( $AutoAGC );
        $buff .= "<span id='AutoAGCList'>";
        $buff .= "<input type='hidden' id='AutoAGCValue' name='AutoAGCValue' value='$AutoAGCValue'/>";
        $buff .= "<table>";

        if( $AutoAGCSize > 0 )
        {
            $buff .= "<tr>";
            $buff .= "<td>" . $sistema->retTranslate( 'FaixaAAGC' ) . "</td>";
            $buff .= "<td></td>";
            $buff .= "</tr>";

            for( $x = 0; $x < $AutoAGCSize; $x++ )
            {
                if( fmod( $x, 2 ) == 0 )
                    $class = "class='green'";
                else
                    $class = "class='lgreen'";

                $buff .= "<tr $class>";
                $buff .= "<td>" . getSentence( $AutoAGC[$x] ) . "</td>";
                $buff .= "<td>";
                $buff .= "<a href='#' onClick=\"javascript: removeAAGC('$AutoAGC[$x]');\">";
                $buff .= "<img src='/imagens/lixeira.gif' alt='" . $sistema->retTranslate( "remove" ) . "' title='" . $sistema->retTranslate( "remove" ) . "'/></a>";
                $buff .= "</td>";
                $buff .= "</tr>";
            }
        }
        else
        {
            $buff .= "<tr>";
            $buff .= "<td>" . $sistema->retTranslate( 'NAutoEchoCanceller' ) . "</td>";
            $buff .= "</tr>";
        }
        $buff .= "</table>";
        $buff .= "</span>";

        $buff .= "</fieldset>";
        $buff .= "<br>";
        $buff .= "<input type='button' onclick=\"javascript: initAssistant('AAGC');\" value='" . $sistema->retTranslate( 'AddRule' ) . "'>";
        $buff .= "</div>";

        if( $createCadenceAssistant )
            $buff .= createCadenceAssistant( );

        return $buff;
    }

    function showAutoDropCollectCall( $_REQUEST, $createCadenceAssistant = true )
    {
        Global $sistema;

        $sysYAML = loadSystemYaml( );

        $buff = '';

        $buff .= "<div id='DropCollectCalls'>";
        $buff .= "<fieldset>";
        $buff .= "<legend>" . $sistema->retTranslate( 'DropCollectCalls' ) . "</legend>";

        $DCCs = $sysYAML->getValue( 'DropCollectCalls' );

        $finalDCCs = array( );
        $keys = array_keys( $DCCs );
        for( $i = 0; $i < sizeof( $keys ); $i++ )
            $finalDCCs[] = $keys[$i];
        $DropCollectCalls = $finalDCCs;

        $DropCollectCallsSize = sizeof( $DropCollectCalls );

        $buff .= "<span id='DropCollectCallsList'>";
        $buff .= "<input type='hidden' id='DropCollectCallsTotal' name='DropCollectCallsTotal' value='$DropCollectCallsSize'/>";
        $buff .= "<table>";

        if( $DropCollectCallsSize > 0 )
        {
            $buff .= "<tr>";
            $buff .= "<th>" . $sistema->retTranslate( 'Description' ) . "</th>";
            $buff .= "<th>" . $sistema->retTranslate( 'Configuration' ) . "</th>";
            $buff .= "<th>" . $sistema->retTranslate( 'options' ) . "</th>";
            $buff .= "</tr>";
            for( $x = 0; $x < $DropCollectCallsSize; $x++ )
            {
                if( fmod( $x, 2 ) == 0 )
                    $class = "class='green'";
                else
                    $class = "class='lgreen'";
                $buff .= "<tr $class>";
                $buff .= "<td width='30%'>";
                $subDropCollectCalls = explode( '.', $DropCollectCalls[$x] );
                $buff .= getSentence( $DropCollectCalls[$x] );
                $buff .= "</td>";
                $buff .= "<td>";
                $value = $sysYAML->getValue( $DropCollectCalls[$x], 'Features|DropCollectCalls' );
                if( $value == "yamlError" )
                {
                    $value = "";
                }
                $buff .= printDropCollectCall( $DropCollectCalls[$x], $x, $value );
                $buff .= "</td>";
                $buff .= "<td>";
                $buff .= "<a href='#' onClick=\"javascript: removeDCCall('$DropCollectCalls[$x]');\">";
                $buff .= "<img src='/imagens/lixeira.gif' alt='" . $sistema->retTranslate( "remove" ) . "' title='" . $sistema->retTranslate( "remove" ) . "'/></a>";
                $buff .= "</td>";
                $buff .= "</tr>";
            }
        }
        else
        {
            $buff .= "<tr>";
            $buff .= "<td>" . $sistema->retTranslate( 'NDropCollectCalls' ) . "</td>";
            $buff .= "</tr>";
        }

        $buff .= "</table>";
        $buff .= "</span>";
        $buff .= "</fieldset>";
        $buff .= '</br>';
        
        $buff .= "<input type='button' onclick=\"javascript: initAssistant('DCCall');\" value='" . $sistema->retTranslate( 'AddRule' ) . "'>";

        if( $DropCollectCallsSize > 0 )
            $buff .= "<input type='button' style='float:right;' onclick=\"saveDCCallConfigs('$DropCollectCallsSize');\" value='Salvar'>";

        $buff .= "</div>";

        if( $createCadenceAssistant )
            $buff .= createCadenceAssistant( );

        return $buff;
    }

    function getAssistant( $_REQUEST )
    {
        Global $sistema;

        $type = isset( $_REQUEST['type'] ) ? $_REQUEST['type'] : NULL;

        if( isset( $type ) )
        {
            $divName = '';

            switch($type)
            {
                case 'ACAnalyzer':
                    $divName = 'AutoCallAnalyser';
                    break;
                case 'AECancel':
                    $divName = 'AutoEchoCanceller';
                    break;
                case 'ADSup':
                    $divName = 'AutoDtmfSuppression';
                    break;
                case 'AAGC':
                    $divName = 'AutoAGC';
                    break;
                case 'DCCall':
                    $divName = 'DropCollectCalls';
                    break;
            }
            $return = '';
            $return .= "<div id='tabs'>";
            $return .= "<ul>";
            $return .= "<li><a href='#tabs-0' onClick=\"javascript: changeWCSubType('Device');\">" . $sistema->retTranslate( "Device" ) . "</a></li>";
            $return .= "<li><a href='#tabs-1' onClick=\"javascript: changeWCSubType('Links');\">" . $sistema->retTranslate( "Links" ) . "</a></li>";
            $return .= "<li><a href='#tabs-2' onClick=\"javascript: changeWCSubType('Channel');\">" . $sistema->retTranslate( "Channel" ) . "</a></li>";
            $return .= "<li><a href='#tabs-3' onClick=\"javascript: changeWCSubType('Tech');\">" . $sistema->retTranslate( "Technology" ) . "</a></li>";
            $return .= "<li><a href='#tabs-4' onClick=\"javascript: changeWCSubType('All');\">" . $sistema->retTranslate( "All" ) . "</a></li>";
            $return .= "</ul>";
            $return .= "<div id='tabs-0'>";
            $return .= "<p>" . getDeviceForm( ) . "</p>";
            $return .= "</div>";
            $return .= "<div id='tabs-1'>" . getLinksForm( ) . "</div>";
            $return .= "<div id='tabs-2'>" . getChannelForm( ) . "</div>";
            $return .= "<div id='tabs-3'>" . getTechForm( ) . "</div>";
            $return .= "<div id='tabs-4'>";
            $return .= "<p>" . $sistema->retTranslate( "TodasDevicesCanais" ) . "</p>";
            $return .= "</div>";
            $return .= "</div>";
            $return .= "<br>";
            $return .= "<input type='button' onClick=\"saveAssistant('$divName');\" value='" . $sistema->retTranslate( "add" ) . "' />";
            $return .= '<input type="hidden" value="' . $type . '" name="WCType" id="WCType" />';
            $return .= '<input type="hidden" value="Device" name="WCSubType" id="WCSubType" />';
            return $return;
        }
    }

    /********** aux functions ****************/

    function printDropCollectCall( $DeviceChannel, $number, $value = "" )
    {
        Global $sistema;

        $return = "<table border='0'>";
        $return .= "<tr>";
        $return .= "<td align='left'>";
        $return .= $sistema->retTranslate( "BlockResponse" );
        $return .= "</td>";
        $return .= "<td valign='top' align='right'>";
        $options = array( "Busy", "Invalid number", "Out of service" );
        $return .= "<select name='DropCollectCallsC$number' id='DropCollectCallsC$number' >";
        $valueBlockResponse = $value['BlockResponse'];

        if( $valueBlockResponse == "" )
            $optionValue = "Busy";
        else
            $optionValue = $valueBlockResponse;

        for( $st = 0; $st < sizeof( $options ); $st++ )
        {
            if( $options[$st] == $optionValue )
                $selected = "selected";
            else
                $selected = "";
            $return .= "<option value='$options[$st]' $selected>$options[$st]</option>";
        }

        $return .= "</select>";
        $return .= "</td>";
        $return .= "</tr>";

        $return .= "<tr>";
        $return .= "<td align='left'>" . $sistema->retTranslate( "DoubleAnswerDelay" ) . "</td>";
        $return .= "<td valign='top' align='right'>";
        $return .= "<select name='DropCollectCallsF$number' id='DropCollectCallsF$number' >";

        $valueDoubleAnswerDelay = isset( $value['DoubleAnswerDelay'] ) ? $value['DoubleAnswerDelay'] : NULL;
        if( !isset( $valueDoubleAnswerDelay ) )
            $intValue = 500;
        else
            $intValue = $valueDoubleAnswerDelay;

        for( $st = 0; $st < 2000; $st += 50 )
        {
            if( $st == $intValue )
                $selected = "selected";
            else
                $selected = "";
            $return .= "<option value='$st' $selected>$st</option>";
        }

        $return .= "</select>";
        $return .= "</td>";
        $return .= "</tr>";
        $return .= "<tr>";

        $valueAutoBlock = $value['AutoBlock'];
        if( getBooleanValue( $valueAutoBlock ) )
            $checked = "checked";
        else
            $checked = "";

        $return .= "<td align='left'>" . $sistema->retTranslate( "AutoBlock" ) . "</td>";
        $return .= "<td align='right'>";

        $tmp = explode( ".", $DeviceChannel );
        if( !isset( $tmp[1] ) )
            $tmp[1] = "*";

        $DeviceChannel = implode( ".", $tmp );
        $return .= "<input type='hidden' id='DropCollectCallsA$number' name='DropCollectCallsA$number' value='$DeviceChannel'/>";
        $return .= "<input class='checkbox' name='DropCollectCallsB$number' id='DropCollectCallsB$number' value='' type='checkbox' $checked>";
        $return .= "</td>";
        $return .= "</td>";
        $return .= "</tr>";

        $return .= "<tr>";
        $valueDropCallAnalyzer = $value['DropCallAnalyzer'];
        if( getBooleanValue( $valueDropCallAnalyzer ) )
            $checked = "checked";
        else
            $checked = "";

        $return .= "<td align='left'>" . $sistema->retTranslate( "DropCallAnalyzer" ) . "</td>";
        $return .= "<td align='right'>";
        $return .= "<input class='checkbox' name='DropCollectCallsD$number' id='DropCollectCallsD$number' value='' type='checkbox' $checked> ";
        $return .= "</td>";
        $return .= "</tr>";
        $return .= "</tr>";

        $return .= "<tr>";
        $valueAutoDoubleAnswer = $value['AutoDoubleAnswer'];

        if( getBooleanValue( $valueAutoDoubleAnswer ) )
            $checked = "checked";
        else
            $checked = "";

        $return .= "<td align='left'>" . $sistema->retTranslate( "AutoDoubleAnswer" ) . "</td>";
        $return .= "<td align='right'>";
        $return .= "<input class='checkbox' name='DropCollectCallsE$number' id='DropCollectCallsE$number' value='' type='checkbox' $checked>";
        $return .= "</td>";
        $return .= "</td>";
        $return .= "</tr>";
        $return .= "</table>";

        return $return;
    }

    function getSentence( $DCC )
    {
        Global $sistema;
        $suDCC = explode( ".", $DCC );

        if( !isset( $suDCC[1] ) )
            $suDCC[1] = '*';

        $sentence = '';

        if( $suDCC[0] == "*" && $suDCC[1] == "*" )
        {
            $sentence = $sistema->retTranslate( "TDeviceCahnnels" );
        }
        elseif( @ereg( "\[", $suDCC[1] ) )
        {
            // extens�o do cannal tanto ao tanto no dipositivo x
            $tnpSC = explode( "-", $suDCC[1] );
            $SC = substr( $tnpSC[0], 1 );
            $EC = substr( $tnpSC[1], 0, (strlen( $tnpSC[1] ) - 1) );
            $sentence = $sistema->retTranslate( "extFrom" ) . " $SC " . $sistema->retTranslate( "to" ) . " $EC " . $sistema->retTranslate( "atDevice" ) . " " . $suDCC[0];
        }
        elseif( $suDCC[1] == "FXO" || $suDCC[1] == "FXS" || $suDCC[1] == "E1" || $suDCC[1] == "GSM" )
        {
            // todos os dispositivos que usam tecnologia x
            $sentence = $sistema->retTranslate( "TDevices" ) . " " . $suDCC[1];
        }
        elseif( $suDCC[0] != "*" && $suDCC[1] == "*" )
        {
            //dispositivo x
            $sentence = $sistema->retTranslate( "TChannelsFromdevice" ) . " " . $suDCC[0];
        }
        elseif( $suDCC[0] != "*" && $suDCC[1] != "*" )
        {
            // link x no dispositivo y
            $sentence = $sistema->retTranslate( "link" ) . " " . $suDCC[1] . " " . $sistema->retTranslate( "atDevice" ) . " " . $suDCC[0];
        }
        return $sentence;
    }
?>