<?php
    define( 'IS_ELASTIX', is_file( '/etc/elastix.conf' ) );

    $tmp = dirname( __FILE__ );
    if( IS_ELASTIX )
    {
        define( 'KROOT', $tmp );
        $tmp = realpath( "{$tmp}/.." );
        define( 'KCONFIG', "{$tmp}/kconfig" );
        define( 'KMONITOR', "{$tmp}/kmonitor" );
        define( 'KDIAGNOSTIC', "{$tmp}/kdiagnostic" );
        define( 'IS_GATEWAY', false );
    }
    else
    {
        define( 'KROOT', $tmp );
        define( 'KCONFIG', "{$tmp}/KWebConfig" );
        define( 'KMONITOR', "{$tmp}/KWebMonitor" );
        define( 'KDIAGNOSTIC', "{$tmp}/KWebLogViewer" );
        define( 'IS_GATEWAY', is_file( KROOT . '/KWebConfig/Upload/scriptUpdate' ) );
    }
    unset( $tmp );
