<?php
    class Topo
    {
        static function printTopo( $section, $accessConfig, $accessMonitoring, $accessDiag, $accessAdm, $modulo_pai = '' )
        {
            $app = KSystem::getInstance( );

            $buffer = '';
            $buffer .= '<div id="topo">';
            $buffer .= '<div>';
            $buffer .= "<img src='{$modulo_pai}/imagens/logo.png' align='left' alt='Khomp' title='Khomp'>";
            $buffer .= '</div>';
            $buffer .= '<div class="flag">';
            $buffer .= "<img src='{$modulo_pai}/imagens/flags/sflagBrasil.png' alt='{$app->translate( 'portuguese' )}' title='{$app->translate( 'portuguese' )}' class='cursorHand' onclick=\"changeSystemLanguage('pt-br');\" />&nbsp;";
            $buffer .= "<img src='{$modulo_pai}/imagens/flags/sflagEnglish.png' alt='{$app->translate( 'english' )}' title='{$app->translate( 'english' )}' class='cursorHand' onclick=\"changeSystemLanguage('en-us');\" />&nbsp;";
            $buffer .= "<img src='{$modulo_pai}/imagens/flags/sflagSpain.png' alt='{$app->translate( 'spanish' )}' title='{$app->translate( 'spanish' )}' class='cursorHand' onclick=\"changeSystemLanguage('es-es');\" />";
            $buffer .= '</div>';
            $buffer .= '<div class="autenticacao">';

            if( $accessConfig == 'full' )
            {
                if( $section == 'config' )
                    $buffer .= "<a href='{$modulo_pai}/KWebConfig/index.php' class='sair'><b>{$app->translate( 'config-home' )}</b></a>&nbsp;&nbsp;&nbsp;";
                else
                    $buffer .= "<a href='{$modulo_pai}/KWebConfig/index.php' class='sair'>{$app->translate( 'config-home' )}</a>&nbsp;&nbsp;&nbsp;";
            }
            if( $accessMonitoring != 'none' )
            {
                if( $section == 'monitoring' )
                    $buffer .= "<a href='{$modulo_pai}/KWebMonitor/index.php?location=devices' class='sair'><b>{$app->translate( 'monitoring-home' )}</b></a>&nbsp;&nbsp;&nbsp;";
                else
                    $buffer .= "<a href='{$modulo_pai}/KWebMonitor/index.php?location=devices' class='sair'>{$app->translate( 'monitoring-home' )}</a>&nbsp;&nbsp;&nbsp;";
            }
            if( $accessDiag == 'full' )
            {
                if( $section == 'diagnostic' )
                    $buffer .= "<a href='{$modulo_pai}/KWebLogViewer/index.php' class='sair'><b>{$app->translate( 'analyser-home' )}</b></a>&nbsp;&nbsp;&nbsp;";
                else
                    $buffer .= "<a href='{$modulo_pai}/KWebLogViewer/index.php' class='sair'>{$app->translate( 'analyser-home' )}</a>&nbsp;&nbsp;&nbsp;";
            }
            if( $accessAdm )
            {
                if( $section == 'administration' )
                    $buffer .= "<a href='{$modulo_pai}/KWebConfig/index.php?location=admin' class='sair'><b>{$app->translate( 'adm-home' )}</b></a>&nbsp;&nbsp;&nbsp;";
                else
                    $buffer .= "<a href='{$modulo_pai}/KWebConfig/index.php?location=admin' class='sair'>{$app->translate( 'adm-home' )}</a>&nbsp;&nbsp;&nbsp;";
            }
            if( $section != '' )
                $buffer .= "<a href='{$modulo_pai}/?action=logoff' class='sair'>{$app->translate( 'exit' )}</a>";

            $buffer .= '</div></div>';

            if( IS_GATEWAY )
            {
                require_once KROOT . '/classes/KLicense.php';
                try
                {
                    $manager = new KLicenseManager( );
                    $expired = array( );
                    $expirewarning = array( );
                    foreach( $manager->getLicenses() as $license )
                    {
                        if( $license->isExpired( ) )
                        {
                            $expired[] = "{$license->id} ({$license->serial_number})";
                        }
                        elseif( $license->willExpire( ) )
                        {
                            $expirewarning[] = "{$license->id} ({$license->serial_number})";
                        }
                    }
                    if( count( $expired ) > 0 )
                    {
                        $licenses = implode( ', ', $expired );
                        $buffer .= "<div id='license-expired-error'><img src='/imagens/alert.png' />{$app->translate( 'license-expired-error' )}: {$licenses}</div>";
                    }
                    if( count( $expirewarning ) > 0 )
                    {
                        $licenses = implode( ', ', $expirewarning );
                        $buffer .= "<div id='license-will-expire-warning'>{$app->translate( 'license-will-expire-warning' )}: {$licenses}</div>";
                    }
                }
                catch( KLicenseManagerException $e )
                {
                    /*TODO: ignore errors?*/
                }
            }

            return $buffer;
        }

    }
