<?php
    @session_start( );

    $AjaxFunctions['startStopServices'] = 'startStopServices';

    function startStopServices( $_REQUEST )
    {
        Global $sistema;

        $service = isset( $_REQUEST['service'] ) ? $_REQUEST['service'] : NULL;
        $action = isset( $_REQUEST['action'] ) ? $_REQUEST['action'] : NULL;
        $process = MonitorService::getProcessName( $service );

        if( in_array( $action, array( 'start', 'stop' ) ) && in_array( $process, array( 'kibs', 'klogserver', 'kmpserver', 'k3lserver', 'kqueryserver', 'kgateway' ) ) )
        {
            if( PHP_OS == "WINNT" )
            {
                switch ($action)
                {
                    case 'start':
                        if( $process == "k3lserver" && !MonitorService::checkService( "kmpserver" ) )
                        {
                            win32_start_service( "kmpserver" );
                            $ret = win32_start_service( "k3lserver" );
                        }
                        else
                            $ret = win32_start_service( $process );

                        if( $ret == '0' )
                            return 'ok|' . $sistema->retTranslate( 'startServiceSuccess' );
                        else
                            return 'notok|' . $sistema->retTranslate( 'startServiceFail' );

                    case 'stop':
                        if( $process == 'kmpserver' && MonitorService::checkService( 'k3lserver' ) )
                        {
                            win32_stop_service( "k3lserver" );
                            $ret = win32_stop_service( "kmpserver" );
                        }
                        else
                            $ret = win32_stop_service( $process );
                        if( $ret == '0' )
                            return 'ok|' . $sistema->retTranslate( 'stopServiceSuccess' );
                        else
                            return 'notok|' . $sistema->retTranslate( 'stopServiceFail' );
                }
            }
            else
            {
                if( function_exists( 'posix_getuid' ) )
                {
                    $root = posix_getuid( ) == 0;
                }
                else
                {
                    $ret = shell_exec( 'whoami' );
                    $root = strcasecmp( $ret, 'root' );
                }

                if( $root )
                {
                    $prepend = '';
                }
                else
                {
                    $prepend = '/usr/bin/sudo -u root ';
                }

                switch($action)
                {
                    case 'start':
                        exec( "{$prepend}/usr/sbin/khomp-sudo /etc/init.d/{$process} start", $ret, $excode );
                        break;
                    case 'stop':
                        exec( "{$prepend}/usr/sbin/khomp-sudo /etc/init.d/{$process} stop", $ret, $excode );
                        break;
                    default:
                        return 'notok|' . $sistema->retTranslate( 'unknownservice' );
                        break;
                }
                $ret = implode( "\n", $ret );
                if( $excode == 0 && @ereg( 'OK', $ret ) )
                {
                    return 'ok|' . $sistema->retTranslate( $action . 'ServiceSuccess' );
                }
                elseif( $ret == 'Permission denied' )
                {
                    return 'notok|' . $sistema->retTranslate( $action . 'ServiceNoPrivilege' );
                }
                else
                {
                    return 'notok|' . $sistema->retTranslate( $action . 'ServiceFail' );
                }
            }
        }
        else
            return 'notok|' . $sistema->retTranslate( 'unknownServiceOrAction' );
    }
?>