<?php
    @session_start( );
    $AjaxFunctions['updateDataDevices'] = 'updateDataDevices';

    function updateDataDevices( $_REQUEST )
    {
        Global $sistema;

        $op = -1;
        $operational = Querist::ask( "QUERY k3l.Connected", $op );

        if( $op > 0 )
        {
            if( isset( $_SESSION['DeviceList'][0] ) )
            {
                for( $i = 0; $i < count( $_SESSION['DeviceList'] ); $i++ )
                {
                    $temp = Populator::populateDevice( $_SESSION['DeviceList'][$i] );
                    if( $temp != $_SESSION['DeviceList'][$i] )
                    {
                        $_SESSION['DeviceList'][$i] = $temp;
                        $resposta[] = $temp;
                    }
                }
                $resposta['Message']['error'] = MonitorService::checkMediaServerMessages( );
                $resposta['Message']['warning'] = $sistema->retTranslate( MonitorService::getWarningMessage( ) );
                return JSONencode( $resposta );

            }
            else
            {
                $CountDevices = 0;
                $operational = Querist::ask( "QUERY k3l.DeviceCount", $CountDevices );
                if( $operational )
                {
                    for( $i = 0; $i < (int)$CountDevices; $i++ )
                    {
                        $device = array( 'model' => '', 'board' => $i, 'serial' => '', 'status' => '', 'links' => array( ) );
                        $device = Populator::populateDevice( $device );
                        $deviceList[$i] = $device;
                    }
                    $_SESSION['DeviceList'] = $deviceList;
                    $deviceList['Message']['error'] = MonitorService::checkMediaServerMessages( );
                    $deviceList['Message']['warning'] = $sistema->retTranslate( MonitorService::getWarningMessage( ) );
                    return JSONencode( $deviceList );
                }
            }
        }
        else
        {
            $deviceList['Message']['warning'] = $sistema->retTranslate( MonitorService::getWarningMessage( ) );
            if( $op == 0 )
                $deviceList['Message']['error'] = MonitorService::checkMediaServerMessages( );
            else
                $deviceList['Message']['error'] = $sistema->retTranslate( Querist::$last_error );

            return JSONencode( $deviceList );
        }
    }
?>