<?php
    @session_start( );
    $AjaxFunctions['updateDataChannels'] = 'updateDataChannels';

    function updateDataChannels( $_REQUEST )
    {
        Global $sistema;

        $link = isset( $_REQUEST['linkNow'] ) ? $_REQUEST['linkNow'] : NULL;
        $board = isset( $_REQUEST['boardNow'] ) ? $_REQUEST['boardNow'] : NULL;
        $gc = isset( $_REQUEST['gc'] ) ? $_REQUEST['gc'] : NULL;

        if( isset( $link ) && isset( $board ) && isset( $gc ) )
        {
            $op = -1;
            $operational = Querist::ask( "QUERY k3l.Connected", $op );

            if( $op > 0 )
            {
                if( isset( $_SESSION['DeviceList'][0] ) )
                {
                    $deviceList = $_SESSION['DeviceList'];

                    $gc = explode( '|', $gc );
                    if( $gc[0] != '' && $gc[1] != '' )

                        $tmp = Populator::populateChannels( $deviceList[$board], $link, $gc[0], $gc[1] );
                    else
                        $tmp = Populator::populateChannels( $deviceList[$board], $link );

                    if( $tmp != $deviceList[$board] )
                    {
                        $deviceList[$board] = $tmp;
                        $_SESSION['DeviceList'] = $deviceList;
                        $ret = array( 0 => $tmp, 'linkNow' => $link );
                    }

                    $ret['Message']['error'] = MonitorService::checkMediaServerMessages( );
                    $ret['Message']['warning'] = $sistema->retTranslate( MonitorService::getWarningMessage( ) );

                    return JSONencode( $ret );
                }
                else
                {
                    $CountDevices = 0;
                    Querist::ask( "QUERY k3l.DeviceCount", $CountDevices );
                    for( $i = 0; $i < $CountDevices; $i++ )
                    {
                        $device = array( 'serial' => '', 'model' => '', 'board' => $i, 'links' => array( ) );
                        $device = Populator::prePopulateChannels( $device );
                        $deviceList[$i] = $device;
                    }

                    $_SESSION['DeviceList'] = $deviceList;
                    $ret['Message']['error'] = MonitorService::checkMediaServerMessages( );
                    $ret['Message']['warning'] = $sistema->retTranslate( MonitorService::getWarningMessage( ) );

                    return JSONencode( $deviceList );
                }
            }
            else
            {
                $deviceList['Message']['warning'] = $sistema->retTranslate( MonitorService::getWarningMessage( ) );
                if( $op == 0 )
                {
                    if( MonitorService::checkService( 'k3lserver' ) )
                    {
                        if( !MonitorService::isSoftPBXActive( ) )
                        {
                            if( PHP_OS == "WINNT" )
                                $_SESSION['errorMessage'] = $sistema->retTranslate( 'KMPDown' );
                            elseif( is_file( "/usr/sbin/kmpserver" ) )
                                return $sistema->retTranslate( 'KMPDown' );
                            else
                                return $sistema->retTranslate( 'softPBXDown' );

                            $_SESSION['errorMessage'] = $sistema->retTranslate( 'softPBXDown' );
                        }
                    }
                    else
                        $_SESSION['errorMessage'] = $sistema->retTranslate( 'k3lDown' );
                }
                else
                    $deviceList['Message']['error'] = $sistema->retTranslate( Querist::$last_error );

                return JSONencode( $deviceList );
            }
        }
    }
?>