<?php
    @session_start( );
    $AjaxFunctions['updateDataLinks'] = 'updateDataLinks';

    function updateDataLinks( $_REQUEST )
    {
        Global $sistema;

        $op = -1;
        $operational = Querist::ask( "QUERY k3l.Connected", $op );

        if( $op > 0 )
        {
            if( isset( $_SESSION['DeviceList'][0] ) )
            {
                $deviceList = $_SESSION['DeviceList'];

                $deviceUpdated = array( );
                for( $i = 0; $i < count( $deviceList ); $i++ )
                {
                    $tmp = Populator::populateLink( $deviceList[$i] );
                    if( $tmp != $deviceList[$i] )
                    {
                        $deviceList[$i] = $tmp;
                        $deviceUpdated[] = $tmp;
                    }
                }
                $_SESSION['DeviceList'] = $deviceList;
                $deviceUpdated['Message']['error'] = MonitorService::checkMediaServerMessages( );
                $deviceUpdated['Message']['warning'] = $sistema->retTranslate( MonitorService::getWarningMessage( ) );

                return JSONencode( $deviceUpdated );
            }
            else
            {
                $deviceList = array( );
                $CountDevices = 0;
                Querist::ask( "QUERY k3l.DeviceCount", $CountDevices );
                for( $i = 0; $i < (int)$CountDevices; $i++ )
                {
                    $links_count = 0;
                    $query_link_count = sprintf( "QUERY k3l.Config.Device.%s.LinkCount", $i );
                    Querist::ask( $query_link_count, $links_count );
                    if( $links_count > 0 )
                    {
                        $device = array( 'model' => '', 'board' => $i, 'serial' => '', 'status' => '', 'links' => array( ) );
                        $device = Populator::populateLink( $device );
                        $deviceList[] = $device;
                    }
                }
                $_SESSION['DeviceList'] = $deviceList;
                $deviceList['Message']['error'] = MonitorService::checkMediaServerMessages( );
                $deviceList['Message']['warning'] = $sistema->retTranslate( MonitorService::getWarningMessage( ) );
                return JSONencode( $deviceList );
            }
        }
        else
        {
            $deviceList['Message']['warning'] = $sistema->retTranslate( MonitorService::getWarningMessage( ) );
            if( $op == 0 )
                $deviceList['Message']['error'] = MonitorService::checkMediaServerMessages( );
            else
                $deviceList['Message']['error'] = $sistema->retTranslate( Querist::$last_error );

            return JSONencode( $deviceList );
        }
    }
?>