var GLOBALAjaxURL = "index.php?rawmode=yes";

function changeSystemLanguage( lang )
{
    url = document.URL;

    var cerq = url.indexOf( '#' );
    if( cerq > 0 )
        url = url.substring( 0, cerq );

    index = url.indexOf( 'language=' );
    if( index > -1 )
    {
        language = url.substring( index, index + 14 );
        window.location = url.replace( language, 'language=' + lang );
    }
    else
    {
        php = url.indexOf( '.php=' );
        if( index < 0 )
        {
            if( url.indexOf( '?' ) > 0 )
                window.location = url + '&language=' + lang;
            else
                window.location = url + '?language=' + lang;
        }
        else
        {
            size = url.length;
            if( url.substring( size - 9, size ) == 'index.php' )
                window.location = url + '?language=' + lang;
            else
                window.location = url + '&language=' + lang;
        }
    }
}

function ajaxPrompt( word )
{
    var retorno = '';
    jQuery.ajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=I18N&word=" + word,
        dataType : "text",
        async : false,
        success : function( ret )
        {
            retorno = prompt( ret );
        }
    } );
    return retorno;
}

function ajaxConfirm( word )
{
    var retorno = '';
    jQuery.ajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=I18N&word=" + word,
        dataType : "text",
        async : false,
        success : function( ret )
        {
            retorno = confirm( ret );
        }
    } );
    return retorno;
}

function ajaxAlert( word )
{
    var retorno = '';
    jQuery.ajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=I18N&word=" + word,
        dataType : "text",
        async : false,
        success : function( ret )
        {
            retorno = ret;
        }
    } );
    ShowNotice( retorno, true );
}

function ajaxI18N( word )
{
    var retorno = '';
    jQuery.ajax(
    {
        data : "ajaxTo=I18N&word=" + word,
        url : GLOBALAjaxURL,
        dataType : "text",
        async : false,
        success : function( ret )
        {
            retorno = ret;
        }
    } );
    return retorno;
}

function ShowNotice( strText, success, timeout )
{
    if( success )
    {
        $( '#saved_notice' ).css( 'background-color', '#C7E8C0' );
        $( '#saved_notice' ).css( 'border', '5px solid #306845' );
    }
    else
    {
        $( '#saved_notice' ).css( 'background-color', '#FF6453' );
        $( '#saved_notice' ).css( 'border', '5px solid #BE3232' );
    }

    timeout = (timeout > 0 ) ? timeout : 1000;
    var savedNotice = $( "#saved_notice" ).stop( ).css( 'opacity', '1.0' ).hide( );
    $( "#saved_notice span:first" ).html( strText );

    if( strText.length > 75 )
        $( '#saved_notice span' ).css( 'line-height', '50px' );
    else
        $( '#saved_notice span' ).css( 'line-height', '100px' );

    savedNotice.fadeIn( 300 );
    savedNotice.delay( timeout );
    savedNotice.fadeOut( 1000 );
}