<?php
    @session_start( );

    $AjaxFunctions['printLog'] = 'printLog';

    function printLog( $_REQUEST )
    {
        Global $sistema, $_SESSION;

        $file = isset( $_REQUEST['file'] ) ? base64_decode( $_REQUEST['file'] ) : NULL;
        $return = array( );
        $content = '';
        $topo = '';
        $rodape = '';

        $return['title'] = $file;
        if( isset( $file ) )
        {
            $khompDir = LogUtil::getKhompDir( );

            if( strncmp( $file, $khompDir, strlen( $khompDir ) ) == 0 )
            {
                $fileSize = sprintf( "%u", filesize( $file ) );

                if( $fileSize <= 300000 )// If size of file <= 300kb, print
                // entire file. No problems.
                {
                    $topo .= '<hr>';
                    $topo .= "<a name='top'/>";
                    $topo .= "<a class='anchor' href='#bottom'>" . $sistema->retTranslate( 'goToLast' ) . "</a>";
                    $pf = fopen( $file, "r" );
                    while( !feof( $pf ) )
                    {
                        $line = fgets( $pf );
                        if( $line != " " )
                            $content .= utf8_encode( $line );
                    }
                    $rodape .= "<a name='bottom'/>";
                    $rodape .= "<a class='anchor' href='#top'>" . $sistema->retTranslate( 'backToTop' ) . "</a>";
                }
                else
                {
                    $topo .= "<div id='topNavigation'>";
                    $file64 = base64_encode( $file );
                    $topo .= "<div id='navigatorSection'>";
                    $topo .= "<input type='button' id='first' onclick=\"showMoreLogs(" . "'$file64'" . ",'first'" . ");\" value='" . $sistema->retTranslate( 'first' ) . "' />";
                    $topo .= "<input type='button' id='back' onclick=\"showMoreLogs(" . "'$file64'" . ",'back'" . ");\" value='" . $sistema->retTranslate( 'showPreviousLines' ) . "'/>";
                    $topo .= "<input type='button' disabled='true' style='background-color:grey;' id='forward' onclick=\"showMoreLogs(" . "'$file64'" . ",'forward'" . ");\" value='" . $sistema->retTranslate( 'showLastLines' ) . "' />";
                    $topo .= "<input type='button' disabled='true' style='background-color:grey;' id='last' onclick=\"showMoreLogs(" . "'$file64'" . ",'last'" . ");\" value='" . $sistema->retTranslate( 'last' ) . "' />";
                    $topo .= "</div>";

                    $topo .= "<div id='paginatorSection'>";
                    $topo .= $sistema->retTranslate( 'paginate' ) . " <select id='paginator'>";
                    $topo .= "<option value='100000'>100kb</option>";
                    $topo .= "<option value='300000'>300kb</option>";
                    $topo .= "<option value='500000'>500kb</option>";
                    $topo .= "<option value='1000000'>1Mb</option>";
                    $topo .= "</select>";
                    $topo .= "</div>";
                    $topo .= "<br>";
                    $topo .= "<a class='anchor' href='#bottom'>" . $sistema->retTranslate( 'goToLast' ) . "</a>";
                    $topo .= "</div>";

                    $start = $fileSize - 100000;
                    $end = $fileSize;
                    $_SESSION['first'] = $start;
                    $_SESSION['last'] = $end;

                    $pf = fopen( $file, "r" );
                    $atual = fseek( $pf, -30000, SEEK_END );
                    $line = fgets( $pf );

                    while( $atual < $end )
                    {
                        $line = fgets( $pf );
                        if( $line != " " )
                            $content .= utf8_encode( $line );

                        $atual = ftell( $pf );
                    }
                    fclose( $pf );

                    $rodape .= "<a name='bottom'/>";
                    $rodape .= "<a class='anchor' href='#top'>" . $sistema->retTranslate( 'backToTop' ) . "</a>";
                }
                $rodape .= '</div>';
            }
            else
                $content .= $sistema->retTranslate( 'noFilesOrNoPermission' );
        }
        $return['content'] = $content;
        $return['topo'] = $topo;
        $return['rodape'] = $rodape;
        return JSONencode( $return );
    }
?>