<?
    if( file_exists( '/etc/elastix.conf' ) )
    {
        session_name( 'elastixSession' );
        require_once '/var/www/html/modules/khomp/constants.php';
    }
    else
        require_once '../constants.php';

    @session_start( );
    set_time_limit( 0 );
    require ("logUtil.php");

    function create_zip( $files = array(), $destination = '', $overwrite = true, $base = true )
    {
        if( file_exists( $destination ) && !$overwrite )
            return false;
        $valid_files = array( );

        if( is_array( $files ) )
        {
            foreach( $files as $file )
            {
                if( file_exists( $file ) )
                    $valid_files[] = $file;
            }
        }
        if( count( $valid_files ) )
        {
            $path = KROOT . '\\..\\..\\Tools\\';
            if( PHP_OS == "WINNT" )
            {
                if( file_exists( "{$path}tar.exe" ) && file_exists( "{$path}gzip.exe" ) )
                {
                    if( sizeof( $valid_files ) == 1 )
                    {
                        $fileInfo = pathinfo( $valid_files[0] );
                        if( $fileInfo['extension'] == 'gz' )
                            copy( $valid_files[0], $destination );
                        else
                        {
                            $file = str_replace( "\\", '\\\\', implode( ' ', $valid_files ) );
                            exec( "{$path}tar.exe -c " . $file . " | {$path}gzip.exe > {$destination}" );
                        }
                    }

                    return file_exists( $destination );
                }
                else
                    return false;
            }
            else
            {
                if( is_file( '/usr/bin/zip' ) && is_file( '/bin/tar' ) )
                {
                    if( sizeof( $valid_files ) == 1 )
                    {
                        $fileInfo = pathinfo( $valid_files[0] );

                        if( $fileInfo['extension'] == 'gz' )
                            copy( $valid_files[0], $destination );
                        else
                            exec( "tar zcf {$destination} " . implode( ' ', $valid_files ) );
                    }

                    return file_exists( $destination );
                }
                else
                    return false;
            }
        }
        else
            return false;
    }

    function getDownloadFile( $zip_name )
    {
        if( $fd = fopen( $zip_name, "r" ) )
        {
            $fsize = sprintf( "%u", filesize( $zip_name ) );
            $path_parts = pathinfo( $zip_name );
            $ext = strtolower( $path_parts["extension"] );
            header( "Content-type: application/zip" );
            header( "Content-Disposition: attachment; filename=\"" . $path_parts["basename"] . "\"" );
        }
        header( "Content-length: $fsize" );
        header( "Cache-control: private" );
        while( !feof( $fd ) )
        {
            $buffer = fread( $fd, 2048 );
            echo $buffer;
        }
        fclose( $fd );
        exit ;
    }

    if( isset( $_SESSION['login'] ) && $_SESSION['loginAccess']['diagnostic'] == 'full' )
    {
        if( isset( $_REQUEST['file'] ) && $_REQUEST['type'] == "file" )
        {
            $file = base64_decode( $_REQUEST['file'] );
            $tmpFile = explode( DIRECTORY_SEPARATOR, $file );
            $khompDir = LogUtil::getKhompDir( );

            if( strncmp( $file, $khompDir, strlen( $khompDir ) ) == 0 )
            {
                $tmp_name = LogUtil::getTempDir( ) . $tmpFile[sizeof( $tmpFile ) - 1];

                $fileInfo = pathinfo( $tmp_name );
                $zip_name = $fileInfo['extension'] == 'gz' ? $tmp_name : $tmp_name . '.tar.gz';

                $files_to_zip = array( base64_decode( $_REQUEST['file'] ) );

                $result = create_zip( $files_to_zip, $zip_name );

                if( $result )
                    getDownloadFile( $zip_name );
            }
            else
                echo 'noFilesOrNoPermission';
        }
    }
    else
        echo "Sem permissão.";
?>