<?php // error_reporting(E_ALL);
/* include SocketConnection */
require_once ("socketconnection.php");

/* Only for debug proposes use ?example */
if( isset( $_REQUEST['example'] ) )
    error_reporting( E_ALL );

/* Important defines */
define( "QUERIST_CONNECT_ERROR", "cantCreateConnection" );
define( "QUERIST_ASK_ERROR", "cantConnectKQueryServer" );
define( "QUERIST_ASK_INVALID", "errorOnCommunication" );

/*
 * Handle the requests to query information
 */
class Querist
{
    /* Last error ocurred will be setted here */
    static public $last_error = "";

    /* Ask for a specific function */
    public static function ask( $query, &$buffer, $other_conn = NULL )
    {
        $conn = (!$other_conn ? new SocketConnection( ) : $other_conn);

        if( !$conn )
        {
            Querist::$last_error = QUERIST_CONNECT_ERROR;
            return false;
        }

        if( !$conn->writeAndRecv( $query, $buffer ) )
        {
            Querist::$last_error = QUERIST_ASK_ERROR;
            return false;
        }

        if( strstr( $buffer, 'Query failed' ) !== FALSE )
        {
            Querist::$last_error = QUERIST_ASK_INVALID . " - " . $buffer;
            //$buffer = "";
            return false;
        }
        return true;
    }

}

function querist_example( )
{
    $in = "QUERY " . $_REQUEST['query'];
    print $in;
    $out = "";

    if( !Querist::ask( $in, $out ) )
    {
        echo Querist::$last_error . "
<br/>
";
    }

    var_dump( $out );
}

/* Only for debug/test proposes use ?example */
if( isset( $_REQUEST['example'] ) )
    querist_example( );
?>