<?php

    // error_reporting(E_ALL);
    $count = 0;

    function start_socket( )
    {
        syslog( LOG_WARNING, "test socket" );

        global $count;
        while( $count < ($count + 100) )
        {
            /* Get the IP address for the target host. */
            $address = '127.0.0.1';

            $service_port = 14130;

            /* Create a TCP/IP socket. */
            $socket = socket_create( AF_INET, SOCK_STREAM, SOL_TCP );
            if( $socket === false )
            {
                syslog( LOG_WARNING, "socket_create() failed: reason: " . socket_strerror( socket_last_error( ) ) );

                syslog( LOG_WARNING, "not ok" );
                socket_close( $socket );
                return;
            }

            $result = socket_connect( $socket, $address, $service_port );
            if( $result === false )
            {
                syslog( LOG_WARNING, "socket_connect() failed.\nReason: ($result) " . socket_strerror( socket_last_error( $socket ) ) );

                syslog( LOG_WARNING, "not ok" );
                socket_close( $socket );
                return;
            }

            $in = 'QUERY testedu';
            $out = '';

            if( socket_write( $socket, $in, strlen( $in ) ) === false )
            {
                syslog( LOG_WARNING, "not ok" );
                socket_close( $socket );
                return;
            }

            $buf = 'This is my buffer.';
            $bytes = socket_recv( $socket, $buf, 2048, MSG_WAITALL );

            $arrOpt = array( 'l_onoff' => 1, 'l_linger' => 1 );
            socket_set_block( $socket );
            socket_set_option( $socket, SOL_SOCKET, SO_LINGER, $arrOpt );
            socket_shutdown( $socket );
            socket_close( $socket );
            $count++;
            usleep( 10000 );
        }
    }

    function run( )
    {
        start_socket( );
    }
?>
Calculando ...
<?php

    ob_start( "run" );
    echo ob_end_flush( );
?>
<br />
Ok ... caluculado ! <?=$count; ?>
